/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (base_yyin)
				fclose(base_yyin);
			if (base_yyout)
				fclose(base_yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 630 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FIRST_P = 475,
    FLOAT_P = 476,
    FOLLOWING = 477,
    FOR = 478,
    FORCE = 479,
    FOREIGN = 480,
    FORWARD = 481,
    FREEZE = 482,
    FROM = 483,
    FULL = 484,
    FUNCTION = 485,
    FUNCTIONS = 486,
    GLOBAL = 487,
    GRANT = 488,
    GRANTED = 489,
    GREATEST = 490,
    GROUP_P = 491,
    HANDLER = 492,
    HAVING = 493,
    HEADER_P = 494,
    HOLD = 495,
    HOUR_P = 496,
    IDENTITY_P = 497,
    IF_P = 498,
    ILIKE = 499,
    IMMEDIATE = 500,
    IMMUTABLE = 501,
    IMPLICIT_P = 502,
    IN_P = 503,
    INCLUDING = 504,
    INCREMENT = 505,
    INDEX = 506,
    INDEXES = 507,
    INHERIT = 508,
    INHERITS = 509,
    INITIALLY = 510,
    INLINE_P = 511,
    INNER_P = 512,
    INOUT = 513,
    INPUT_P = 514,
    INSENSITIVE = 515,
    INSERT = 516,
    INSTEAD = 517,
    INT_P = 518,
    INTEGER = 519,
    INTERSECT = 520,
    INTERVAL = 521,
    INTO = 522,
    INVOKER = 523,
    IS = 524,
    ISNULL = 525,
    ISOLATION = 526,
    JOIN = 527,
    KEY = 528,
    LABEL = 529,
    LANGUAGE = 530,
    LARGE_P = 531,
    LAST_P = 532,
    LATERAL_P = 533,
    LC_COLLATE_P = 534,
    LC_CTYPE_P = 535,
    LEADING = 536,
    LEAKPROOF = 537,
    LEAST = 538,
    LEFT = 539,
    LEVEL = 540,
    LIKE = 541,
    LIMIT = 542,
    LISTEN = 543,
    LOAD = 544,
    LOCAL = 545,
    LOCALTIME = 546,
    LOCALTIMESTAMP = 547,
    LOCATION = 548,
    LOCK_P = 549,
    MAPPING = 550,
    MATCH = 551,
    MATERIALIZED = 552,
    MAXVALUE = 553,
    MINUTE_P = 554,
    MINVALUE = 555,
    MODE = 556,
    MONTH_P = 557,
    MOVE = 558,
    NAME_P = 559,
    NAMES = 560,
    NATIONAL = 561,
    NATURAL = 562,
    NCHAR = 563,
    NEXT = 564,
    NO = 565,
    NONE = 566,
    NOT = 567,
    NOTHING = 568,
    NOTIFY = 569,
    NOTNULL = 570,
    NOWAIT = 571,
    NULL_P = 572,
    NULLIF = 573,
    NULLS_P = 574,
    NUMERIC = 575,
    OBJECT_P = 576,
    OF = 577,
    OFF = 578,
    OFFSET = 579,
    OIDS = 580,
    ON = 581,
    ONLY = 582,
    OPERATOR = 583,
    OPTION = 584,
    OPTIONS = 585,
    OR = 586,
    ORDER = 587,
    OUT_P = 588,
    OUTER_P = 589,
    OVER = 590,
    OVERLAPS = 591,
    OVERLAY = 592,
    OWNED = 593,
    OWNER = 594,
    PARSER = 595,
    PARTIAL = 596,
    PARTITION = 597,
    PASSING = 598,
    PASSWORD = 599,
    PLACING = 600,
    PLANS = 601,
    POSITION = 602,
    PRECEDING = 603,
    PRECISION = 604,
    PRESERVE = 605,
    PREPARE = 606,
    PREPARED = 607,
    PRIMARY = 608,
    PRIOR = 609,
    PRIVILEGES = 610,
    PROCEDURAL = 611,
    PROCEDURE = 612,
    PROGRAM = 613,
    QUOTE = 614,
    RANGE = 615,
    READ = 616,
    REAL = 617,
    REASSIGN = 618,
    RECHECK = 619,
    RECURSIVE = 620,
    REF = 621,
    REFERENCES = 622,
    REFRESH = 623,
    REINDEX = 624,
    RELATIVE_P = 625,
    RELEASE = 626,
    RENAME = 627,
    REPEATABLE = 628,
    REPLACE = 629,
    REPLICA = 630,
    RESET = 631,
    RESTART = 632,
    RESTRICT = 633,
    RETURNING = 634,
    RETURNS = 635,
    REVOKE = 636,
    RIGHT = 637,
    ROLE = 638,
    ROLLBACK = 639,
    ROW = 640,
    ROWS = 641,
    RULE = 642,
    SAVEPOINT = 643,
    SCHEMA = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETOF = 657,
    SHARE = 658,
    SHOW = 659,
    SIMILAR = 660,
    SIMPLE = 661,
    SMALLINT = 662,
    SNAPSHOT = 663,
    SOME = 664,
    STABLE = 665,
    STANDALONE_P = 666,
    START = 667,
    STATEMENT = 668,
    STATISTICS = 669,
    STDIN = 670,
    STDOUT = 671,
    STORAGE = 672,
    STRICT_P = 673,
    STRIP_P = 674,
    SUBSTRING = 675,
    SYMMETRIC = 676,
    SYSID = 677,
    SYSTEM_P = 678,
    TABLE = 679,
    TABLES = 680,
    TABLESPACE = 681,
    TEMP = 682,
    TEMPLATE = 683,
    TEMPORARY = 684,
    TEXT_P = 685,
    THEN = 686,
    TIME = 687,
    TIMESTAMP = 688,
    TO = 689,
    TRAILING = 690,
    TRANSACTION = 691,
    TREAT = 692,
    TRIGGER = 693,
    TRIM = 694,
    TRUE_P = 695,
    TRUNCATE = 696,
    TRUSTED = 697,
    TYPE_P = 698,
    TYPES_P = 699,
    UNBOUNDED = 700,
    UNCOMMITTED = 701,
    UNENCRYPTED = 702,
    UNION = 703,
    UNIQUE = 704,
    UNKNOWN = 705,
    UNLISTEN = 706,
    UNLOGGED = 707,
    UNTIL = 708,
    UPDATE = 709,
    USER = 710,
    USING = 711,
    VACUUM = 712,
    VALID = 713,
    VALIDATE = 714,
    VALIDATOR = 715,
    VALUE_P = 716,
    VALUES = 717,
    VARCHAR = 718,
    VARIADIC = 719,
    VARYING = 720,
    VERBOSE = 721,
    VERSION_P = 722,
    VIEW = 723,
    VOLATILE = 724,
    WHEN = 725,
    WHERE = 726,
    WHITESPACE_P = 727,
    WINDOW = 728,
    WITH = 729,
    WITHOUT = 730,
    WORK = 731,
    WRAPPER = 732,
    WRITE = 733,
    XML_P = 734,
    XMLATTRIBUTES = 735,
    XMLCONCAT = 736,
    XMLELEMENT = 737,
    XMLEXISTS = 738,
    XMLFOREST = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    YEAR_P = 744,
    YES_P = 745,
    ZONE = 746,
    NULLS_FIRST = 747,
    NULLS_LAST = 748,
    WITH_TIME = 749,
    POSTFIXOP = 750,
    UMINUS = 751
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 564 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1182 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1211 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   107979

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  700
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2793
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5107

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1478,  1478,  1481,  1483,  1485,  1487,  1489,  1491,  1493,
    1495,  1497,  1499,  1501,  1503,  1505,  1507,  1509,  1511,  1513,
    1515,  1517,  1519,  1521,  1523,  1525,  1527,  1529,  1531,  1533,
    1535,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,  1569,
    1571,  1573,  1575,  1577,  1579,  1581,  1583,  1585,  1587,  1589,
    1591,  1593,  1595,  1597,  1599,  1601,  1603,  1605,  1607,  1609,
    1611,  1613,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,
    1633,  1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,
    1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,  1671,
    1673,  1675,  1677,  1679,  1681,  1683,  1685,  1692,  1694,  1696,
    1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,  1714,  1720,
    1722,  1724,  1726,  1728,  1730,  1732,  1734,  1736,  1742,  1752,
    1756,  1762,  1766,  1776,  1786,  1787,  1801,  1808,  1814,  1825,
    1831,  1840,  1847,  1853,  1862,  1869,  1877,  1882,  1890,  1895,
    1901,  1906,  1912,  1917,  1923,  1927,  1931,  1935,  1939,  1943,
    1947,  1951,  1955,  1963,  1967,  1971,  1975,  1979,  1983,  1991,
    1999,  2008,  2010,  2018,  2022,  2030,  2038,  2046,  2050,  2058,
    2062,  2070,  2078,  2086,  2090,  2098,  2102,  2110,  2114,  2118,
    2123,  2132,  2137,  2143,  2148,  2154,  2158,  2162,  2166,  2170,
    2174,  2182,  2186,  2190,  2198,  2202,  2206,  2214,  2218,  2222,
    2226,  2230,  2234,  2238,  2243,  2247,  2251,  2255,  2259,  2263,
    2267,  2275,  2279,  2287,  2291,  2299,  2303,  2317,  2321,  2325,
    2329,  2337,  2341,  2345,  2349,  2357,  2361,  2365,  2369,  2373,
    2377,  2381,  2389,  2393,  2398,  2404,  2408,  2416,  2420,  2424,
    2428,  2432,  2440,  2444,  2452,  2456,  2464,  2468,  2472,  2476,
    2480,  2489,  2497,  2501,  2509,  2513,  2521,  2529,  2533,  2537,
    2541,  2549,  2553,  2557,  2561,  2565,  2569,  2573,  2577,  2581,
    2585,  2593,  2597,  2605,  2609,  2613,  2617,  2621,  2625,  2629,
    2633,  2637,  2641,  2645,  2649,  2653,  2657,  2661,  2665,  2669,
    2673,  2677,  2681,  2685,  2689,  2693,  2697,  2701,  2705,  2709,
    2713,  2717,  2721,  2725,  2729,  2733,  2737,  2741,  2745,  2749,
    2753,  2757,  2761,  2765,  2769,  2777,  2781,  2789,  2793,  2798,
    2804,  2809,  2815,  2820,  2826,  2834,  2839,  2845,  2849,  2857,
    2861,  2865,  2869,  2877,  2885,  2889,  2897,  2901,  2905,  2909,
    2917,  2922,  2930,  2938,  2946,  2950,  2958,  2963,  2969,  2973,
    2977,  2985,  2989,  2997,  3002,  3008,  3012,  3016,  3020,  3024,
    3028,  3032,  3036,  3040,  3044,  3048,  3052,  3056,  3064,  3069,
    3075,  3080,  3086,  3091,  3097,  3102,  3108,  3112,  3120,  3128,
    3132,  3136,  3140,  3145,  3151,  3155,  3163,  3171,  3175,  3179,
    3183,  3191,  3195,  3199,  3203,  3207,  3211,  3215,  3220,  3226,
    3231,  3237,  3242,  3248,  3252,  3260,  3264,  3272,  3276,  3280,
    3288,  3292,  3300,  3308,  3316,  3321,  3327,  3331,  3335,  3339,
    3347,  3351,  3355,  3359,  3363,  3367,  3371,  3379,  3383,  3387,
    3391,  3399,  3407,  3411,  3416,  3422,  3426,  3430,  3434,  3438,
    3442,  3450,  3454,  3462,  3466,  3470,  3474,  3478,  3482,  3486,
    3494,  3499,  3505,  3510,  3516,  3520,  3528,  3536,  3540,  3545,
    3550,  3556,  3560,  3568,  3572,  3580,  3585,  3591,  3595,  3599,
    3603,  3608,  3614,  3622,  3630,  3634,  3638,  3642,  3646,  3654,
    3659,  3665,  3669,  3673,  3678,  3684,  3688,  3692,  3697,  3703,
    3708,  3714,  3719,  3725,  3733,  3741,  3745,  3750,  3756,  3764,
    3772,  3777,  3783,  3791,  3799,  3803,  3811,  3816,  3822,  3826,
    3834,  3838,  3842,  3846,  3850,  3854,  3858,  3862,  3866,  3870,
    3874,  3878,  3886,  3891,  3897,  3901,  3905,  3913,  3917,  3925,
    3929,  3937,  3942,  3948,  3952,  3960,  3965,  3971,  3975,  3983,
    3988,  3994,  3998,  4006,  4011,  4017,  4025,  4030,  4036,  4040,
    4048,  4052,  4060,  4065,  4071,  4075,  4079,  4087,  4095,  4100,
    4106,  4114,  4118,  4122,  4126,  4130,  4134,  4138,  4142,  4146,
    4150,  4154,  4158,  4162,  4166,  4170,  4174,  4178,  4182,  4186,
    4190,  4194,  4198,  4202,  4206,  4214,  4222,  4226,  4230,  4234,
    4242,  4246,  4254,  4259,  4265,  4269,  4277,  4281,  4289,  4294,
    4300,  4304,  4312,  4320,  4324,  4332,  4336,  4340,  4344,  4352,
    4360,  4368,  4376,  4384,  4389,  4395,  4399,  4407,  4412,  4418,
    4422,  4430,  4434,  4438,  4446,  4450,  4458,  4462,  4470,  4478,
    4482,  4486,  4494,  4498,  4506,  4514,  4518,  4526,  4530,  4534,
    4542,  4546,  4554,  4558,  4562,  4566,  4570,  4578,  4583,  4589,
    4594,  4600,  4604,  4612,  4617,  4623,  4627,  4632,  4638,  4642,
    4646,  4650,  4658,  4663,  4670,  4672,  4680,  4684,  4688,  4692,
    4696,  4700,  4708,  4712,  4720,  4724,  4732,  4736,  4744,  4752,
    4756,  4764,  4772,  4776,  4780,  4784,  4792,  4801,  4810,  4814,
    4818,  4822,  4826,  4830,  4834,  4838,  4842,  4846,  4850,  4854,
    4858,  4862,  4870,  4878,  4882,  4890,  4894,  4902,  4906,  4910,
    4914,  4918,  4926,  4930,  4938,  4946,  4950,  4958,  4966,  4971,
    4977,  4981,  4989,  4993,  4997,  5005,  5010,  5016,  5024,  5028,
    5036,  5040,  5044,  5048,  5052,  5060,  5065,  5071,  5076,  5082,
    5086,  5091,  5097,  5103,  5109,  5117,  5121,  5129,  5133,  5141,
    5145,  5153,  5157,  5165,  5169,  5177,  5185,  5193,  5197,  5201,
    5205,  5213,  5217,  5221,  5225,  5229,  5233,  5237,  5241,  5245,
    5249,  5253,  5257,  5261,  5265,  5269,  5273,  5277,  5285,  5289,
    5297,  5301,  5309,  5313,  5321,  5329,  5333,  5338,  5344,  5348,
    5352,  5356,  5360,  5364,  5368,  5372,  5376,  5380,  5384,  5388,
    5392,  5400,  5404,  5408,  5412,  5416,  5420,  5424,  5428,  5432,
    5436,  5440,  5444,  5448,  5452,  5456,  5460,  5464,  5468,  5472,
    5476,  5480,  5484,  5488,  5496,  5500,  5508,  5512,  5516,  5520,
    5524,  5532,  5537,  5543,  5547,  5551,  5555,  5559,  5563,  5567,
    5571,  5575,  5579,  5583,  5587,  5591,  5599,  5603,  5611,  5615,
    5619,  5623,  5629,  5635,  5641,  5647,  5653,  5659,  5665,  5675,
    5686,  5697,  5708,  5719,  5730,  5741,  5757,  5773,  5789,  5800,
    5816,  5827,  5843,  5858,  5862,  5870,  5875,  5881,  5889,  5893,
    5901,  5905,  5909,  5913,  5917,  5925,  5929,  5937,  5941,  5945,
    5949,  5957,  5961,  5965,  5969,  5973,  5977,  5981,  5985,  5989,
    5993,  5997,  6001,  6005,  6009,  6013,  6017,  6025,  6029,  6037,
    6041,  6049,  6054,  6060,  6064,  6072,  6080,  6088,  6092,  6100,
    6105,  6111,  6116,  6122,  6130,  6135,  6141,  6145,  6149,  6157,
    6161,  6165,  6173,  6177,  6181,  6185,  6193,  6201,  6206,  6212,
    6217,  6223,  6228,  6234,  6239,  6245,  6249,  6257,  6261,  6265,
    6273,  6278,  6284,  6288,  6293,  6299,  6303,  6308,  6314,  6318,
    6323,  6329,  6333,  6337,  6345,  6350,  6356,  6360,  6368,  6372,
    6380,  6384,  6392,  6396,  6404,  6408,  6412,  6416,  6420,  6428,
    6432,  6436,  6440,  6444,  6452,  6460,  6468,  6472,  6476,  6484,
    6488,  6492,  6500,  6504,  6512,  6516,  6520,  6524,  6528,  6532,
    6536,  6540,  6544,  6548,  6552,  6556,  6560,  6564,  6568,  6576,
    6580,  6584,  6588,  6596,  6600,  6608,  6613,  6619,  6627,  6631,
    6639,  6647,  6651,  6659,  6664,  6670,  6674,  6682,  6686,  6694,
    6698,  6706,  6710,  6714,  6718,  6726,  6730,  6738,  6746,  6750,
    6758,  6762,  6770,  6774,  6778,  6786,  6790,  6795,  6801,  6809,
    6814,  6820,  6824,  6828,  6836,  6840,  6848,  6853,  6859,  6863,
    6867,  6871,  6875,  6879,  6883,  6887,  6891,  6895,  6899,  6903,
    6907,  6911,  6915,  6919,  6923,  6927,  6931,  6935,  6939,  6943,
    6947,  6951,  6955,  6959,  6963,  6967,  6971,  6975,  6979,  6983,
    6987,  6991,  6995,  6999,  7003,  7007,  7011,  7015,  7019,  7023,
    7027,  7031,  7035,  7039,  7043,  7051,  7056,  7062,  7067,  7073,
    7077,  7081,  7085,  7089,  7093,  7097,  7101,  7105,  7109,  7113,
    7117,  7121,  7125,  7129,  7133,  7137,  7141,  7145,  7149,  7153,
    7157,  7161,  7165,  7173,  7177,  7181,  7185,  7189,  7193,  7197,
    7201,  7205,  7209,  7213,  7217,  7221,  7225,  7229,  7233,  7237,
    7241,  7245,  7253,  7261,  7265,  7269,  7277,  7281,  7289,  7293,
    7297,  7301,  7305,  7313,  7318,  7324,  7328,  7332,  7336,  7344,
    7348,  7353,  7359,  7363,  7371,  7379,  7384,  7390,  7398,  7402,
    7410,  7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,
    7450,  7454,  7458,  7462,  7470,  7474,  7479,  7485,  7489,  7493,
    7497,  7501,  7509,  7513,  7517,  7525,  7530,  7536,  7540,  7544,
    7548,  7556,  7561,  7566,  7572,  7578,  7586,  7594,  7599,  7605,
    7609,  7613,  7617,  7621,  7625,  7629,  7633,  7637,  7641,  7645,
    7649,  7653,  7657,  7661,  7665,  7673,  7678,  7684,  7688,  7696,
    7704,  7709,  7715,  7723,  7727,  7735,  7743,  7747,  7751,  7755,
    7759,  7763,  7767,  7775,  7780,  7786,  7794,  7798,  7802,  7806,
    7810,  7814,  7822,  7830,  7834,  7838,  7846,  7851,  7857,  7861,
    7865,  7869,  7873,  7881,  7885,  7893,  7897,  7901,  7905,  7913,
    7917,  7925,  7929,  7937,  7942,  7948,  7953,  7959,  7964,  7970,
    7975,  7981,  7985,  7989,  7993,  8001,  8005,  8009,  8013,  8017,
    8021,  8025,  8029,  8033,  8041,  8045,  8053,  8061,  8065,  8073,
    8077,  8082,  8088,  8094,  8104,  8109,  8115,  8119,  8123,  8127,
    8135,  8137,  8145,  8150,  8156,  8164,  8168,  8172,  8180,  8184,
    8192,  8200,  8205,  8211,  8219,  8224,  8230,  8238,  8243,  8249,
    8253,  8257,  8261,  8265,  8269,  8273,  8277,  8285,  8290,  8296,
    8304,  8308,  8316,  8320,  8328,  8336,  8344,  8352,  8356,  8364,
    8417,  8421,  8434,  8436,  8440,  8444,  8448,  8457,  8463,  8467,
    8475,  8479,  8487,  8491,  8499,  8503,  8507,  8511,  8515,  8519,
    8523,  8527,  8535,  8539,  8547,  8551,  8555,  8559,  8563,  8567,
    8575,  8579,  8587,  8591,  8599,  8607,  8612,  8618,  8623,  8625,
    8631,  8635,  8639,  8643,  8647,  8651,  8655,  8659,  8663,  8671,
    8676,  8682,  8686,  8691,  8697,  8701,  8705,  8710,  8716,  8721,
    8727,  8735,  8739,  8747,  8751,  8759,  8763,  8767,  8771,  8779,
    8784,  8790,  8794,  8799,  8807,  8811,  8819,  8823,  8831,  8839,
    8843,  8848,  8854,  8862,  8866,  8874,  8878,  8886,  8891,  8897,
    8902,  8908,  8912,  8920,  8925,  8931,  8935,  8943,  8951,  8955,
    8959,  8963,  8971,  8976,  8982,  8986,  8994,  8999,  9005,  9009,
    9017,  9021,  9025,  9029,  9036,  9043,  9047,  9055,  9059,  9063,
    9067,  9071,  9075,  9083,  9087,  9091,  9095,  9103,  9108,  9114,
    9118,  9122,  9126,  9131,  9137,  9141,  9145,  9149,  9157,  9162,
    9168,  9172,  9180,  9184,  9188,  9192,  9200,  9204,  9212,  9216,
    9220,  9228,  9236,  9241,  9247,  9251,  9257,  9263,  9268,  9274,
    9278,  9286,  9294,  9296,  9298,  9302,  9306,  9310,  9318,  9328,
    9339,  9348,  9352,  9356,  9360,  9364,  9368,  9372,  9380,  9384,
    9388,  9392,  9400,  9404,  9412,  9417,  9423,  9427,  9431,  9435,
    9439,  9443,  9447,  9451,  9455,  9459,  9463,  9471,  9476,  9482,
    9486,  9494,  9498,  9506,  9514,  9522,  9526,  9534,  9538,  9546,
    9554,  9562,  9566,  9570,  9574,  9578,  9582,  9590,  9595,  9601,
    9606,  9612,  9616,  9620,  9624,  9632,  9640,  9644,  9649,  9655,
    9659,  9663,  9667,  9671,  9675,  9679,  9683,  9687,  9691,  9695,
    9699,  9703,  9708,  9714,  9718,  9726,  9730,  9734,  9738,  9742,
    9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,  9782,
    9786,  9790,  9794,  9798,  9802,  9806,  9810,  9814,  9818,  9822,
    9826,  9830,  9834,  9838,  9842,  9846,  9850,  9854,  9858,  9862,
    9866,  9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,  9902,
    9906,  9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,  9942,
    9946,  9950,  9955,  9959,  9967,  9971,  9975,  9979,  9983,  9987,
    9991,  9995,  9999, 10003, 10007, 10011, 10015, 10019, 10023, 10027,
   10031, 10035, 10039, 10043, 10047, 10051, 10059, 10063, 10067, 10071,
   10075, 10079, 10083, 10087, 10091, 10095, 10099, 10103, 10111, 10115,
   10119, 10123, 10127, 10131, 10135, 10139, 10143, 10147, 10151, 10155,
   10159, 10163, 10167, 10171, 10175, 10179, 10183, 10187, 10191, 10195,
   10199, 10203, 10207, 10211, 10215, 10219, 10223, 10227, 10231, 10235,
   10239, 10243, 10247, 10251, 10255, 10259, 10263, 10267, 10271, 10275,
   10279, 10283, 10287, 10291, 10295, 10299, 10303, 10307, 10315, 10319,
   10327, 10331, 10335, 10340, 10346, 10354, 10358, 10366, 10370, 10378,
   10382, 10390, 10394, 10399, 10405, 10409, 10413, 10417, 10425, 10430,
   10436, 10440, 10448, 10456, 10460, 10465, 10471, 10479, 10483, 10490,
   10495, 10501, 10506, 10511, 10517, 10521, 10529, 10533, 10537, 10541,
   10545, 10553, 10557, 10561, 10569, 10573, 10577, 10585, 10589, 10597,
   10601, 10605, 10609, 10613, 10617, 10621, 10625, 10629, 10637, 10641,
   10649, 10653, 10661, 10665, 10669, 10673, 10677, 10681, 10689, 10693,
   10701, 10705, 10713, 10717, 10725, 10729, 10737, 10741, 10745, 10753,
   10757, 10765, 10770, 10776, 10780, 10784, 10788, 10792, 10796, 10800,
   10804, 10812, 10816, 10824, 10832, 10837, 10843, 10847, 10851, 10855,
   10859, 10864, 10870, 10878, 10886, 10890, 10894, 10902, 10906, 10914,
   10922, 10926, 10934, 10942, 10947, 10953, 10958, 10964, 10968, 10976,
   10980, 10984, 10988, 10996, 11000, 11009, 11011, 11019, 11024, 11030,
   11034, 11042, 11046, 11054, 11062, 11066, 11074, 11078, 11082, 11086,
   11094, 11098, 11106, 11110, 11118, 11122, 11130, 11138, 11146, 11154,
   11162, 11170, 11178, 11182, 11190, 11194, 11198, 11202, 11206, 11210,
   11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11243, 11248,
   11254, 11262, 11266, 11274, 11278, 11279, 11283, 11291, 11295, 11299,
   11303, 11311, 11315, 11319, 11323, 11327, 11331, 11335, 11339, 11343,
   11347, 11351, 11355, 11359, 11363, 11367, 11371, 11375, 11379, 11383,
   11387, 11391, 11395, 11399, 11403, 11407, 11411, 11415, 11419, 11423,
   11427, 11431, 11435, 11439, 11443, 11447, 11451, 11455, 11459, 11463,
   11467, 11471, 11475, 11479, 11483, 11487, 11491, 11495, 11499, 11503,
   11507, 11511, 11515, 11519, 11523, 11527, 11531, 11535, 11539, 11543,
   11547, 11551, 11555, 11559, 11563, 11567, 11571, 11575, 11579, 11583,
   11587, 11591, 11595, 11599, 11603, 11607, 11611, 11615, 11619, 11623,
   11627, 11631, 11635, 11639, 11643, 11647, 11651, 11655, 11659, 11663,
   11667, 11671, 11675, 11679, 11683, 11687, 11691, 11695, 11699, 11703,
   11707, 11711, 11715, 11719, 11723, 11727, 11731, 11735, 11739, 11743,
   11747, 11751, 11755, 11759, 11763, 11767, 11771, 11775, 11779, 11783,
   11787, 11791, 11795, 11799, 11803, 11807, 11811, 11815, 11819, 11823,
   11827, 11831, 11835, 11839, 11843, 11847, 11851, 11855, 11859, 11863,
   11867, 11871, 11875, 11879, 11883, 11887, 11891, 11895, 11899, 11903,
   11907, 11911, 11915, 11919, 11923, 11927, 11931, 11935, 11939, 11943,
   11947, 11951, 11955, 11959, 11963, 11967, 11971, 11975, 11979, 11983,
   11987, 11991, 11995, 11999, 12003, 12007, 12011, 12015, 12019, 12023,
   12027, 12031, 12035, 12039, 12043, 12047, 12051, 12055, 12059, 12063,
   12067, 12071, 12075, 12079, 12083, 12087, 12091, 12095, 12099, 12103,
   12107, 12111, 12115, 12119, 12123, 12127, 12131, 12135, 12139, 12143,
   12147, 12151, 12155, 12159, 12163, 12167, 12171, 12175, 12179, 12183,
   12187, 12191, 12195, 12199, 12203, 12207, 12211, 12215, 12219, 12223,
   12227, 12231, 12235, 12239, 12243, 12247, 12251, 12255, 12259, 12263,
   12267, 12271, 12275, 12279, 12283, 12287, 12295, 12299, 12303, 12307,
   12311, 12315, 12319, 12323, 12327, 12331, 12335, 12339, 12343, 12347,
   12351, 12355, 12359, 12363, 12367, 12371, 12375, 12379, 12383, 12387,
   12391, 12395, 12399, 12403, 12407, 12411, 12415, 12419, 12423, 12427,
   12431, 12435, 12439, 12443, 12447, 12451, 12455, 12459, 12463, 12467,
   12475, 12479, 12483, 12487, 12491, 12495, 12499, 12503, 12507, 12511,
   12515, 12519, 12523, 12527, 12531, 12535, 12539, 12543, 12547, 12551,
   12555, 12559, 12563, 12571, 12575, 12579, 12583, 12587, 12591, 12595,
   12599, 12603, 12607, 12611, 12615, 12619, 12623, 12627, 12631, 12635,
   12639, 12643, 12647, 12651, 12655, 12659, 12663, 12667, 12671, 12675,
   12679, 12683, 12687, 12691, 12695, 12699, 12703, 12707, 12711, 12715,
   12719, 12723, 12727, 12731, 12735, 12739, 12743, 12747, 12751, 12755,
   12759, 12763, 12767, 12771, 12775, 12779, 12783, 12787, 12791, 12795,
   12799, 12803, 12807, 12811, 12815, 12819, 12823, 12827, 12831, 12835,
   12839, 12843, 12847, 12851, 12855, 12859, 12863, 12867, 12877, 12878,
   12881, 12882, 12883, 12889, 12890, 12891, 12892, 12893, 12906, 12906,
   12915, 12930, 12932, 12935, 12937, 12941, 12953, 12969, 12973, 12984,
   12985, 12988, 13000, 13009, 13010, 13013, 13014, 13015, 13018, 13019,
   13022, 13023, 13026, 13027, 13030, 13032, 13034, 13036, 13040, 13047,
   13054, 13070, 13104, 13114, 13117, 13121, 13134, 13135, 13137, 13139,
   13143, 13157, 13164, 13225, 13234, 13236, 13237, 13240, 13242, 13243,
   13246, 13247, 13248, 13249, 13250, 13257, 13256, 13266, 13268, 13270,
   13271, 13274, 13275, 13276, 13277, 13280, 13281, 13285, 13284, 13301,
   13299, 13315, 13314, 13328, 13334, 13335, 13338, 13340, 13341, 13344,
   13345, 13346, 13347, 13350, 13351, 13354, 13362, 13379, 13387, 13410,
   13516, 13550, 13552, 13554, 13558, 13562, 13561, 13612, 13614, 13613,
   13628, 13634, 13641, 13646, 13652, 13653, 13656, 13657, 13658, 13659,
   13660, 13661, 13662, 13670, 13678, 13681, 13682, 13683, 13684, 13685,
   13686, 13694, 13702, 13703, 13704, 13707, 13708, 13711, 13713, 13722,
   13810, 13811, 13818, 13819, 13820, 13826, 13835, 13838, 13839, 13840,
   13841, 13844, 13845, 13846, 13849, 13851, 13859, 13860, 13866, 13874,
   13875, 13878, 13879, 13882, 13887, 13894, 13899, 13906, 13913, 13913,
   13915, 13922, 13923, 13926, 13927, 13928, 13929, 13930, 13931, 13932,
   13933, 13934, 13940, 13947, 13959, 13965, 13972, 13980, 13981, 13993,
   14004, 14015, 14019, 14020, 14023, 14028, 14032, 14033, 14036, 14042,
   14050, 14056, 14063, 14067, 14068, 14071, 14074, 14078, 14079, 14082,
   14088, 14097, 14102, 14112, 14122, 14134, 14135, 14136, 14137, 14138,
   14139, 14140, 14141, 14142, 14143, 14144, 14145, 14146, 14147, 14148,
   14155, 14156, 14159, 14160, 14167, 14168, 14169, 14176, 14175, 14192,
   14193, 14200, 14199, 14269, 14275, 14281, 14289, 14295, 14301, 14307,
   14313, 14319, 14325, 14331, 14337, 14348, 14349, 14352, 14353, 14354,
   14355, 14356, 14357, 14358, 14359, 14360, 14361, 14362, 14363, 14364,
   14365, 14366, 14367, 14368, 14369, 14370, 14371, 14372, 14373, 14374,
   14375, 14378, 14379, 14380, 14381, 14382, 14383, 14387, 14388, 14389,
   14390, 14391, 14392, 14393, 14396, 14399, 14400, 14401, 14402, 14403,
   14404, 14405, 14406, 14419, 14420, 14421, 14422, 14423, 14424, 14425,
   14430, 14431, 14432, 14433, 14434, 14435, 14441, 14442, 14443, 14444,
   14445, 14446, 14447, 14448, 14449, 14450, 14451, 14454, 14455, 14456,
   14457, 14458, 14461, 14462, 14463, 14464, 14467, 14468, 14469, 14470,
   14471, 14472, 14473, 14490, 14491, 14492, 14495, 14496, 14497, 14498,
   14499, 14500, 14504, 14504, 14507, 14513, 14514, 14517, 14519, 14524,
   14534, 14545, 14552, 14553, 14554, 14557, 14590, 14592, 14594, 14597,
   14607, 14617, 14627, 14628, 14631, 14633, 14634, 14635, 14638, 14640,
   14648, 14649, 14650, 14654, 14655, 14659, 14660, 14663, 14664, 14667,
   14668, 14669, 14670, 14671, 14674, 14675, 14676, 14677, 14678, 14679,
   14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689,
   14690, 14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699,
   14700, 14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709,
   14710, 14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14719,
   14720, 14721, 14722, 14723, 14724, 14725, 14726, 14727, 14728, 14729,
   14732, 14733, 14734, 14735, 14738, 14739, 14740, 14741, 14742, 14743,
   14744, 14745, 14746, 14749, 14750, 14751, 14752, 14753, 14756, 14757,
   14760, 14761, 14772, 14773
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4473

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4473)))

#define YYTABLE_NINF -2635

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2635)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4473,   351, 11926, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, 26150, -4473,
   -4473, -4473, -4473, -4473, 25154,   466, -4473, -4473, -4473,101633,
   -4473, -4473, -4473,   504, 65638, -4473, 68554,   817, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, 71956, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, 54934,  1443, -4473,
     739, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  1538,  9315,
   -4473, -4473, 69040, -4473,    91, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, 69526,   616, -4473, -4473,   406,    39, -4473,   100,
   14906, -4473, -4473, 62236, 66610, -4473, -4473, 72442,   625,  2019,
    4049,  1538, 25661, 72928, -4473,  1777, -4473, 51490, -4473, -4473,
   -4473, 66124, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, 79732,  2628,   960, 51985, -4473, -4473,
   -4473, -4473, 79732, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, 73414, -4473,   963,  1245,  1271, 80218, 80704,
   63694, -4473,  1263, -4473, 79732,  1276,   966, 53960, -4473, 81190,
   -4473, -4473,  1196, -4473, 73900, -4473, -4473, -4473, -4473,   960,
   -4473, 54934, 50516,   192,  1149, -4473, -4473, 81676, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473,  1847,  1275, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473,   616, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473,   423, -4473,   735,   535,  1473,   184,  1307, -4473,
   -4473, -4473,  9775, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   98194,  2181, -4473, -4473, -4473,  1313, -4473,  1404, -4473, -4473,
   -4473,  1759, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,   580,
   -4473, -4473, -4473, -4473,  1958, 97228, 71956, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, 61750, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
     175, -4473, -4473, -4473, -4473, -4473, 71956, 71956, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, 71956,  1483, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473,   522,  1768, -4473, -4473,
   54934,  2439,  2439,  2023, 98194, -4473, -4473, -4473, 55908, 79732,
   79732, 79732,  1804, 79732,  1802, 79732,   289, 55908,105398, 82162,
    1889,  1808, 46048, -4473,104562, 79732, 79732, 82648, 79732, 74386,
   79732,  1879, 79732, 79732,105816, 83134,  2026, -4473,  2276,  1246,
   -4473, -4473, -4473, 79732, 14472,  2628, -4473, -4473, 79732,  1890,
   55908, 79732,  1810, 79732,  1896, 79732, -4473, 79732,  1905, 83620,
     341,  1796,105398,  1978, 46547,  1996,105398, 84106, 79732, 79732,
   -4473, -4473,  2003, 79732, 79732, -4473,  2079,106234,  1217,  2123,
    2296,  2180,   718, -4473, -4473,  2375,  1953, -4473, -4473,  2417,
   71956, -4473, 70012, -4473, -4473, -4473,  2165, -4473, -4473, -4473,
   -4473, -4473,102890,  2019, -4473, -4473, 56395, 79732,  2269, -4473,
   -4473, 84592, -4473,  2082, -4473,   356, 56882,106652,  2379,  2064,
   47046,  2410,107070, 85078, -4473, -4473, 85564, -4473, 86050,  2149,
   86536, -4473,107488, -4473,  2273, 87022, -4473, 15370, -4473,  2037,
    2063,  2074,  1878, 71956, 71956,   995, 99513, -4473, -4473,   616,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,   216,  1744,
   52480,  1114, 52975, -4473, -4473,  1278,  1343,  1353,   216,  2470,
    2470,    86, 71956, -4473, -4473,  1744, -4473,   550,  1139,  2105,
    2105,  2105,  2300,   911, -4473,  2105, -4473, -4473, -4473, -4473,
   73900, 52480, 52975, -4473,  2111,  2628,   135,  2530,  2191, 79732,
   -4473, 79732, -4473, 79732, 79732, -4473, -4473, -4473,  2549,  2183,
    2408, -4473,  2178, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
    2360,  2365,  2391,     9,  2628,  2302, -4473,  2521, -4473,  2424,
   30148,  1203, 71956,  2628, 53470, 74872, 94798,   134,102890,  2628,
   87508,  2268,   948,  2436, -4473, -4473,   647, -4473,  2654,  2279,
    2487,   261,  1246, 43589, -4473,  2281,  1821, 73900, 98677, -4473,
   -4473, -4473, -4473,   137,  2548, 30652, -4473, 79732,  2275, -4473,
    2290,  2278,  2293,  1473, -4473, 79732,  1494,  1494,  2676,  1494,
    2042,  2058, -4473,  2346, -4473,  2581,  2551, 73900,  1149,  1538,
    2303, -4473, -4473, -4473,  2324, -4473,  2331,  2339, -4473,   663,
    2599, -4473, -4473, -4473, -4473,  2440,  2462,  2463,  2468,  2370,
    2469,   419, -4473, -4473, -4473, -4473,  2705, -4473, -4473, -4473,
   -4473, -4473, -4473,  2809,  2797,102054,102054,   574,   648,   129,
     191, -4473, -4473, -4473,  2665, -4473, -4473,  2672, 79732,  2527,
   79732, -4473, -4473, -4473, 87994, -4473, -4473,  2439,  2324,  2438,
   -4473,   233, -4473,  1821, -4473,   330,   359,   392,  1697,  2446,
    1855,  1924, -4473,   619, 79732,  2567,   127,  1069,  2500, 75358,
    7416,  2461,   607,  2772,  4950,   419, 88480, -4473, 79732, 79732,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  2480,
   -4473, -4473,  2486,  2744,  1082,  2674,  1647,  2794,  6192,  1459,
    2800,  5440,  2054,   750,  2692,   851,  2798,  2014,  2815,  5822,
   79732,  2518, -4473,  2756,  2868,    41, -4473,   782, -4473,  2603,
    2729,   630, 55908,  2563, -4473, -4473, 79732, -4473, -4473, -4473,
    2636, -4473,   375, 55908, -4473,  2758,  2612, 47545, -4473, 79732,
   -4473, -4473, -4473, -4473, -4473,  2693, 79732, -4473, -4473,  2812,
   79732, -4473,  2105,  2732,  2593,  2971, 59317,   195, 79732,  2639,
    3008, 79732,  2807,  2639,  2656, 88966, -4473, -4473,  2639, -4473,
   -4473, 79732, 79732,  2632,  1899,  2639,  2808,  3031,  3044,  2722,
    2833,   839,  1374,   111,  2950,  2639,  2706, 79732, 89452, 79732,
    2707, 79732,  3026, 55908, 79732, -4473,  2821, 75844, -4473,  2666,
    2375, -4473, -4473, -4473, -4473, -4473,  1237, -4473, -4473, -4473,
   -4473,  2966,  2438,   432,  2968,  2677,  2970, -4473, -4473,  2711,
   -4473,  2972,  2461,  2977, -4473,  2680, 89938, -4473, 90424, 90910,
    2980,  2480,105398,  2981,  2680,  2982,  2872,  2987,   432,  2990,
   -4473,   844,  2991,  2878,  2993,  1898,  2680,103308,  2996,   143,
   -4473, 20368, 15370, -4473, 22532,  1824, -4473, -4473, -4473, -4473,
   -4473, -4473, 34180,   793,  2785, -4473, -4473, -4473,  1775, -4473,
  100786, -4473,   995,  1744, -4473, 71956,  1744, 71956,    86,  1744,
   71956,  1744, 71956,    86,  1744, 71956, 71956, 71956,  1744, -4473,
   -4473,  1837,  1458, -4473, -4473, -4473, -4473, -4473, 71956,  2702,
   79732, 79732, -4473, -4473, -4473, 67096,105398, 67582, -4473, -4473,
     259, 71956, -4473, 71956, -4473,  2628, -4473, -4473,  2063, 59317,
    3103,105398, 79732,  2988,  2988,  2988, -4473, -4473, -4473,  2930,
   79732,  2994,  2997, 67096,105398, -4473, 91396,102890,  2890,  2715,
   -4473, -4473, -4473, -4473,  1906,  2753,   350,  2765, 34180,  2718,
     295,   295,  2720,  3006, -4473, -4473, -4473,   412,  2725,  2727,
   -4473,   215,   215,  2881,  2730,  2733, -4473,   283,  2737, -4473,
    2791,   480,  2739,  2740,  2741,  2254,   295, 34180, -4473,  2742,
     215,  2743,  2745,  2746,  3000,  2750, -4473,  3067,  2751,   378,
     435,  2752,  2754, -4473,  2730, -4473,   266,  2755,  2757,  2761,
    2763,  2766,  2767,  2768,  2769, 34180, 34180, -4473, 29140,  1821,
    2628, -4473, -4473, -4473, -4473, -4473, -4473, -4473,    83, -4473,
     510,  6358, -4473, -4473,  2901, 34180, -4473, -4473,    32, -4473,
     529, -4473, -4473,  1821, -4473, -4473,   801, -4473, -4473, -4473,
   -4473,  1936,  1936,   194, -4473, 69040, 69040, -4473, -4473,  1462,
    2762, -4473,  1567, -4473, -4473, -4473, -4473, -4473, -4473,102472,
    3132, -4473,  1020,  2628,   782,  1259,  3089, 99934,100360,  2999,
    2999,  2995, -4473, -4473, 79732, -4473, -4473, 34180, 49542, -4473,
    1821,    67,  3010, -4473, -4473, -4473,  1966, -4473, -4473, -4473,
     616, -4473, 14306, -4473,  1985,  2275, 79732, 79732,  3173, -4473,
   -4473,  2290, -4473, -4473,  1473,  1473, 34180,  1473,   907,  1537,
   31156, 34180,  3059,  2959,   600,  1600,  3061, -4473,  2964,  2042,
    2058, 73900, 79732, 91882,  2886, -4473, -4473,  2324,  2788,  1933,
   -4473, 61264, 97711, 97711,  3028, -4473, -4473,  1174,  1366,  2908,
    3002,  2470,  1162,  2156, -4473, -4473,  2790, -4473,  3123, 69040,
    2850,102054, -4473, -4473, 79732, -4473, -4473, 76330, -4473, -4473,
   -4473,  2100,  2795, -4473,  2813, 79732,  3293, -4473,  2156,  2156,
   -4473, -4473,  2799, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, 98194,  2801, 79732, -4473,  2803,  2804, -4473, 98677, 50029,
    2009,  1821,  2879,  2880,  2926, 54934,  2806,  2883,  2891,  2937,
    2893,  2894, 95284, -4473, -4473, -4473, -4473,  1376,   903,  1500,
    2895,   214,   805,  3177, -4473,  1429,  2943, -4473, -4473, -4473,
    4227, 79732,  3121,  5890,  3009,   419,  2948, -4473, -4473,  3062,
    2911,  2915,  3035,   419,   213, 95770, -4473, -4473, -4473, -4473,
   -4473, -4473,  4707, 27654, -4473,  2920,  2900, 79732, 62722,  3212,
    3033,  1017,   778,   131, 79732,  3110,  3047, 79732,  2862,  2938,
    2940,  2863,  1598,  3224,  2869, -4473, -4473,  3042,  3170,  6383,
    2934,  2935, 58343,  1396, 48044,  3218,   836,  2960, -4473,   836,
   79732,  2963,  2969, 79732,   419, -4473,  3275,   419,   419,  1666,
    3277,  2975,   361,  1780,  2639,  2869,  1584, -4473,  2989,  2992,
    1214, -4473,  3074, 73900,   141,  1863,  2869,  2998,  3003,  2863,
    2863, 79732, 79732, 79732, 79732, 79732,   118,  3291,  3297,  3004,
     125,  3025,  2904, -4473,103726,  3005, 94798, -4473, -4473, 79732,
    3007,  2177,  2869,  1718, -4473,  1686, -4473, -4473, -4473,  1246,
   -4473, 79732, -4473, 79732,  2438, 59317,  3099, -4473,  2956, -4473,
    2461,   419, -4473, 79732, 79732,  2480,  1260,  1084,  3101, 79732,
    3165,  2962, -4473,   244, 50029,  2632, -4473,  2936, -4473,  2978,
   -4473,  2978,  2978,  2953,  2953,  2954, -4473, -4473,  2254,  2978,
    2953, -4473, 60291, -4473,  1628,  1630, -4473,  3332,  3351, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,   732, -4473,
    2033, -4473, -4473, -4473, 79732, 54934, -4473,  3345, -4473, -4473,
   59317,  3138,  3255, -4473, 79732,  3156,  2961, -4473,  3290,  3015,
   -4473, -4473,   712, -4473,  3260,105398,  1498,  2628,  3012, 79732,
    3183, 79732, 79732, 79732, 79732, -4473, -4473,  3155,   812,   181,
   -4473,103726, -4473, 79732,  1584,  3169,  3374,    15,  2105, 79732,
    3261, -4473, 79732,  2979,  3377,  3211, -4473, -4473,  2983,  2470,
   -4473,  2666, -4473,  1997, -4473,  3100, -4473, 55908,   432, -4473,
   -4473, -4473, -4473, 59317, 79732, 92368, 55908,   432,105398,105398,
    3279,   143,  3282,  3036,  3283,  3040, 48044,   432,   152,105398,
   79732, 79732, 79732, -4473, 79732, -4473, -4473, -4473, -4473, 79732,
   79732,105398,103726,  3286,  3288,   432, 79732, 79732, -4473, -4473,
   21222,  1825, -4473, 15370, -4473, 14306,  2070,  2999, -4473,  1483,
   79732,  1403,   995,104144, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, 71956, -4473, 71956,    86, -4473, -4473, 71956, -4473,
   71956,    86, -4473, 71956, -4473, -4473, -4473, 71956, 79732,  3489,
    3001, -4473,   801, -4473, 79732,  2087, -4473, -4473,  2091,   792,
   79732, 79732,   591, 55908, 79732,  3185, 79732, 79732, 79732, 79732,
   79732,  3070,  2762,   727, -4473,   656, 73900,  3194, -4473, -4473,
   -4473, -4473, -4473,  2098,  1847,  1256,  3037, -4473, -4473, -4473,
   -4473, -4473, -4473, 67582, 66124,  3285,   227, 79732, -4473, -4473,
    4476, 34180, 29644, -4473, -4473, -4473,  3011, 14306,  3048, 34180,
   -4473, -4473, 34180,  3016,  2470,  2470, 34180, -4473, -4473, -4473,
   -4473,  2986,  2470, -4473, 34180, 34180,  2470,  2470,  2978,  2978,
   -4473,  4561, 34180, -4473, 48044, 34180, 35692, 27149, 34180,  3082,
    3029,  2470, -4473,  2470, -4473, 34180, 28636, -4473, 34180,  3221,
   36700, 34180,  1259,  3232, 34180,  1259,  3428,  3428,  1149,  3141,
    8156,  3027,  1821, -4473,  3136,  2470, -4473,  2470,   896,   155,
   59317, 34180, 54934,  3109,   172, 79732, 34180,  3038,  2170, -4473,
   34180,   877, -4473,  3041, 34180,  3108, 34180, 34180, 34180, 34180,
   34180, 34180, 34180, 34180, 34180, -4473, 37680,   296, -4473,  1007,
    2229, 68068, 30148,  3315, -4473, 26644, -4473,   312, 71956, -4473,
   -4473,  1821, -4473, -4473, -4473, -4473, -4473,  2100,  3039, -4473,
    3049, -4473, -4473, -4473, -4473, -4473, 79732,  3132, -4473, -4473,
    3112, -4473, -4473, -4473, -4473,   731, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473,  3050, -4473, -4473, -4473, -4473,  3050,
   -4473, -4473,  2999,  3055,  4012, -4473, -4473, -4473, -4473,  3303,
    3309,   432, 98194, 79732,   137, 70498, -4473, 30652, -4473,  2107,
   -4473,  3045, -4473,  3294, -4473,  3054, -4473,  8277,  3294, -4473,
   -4473,   193,  3152,  3295,  3240, -4473, -4473, -4473,  3058, 14306,
   -4473,  2138, 14306,  2189, -4473, -4473, -4473, -4473, -4473, -4473,
     985, -4473, 79732,  3194,  3059,  1600,  3115,   904, 79732, -4473,
   44079,  2118, -4473,  2324, -4473, -4473, 23043, -4473, 24619, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  3063, -4473,
   -4473, -4473, -4473,   419,  3068,  3542, -4473,102054, -4473, -4473,
   -4473,  3489, -4473,  2417, -4473,  2417,  3568, -4473, 71956, -4473,
   -4473, -4473, -4473,  1089, -4473, 15370, -4473, 15370, -4473,  3072,
    2112,  3145,  3153,  3203,105398, 79732, 79732, -4473, 54934,105398,
   79732, 79732,105398, 79732, 79732, -4473,  3443,  1049, 66124,  3207,
   64180, -4473, -4473,  3090, 79732,  3143,  3324,  3327,   726, -4473,
   -4473, 92854, -4473,  3284,105398, 79732, 79732, 34180,  3289, 79732,
   79732, -4473,   290,  3168,  3171, -4473, 79732,  3174, 55908,  3102,
   79732, 79732, 79732,  3175,   460, 55908,  3147, 48543, 79732, 79732,
   79732, 79732,  3225, 79732, 79732,  3342,   837, 73900,   313,  2188,
    2869,  3302, -4473,  1262, -4473,105398, 79732,  3299, -4473, -4473,
   -4473, 64666,  3505,  3215, -4473, -4473, 96256, -4473, -4473,  3296,
   -4473, -4473, 60291, -4473, -4473,  2129, -4473, 59804, 57369, -4473,
   -4473,   736,105398,105398,  6415, 79732,  1184, -4473, -4473, 59317,
   -4473, 79732, 79732, 79732, 70984, 93340, 93826,  1061,  1289, 79732,
   71470, -4473, 79732, -4473, -4473, 55421,105398, 79732, 54934, -4473,
   79732,  3301,  1028, -4473, 79732,  3046,  3193, 79732,   333,  2260,
    2869, 79732, 79732,  3117,  2147,  3196,  3242, -4473, 79732, -4473,
  105398,  1421, -4473,  3262,105398, 79732,  6831, -4473, -4473,   419,
   -4473, -4473, -4473, -4473, -4473, 79732, 79732,   419, 79732,   419,
    1335, -4473,105398, 79732, -4473, -4473, -4473,  6426, 79732, 79732,
   79732, 79732,105398, 79732, -4473, -4473,  1213,  1413,  1588,  1753,
    3264, 79732,  3390, 79732, 94312,105398, 79732, 79732, 79732,  1910,
   -4473, -4473,  3239, -4473,105398,  1421,  6737, 79732, 79732,  3204,
    3205,   104,  3281, -4473, -4473, -4473, -4473, -4473, -4473,  3371,
    3535, 79732, -4473,  3375,  3376,  3192,  3199,  3380,  1767, 79732,
   -4473, -4473, -4473, -4473, 79732,  3383,  1767,  3331,   547, -4473,
   -4473,  2639, -4473,  2162, -4473,  3163, -4473, 34180,  3552, 59317,
    3158,  3159,  3227, -4473,  3234,  2470, -4473,  2167, -4473, -4473,
    2171, -4473,  3176,   812,  1523, -4473, 54934, 79732,   502,   842,
    3457, 63208,  2784,  3447, 79732,  3206, 79732,  2784, 79732, -4473,
    2643, 66124, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473,  3450, -4473,  2628,  2632,  2632,  2632,  2632, -4473, -4473,
   -4473, -4473,  3350,  1971, -4473,  3172,  2632, 79732,  3278,  2784,
    3179, -4473,  1584,  3465,  3467, 79732, 63208,  2193,  3209,  3581,
    2105,  2628,  3365, -4473, 28145,  5835,  3366,102890, 75844, -4473,
    3195,  3454,  3456,  3475, -4473,  2438, -4473,  3591, -4473,  3488,
     432,  2461, -4473,  2680, -4473, 79732, -4473, 79732, 79732, 79732,
   79732,  2480, -4473, -4473,  2680,  3379,   432,   432, -4473,  3382,
     432,  2680,  3304,  3478,102890, -4473,   143, -4473, -4473, -4473,
   -4473, -4473, 34180, -4473, -4473,  2105,  1997, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, 71956,  2417,
   -4473,  2184, -4473, 79732, -4473,  3455,  3458,  3461,  3200,  3208,
    3233, 79732,  3210, -4473,  3200,   419,  3200,  2762,  2762,  3200,
    3208,104980,  3618,  3481,   426, -4473,   707,   749,  3415, -4473,
   -4473, -4473, -4473, 59317, -4473, -4473, -4473, -4473, -4473, 79732,
     910, -4473,    54,  3392,  3213,104980,  3595,   432, -4473, 55908,
   -4473, -4473, -4473,  3287,  3298, 55908,  3405,  3259, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473,  3453, 79732,  2198, -4473,  1862,
   -4473,  1884, 34180, 34180,   267, -4473, 12524,  2213, 34180,  3220,
    3222,  2216, -4473, -4473, -4473, -4473, -4473, -4473,  3223,  3502,
   -4473, -4473,  3228,  2234,  2262,  3231,  3235, -4473, -4473,  7343,
    3236, 13087,  3237, 35692, 35692,  1616, -4473, -4473, 35692,  3238,
   -4473,  2267,  8936,  3230,  3241,  3243, -4473,  3244,  3245, 13329,
   31660, 34180, 31660, 31660, 13830,  3230,  3247,  2270, 54934,  3393,
   13938,  2274, -4473, 34180, 54934,  7537, 34180, -4473, 34180, 79732,
    3248,  3249, -4473, -4473,  4561, -4473,  3252, -4473, 35692, 35692,
   -4473,  3547, 29140, -4473, -4473,  3520, -4473, -4473,  1010, -4473,
    3251, -4473, -4473,  5157,   245, 34180,  3038, 34180,  3326, 48044,
    3793, 34180,  3469,  4954,  4954,   834,   834,   138,   138,   138,
    1937,  2229, -4473, -4473, -4473,  3253,  2750, 34180, -4473,  2368,
    2378, 79732,  7180,  9486, 10029, -4473, -4473, -4473, 39178,  3292,
   34180, 34180, 34180,  3256,  3398,  3659, 14306,  1067, -4473,  3672,
   -4473, -4473, -4473,   323,  3568,  2100, -4473,  1246,  2470,   896,
  100786, -4473, -4473, -4473, 34180, -4473, -4473, -4473, -4473,  2290,
   -4473, -4473, -4473, -4473, -4473, 79732,  1847, 34180, -4473, -4473,
    1857,  1991, 34180,  2138, -4473, -4473,  3312, -4473, 34180, -4473,
   -4473, -4473,  2762, -4473, -4473, -4473, 39178,  3300,  3305, 43099,
    3389, -4473, -4473, 79732,   183, -4473, -4473, -4473,  3274, -4473,
   -4473, -4473,  1266, -4473, -4473, -4473, -4473, -4473, -4473,  3258,
   -4473,  3265, -4473,  3306, -4473, -4473, -4473, -4473,   169,  3263,
    3266,  3273,  1627, -4473, -4473,105398, 79732, 79732, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  3486, -4473,
  105398,105398,  3449, 79732,  3459,  3460, 34180,   862, 79732,  3307,
    3313,  1349,  3532, 79732, -4473,  3573,   432, -4473, -4473,  3353,
   -4473, 14306, -4473, -4473, -4473, -4473, -4473,105398, 79732, -4473,
  102890, -4473,  2438, 59317, -4473, -4473, -4473, 79732,  3316, 79732,
   -4473, 79732, 79732, 79732,  2480, -4473, -4473, -4473, -4473,  1123,
   -4473, -4473, 79732, 79732,    76,  3355,  3356, 79732, -4473,   729,
    3074,  7004, 79732, 79732, 79732,  3533, -4473, -4473, -4473, -4473,
    3477, -4473, -4473,  2033, -4473, 57369, 59804, -4473, 59804, -4473,
    2033,  1571, -4473,  2680,  3362,  2869, -4473,  3468,  1179, -4473,
   -4473, -4473, -4473, -4473,  3587,   432,  3588,   432, 79732, 79732,
   79732, 79732, -4473, -4473, -4473, -4473, -4473, 54934, 54934, 54934,
    2315, -4473, -4473,  2628, -4473, -4473, -4473,  2323, -4473,  1318,
   -4473, -4473, -4473, -4473, -4473, -4473,105398,  7120, 79732, 79732,
   79732,  2130, -4473,   298, 59317, -4473, 58830,105398, 79732, -4473,
   -4473,  3515,  3462, -4473,  1838,  3463,105398,  3352, -4473, -4473,
    3369, -4473, -4473,  3370,  2264,  2869,  1584, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473,   352,  2272,  2869,  3378, -4473,
    3386, -4473, -4473, -4473,  3513,  3514,  3516,  3391,  3394,  3421,
    3395,  3396,  3425, -4473,  3397,  3434,  3401,  3435,  3402,   432,
   59317,  3525,  2628,  3426,  3614,   432, -4473,  3407, -4473, -4473,
    3718, -4473, 79732, -4473,  3410,  2292,  2869, -4473, -4473,105398,
   79732, -4473, -4473, -4473,  1767, 59317,  3570,  1767,  1767, 79732,
   79732,  1767, -4473, -4473, -4473,  3576,  3577,  1767, -4473, -4473,
   -4473, -4473,  2732,  3339, -4473,  2165, 45549,  8192,  3346,  3159,
    3344,  2470, 41629,  1467,  3546,  3348, -4473, -4473, 54934, 45549,
    1972,  3564,  3359,  3359,  3359,  3359,  3359,  3359,  3359, -4473,
    1830,   274,  2639,102890, 79732,102890, -4473,   842,  3468, 79732,
   79732,  3349,  3354, -4473, -4473, -4473, -4473,105398,    89,105398,
    2470, -4473, -4473,  3412, -4473, 79732,  2105,  3749,  3044,  1498,
    3492,  1620,  3694, -4473, -4473, -4473, -4473, -4473, 79732, 79732,
     812,  2628, -4473,  3360,  3357, -4473, 79732, 79732, 79732, 79732,
    1847,  3363,  3361, 59317,   624,  3551,  3554,  2863,  3764,  1847,
    3209,  3448, 79732, -4473,  2343,    78, -4473,  2628,102890, 57856,
   -4473,  4525, -4473, -4473,   714,  3647, -4473, 79732, -4473, -4473,
   42609,   432, 59317, 79732, -4473,   432,   143,  3429,   432,  3433,
     432,   432, 79732, -4473, -4473, 79732, -4473, 79732,103726,   432,
   -4473, 14306,  3667, -4473, -4473, -4473, -4473,  3503,  3504,  3506,
   79732,  3200, 55908, -4473,  3388,105398,  1491, -4473, -4473,  3562,
   -4473, -4473, -4473, -4473, -4473,  3684,  3690, -4473, -4473, -4473,
   -4473,  3729,105398, 67096,   157,105398, -4473,  2438, -4473, -4473,
    2461,   419, -4473, 79732,  3635, -4473, -4473, -4473,  3403,  2361,
   13975, 34180, -4473,  3705, 59317, -4473,  8790, -4473, -4473, -4473,
   -4473, 34180, -4473, -4473, -4473, -4473, -4473, 34180, -4473, 34180,
    3682, -4473,  3823,  3823, 59317, 35692,  1656,  2743, 35692, 35692,
   35692, 35692, 35692, 35692, 35692, 35692, 35692, 38184,   776, -4473,
   -4473, 34180, 34180,  3691,  3682, -4473, -4473,  1346,  1346, 59317,
    3404,  3230,  3406,  3408, 34180, -4473, -4473,  2384, 37190,  3409,
   54934, -4473, 34180, 11004,  2398,  3464, 14259,  1821,  9058, -4473,
    3786,  2628, 34180,  1241,  2388, 34180,  2404, 34180,  3696, -4473,
   -4473, -4473,  3414, -4473, -4473, 59317, 34180, 35692, 35692,  5244,
   -4473,  5469, 34180,  3416,  5680, 29140, -4473,   960,   960,   960,
     960, -4473, 79732, 79732, 79732, 39668, 38688, 76816,  3418,  1489,
   -4473, 76816, 77302, -4473,  3419,  1821, 34180,  3697,   882,   882,
    3423,  3398, 44569, -4473, 34180,  1595, 32164,  3431, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473,  3427, -4473,  3439, -4473, -4473,   782,  3436,
   -4473, -4473,  6561,   169, -4473, -4473,  3437, -4473,  3422, -4473,
    1991, -4473, -4473, -4473,  9986,  3610, -4473, -4473,  3418, 32668,
    3389, -4473,  2409, -4473, -4473, 30148, -4473, -4473,  2412, 44079,
    3300, 30652,  1821,  2470,  3452, -4473,  2417,   323, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473,  3359,  2680,  2680,   752,
    3200,  3719,   752, 10361, -4473, -4473, 40158, 79732, 79732, -4473,
   79732,  2420,  1622, 79732, -4473, 79732, -4473, -4473, -4473, -4473,
    3836, -4473, 79732, -4473, -4473,  3493,  3494, -4473, 79732, 79732,
   79732, 79732, -4473, -4473,  2446, -4473, -4473,105398, 79732, -4473,
   -4473, -4473,   363,  2450,  2869, -4473,  3517, -4473, -4473,  3689,
    1772, -4473, -4473, -4473,  3510, 79732,  3446, -4473,  1124,  2863,
      62, -4473, -4473,  3519, 79732, -4473, 79732, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, 55421, -4473, -4473, -4473,
   54934, 45549, 54934, -4473,   380,  2578,  2869, -4473,  3522, -4473,
    3523,  3524,  3574,  1131,   188,  3540,  3541,  3578,  3473,  3484,
    3485, -4473, -4473,   216,  2628, -4473, -4473,  2628,  2680,  2628,
   79732, 79732, 79732, 79732, 79732, 79732, 79732, 79732,  3753,   158,
    1900,105398, 79732, 79732,105398, 79732, 79732, 79732, 79732, 79732,
   79732, 79732, -4473,  3834,  3784,  2031,  3824,  3557, 79732, -4473,
   79732,  3074, 79732, 79732, -4473, -4473, -4473,  3496,  1767, -4473,
   -4473,  3733,  3734, -4473,  1767,  1767, -4473,   244, 54934, -4473,
    2789, -4473,  3163,  3422,  2470,  2156, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473,  2470,  2209,  3499, -4473, 42119, -4473, -4473,
   -4473,  2358,   896, -4473, -4473, 79732,  3359, -4473,  2341,  2512,
    2568,  2932, 77788, 78274, 78760,  3500, 79732, 79732, 35692, -4473,
    1625,   875, -4473,  3736, 79732,  3536, -4473, -4473, -4473,  3650,
   79732, -4473, -4473, -4473, -4473, -4473,  3508, -4473,  3613, 63208,
    2680,105398,105398,  2680, -4473, 59317,  3509,  3209,105398,  1498,
    1235, 89452,  3537,  3501,  3790, -4473,  3511,  3507, -4473, -4473,
   79732,  3468,  2423,   614,  2074,  3037, 65152,  2193,  3765, -4473,
   -4473, -4473,  3875,  3599, -4473,  1847,  3037,  3599,  2628,  3143,
   -4473, 57369, 34180, 34180, -4473,  3518, -4473,  3527,  5874, -4473,
    2632, -4473, -4473, -4473, -4473, -4473, -4473,  3594, 79732,  3945,
   -4473, -4473, -4473,  3529,   432, -4473, -4473, 79732, -4473, 79732,
   -4473, -4473,   432,   432, -4473,  3638, -4473,  1847, 79732, 79732,
   79732,  3200, -4473,   419, -4473,  3806,104980, -4473, -4473, -4473,
   -4473, -4473,   227,  3812, -4473, -4473,  3775,  3776,  3783,  3785,
    1870, -4473, -4473, 34180, 14306, -4473,  3544, -4473, 14306, 10642,
   14306,  3691, -4473,  1938,  3829, -4473,  1324,  3556,  1938,  2004,
    2004,   501,   501,   120,   120,   120,  3823,   776, 14306, 14306,
   -4473, -4473, -4473, -4473,  3550, -4473, -4473, -4473,  3230, -4473,
   34684,  3699,  3935, -4473, -4473, -4473,  3598,  3600,  3558, -4473,
   34180, 35188,  3555, 60291, -4473, -4473,   896,   334, 35692, 35692,
    2289, -4473,   114, 34180, 59317,  2426,  2289,  2543,  2635, 34180,
   34180,  5813,   325, 34180, 11045, 79732, 79732, 79732, 79732, -4473,
   -4473, -4473, 76816, 77302, 41138,  1489,  3565, 79732, -4473, -4473,
    3567, 39178,  3801,  3744, -4473, 39178,  3744,  1798,  3744,  3808,
   -4473, 45059, -4473, -4473,  3582, 26644,  2044, 14306,  3959,  3847,
   34180,  3583, -4473,  3584,  3398, -4473, 96742, -4473, -4473, 14306,
   -4473, -4473, 34180, -4473,  3398,   323,  1037,  2628, -4473, -4473,
   -4473, 48044, -4473, -4473, -4473,  3772, 14306, -4473,  1847, 79732,
    1821,    60,  3601, 79732, -4473,  3389, -4473, -4473, 15370, -4473,
   -4473, -4473,   216, -4473, -4473, -4473, -4473,  3652, 66124,  3867,
   -4473, 34180,  2429, -4473,  3624,  3956,    88,  2441,  2444,  1622,
   -4473,  3536, -4473,  1683,  3848,   151, -4473,   432, -4473, 59317,
   -4473, 79732, 79732, -4473, -4473, -4473, -4473,  2806, -4473, -4473,
   79732, 79732, 79732, 79732, -4473,  3660, -4473, -4473, 54934,  1830,
    3787, -4473, -4473,  3789,   216, 79732, -4473, 59317,   432,   432,
   -4473, -4473, -4473,  3607, 79732, 79732, 79732, 79732,105398, 79732,
   79732,  2470,  2470, 59317,  3596, -4473,  2470,  2470,  3603, -4473,
  105398, 79732, 79732, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473,  3676, -4473, -4473, -4473, 79732, 79732,
   79732, 79732,  3899, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, 79732, -4473, -4473,  2628,  2628, 59317,
     432,   432, -4473, -4473, -4473,  3843, -4473,  1767,  1767, -4473,
   -4473,   223,  2451, -4473, 99095, -4473, -4473,  3008,  2628,  3008,
      92, -4473, -4473,  3008, -4473,  3008, -4473,  1622,  3608,  1803,
    3886, -4473,  1813, 42119, 42119, 42119, 42119, 42119, -4473, -4473,
    3890,   216, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, 34180, -4473,  1301,
    1938, -4473, -4473, -4473, -4473,  3536,  2105,  3663, 55908,   311,
   -4473,  3872,   502, 63208,  1785, 79732, -4473,  2680,  2680,  3666,
   79732,  4018, -4473,   633, 79732,  3929,  3664, -4473,  2628, -4473,
   -4473,  3209, 79732, 63208,  3037, -4473,  2472, -4473, -4473, -4473,
    3655,  3554,  3622,  2193,   711, 79732, -4473,  3661, -4473, -4473,
    3905,  3628, -4473, 14306, 14306,  2628, 60778,  4525, -4473, 79732,
    3881, 79732, -4473,   432, -4473,   432,   432, -4473, -4473, 79732,
    3200,  3200,  3200, -4473,  3809, -4473,   432,104980,  1870,  1870,
    1870,  1870, -4473, -4473, -4473, 14306, -4473, -4473, -4473, 35692,
    3911, -4473,  3633, 59317, -4473,  3634,  2476,  2482, 36700,  3777,
   -4473, -4473, -4473, 11145,  3683, 14306,  3735,  3636,  3639, -4473,
     869,   869,   114,  2488, -4473, 35692, 35692,  2289,  2289, 34180,
    2289, -4473, -4473, -4473, -4473, -4473, -4473, -4473, 76816,  3641,
   79732,  1489, 39178, -4473, -4473,  1371, -4473, 39178,  3878, -4473,
   39178, 79732,  3643, 79732,  1191, 34180, 34180,  3679,  3398,  3398,
   -4473,  3811, -4473,  3645, -4473, -4473,  2156, -4473, -4473, -4473,
   -4473,   896,  3648, 71956, -4473, -4473, -4473,  1149, -4473, -4473,
   -4473, -4473,104980,  3830,104980,  1622, 11287,  3536, 40158, 49042,
   79732, 79246, 79246,  3791,  3536,  3663, -4473, -4473, -4473, -4473,
   -4473, -4473,  3651, -4473, -4473, -4473,  3727, -4473, -4473, -4473,
    2508, -4473, -4473, -4473, -4473, -4473,  3834, -4473, -4473, 45549,
   -4473,  3728, -4473, -4473, -4473, -4473, -4473, 40648, 48044, -4473,
    1131,  3656,  3662,   188, -4473, -4473, -4473, 79732,  1524,  1277,
    3693,  3200,  3940, -4473, -4473, -4473,  3834, -4473, -4473,  1767,
   -4473, -4473, -4473,  2639,  3981, -4473, 54934, -4473,101212, -4473,
   -4473, -4473,  2628, -4473,  2628,  3852, 51003,  2628,  2628, -4473,
   55908,  4063,  4063, -4473,  2083,  2083, -4473, -4473, -4473, 79732,
   -4473, -4473, 11624,  3855, -4473,  3663,  3877,  3923, -4473,  3668,
   79732,  3820,  3670,  3673,   868,   868,  3468, 79732,  2513,  1847,
    1498, 63208,  3468, -4473,  1680,  3677,  3970, -4473,  4076,  3363,
    3678, -4473, -4473, 65152,  3856,  3599, 79732,  3554,  3802, -4473,
    3805, -4473,  1398, -4473, 79732, 40158, -4473, 59804, -4473,  2522,
   -4473, -4473,  3292, 79732,   883, -4473,  3700, -4473, -4473, -4473,
   -4473, -4473, -4473,   157, -4473, -4473, -4473, -4473,   816, 35692,
   59317,  2540, 34180, -4473, 34180, -4473,  4067, -4473, -4473, -4473,
       8, -4473, -4473, -4473,   869,   869,  2289, -4473, 79732,  2547,
   -4473, 34180,  3688, -4473, -4473, 39178,  1371,  2558, 79732,  2574,
   59317,  3398,  3230, 14306, 79732, -4473, -4473, -4473,  4075,  3869,
    3398, -4473, -4473, -4473, -4473, -4473, -4473,  1491,   752,   157,
    3956,  3663, -4473,  3695, -4473, -4473, 79732, -4473,  1198,  1198,
   79732,  3663, -4473, -4473, 79732, -4473, 54934,  3746, -4473, 79732,
   59317,  2461,    55, -4473, 59317, 59317, -4473, -4473, 79732, 79732,
   79732, 79732, 79732,   432, -4473,  3339,  2628, -4473, -4473,  2582,
   -4473, -4473, -4473, 79732, -4473,  3501, -4473, -4473,  4063,   715,
   -4473, -4473, -4473,  1708,  3894, -4473,  1261,  3879,  3782,  3701,
   -4473, 55908,  4129,  3814, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473,  3995,  3209,  3661, -4473, -4473, -4473, -4473,
   34180,  3857,  1847,  2193,  3765, -4473, -4473, -4473,  2587,  3599,
   -4473, -4473,  4078,  3888,  4081, -4473,  2588, -4473, -4473,  5874,
   60778,  4026, -4473,  3760, 79732, -4473, -4473,  2492,  4136, -4473,
     816,  2591, -4473,  2600,  2614,  3860,  3761, -4473,  2615, -4473,
   14306, 79732, -4473, -4473, -4473,  2618, -4473,  3717, -4473,  4121,
   34180,  1065, -4473, -4473,  4002, -4473, 79246,  3762, 48044, -4473,
    1991,  1991,  2105, -4473,  1622, -4473, -4473, 34180, -4473, -4473,
    2641, -4473,  1442,  3868,  4011,  2642,  2645,  3208,  3763,  3208,
   -4473,  3200, -4473, -4473, -4473, -4473,101212,  3501, -4473, -4473,
   -4473,  4037,  3985, -4473, -4473, -4473, -4473,   308, -4473,  3914,
    3917, 79732, -4473,  3737, -4473,  2646, 79732, 79732,  4138,  4139,
   -4473, 11778, 55908, -4473,  3554,  2193,  1830, -4473, -4473,  3920,
   -4473,  3921,  3209, 40158,  4525, -4473,  1003, -4473, -4473, -4473,
   -4473, -4473, 79732, -4473, -4473, -4473, -4473, -4473, -4473,  2649,
   -4473, 79732,  3745,  3230, 33172, 33172,  3743,104980,  1198,  3750,
   -4473,  3748, -4473, -4473,  3877,  1622, 14306, 55908,  4134, -4473,
   -4473, -4473,  3868, -4473, -4473, 79732, -4473,  3876, -4473,  1120,
    1120,  4069, -4473,  3813, -4473, -4473,  3756, -4473,  4180,  3468,
   -4473,  1131,  1847, -4473,  3758,  3599,  3554, -4473, -4473,  3599,
   -4473, -4473, -4473, -4473,  1764, -4473, -4473, -4473, -4473, 36196,
    3883,   622, 12867, -4473, -4473, -4473, -4473,   157,  1991, 34180,
    1622, -4473,  3879,  2461, 79732, -4473, -4473,  3664, -4473,  4176,
   -4473,  1077, -4473, -4473, -4473, -4473, -4473,  3596, -4473, 54447,
   -4473,  3599,  3292, -4473,  1939, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473,  4164, -4473, -4473, -4473, -4473, -4473, -4473, -4473,
   12287, -4473, -4473, -4473,  4060, -4473, -4473, -4473,  2659, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473,  1684, -4473, -4473,  1866,
    2293, 33676, -4473,  1622,  3915, -4473, 54447, -4473,  1939, -4473,
   55908, -4473, -4473,  3767, 54447,  2660, -4473
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2318,     0,     2,     1,  2748,  2752,  2756,  2757,  2674,  2758,
    2759,  2724,  2725,  2726,  2727,  2728,  2729,  2730,  2731,  2732,
    2733,  2734,  2735,  2737,  2736,  2738,  2739,  2740,  2741,  2742,
    2743,  2744,  2745,  2747,  2746,  2696,  2325,  2693,  2690,  2691,
    2692,  2697,  2695,  2688,  2689,  1919,  2761,  2749,  2762,  2750,
    2751,  2753,  2754,  2723,  2755,  2763,  2764,  2765,  2760,  2768,
    2719,  2720,  2718,  2721,  2722,  2766,  2767,  2710,  2711,  2712,
    2713,  2769,  2326,  2327,  2715,  2319,  2323,  2385,  2456,  2716,
    2717,  2714,  2324,  2709,  2456,     0,  2577,  2578,  2579,     0,
    2580,  2581,  2582,  2508,  2470,  2583,     0,     0,  2584,  2585,
    2586,  2587,  2588,  2589,  2590,  2591,     0,  2592,  2593,  2594,
    2595,  2455,  2596,  2597,  2598,  2599,  2600,  2432,  2438,  2561,
       0,  2412,  2413,  2409,  2411,  2410,  2414,  2397,  1196,   544,
    1282,  1281,     0,  2220,  1196,  2176,  2177,  2221,  2178,  2179,
    2180,   256,     0,  1284,  2181,  2222,     0,  1196,  2223,   369,
     965,  2224,  2225,  2340,     0,  2182,  2183,     0,     0,     0,
     544,  1196,     0,     0,  2184,  1396,  2185,     0,  2186,  2226,
    2227,     0,  2187,  2228,  2229,  2188,  2189,  2190,  2230,  2231,
    2232,  2191,  2233,  2234,     0,     0,  1410,     0,  2192,  2235,
    2193,  2194,     0,  2236,  2195,  2196,  2197,  2237,  2238,  2239,
    2198,  2199,  2200,     0,  2201,     0,     0,     0,     0,     0,
       0,  2240,  1196,  2202,     0,     0,  1417,     0,  2203,     0,
    2241,  2204,     0,  2205,     0,  2206,  2207,  2208,  2209,  1410,
    2557,  2433,     0,  1286,     0,  2210,  2242,     0,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1284,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1383,  1370,  1419,  1382,  1395,     0,  1385,  2653,
    2654,    35,  1396,   118,   119,   124,  2322,  2374,  2375,  2376,
    2456,  2407,  2408,  2401,  2417,  2427,  2416,  2420,  2428,  2415,
    2434,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2655,  1602,
    2652,    61,  2392,  2391,     0,  2456,     0,  2685,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,
    1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,
    1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,
    1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
    1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,
    2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,
    2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,
    2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,
    2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,
    2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,
    2073,  2074,  2075,  2076,  2077,  2078,  2079,  2082,  2080,  2081,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,
    2143,  2144,  2340,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,  2358,  1920,  1928,  1929,  1930,  2333,
    2354,  2360,  2681,  2359,  1927,  2507,     0,     0,  2601,  2602,
    2603,  2604,  2605,  2606,  2656,  2657,  2658,  2659,  2660,  2662,
    2661,  2469,  2628,  2665,  2468,  2666,  2472,  2667,  2668,  2669,
    2670,  2629,  2671,  2471,  2663,  2625,  2473,  2466,  2467,  2626,
    2575,  2576,  1897,  2627,  2624,  2664,  2361,  2623,  2477,  2476,
    1360,  2680,  1896,  1361,     0,  2479,  2607,  2608,  2609,  2610,
    2612,  2611,  2613,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2638,  2255,  2256,  2257,  2651,
    2258,  2259,  2639,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2640,  2641,  2284,
    2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,
    2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
    2305,  2306,  2307,  2642,  2308,  2309,  2643,  2310,  2311,  2312,
    2644,  2313,  2314,  2315,  2316,  2317,  2648,  2649,  2650,  2637,
    2430,  2614,  2636,  2647,  2645,  2646,  2440,  2436,  2444,  2439,
       0,     0,     0,     0,  2456,  1195,  1194,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,     0,  1206,
     341,   340,  1283,  1264,   544,     0,  1183,   368,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
     392,   391,     0,     0,     0,   937,   397,     0,     0,     0,
       0,     0,   532,  2339,  2334,  2344,     0,  2337,  2338,  2623,
       0,  2772,  2080,  2370,  2371,  2770,  2130,  1362,   257,   260,
     258,   259,     0,  1037,  1038,  1040,     0,     0,  1050,   770,
     771,     0,   769,     0,   773,     0,     0,     0,   765,     0,
       0,     0,     0,     0,   772,   762,     0,   761,     0,     0,
       0,   768,     0,   763,     0,     0,  1184,     0,  2422,  2423,
    2020,  1323,   398,     0,     0,  1396,     0,  1301,  1302,  1284,
    1291,  1303,  1296,  1298,  1297,  1299,  1295,  1300,  1932,   876,
    1946,   876,  2010,   873,   874,   876,   876,   876,  2097,     0,
       0,   848,     0,   859,  1923,   876,  1924,  2681,   881,   453,
     453,   453,     0,   880,   885,   453,  1177,  1215,  1901,  1409,
       0,  1946,  2010,   849,  1176,  2145,  1315,     0,     0,     0,
    1054,     0,  1055,     0,  2112,  1188,   241,  2621,  2121,  2206,
    2145,  2622,   237,  2616,  2617,  2619,   211,  2620,  2618,  2615,
    1936,     0,     0,   880,     0,  1185,  1186,   832,  1416,  1414,
       0,     0,     0,  1954,     0,  1966,  2046,   234,  2108,  2113,
    2121,  2206,  2145,  2173,   191,   196,     0,   250,  2121,  2206,
    2145,     0,  1206,     0,  1386,  1502,  1892,     0,     0,  2431,
    1179,  1178,  1285,     0,  1288,     0,  1464,  2093,  1390,  1392,
    1290,  1383,     0,     0,  2321,  1279,  1413,  1413,     0,  1413,
       0,  1375,  1383,  1378,  1382,     0,     0,     0,     0,  1196,
       0,  2399,  2427,  2406,  2462,  2403,     0,     0,  2452,  2448,
    2445,  2453,  2454,  2447,  2435,  1591,  1592,  1593,  1590,  1603,
    1589,     0,  2380,  1594,  2419,  2386,     0,  2394,  2393,  2698,
    2699,  2509,  2332,  2351,     0,     0,     0,     0,     0,     0,
       0,  2478,  2480,  2482,  2442,  2441,  2437,     0,     0,     0,
       0,  2567,  2568,  2566,     0,  2563,  2565,     0,  2462,     0,
    2632,  2626,  2635,     0,  1902,  2627,  2624,  2623,     0,   780,
       0,   139,   925,     0,     0,     0,     0,  1896,     0,     0,
       0,     0,     0,  2019,     0,     0,     0,  1797,  1958,  2006,
    1807,  1805,  1806,  1799,  1800,  1801,  1802,  1803,  1804,     0,
    1035,  1798,     0,   161,   139,     0,     0,  2019,     0,     0,
    2019,     0,     0,     0,     0,     0,  2049,   139,  2019,     0,
       0,     0,  1200,     0,     0,     0,  1202,  1205,  1181,  1267,
       0,  1892,     0,     0,   811,   801,     0,   812,   802,   807,
       0,   814,     0,     0,   804,     0,     0,     0,   815,     0,
     803,   805,   817,   806,   813,     0,     0,   808,   809,     0,
       0,  1192,   453,   347,     0,     0,     0,     0,     0,   139,
    1254,     0,  2019,   139,     0,     0,   396,   395,   139,   394,
     393,  1958,  2006,     0,   964,   139,  2019,     0,   184,   614,
     547,     0,     0,   692,  2049,   139,     0,     0,     0,     0,
       0,     0,   940,     0,     0,   531,   544,     0,  2343,  2349,
       0,  2341,  2510,  2773,  2771,  2465,     0,  1041,   235,   236,
    1039,  2019,     0,   319,     0,     0,  2019,  1243,   767,     0,
     766,  2019,     0,  2019,  1921,   175,     0,   764,  1958,  2006,
    2019,     0,     0,  2019,   167,  2019,     0,  2019,   319,  2019,
     548,     0,  2019,     0,  2019,  2049,   169,     0,  2019,   319,
     778,     0,     0,  2703,  2707,     0,  2705,  2700,  2421,  2475,
    2474,  2373,     0,  2783,     0,  1362,  1293,  1308,     0,  1304,
    1311,  1307,  1396,   876,   875,     0,   876,     0,  2792,   876,
       0,   876,     0,  2792,   876,     0,     0,     0,   876,  1925,
    1926,     0,     0,  2791,  2789,  2790,   850,   860,     0,   882,
       0,     0,   889,   888,   887,     0,     0,     0,   890,  1506,
    1338,     0,   857,     0,   855,     0,  1174,  1191,     0,     0,
       0,     0,     0,  1057,  1057,  1057,  1187,   240,   238,     0,
       0,     0,     0,     0,     0,  1193,     0,     0,     0,     0,
    2687,  1908,  1808,  2686,     0,  2177,  2178,  2179,  1866,     0,
    2628,  2180,  2181,  2222,  1720,  1707,  1716,  1721,  1708,  1710,
    1717,  2182,  2183,  1990,  2184,  2185,  1915,  2186,  2187,  1546,
    2189,  2190,  2191,  1712,  1714,  2192,  2193,     0,  1916,  2195,
    2196,  2068,  2198,  2199,  2201,  2202,  1718,  2204,  2205,  2206,
    2207,  2208,  2209,  1914,     0,  1719,  2210,  2212,  2213,  2214,
    2215,  2216,  2217,  2218,  2219,     0,     0,  1889,     0,  1692,
       0,  1538,  1539,  1561,  1562,  1540,  1567,  1568,  1580,  1541,
       0,  1888,  1605,  1691,  1697,     0,  1690,  1686,  1399,  1884,
       0,  1687,  1904,  1867,  1918,  1917,  2681,  1875,  1907,  1905,
    1906,     0,     0,     0,   203,     0,     0,  2556,   252,     0,
     253,  1890,  2121,   192,   233,   205,   232,   206,   204,     0,
    1956,   193,     0,     0,   194,     0,     0,     0,     0,     0,
       0,     0,   246,  1182,     0,  1504,  1503,     0,     0,  1873,
    1893,   787,     0,  1277,  1278,  1276,     0,  1273,  1275,  1287,
    1284,  1880,  1879,  1881,     0,  1391,     0,     0,     0,  1373,
    1372,  1290,  1411,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,  1427,  1428,  1430,  1451,  1455,  1463,     0,
    1379,     0,     0,  1508,     0,  1465,  2320,  2462,  2463,     0,
    2457,     0,  2456,  2456,  2450,  2449,  2446,     0,     0,     0,
       0,     0,     0,     0,  2377,   526,  2379,   524,     0,     0,
    2353,     0,  2357,  2355,     0,  2502,  2505,     0,  2503,  2504,
    2506,     0,  2511,  2512,     0,     0,     0,  2694,     0,     0,
    2493,  2481,  2488,  2490,  2492,  2491,  2500,  2496,  2499,  2501,
    2443,  2456,  2574,     0,  2569,  2572,     0,  2564,     0,     0,
       0,  1903,     0,     0,     0,     0,   781,     0,     0,     0,
       0,     0,     0,   138,  1241,   243,  1239,     0,     0,     0,
       0,     0,     0,     0,  1246,     0,     0,   173,   174,   559,
     544,     0,  2019,     0,     0,     0,     0,   997,  1004,     0,
       0,     0,     0,     0,     0,     0,   998,   996,   999,   245,
    1008,  1021,  1024,     0,   915,     0,     0,     0,     0,  1106,
       0,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   263,   271,   314,     0,  2019,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   143,     0,
       0,     0,     0,     0,     0,   511,   523,     0,     0,     0,
       0,     0,   520,     0,   139,   265,   504,   508,     0,     0,
       0,   623,   622,     0,  1106,     0,   261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   333,   334,     0,     0,     0,   143,   166,     0,
       0,     0,   267,     0,  2387,     0,  1201,  1198,  1199,     0,
    1204,     0,  1263,     0,     0,     0,     0,   819,     0,   816,
       0,     0,   810,  1958,  2006,     0,     0,     0,     0,     0,
       0,   371,   346,     0,     0,     0,   689,     0,  1549,  1578,
    1556,  1578,  1578,  1545,  1545,  1558,  1547,  1585,     0,  1578,
    1545,  1550,     0,  1548,  1588,  1588,  1573,     0,  1530,  1531,
    1532,  1533,  1559,  1560,  1534,  1565,  1566,  1535,  1602,  2633,
    1545,  2634,  2631,  2630,     0,     0,   700,     0,  1218,  1253,
       0,     0,     0,   553,     0,  2019,     0,   141,   736,     0,
     690,   397,     0,   141,     0,     0,   178,     0,   618,     0,
       0,     0,     0,     0,     0,   638,   637,     0,     0,     0,
     691,     0,   141,     0,   507,  2019,     0,   453,   453,     0,
       0,   939,   942,     0,     0,     0,  2347,  2342,  2345,     0,
    2335,  2349,  1365,  1367,  1366,     0,  1364,     0,   319,   317,
     318,   687,  1049,     0,     0,     0,     0,   319,     0,     0,
    2019,   319,  2019,     0,  2019,     0,     0,   319,   319,     0,
       0,     0,     0,   619,     0,   777,   775,   774,   776,     0,
       0,     0,     0,     0,  2019,   319,     0,     0,   758,  2701,
       0,     0,  2704,     0,  2424,  1818,     0,  2786,  1320,  2787,
       0,     0,  1396,     0,   222,   223,   221,  1309,   224,  1310,
    1306,  1292,     0,   868,     0,  2792,  2793,   853,     0,   863,
       0,  2792,   851,     0,   864,   861,   862,     0,     0,     0,
    2788,  2672,  2678,   867,     0,     0,   454,   456,     0,     0,
    1976,  1989,     0,  2011,  2037,  2038,  2113,  2117,     0,  2140,
    2149,     0,   891,   920,   886,     0,     0,  1348,   858,   856,
    1175,  1313,  1824,     0,  1396,     0,   497,  1056,  1053,  1052,
    1051,   239,   212,     0,     0,     0,   922,  2112,  1190,   831,
     544,     0,     0,  1695,  1696,  1577,  1564,  1865,     0,     0,
    1572,  1571,     0,     0,     0,     0,     0,  1554,  1553,  1552,
    1694,  1832,     0,  1551,     0,     0,     0,     0,  1578,  1578,
    1576,  1625,     0,  1555,     0,     0,  1845,     0,  1851,     0,
       0,     0,  1584,     0,  1582,     0,     0,  1661,     0,     0,
       0,     0,     0,     0,     0,     0,  1609,  1610,  2629,  1692,
    1818,     0,  1693,  1911,     0,     0,  1570,     0,  1602,  1808,
       0,     0,     0,     0,  1878,     0,  1816,     0,     0,  1639,
    1814,     0,  1641,     0,     0,     0,  1807,  1805,  1806,  1799,
    1800,  1801,  1802,  1803,  1804,  1812,  1622,     0,  1887,     0,
    1621,     0,     0,  1467,  1398,     0,  1909,  1868,     0,  2679,
    2682,  1688,  2553,  2552,  2551,  2550,  2521,     0,  2515,  2516,
       0,  2554,  2555,   254,   255,   251,     0,     0,   208,   207,
       0,   230,   231,   202,   229,     0,   225,   226,   210,  1760,
    1759,   209,   201,   199,   197,   213,   215,   216,   200,   198,
     249,   247,     0,     0,     0,  1870,  1869,  1899,  1874,     0,
       0,   319,  2456,  1271,     0,  1268,  1883,     0,  1393,     0,
    1894,     0,  1280,  1389,  1388,  1420,  1421,   957,  1387,  1445,
    1446,  1441,     0,     0,     0,  1460,  1458,  1437,  1431,  1436,
    1434,     0,  1438,  1605,  1453,  1377,  1425,  1426,  1429,  1376,
       0,  1456,     0,  1348,  1454,  1430,  1335,     0,     0,  1509,
       0,     0,  2464,  2462,  2402,  1530,  2456,  2395,  2456,  2451,
    2383,  1596,  1597,  1598,  1599,  1600,  1601,  2384,     0,  2381,
    1595,  2382,   525,     0,     0,     0,  2350,     0,  2331,  2356,
    2487,  2596,  2519,     0,  2520,     0,     0,  2484,     0,  2494,
    2497,  2495,  2498,     0,  1530,  2675,  2570,  2675,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,   782,     0,     0,
       0,     0,     0,     0,  2140,   242,  1237,     0,     0,     0,
       0,   924,   923,     0,     0,   944,     0,     0,     0,  1249,
     442,     0,   316,     0,     0,     0,     0,     0,     0,     0,
       0,   685,   682,     0,     0,   681,     0,   557,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   593,     0,  1106,     0,
     626,     0,  1006,     0,  1005,     0,     0,     0,  1007,  1002,
    1003,  2113,  2121,  2145,   244,  1023,     0,  1022,  1020,   979,
     981,   980,     0,   983,   967,     0,   968,     0,     0,   978,
     986,   984,     0,     0,     0,     0,  1999,   273,   286,     0,
    1105,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   306,     0,   309,   308,     0,     0,     0,     0,   313,
       0,     0,     0,   312,     0,     0,     0,     0,  1106,     0,
     269,     0,     0,     0,     0,     0,     0,  1036,     0,   164,
       0,   160,   163,     0,     0,     0,     0,   510,   522,     0,
     514,   515,   512,   516,   517,     0,     0,     0,     0,     0,
       0,   509,     0,     0,   616,   615,   621,     0,     0,     0,
       0,     0,     0,     0,  1098,  1097,     0,     0,     0,     0,
       0,     0,   726,     0,     0,     0,     0,     0,     0,     0,
     629,   630,     0,   631,     0,   165,     0,     0,     0,     0,
       0,     0,     0,   220,  1197,  1203,  1266,  1900,  1265,     0,
       0,     0,   818,     0,     0,     0,     0,     0,     0,     0,
     820,   821,   822,   823,     0,     0,     0,     0,     0,   349,
     350,   139,   348,     0,   715,  2630,   688,     0,  1530,     0,
    1526,  1522,  1591,  1590,  1589,     0,  1536,  1545,  1542,   701,
       0,   703,   706,     0,  1216,   415,     0,     0,   550,   593,
       0,   400,   171,     0,     0,     0,     0,   137,   182,   184,
     398,     0,   183,   185,   187,   188,   189,   186,   190,   613,
     617,     0,   546,     0,     0,     0,     0,     0,   639,   643,
     642,   646,   644,     0,   640,     0,     0,  1518,     0,   159,
       0,   503,   506,     0,  2328,     0,   400,   484,   326,     0,
     453,     0,     0,   941,     0,     0,     0,     0,     0,  2348,
       0,     0,     0,     0,  1363,     0,  1027,     0,  1244,  2019,
     319,     0,  1025,   176,  1922,     0,   759,     0,     0,     0,
       0,     0,  1029,   755,   168,     0,   319,   319,   549,     0,
     319,   170,     0,     0,     0,   541,   319,   779,  2702,  2708,
    2706,  1322,     0,  2784,  2785,   453,  1367,  1294,  1305,   865,
     872,   854,   871,   870,   852,   869,   866,  2486,     0,     0,
    2677,     0,   883,     0,   452,     0,     0,     0,   897,   898,
       0,     0,   896,   913,   899,     0,   901,   893,   892,   902,
     903,     0,     0,   922,     0,  1345,     0,  1343,     0,  1507,
    1347,  1336,  1314,     0,  1312,  1317,  1319,  1318,  1316,     0,
       0,   502,     0,     0,   880,     0,     0,   319,  1189,     0,
     833,   834,   840,     0,     0,     0,     0,     0,   841,   837,
     838,   839,   842,   843,   844,     0,     0,     0,  1828,     0,
    1829,     0,     0,     0,  1864,  1860,     0,     0,     0,     0,
       0,     0,  1836,  1837,  1838,  1835,  1839,  1834,     0,     0,
    1840,  1833,     0,     0,     0,     0,     0,  1575,  1574,     0,
       0,     0,     0,     0,     0,     0,  1664,  1697,     0,     0,
    1792,     0,  1818,  1850,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,  1818,  1856,     0,     0,     0,     0,
    1758,     0,  1755,     0,     0,     0,     0,  1875,     0,     0,
       0,     0,  1912,  1606,  1623,  1886,     0,  1877,     0,     0,
    1607,  1630,     0,  1857,  1657,     0,  1662,  1645,     0,  1638,
       0,  1643,  1647,  1626,  1878,  1817,     0,  1815,     0,     0,
    1624,     0,  1619,  1617,  1618,  1611,  1612,  1613,  1614,  1615,
    1616,  1620,  1796,  1794,  1795,     0,     0,     0,  1642,  2013,
    2046,     0,  1410,  1410,  1410,  1397,  1408,  1885,     0,  1513,
       0,     0,     0,     0,  1775,     0,  1822,     0,  1820,  1902,
    2684,  2683,  1876,     0,     0,     0,  1891,     0,     0,  1602,
       0,   248,  1505,  1871,     0,   785,   786,   784,  1530,  1290,
    1274,  1270,  1269,  1882,  1289,     0,  1396,     0,   955,   956,
       0,   960,     0,     0,  1439,  1461,     0,  1452,     0,  1443,
    1444,  1435,  1462,  1457,  1381,  1380,     0,  1516,     0,     0,
    1332,  1325,  1510,     0,  1467,  1350,  1352,  1353,     0,  1875,
    2400,  2458,  2405,  2426,  2396,  2429,  1604,  2378,  2418,     0,
    2352,  2522,  2523,     0,  2513,  2514,  2483,  2489,  2560,     0,
    2676,     0,     0,   713,   712,     0,     0,     0,  1134,  1059,
    1110,   783,  1135,  1060,  1111,  1136,  1061,  1238,     0,  1240,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   664,  2019,   319,  1247,  1137,     0,
    1062,   315,  1248,  1112,  1252,   684,   683,     0,     0,  1113,
       0,   558,     0,     0,   563,   564,   565,     0,     0,     0,
     566,     0,  1958,  2006,     0,   571,   578,   583,   573,     0,
     584,   579,     0,     0,     0,     0,     0,     0,   590,   592,
       0,     0,     0,     0,     0,     0,  1000,  1001,  1138,  1065,
       0,  1114,   982,  1545,   966,     0,     0,   977,     0,   976,
    1545,  1545,  1066,   172,     0,   264,   274,   599,  1108,   292,
     305,   300,   301,   299,  2019,   319,  2019,   319,     0,     0,
       0,     0,   302,   297,   298,   294,   307,  1935,  1991,  2122,
       0,   603,   605,     0,   610,   310,  1080,     0,   327,   330,
     311,   290,   293,   291,   287,   272,     0,     0,     0,     0,
       0,     0,  1898,     0,     0,  1031,     0,     0,     0,   162,
    1094,     0,     0,   148,     0,     0,     0,     0,   142,   152,
       0,  1144,  1070,     0,     0,   266,   505,   513,   518,  1074,
     521,  1124,   519,  1150,  1071,  1106,     0,   262,     0,  1072,
       0,  1118,  1146,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,     0,     0,     0,     0,     0,   319,
       0,     0,     0,  1108,  2019,   319,  1145,     0,  1103,  1132,
       0,   335,     0,  1095,     0,     0,   268,  1076,  1126,     0,
       0,   218,   217,   219,     0,     0,     0,     0,     0,     0,
       0,     0,   825,   794,   824,     0,     0,     0,   788,   370,
     344,   345,   347,   354,   714,     0,     0,     0,  1527,  1523,
       0,     0,     0,     0,     0,     0,  1543,   702,     0,     0,
       0,     0,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1217,
    1245,     0,   139,     0,     0,     0,   552,   592,   599,     0,
       0,     0,   399,   403,   407,   408,   409,     0,     0,     0,
       0,   153,   140,     0,   744,     0,   453,     0,   184,   177,
       0,     0,     0,   545,   699,   697,   696,   698,     0,     0,
       0,   719,   695,     0,  1517,  1519,     0,     0,     0,     0,
       0,   402,     0,   456,     0,     0,   488,     0,     0,     0,
     326,     0,     0,   971,     0,   989,   972,     0,     0,     0,
    1011,  1016,  1012,   992,     0,   529,  2346,  2340,  1368,  1369,
       0,   319,     0,     0,   594,   319,   319,     0,   319,     0,
     319,   319,     0,  1172,   620,     0,   672,     0,     0,   319,
     757,  1819,     0,  2485,  2673,   884,   455,     0,     0,     0,
       0,   895,     0,   527,   900,     0,   912,   907,   909,     0,
     916,  1346,  1339,  1341,  1340,     0,     0,  1337,  1825,   756,
     495,     0,     0,     0,   319,     0,   917,     0,   835,   836,
       0,     0,   845,     0,     0,  1415,  1826,  1827,     0,     0,
       0,     0,  1861,     0,     0,  1733,     0,  1709,  1711,  1544,
    1723,     0,  1557,  1734,  1735,  1713,  1715,     0,  1809,     0,
       0,  1724,  1666,  1667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1678,  1725,
    1791,     0,     0,  1848,  1849,  1726,  1587,  1588,  1588,     0,
       0,  1855,     0,     0,     0,  1731,  1736,     0,     0,     0,
       0,  1742,     0,  1763,     0,     0,     0,  1689,  1819,  1579,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,  1663,
    1646,  1640,     0,  1644,  1648,     0,     0,     0,     0,  1632,
    1658,  1628,     0,     0,  1634,     0,  1659,  1410,  1410,  1410,
    1410,  1407,     0,     0,     0,     0,     0,  1488,  1466,  1468,
    1475,  1488,  1493,  1511,     0,  1892,     0,  1448,  1419,  1419,
       0,  1775,     0,  1698,     0,  1775,     0,     0,  2535,  2537,
    2538,  2539,  2540,  2541,  2543,  2544,  2546,  2547,  2548,  2536,
    2542,  2545,  2549,  2526,  2527,     0,  2517,  2518,   195,     0,
     227,   214,     0,  2560,  1272,  1895,     0,  1422,     0,  1810,
     960,   958,   959,  1424,     0,     0,  1459,  1432,  1334,     0,
    1332,  1327,     0,  1328,  1875,     0,  1324,  1357,     0,     0,
    1516,     0,  1356,     0,  2460,  2388,     0,     0,  2559,  2562,
    2573,  2571,  2398,  1133,  1058,  1109,  1236,   927,   928,     0,
     926,     0,     0,     0,   441,   943,     0,     0,     0,   664,
       0,     0,   445,     0,  1250,     0,  1151,  1093,   560,   561,
       0,   572,     0,   581,   580,     0,     0,   568,     0,     0,
       0,     0,   567,   586,   533,   587,   589,     0,     0,   588,
     591,   596,  1106,     0,   627,  1082,     0,  1130,   994,     0,
    1545,   969,   974,   975,     0,     0,     0,   415,     0,     0,
       0,   275,   285,     0,     0,   289,     0,   283,   303,   295,
     304,   296,   607,   608,   606,   602,     0,   609,   611,   324,
       0,     0,     0,  1140,  1106,     0,   270,  1078,     0,  1128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1141,  1115,     0,     0,   145,   144,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   336,   321,     0,   722,     0,     0,     0,   338,
       0,     0,     0,     0,  1139,  1067,   789,     0,     0,   790,
     798,     0,     0,   791,     0,     0,   800,     0,     0,   343,
     351,   716,     0,  2068,  1799,  1800,   710,   717,   707,   709,
     708,   711,   664,     0,     0,     0,  1528,     0,  2774,  2782,
    2781,     0,  1602,   704,   705,     0,  1236,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   427,
       0,     0,   421,     0,     0,  1016,   414,   417,   418,     0,
       0,   553,   556,   554,   555,   585,     0,   434,     0,     0,
     155,     0,     0,   156,   154,     0,     0,   326,     0,   180,
     398,     0,     0,   645,   648,   641,     0,   718,   720,   693,
       0,   599,     0,     0,  1323,   497,     0,   484,   480,   482,
     481,   483,     0,   490,   325,     0,   497,   490,     0,   944,
     970,     0,     0,     0,  1009,  1013,  1010,     0,     0,   985,
       0,   993,   963,  1167,  1168,  1165,  1166,     0,     0,  2363,
    1359,  2372,  1028,     0,   319,  1026,   760,     0,   751,     0,
     753,  1030,   319,   319,   632,     0,   542,     0,     0,     0,
       0,   894,   914,     0,   910,     0,     0,   877,   919,  1344,
    1342,   496,   922,     0,   878,   921,     0,     0,     0,     0,
       0,  1830,  1563,     0,  1863,  1859,     0,  1706,  1831,     0,
    1843,  1842,  1665,  1844,     0,  1684,     0,     0,  1676,  1674,
    1675,  1668,  1669,  1670,  1671,  1672,  1673,  1677,  1853,  1852,
    1846,  1847,  1583,  1581,     0,  1728,  1729,  1730,  1854,  1737,
       0,  1949,  1764,  1741,  1757,  1756,     0,     0,     0,  1744,
       0,     0,  1753,     0,  1793,  1569,  1602,  1608,     0,     0,
    1631,  1858,  1649,     0,     0,     0,  1627,     0,     0,     0,
       0,  1636,  1809,     0,     0,     0,     0,     0,     0,  1401,
    1400,  1406,  1488,  1493,  1383,     0,  1475,     0,  1487,  1473,
    1486,     0,     0,  1499,  1497,     0,  1499,     0,  1499,     0,
    1470,     0,  1489,  1471,  1486,     0,  1893,  1512,     0,  1450,
       0,     0,  1418,     0,  1775,  1705,  1778,  1773,  1774,  1823,
    1699,  1910,     0,  1821,  1775,     0,     0,     0,  1872,  2558,
    1394,     0,  1423,  1440,  1433,     0,  1514,  1333,     0,     0,
    1330,     0,     0,     0,  1351,  1332,  1354,  2404,     0,  2459,
    2524,  2525,     0,   933,   934,   932,   935,     0,     0,     0,
     664,     0,     0,   461,     0,   951,   951,     0,     0,   447,
     493,  1016,   667,     0,     0,     0,   665,   319,  1063,     0,
     582,     0,     0,   577,   575,   574,   576,   534,  1149,  1064,
       0,     0,     0,     0,   995,     0,   987,  1081,     0,   412,
       0,   280,  1107,     0,     0,     0,   279,     0,   319,   319,
     604,   328,   329,   332,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   745,   728,     0,     0,   746,   747,
       0,     0,     0,  1033,  1034,  1032,   149,   146,   147,   150,
    1091,  1075,  1125,  1073,     0,  1119,  1088,  1084,     0,     0,
       0,     0,     0,  1148,  1102,  1123,  1147,  1100,  1121,  1099,
    1120,  1101,  1122,  1092,     0,  1521,   725,     0,     0,     0,
     319,   319,   634,  1077,  1127,     0,   792,     0,     0,   793,
     795,   373,     0,   376,   383,   355,   360,  1254,     0,  1254,
       0,   357,   361,  1254,   356,  1254,   353,   686,     0,     0,
       0,  1524,     0,     0,     0,     0,     0,     0,  1529,  1537,
     663,     0,  1227,  1226,  1225,  1229,  1228,  1231,  1230,  1222,
    1221,  1234,  1233,  1220,  1219,  1224,  1223,     0,   419,     0,
     425,   429,   430,   428,   420,  1016,   453,   492,     0,     0,
     676,     0,   551,   400,   431,     0,   404,   158,   157,     0,
       0,     0,   184,     0,     0,   650,   654,   694,     0,  1520,
     628,   326,     0,   400,   497,  2329,     0,   405,   410,   411,
       0,   488,     0,   484,     0,     0,   494,  1214,   498,   499,
       0,     0,   973,   990,   991,     0,     0,  1016,  1015,     0,
     536,     0,  2336,   319,   595,   319,   319,  1173,   673,     0,
     906,   905,   904,   528,     0,   908,   319,     0,     0,     0,
       0,     0,   847,   826,   846,  1862,  1722,  1732,  1841,     0,
       0,  1685,     0,     0,  1727,  2211,     0,     0,     0,     0,
    1761,  1762,  1743,     0,  2059,  1748,     0,     0,     0,  1913,
    1655,  1653,  1650,     0,  1651,     0,     0,  1633,  1629,     0,
    1635,  1660,  1405,  1404,  1403,  1402,  1474,  1472,  1477,  1484,
       0,  1469,     0,  1498,  1494,     0,  1495,     0,     0,  1496,
       0,     0,  1484,     0,     0,     0,     0,  1769,  1775,  1775,
    1700,  1780,  1777,     0,  1702,  2528,     0,  2531,  2529,  2530,
    2534,  1602,     0,     0,  1326,  1329,  1331,     0,  1358,  1349,
    2461,  1242,     0,     0,     0,   443,     0,  1016,     0,     0,
       0,   954,   954,     0,  1016,   492,   669,   668,   671,   666,
     670,  1251,     0,   569,   570,  1083,     0,  1131,  1089,   988,
       0,   600,   276,   277,   278,   281,   321,   288,   282,     0,
    1079,     0,  1129,  1086,  1142,  1068,  1116,     0,     0,   734,
       0,     0,     0,     0,  1143,  1069,  1117,     0,     0,     0,
       0,  1260,     0,   320,   724,   723,   321,   337,  1104,     0,
     796,   797,   374,   139,     0,   352,     0,   381,     0,   379,
     378,   380,     0,   367,     0,     0,     0,     0,     0,  1525,
       0,  1047,  1047,  2775,  2776,  2777,  2778,  2779,  2780,     0,
     664,  1232,     0,     0,   416,   492,   460,     0,   422,     0,
       0,     0,     0,     0,     0,     0,   599,     0,     0,     0,
     179,   400,   599,   649,     0,     0,     0,   721,     0,   402,
       0,  1321,   401,     0,     0,   490,     0,   488,     0,   485,
       0,   489,     0,  1207,     0,     0,  1014,     0,  1018,     0,
     984,   961,  1513,     0,   540,  2362,  2366,  1048,   752,   754,
     633,   911,   918,   319,   827,   828,   829,   830,  1680,     0,
       0,     0,     0,  1738,     0,  1739,  1766,  1765,  1745,  1749,
       0,  1746,  1747,  1652,  1656,  1654,  1637,  1476,     0,     0,
    1478,     0,     0,  1480,  1482,     0,     0,     0,     0,     0,
    1896,  1775,  1447,  1449,     0,  1384,  1703,  1704,     0,  1419,
    1775,  2533,  2532,   228,  1811,  1515,  1355,   912,     0,   319,
     951,   492,   462,  2068,   463,   950,     0,   952,   957,   957,
       0,   492,   664,   562,     0,   598,     0,   323,   331,     0,
       0,     0,   741,   729,     0,     0,   748,  1085,     0,     0,
       0,     0,     0,   319,   799,   354,     0,   377,   386,     0,
     384,   358,   363,     0,   365,   364,   359,   362,  1047,     0,
    1044,  1043,   662,     0,   451,   423,     0,   471,     0,     0,
     677,     0,     0,     0,   440,   439,   436,   435,   437,   438,
     433,   432,   624,   738,   326,  1214,   612,   651,   652,   647,
       0,     0,     0,   484,   480,   406,   415,   389,     0,   490,
     486,   487,     0,     0,     0,  1262,     0,   945,  1017,     0,
       0,     0,   535,     0,     0,   539,   530,     0,  2364,   879,
    1681,     0,  1682,     0,     0,     0,  1751,  1750,     0,  1485,
    1501,     0,  1481,  1479,  1490,     0,  1492,  1768,  1770,     0,
       0,  1783,  1701,   929,     0,   930,   954,   466,     0,   953,
     960,   960,   453,   664,   444,  1090,   601,     0,   284,  1087,
       0,   732,     0,   743,   741,     0,     0,  1256,     0,  1257,
    1258,  1261,   339,   342,   372,   382,     0,   366,  1042,  1046,
    1045,     0,     0,   424,   457,   458,   459,     0,   426,   467,
     468,     0,   674,     0,   679,     0,     0,     0,     0,     0,
    1208,     0,     0,  1209,   488,   484,   413,   479,   387,     0,
    1211,     0,   326,     0,  1016,  1019,  1171,   538,   537,  2367,
    2369,  2368,     0,  1683,  1754,  1740,  1767,  1752,  1483,     0,
    1491,     0,     0,  1779,     0,     0,     0,     0,   957,     0,
     664,     0,   948,   947,   460,   446,   322,     0,     0,   739,
     742,   730,   743,   750,   749,     0,   385,     0,   450,     0,
       0,     0,   469,     0,   470,   491,     0,   678,     0,   599,
     737,     0,     0,   653,     0,   490,   488,  1212,  1213,   490,
     946,   962,  1170,  1169,  1396,  2365,  1500,  1771,  1772,  2176,
       0,  2151,     0,  1781,  1784,  1782,  1776,   319,   960,     0,
     448,   464,   471,     0,     0,   731,  1259,   654,   476,     0,
     475,     0,   473,   472,   675,   680,   625,   727,  1210,   657,
     390,   490,  1513,  1153,  1396,  1152,  1154,  1162,  1159,  1161,
    1160,  1158,     0,  1788,  1787,  1786,  1790,  1789,   931,   949,
       0,   664,   733,   740,     0,   474,   478,   477,     0,   655,
     658,   661,   659,   660,   388,   936,     0,  1163,  1157,  1383,
    1370,     0,   465,   449,     0,   635,     0,  1155,  1396,  1785,
       0,   656,  1156,     0,   657,     0,   636
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4473, -4473,  3901, -4473, -1175,   256,  2421,  -717, -4473, -4473,
   -4473,  3053, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  3078,
   -4473, -4473,  1615, -2595, -4473, -4473,   -56, -1602,  2048,  2686,
    1286, -4473, -1385, -4473, -4473,  -885,    14, -1061, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473, -1130,  1766,  1121,  3280,
   -2645, -4473, -1711, -3326, -4473,   521, -4473, -4473,  1714, -4473,
   -4473, -4473,   982,   448,  -469, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473,  -289, -4473, -4473,  -597,   177,  -113, -2572,  -339,
   -4473, -4473,   393,  -342, -1619, -4473, -3613, -4473,   -36, -4473,
   -4473, -4473,  -321, -1699,  1219, -4473,  -977, -1388,  1534,  -656,
   -4473,  -209, -4473,  -712,  -599,  -596,  -668,  -498, -3791, -4217,
   -3787, -3400,  1227, -4473, -3750,   182, -4473, -4473,   238,   302,
   -4473, -4473, -1796, -1762, -4473,  -742, -4473, -4473, -4473, -3069,
   -4473, -4473, -4473, -4473,  -102, -4473, -4473, -4473, -4473,   418,
   -4473, -4473, -4473, -4473, -4473, -4473, -2813,  1672,  1673, -4473,
   -4473, -3277, -4473, -1207, -4473,   557, -3087,  1136, -4473, -4473,
   -4473,  2377, -4473, -4473, -4473, -4473, -4473, -4473, -1864, -4473,
   -4473,   304, -4473,  1685,   946, -4473, -4473, -4473,  -700,  -763,
    -749, -4473, -3596, -4473, -4473, -4473, -4473,  -282, -4473, -4473,
   -4473, -4473, -4473, -4473, -1244, -4473,  1011, -3215, -1239, -4473,
   -4473,  1027, -4473, -4473, -4473, -4473, -4473,  -647,  -215,  2413,
   -4473,  -537,  -622, -4473, -4473, -4473,  -210, -4473, -4473, -4473,
   -4473, -4473, -4473, -1339,  7308, -1839, -4473, -4473, -4473, -4473,
   -2586, -4473, -4473, -4473, -1674, -4473,  4177,   -14,   154,   336,
   -4473,  -197,  -110,  2929, -1412, -2775,   364,  -370, -4473, -2049,
   -4473, -4473, -4473, -2678, -4473, -4473, -4473, -4473, -3557,   337,
   -4473, -4473, -4473,   413, -4473, -4369, -4001, -4280, -3879, -3541,
   -4473, -4473, -1340, -4473, -4473, -4473, -1683,  1885, -1730, -4473,
   -2433,   414, -3820, -1018, -3327, -4473, -3734,  -466, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -1354,  -883, -4473, -4473,  3445,
   -4473, -4305, -4473, -4473, -4473, -4473,  1187, -4473, -1680,  1093,
   -4473, -4473, -4473, -4473, -4473,  -635,  -718, -4473, -4473, -4473,
     339, -4473, -4473, -4473, -4473,  1711, -1219, -1047,  3308,   368,
    -434, -4473, -4473, -4473, -4473, -3099, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -1779, -4473, -4473, -4473, -4473, -4473, -4473,
   -4473,  2088,  2093,   -99,  -203, -4473, -4473, -1520, -4473,  -841,
   -4473,  2330, -4473, -4473, -4473, -4473,  1373,   370,   447,   -74,
   -4473, -4473,   234, -3484,   -72, -4473, -4473, -4473, -4473,  2059,
     -68, -4473,   716, -4473, -4473, -2900, -4473,   374,   -10,  3013,
    1631,   -69,   254,  -233,  -214,  -208,   -77,  3310,  2770, -4473,
   -4473, -4473,  -211,  1770, -4473, -1108,  -362, -4473,  1377,  -921,
    2065,  2759,  2771, -4473,  1370, -4473, -4473,  1378, -4473, -4473,
   -4473,  -920,  2068, -4473,  2760, -4473, -4473, -4473,  1355,  1375,
   -3444,   803, -3462, -3424,   307,   303, -1115,  -303,  -149,  3334,
    2773,   814, -4472,   743, -4473, -3532, -2460,  -877, -2154, -1883,
   -4473, -4473, -1439,  9325, -4473, -4473, -4473, 14027, 14115, -4473,
   -4473, 15410, 17403, -4473, -1256,   856, 17579,  5830, -1472, -1892,
   -1563, 11971,   455,   -80, -2879, -4473, -4473, -4473,  -264,   867,
     272, -4473, -4473, -4473, -4473,  -531, -2901,  -527, -4473, -4473,
   -4473,  -534, -3336, -1629, -4473,  -817, -4473, 20680,  1419, -4473,
   -1373, -2842, -2836, -1418, -2024, -4473, -4473, -4473, -4473, -4473,
   -4473, -4473, -1393, -3351,  -385,  1496, -4473, -4473,  1586, -4473,
   -4473, -4473, -1580, -1163, -2762,  1499, -2204, -4473, -1110,   770,
    2217, -1062,  5035, -1298, 16829,  -129, -2476, -1558, -1798, -4473,
     745, -4473,  3034,  3335,  -523,  -141,  -891,  5587,  4577,  5529,
   -3204, -4473, -4473,   381, -4473, -4473, -4473,  3816,  1023, -4473,
    3124, -4473,  1735,  2464, -4473, -4473,  2089,  -962,   -37, -4473,
    -493, -4473,  -138, -4473, -4473, -4473,   217, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473, -4473, -4473,  2802, -4473, -4473, -1483,
   -4473, -4473, -4473, -4473, -4473,  4079,  -310, -4473,  3512,  -308,
   -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473, -4473,  2805,
    2125, -4473,  3311, -4473, -4473, -4473,   -35,  3021, -4473, -4473,
   -4473, -1224,  -605,  3314,  3318,  2078, -4473, -4473, -4473, -4473,
   -4473, -4473, -4473, -4473,  2095, -4473, -4473,  1477, -2184,  2101,
   -4473, -4473,   788, -4473, -4473,   338, -4473,   791, -4473,  2910,
   -4473, -4473, -4473,   831, -4473, -4473, -4473,  -515, 14066,    58,
     -94,    97,   954, -4473,  8775,  4738,    81,  2825,   119, 11681,
   19213,   121, -4473,  4082,  2108,  1719, -1033, -4473,  4175,  2415,
   18131, -4473, -1029,   162,  1224, -4473,    -2,  -664, -1203,  3118,
    -754, -2022, -4473,  4498, -4473, -3641, -4473, -1054,  3526, -1241
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1734,  2662,  2541,  3371,  3372,   250,
     251,  1806,   252,   253,   254,   255,   256,   257,   258,  1750,
     259,   260,  1307,  1956,  2672,   261,  2405,  1075,  1076,  2274,
    2275,  2604,  2276,  2263,  1585,  2058,  1769,  1736,  1770,   263,
     264,  1579,  2255,   265,   266,   267,  1794,  1795,  1744,  2001,
    4285,  4888,  2523,  3408,  3207,  3208,   268,  1852,  1853,   269,
     270,  3322,  1893,  2631,  3859,  3860,  4316,   878,  2628,  4593,
    4594,  4302,  4303,  4600,  4779,  4780,  2673,  1952,  3402,  3947,
    3362,  4386,  3363,  4387,  3364,  4388,  3350,  3906,  3907,  3908,
    3365,  4364,  4810,  3366,  2420,  4913,  2707,  2088,  2086,  4797,
    4182,  4183,  4970,  4918,  4919,  4920,  5042,  4393,  3406,  3953,
    4396,  4628,  3104,  1976,  2821,   977,  2709,   909,   978,  2674,
     275,  2701,  1826,  1827,  2549,  3866,  3464,   276,  1326,  3733,
    4674,  4845,  4846,   277,   866,   278,  1960,   279,   280,  2658,
    3356,   281,  2437,  3121,   282,   283,  3148,  3149,  3150,   284,
     285,  3757,  4550,  1796,  3200,  3201,  3202,  3203,  3777,   286,
    1958,  1832,  2681,   287,   288,   289,   290,   291,  2592,   292,
     293,  2675,  1968,  2693,  2694,  4376,  4644,  4819,  4646,  5078,
    5079,  4620,  3712,  4196,   295,   296,  4359,  4360,  4925,   297,
    2435,   298,   299,   300,  1936,  2650,  2651,  3867,  1720,  1896,
    2633,  2634,  3936,  3937,   301,  3282,   302,  4244,  4245,   910,
    4928,  4893,  4981,   303,   304,  4248,  4249,   305,   306,   307,
     308,   309,   965,  1379,  1380,  1726,   310,  2291,   311,  1280,
    3313,   312,  1468,  2846,  4433,   313,  1001,  1404,  1405,  2676,
     315,  1012,  2824,  1014,  2101,  3466,  3467,  4007,  2792,  1200,
     316,   317,  2803,  2827,   318,  1737,  2411,  2412,  4177,  2677,
     911,  1982,  2712,  3099,  4836,  4184,  4531,  4748,  3021,  3663,
     320,   912,  1774,  2485,  2715,  3414,  3415,  2487,  2985,  3968,
    2489,  3416,  3421,  3422,  3423,  3964,  3972,  4668,  4669,   321,
    1772,  2478,   322,   323,   324,  1803,  1219,   325,   933,   934,
     326,  4790,   327,  1345,   328,  1033,  2118,   329,  2501,  3763,
     330,   331,   332,  5055,  5086,  5087,  5088,  3977,  5014,   333,
    5057,  1446,   335,   336,   337,   869,  1246,  1247,  1248,  2678,
    4663,   339,   340,  2654,  3349,  3888,   341,   342,  2406,  3089,
     343,   344,   345,  1940,   346,   347,   348,   349,  1872,   350,
    1616,  1617,   351,   352,   873,  1094,  1620,  1628,   353,   980,
    1398,  1399,  1400,  2060,   354,  1450,  2814,   981,  1393,   982,
    3040,  3672,  3673,  3676,   983,  3037,   358,  2107,  2808,  2811,
     984,  3044,  3045,  3046,  3047,  3048,  3678,   985,  1003,  1336,
    2723,   986,  1539,   363,   364,   365,  1103,  1098,  1099,   367,
    2233,  2975,  1020,  1634,  1060,  1110,  4132,  2305,  2306,  2328,
    2329,  1643,  1644,  2318,  2320,  3023,  2321,  3031,  2311,  4129,
    4497,  2324,  2325,  1646,  1647,  1648,  2333,   368,  2979,  3608,
    3609,  3610,  4108,  4109,  4123,  4119,  4484,  4713,  3611,  1440,
    1654,  3612,  3617,  3670,  3393,  3394,  3395,  2490,  2641,  1918,
    1540,  1919,  2648,  1541,  2153,  1921,  1542,  1543,  1544,  1924,
    1545,  1546,  1547,  1548,  2136,  2196,  1549,  1550,  2172,  1142,
    1143,  2045,  2885,  1552,  1553,  4072,  4457,  4446,  2911,  2912,
    2271,  4068,  3559,  4725,  4867,  4868,  4140,  4137,  4501,  4729,
    4966,  5023,  5024,  1554,  2965,  2225,  1221,  1555,  3869,  2227,
    2905,  2987,  2988,  2390,  2134,  2851,  2868,  2869,  2882,  3520,
    2889,  2894,  3543,  3544,  2906,  2934,  1556,  2854,  2855,  3503,
    2138,  1557,  1609,  1610,  2241,  2929,  1623,  1624,  1096,  1558,
    1559,  2102,  1085,  4709,   720,   703,  3221,  2286,  1250,  1017,
    1560,  1561,  1562,  1354,  1355,  1675,   665,   704,   705,  1180,
     817,     2,    75,   987,  3400,   372,   373,   914,   915,   916,
    1328,  1329,  1987,  1990,  1680,  2368,   669,   670,   721,  4412,
    4675,  4848,   971,   374,   375,   376,   377,  1676,  2364,  1144,
      76,    84,    77,  1145,   414,   415,  2346,   378,   834,   379,
    1657,  1124,  3684,   380,   381,   382,   383,   384,   968,   385,
    1126,   386,  1127,   387,   388,   389,   390,  1134,   391,  1659,
    1660,  4169,  1661,   392,   393,   707,   708,  1391,   394,   395,
    1161,  1162,  1423,  1424,  1686,  1701,  1702,  1703,   396,   677,
     397,   398,   399,  1692,  1693,   400,  2248,  2249,  2373,  2250,
     401,  3061,  3062,   402,  3643,  3644,  4508,  3645,   403,  2244,
     404,   405,  1088,  3689,   406,   830,   407,  1175,   709,   710,
     711,  1182,   820,  1046,   722,  1184,  3204,   822,   823,   713,
     714,   715,  2080,    78,  3069,  2081,  1564,   723,  1565,  2239,
    1566,  1567,  1568,  1569,  1570,  1709,   717,  1151,  1383,  1384,
    3070,  1386,    82,  1387,   411,  3881,  2048,  1425,  2066,  2067
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   366,  1111,  1580,   356,  1649,   357,  2017,  1655,   361,
     359,  1303,  2007,  1052,  1102,  2057,   925,  2011,  1087,  2046,
    1721,  2760,  1831,   818,   913,  1594,  1005,  1602,  1870,  2638,
    2288,  2113,  1432,  1433,  1434,  1220,  2646,   908,  1438,  2419,
    3318,  1338,  2085,  2488,  2793,  1895,  1005,  1337,  2174,  1808,
    3484,  2125,  2147,  2148,  3167,  3169,  3223,   706,   964,  1950,
    1159,  1013,  1857,  2993,  2561,  1026,   979,  1361,   818,  1970,
    1121,  2163,  1122,  2606,  3379,  1084,   410,  1220,  3739,  2498,
    2519,  3915,   410,  3623,  3957,  1401,   719,   674,   366,  3361,
    2486,  2647,   262,  3013,  3971,   706,   725,   867,  1825,  3613,
    1053,  1836,  2506,  1998,  2353,  2355,  2356,  2698,  2850,  1862,
    3772,  2302,  3774,  4189,  1938,   410,   917,   924,  1943,  4152,
    1163,  3279,  3870,  1947,  3884,  3470,   924,  1704,  2574,  2575,
    1953,  1706,   871,  1220,  1396,  3870,   408,   818,  3618,  3619,
    1972,  2288,   408,  3677,  4219,  4179,  3620,   927,  4407,  1105,
    4122,   919,  1113,  1002,  2570,  3567,  4391,  3613,  1114,  2497,
     410,  1074,  4105,  2474,    79,  2191,   924,  2397,  2752,  2047,
    4399,  4357,  2072,  1002,  4655,   408,  1858,  1338,  2702,  2347,
    2347,  2042,  1771,  1587,  2713,  4532,  4157,  4120,  3374,  1642,
    1645,  3052,  4050,  1682,  1683,  4385,  1154,   409,   821,  3688,
    4841,   417,  2200,   409,  2246,  1695,  4398,  1049,  3524,    37,
      38,    39,    40,  1385,   819,  1049,    44,  1049,  2194,  1969,
     408,   877,  1747,  2289,  2140,  2141,  2200,  2203,  1696,   410,
    3068,  4530,  2581,  2507,  3072,  4222,  4322,  1464,   825,  2586,
     130,   131,  2427,   821,  3889,  3890,  3891,  3892,  3893,  3894,
    2160,  2203,  4749,  3301, -1797,   271,  1332,  2205,  3962,   819,
     272, -1797,  3438,   417,  3440,   417,    37,    38,    39,    40,
     868,  1999,    43,    44,  1470,  1697,  4317,    45,  4892,    45,
    1999,  2205,  3482,   825,  2927,  1999,  2500,  3682,   417,   408,
   -1545, -1545, -1545, -1545,  2568,   366,  4837, -1545,   356,  2231,
     357,   413,    45,   361,   359,  1891,  2922,  4791, -2633, -2633,
   -2633, -2633,   821,  3735,  1584, -2633,   273,  1176,  4856,    37,
      38,    39,    40, -2633,  1748,  3921,    44,  1421,   819,  2299,
    1048,  3628,   362,  4539,  3629,  3630,  3740,  2705,  1048,  2049,
    1048, -1573, -1573, -1573, -1573,  3631,  3632,  3633, -1573,  3634,
    3635,     3,   825,  1421,  3636,  3637,  3638,  2927, -1558, -1558,
   -1558, -1558, -2057,  1448,  1613, -1558,  1614,  2425,  1867,  1115,
   -1578, -1578, -1578, -1578,  4223,  1870,  2192, -1578,   410,  1150,
     274,  4269,   294, -2635,  1885,  2695,   262, -1903, -1903, -1903,
   -1903,   875,  3115,  3793, -1903,  2962,  3130,  2469,  1573,  1674,
    2237, -1573,  2963,   879,  4605, -2634, -2634, -2634, -2634,  1917,
    -375,  2978, -2634,   410,   314,   319,  4630,   334,  4246,   362,
   -2634,  1092,  2200,  1934, -1813, -1578, -1578, -1578, -1578,  1364,
   -1578, -1813, -1578,  -139, -2631, -2631, -2631, -2631,   408,  1376,
    4829, -2631,  -139,  2174,  2290,  1116,   338,  -139,   355, -2631,
    1220,  4606,   360, -1588, -1588, -1588, -1588,  4535,  2500,   371,
   -1588,  2826,  1198,  1797,  2147,  2148,  3501, -2630, -2630, -2630,
   -2630,  2163,  3922,   408, -2630,   835,  4224,  2205,  2500,  4225,
     416,  2470, -2630,  4908,  3329,  3909,  1338, -2225, -2225, -2225,
   -2225,   417,  2035,  4989, -2225,  3794,  3639,  2500,  4857,   409,
      43,  1101, -2225,   913,  2234,    45,  2508,  2105,  2500,  1338,
   -1588, -1588, -1588, -1588,  1294,   836,  4247, -1588,  2509,  1868,
    1437,  2000,  4631,  2706,  1178,  2500,  1122,   835,  1421,  1349,
    2000,  2617,  4270,   675,   409,  2000,  3736,  2887,  1157,  1158,
    2613,  2696,  1422,  2232,  3740,  2280,  2281,  1164,  1878,   271,
    3302,  2887,  1685,  1688,   272, -1585, -1585, -1585, -1585,  2587,
    1999,  2061, -1585,  1802, -1797,  1437,  4232,   836, -2057,  2510,
    2518,  2232,  2112,  3963,  5010,  2569,  1338,  3870,  2106,  2582,
    5085,  1749,  2129, -1371,  4525,    37,    38,    39,    40,  3524,
    1691,  2195,    44,  2928,  1607,   917,  4968,  4172,  1608,  2638,
    2968,  4371,  4657,  1615,    37,    38,    39,    40,   247,  4540,
     273,    44,  2288,  2219,  2220,  2221,  2222,  2223,  2224,  1935,
    1112,  4625,  3705,  2460,  3536,  2566,   362,  3640,  2041, -2057,
     919,  1155,  1148,  3128,  4651,  2609,  3471,  3795,  1117,   924,
     924,  4122,  2224,  1449, -2057,  2140,  2141,  2557,  2426,  2559,
    2605,  2636,  3171,  2160,  2037,  2247, -1371,  2288,  2059,  2629,
    2630,  2992,  1717,  2009,  4380,  3116,  3587,  4481,  4006,  2530,
    3796,  4485,  3641,  4671,   274,  3332,   294,  1156,  4476,  4592,
    4438,  4519,  4614,  4615,  4616,  4617,  4618,  1150,  1664,  2697,
    1698,  1699,   999,  1000,  3679, -1374,  2781,  2756,  1338,  3797,
    1093,  3022,  1747,  1935,  2259,  2964,  1338,  1338,   314,   319,
    1231,   334,  1191,  1199,  1738,   999,  1000,  5005,  3846,  2369,
    4135,  3849,  3850,  2146,   928,  3853,  3613,  3613,  2334,  2335,
    3353,  3856,   874,  3752, -1813,  3753,   818,  2853,  2009,  4876,
     338, -2633,   355,  1102,  3910,  2539,   360,  3152,  2542,  2804,
    3246,  1650,  2789,   371,  2477,  1135,  1289,  3166,  2847,  2849,
    2135,  2800,  4990,   676,  2790,  1295,  3642,  3218, -1374,  2857,
    2106,  1460,  1279,  2861, -1573,  3320,  1402,   831,  3153,   832,
    1350,  2873,  2874,  3929,  1334,  1165,  3813,  4331,  1163,  5051,
    4143,  2152,  2788,  4741,  2891,  2893,  2794,  4210,  2796,  1879,
    4751,  2799, -1371, -1578,  1748,  2907,    37,    38,    39,    40,
    2000,  3647,  1347,    44,  4234,  2135,  1739, -2361,  1607,  1638,
   -1903,  1136,  1608,  2238,  2771,  2764,  4909,  4185,   410,  3472,
    2774,   724,   410,  3851,  3852,  1733,  1187,  2042, -2634,  2018,
    3081,  1684,  2112, -1545,  5064,  1187,   674,  1403,  3219,  1409,
    2264,  1414,   674,  2169,  3653,  2277,  2277,  1418, -1578,  1394,
    -139,  -139,   674,  3054,  3524,  3054,  2805, -2631,  4827,  4880,
    4881,  1439,  2170,   417,  2474,  1596,  3176,  1397,  1187,  1137,
    1409,  1414,  1138,  1150,  3129,   924,  2171,  1640,   408,  1113,
     674,  3354,   408,  3868,   674,  1114,  4658, -1371,   366,  3973,
   -2630,  1841,  2877,  2878,  3524,   674,  3868,  2642,  4659,  4410,
    2169,  1167,  4160,  2103, -1374,  1687, -1545,  3473,   999,  1673,
   -2225,  2537,  2200,  2500,  1335,  2534,  1665,   819,  2115,  2170,
     674,  2505, -1371,  1390,  1187, -1371,  4382,   924,  1439,  1842,
    2561,  2126,  1106,  2173,  1187,   674,  1846,  2203,  1323,  3949,
     674,   825,  1847,   409,  1472,  2705, -1900,  3524,  1740,  4717,
     674,  4719,  4910,  1395,  1242,    81,  3143,  4804,  1653,  3355,
    5065,   929,  1139,  1136,   674,  3974,  1407,  2205,  1412,  1775,
    1408,  3321,  1413,  4173,  2488,  2427,  3969,  1220, -1585,  2791,
    1961,  1741,  1427,  2763,  1618,  2025,  2944,  2689,  2610,  2413,
    1107,  2708,  3533,  3534,  3535,  3536, -2361,  1441,  1443, -1374,
    1583,  1442,  1444,  2462,  1591,  4805,  4707,  2112,  2197,  4944,
    1742,  2468,  4806,  2785,  4793,  1150,  2192,   706,  1962,  1577,
    1422,  1137,  4934,  2026,  2643,  2797,  2798,  2235,  4710,  3144,
    2413,  2806,  4938,  4714, -1374,  3526,  4716, -1374,  1848,  4807,
    1753,   833,   930,  1243,   931,  4648,  2414,  4353,  1187,  2807,
    1421,  4660, -2361,  2655,  1049,  1058,   674,  1108,  1049,  1140,
    2415,  2642,  2547,  2690,  3143,  2550,  2551,  2665,  1743,  3143,
    3971,  1597,   872,  3480,  3038, -2635,   410,  2416,  1141,  5028,
    1843,    35,   417,  1187,  1244,    37,    38,    39,    40,    41,
      42,    43,    44,  5012,  1422,  1324,    45,  3650,  3975,   417,
    3474,  2415,    37,    38,    39,    40,   969,  2428,    43,    44,
    4808,  2945,  4383,    45,  1139,  2946,  2727,  2309,  2416,    79,
    1242,  4551,  2518,  2741,  3475,  4752,  1607,  1136,  3526,  2614,
    1608,  4641,  1598,  1245,  5006,  1410,   408,  3144,  4174,  1415,
    1416,  1417,  3144,   674,   674,   972,  4884,  1460,  1059,  1428,
    1325,   417,  1401,  2947,    37,    38,    39,    40,  3976,  3212,
      43,    44,  1470,  1697,   973,    45,  3145,  4175,  1844,  1963,
    2666,  4874,  3102,  1109,  2027,  1089,  4865,  1048,  2786,  3147,
    1849,  1048,  4354,  4843,  2429,  1137,  4176,  3527,  2643,  1220,
    2261,  2802,  3578,  3476,  3579,  1735,   974,  1612,  3336,  3146,
    5011,  2767,   209,  4936,  1108,  2417,  2310,  2787,  5050,  1243,
    3481,  2644,  5052,  1850,  1985,  4795,    80,  3580,  3001,   362,
    1101, -1545,  3613,  4500,  3103,  2620,  3613,  1856,  2009,  2998,
    2645,  -597, -1545,  4504,  2146, -1545,  1725, -1545,  5038,  1160,
    1187,  1735,  1851,  2691,  2887,  2887,  2417,  5076,  2312,  2887,
    1244,  1187,  4296,  4518,  5084,  5013,  2692,  1964,  4299,  4300,
    3032,  4862,  2028,  2621,  3728,  3531,  3532,  3533,  3534,  3535,
    3536,  2880,  2948,  4494,  1933,  4809,  1907,  4975,  1139,    37,
      38,    39,    40,  1869,  4143,  2313,    44,  3147,   216,  2887,
    2887,  1027,  3147,  1677,  2422,  1102,  4503,  3018,  3264,  1245,
    2262,  2418,  3729,   673,  3265,  3531,  3532,  3533,  3534,  3535,
    3536,  1187,  1707,  2923,  3750,   366,  1472,  3581,   224,  3524,
    1805,  3171,  3582,  3273,  4426,  2221,  2222,  2223,  2224,  4972,
    4973,  4877,   993,  4844,  4758,  1436,  4078,  1220,  3868,  2350,
    1704,  4883,  2418,  3213,  1706,  3870,  1593,  1112,  1992,  4812,
     674,  4241,   994,   206,  3175,  4816,   234,  1677,  3531,  3532,
    3533,  3534,  3535,  3536,  5030,   674,  3758,   918,   237,    81,
      81, -2007,    81,   935,  1019,  2644,  3019,  3441,  2315,   216,
    1187,  3435,  2966,  4130,  5077,  2063,  3436,  2065,   674,  1108,
    2069,  2384,  2071,  1122,  2503,  2074,  2075,  2076,  1993,  1018,
    3266,  1390,  3039,  4002,  2269,  2351,  3245,  2295,  2083,   224,
    2303,  2304,  1437,  2308,  2622,  4964,  1114,  1114,  1242,  1114,
    5039,  2108,  3090,  2109,   674,  2488,  4220,  3257,  3895,  2316,
    3384,  3385,  3386,  3387,  1163,  1029,  3156,  1933,  3188,   674,
    3583,  4965,  3392,  2270,  1807,  2504,  3323,   234,  -161,  4242,
    3584,  2359,   674,  3730,  2360,   674,  3296,   891,   826,   237,
    -780,  1965,  1695,  2352,  4021,  5093,  1187,  4166,   827,  3499,
    4379,  3898,  3751,  -161,  2561,  2733,  3431,  5069,  4929,  3654,
    4914,  1966,    35,  3461,  1429,  1696,  2744,  1994,  5040,  3189,
      41,    42,  1653,   247,  3091,  1187,   993,  2552,  2751,  1788,
    3526,  4415,  2623,  4416,   818,  2967,  4440,  1243,  4441,   999,
    1673,  5041,  1030,  1108,  1992,   893,   994,  4832,  3551,  2618,
    3157,  2564,  4112,  1187,  1187,  4833,  1187,  4506,   706,   706,
    2251,  2252,  1028,    79,    79, -2039,    79,  1995,  4243,  2228,
    1057,  3731,  3267,  1187,  2361,  3759,  1733,  2062,  1244,  3576,
    2064,  2323,  1677,  2068,  3134,  2070,  1139,   818,  2073,  3527,
   -2007,   993,  2077,  3231,  2766,  3814,  3625,   828,  3626,  1725,
    3760,   993,  1316,  1179,  3995,  3268,  2619,   674,  1698,  1699,
    2267,   994,  1201,  1632,  2191,   674,   674,  4726,  4727,  2407,
    4113,   994,  4915,  3613,  4842,  1187,   410,  1245,  3613,  2408,
   -2058,  3613,  1317,  4623,  3269,  1054,  5009,  3971,  3902,  2431,
   -2083,  3057,  3177,  3232,  2409,  1284, -2007,  1996,  4114,  2432,
    1220,   818,  1082,  2553,  1187,  2554,  1967,  1571,  1187,  1187,
    3098,  1318,   706,  4115,  2366,  2253,  4442,  1430,  2455,  4185,
    4112,  4769,  4683,  2421,  3903,  4116,   362,  1095,  2670,   410,
     410,   410,   900,  1994,   901,  2354,   408,  4916,  3904,  4886,
      37,    38,    39,    40,  3233,  3341,  3190,    44,  4117,   674,
    2422,  1342,  1589,  5062,  2567,  1319,  1633,  1951,  4834,  2287,
    2819,  1352,  -944,  3950,  1031,  1032,  3954,  4711,  1572,   835,
    4721,  1472,  3626,  2257,  3524,   819,   829,  2254,  2351,   410,
    1814,  4590,  4591,  1995,  3066,  3711,   410,  1933,  4113,   408,
     408,   408,  5046,   410,  3342,  4543,  4544,  3191,  2133,   825,
    1049,  2671,  3336,  3410, -2039,  2535,  3528,  3529,  3530,   836,
    3531,  3532,  3533,  3534,  3535,  3536,  4114,  4737,  2150,  4739,
    3905,  4770,  3270,  4118,  1677,  5099,  1815,  2410,  1139,  1677,
    1677,  4115,  3330,  1049,  1128,  3234,  2352,  2009,  2433,   408,
    2353,  1933,  3332,  4116,  4978,  4948,   408,  4640,  2177,  3683,
    3727,   409,   409,   408,  1129,  3271,  4185,  1104,  3015,  1788,
   -2039,  4633,  2189,  1996,  1130,  3700,  4117,  2536,  1828, -2058,
    1933,  2434,  3343,  3344,  4192,  3102,  2287,  3247,  4351, -2083,
    2312,  4650,  2423,  3781,  3272,  3250,  3345,  3252,  1118,  1638,
    1735,  2169,   819,  1735,  3238,  1125,  1338,  4712,  3782,  4872,
     409,  1829,  3425,  4979,  1816,  2362,  3613,  2388,  2552,   837,
    2170,   818,    37,    38,    39,    40,   825,  2313,  4034,    44,
    4035,  2078,   674,  1048,  1049, -2058,   918,  3708,   876,  1139,
    2380,  2382,  3346,  1338,  3525, -2083,  4536,   216,  3235,  3449,
    4352,  4118,   966,  1933,  2079,  2728,  3236,  4193,  3238,  3237,
     130,   131,  1817,  3719,  1818,  3526,  1048,  1640,  1112,  1112,
    4192,  1112,  2635,  1131,  2560,  4207,  2887,   224,  2314,  2887,
    2887,  2887,  2887,  2887,  2887,  2887,  2887,  2887,  2887,   417,
    1933,  4757,  4190,    37,    38,    39,    40,  1677, -2425,  2512,
      44,  1935,  1820,  1055,  1641,  1677,  1830,  2823,  4537,  2887,
    3622,  4911,  4194,   410,  4195,   234,  3478,   972,  1933,  1160,
    2315,  4773,  1207,  3741,  3527,    37,    38,    39,    40,  3347,
    3648,  3348,    44,   674,  1397,  1132,   973,  2809,  2887,  2887,
    3274,  1822,  4507,  4193,  2553,  4005,  2554,  3895,  4036,   674,
    3173,  3762,   993,  3896,   835,   366,  1677,  1048,  4037,  1677,
    1677,   247,  3008,  3897,  1122,  1316,  1811,  2992,   974,  3275,
    4329,  2316,   994,   408,  4634,  1187,  1824,  1874,  4768,     8,
    3933,  1933,  4006,  4774,  1187,  3290,   674,   674,  1880,  3942,
    3898,  1847,  3899,  2822,   836,  1317,  2652,   674,  4194,  1812,
    4195,  3744,  1133,  1472,  2520,  2200,  3524,  4113,  2845,   674,
     674,  1166,   819,  4610,  4635,  3015,  1722,   366,    81,  1177,
    2815,    81,  2816,  1677,  3931,  2818,  2817,  2601,  4221,  4226,
    2203,   674,  2769,  3463,  2770,  4114,   825,  2599,  2772,  2602,
    2773,  4611,  4211,  2775,  4185,  4817,  3593,  2776,  1983,  1723,
    4487,  4013,  2521,  2522,  3754,  4052,  4053,  5053,   192,  2146,
    2205,  2398,  4116,  2603,  3312,  3900,  2886,  3786,  1319,  1472,
    2600,  1187,  3524,  4818,    37,    38,    39,    40,  1724,  1281,
    2909,    44,  2992,  2169,  4235,  2169,  2518,  1848,   818,  1338,
     891,  3528,  3529,  3530,  3453,  3531,  3532,  3533,  3534,  3535,
    3536,  2032,  2170,  4271,  2170,  3276,  3868,  4031,  4287,  1187,
    1187,   891,  1220,  3332,  1389,   417,  2171,  1187,  2173,  3692,
    1187,  2033,  3901,  4272,  1187,   206,  4520,  3902,  4288,  2871,
    4017,  4051,  1187,  1187,  3277,  3805,  1339,   935,   216,  1192,
    1187,  4813,  4001,  1187,  1187,  1187,  1187,  4085,   893,  2558,
    3024,   216,   417,  1187,  1187,  -501,  1187,  3911,  1187,  1187,
    4118,  4058,  1187,  3903,  4459,  3658,    45,  4432,   224,   893,
    4458,    80,  5027,  5097,  1727,  1618,  5098,  3904,  1933,  1187,
     410,   224,    79,  3659,  1187,    79,  2520,  3526,  1187,  2667,
    1205,  3092,  1187,  3095,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1296,  1187,  1297,   234,  1728,  2699,  1338,
    1187,  2488,   122,  1187,  4838,  3718,    35,    43,   237,   234,
    1194,   216,    45,   975,    41,    42,  3720,  4389,  4016,  1447,
     126,   237,  2571,   192,  2521,  2522,  1729,  1042,  2277,  2242,
     408,  1638,  2243,  1730,  -398,  1639,  3527,  1081,  3041,  2887,
    1233,   224,  5054,  3526,  3086,  4215,  1206, -1418,  1465,  3905,
    2146, -1418,  2398,  2925,  2052,   976,  2053,  1574,  2518,  2520,
     410,  1586,  1339,  1588,   932,  1187,  1731,  3389,  3885,   819,
     209,  1240,  3390,  3390,   818,   900,   362,   901,  3151,   234,
    1241,  3336,  4323,  4324,  4325,  4326,  4327,  2200,  1286,  4187,
    4188,   237,  4613,   825,  1283,  1732,   900,  1607,   901,  1640,
     906,  1608,  3527,   216,  1288,  2043,  2043,  2521,  2522,  2044,
    2759,  1150,  2203,  1291,   410, -1418,   410,  3798,  2391,  3800,
     408,  1951,  1210,  1211,  1212,   247,  1213,  1214,  1215,  1216,
    1217,  1218,  2935,   224,  2936,   674,  1641,  -398,   362,  3496,
    1304,  2518,  2205,  2762,  2199,  1629,  -500,  2200, -1371,   673,
     673,  2392, -1418,    81,  1708,    81,  1855,  2937,  2158,  2159,
     209,  3497,   674,  1837,  1311,  3498,   410,   674,  1733,  3927,
     674,   234,  2203,  3833,   408,  1299,   408,  1300,  2204,  3229,
    2393,   409,  2132,   237,   247,  1856,    37,    38,    39,    40,
    1320,   818,   674,    44,   818,  1187,  1838,    45,  3847,  1870,
    1839,  1322,  2205,  3528,  3529,  3530,  1187,  3531,  3532,  3533,
    3534,  3535,  3536,  1187,  2343,  2344,  1168,   247, -1164,  2887,
    2887, -1164,  4126,  1321,  2913,  1840,   408,  2916,  1169,  1170,
    1327,  2933,  1338,   674,  1338,   409,  1330,   409,  3912,  3790,
    3914,  2721,  2722,  1472,  1049,  2293,  3524,  2294,  1171,  2287,
    1933,  1172,  2938,  3661,  3662,  1933,  1933,  2939,  1733,   417,
     674,   674,  2940,  4079,  2296,   819,  2297,  1933,  2208,  2209,
   -2635, -2635,  3791,  3531,  3532,  3533,  3534,  3535,  3536,  3659,
    4131,  4133,  1344,   410,   674,  3550,   410,  3552,  3553,   825,
    1348,  4332,  3659,  3029,  3030,  1677,  3177,  1338,  4602,  1356,
    4604,  3792,  1357,  3966,  4607,  1362,  4608,  2207,   674,  3239,
    1371,  2146,   674,  1725,  2212,  1707,  2288,    79,  1377,    79,
    1607,   967, -1903,  1106,  1608,  3983,    45,  3381,  2208,  2209,
     674,  4788,   818,    35,   417, -1419,  2598,  3697,  3698, -1419,
     674,    41,    42,   408, -1442, -1442,   408,  3154,    45,  2761,
    2992,  2762,  1392,   674,  4325,  4326,  4327,    37,    38,    39,
      40,   362,   674,  3239,    44,  1173,  2782,  1048,  2783,  3209,
    2784,  1339,  2783,  2520,  2212,    80,    80,  2812,    80,  2813,
    2941,  1107,   819,  1431,  2520,   819,  3014,  2213,  3015,  4733,
    2942,  3074,  1445,  2813,  1339,  3627,  1435,  4026,  1472,  2343,
    3050,  3524,  1174, -1419,  4292,  1187,   825,  1933,  3164,   825,
    3165,  2119,  2120,    37,    38,    39,    40,  4032,  4465,  3220,
      44,  2521,  2522,  3812,   410,  1451,  3225,  3526,  3226,  1452,
    3239,  3815,  2521,  2522,  1457,  3239,  4463,  3404,  3405,  2110,
   -1419,  3324,  4054,  3325,  1458,  2146,  4667,  2398,  1108,  1459,
    3337,  3843,  3338,  4319,  4320,  2518,  2520,  4447,  1460,  1461,
    2520,  1339,  4335,  3455,  1462,  2783,  2518,  3239,  2520,  1102,
    4420,  4421,  4422,    37,    38,    39,    40,  3495,  2112,  2762,
      44,  1677,  1933,  3808,   408,   674,  3527,  1463,  2520,  1677,
    1472,  1677,  3505,  3524,  2762,  3509,  4408,  2762,  2219,  2220,
    2221,  2222,  2223,  2224,  2521,  2522,  1466,  3351,  2521,  2522,
    4466,  1150,  2725,  3513,  1467,  2762,  2521,  2522,  4337,  4018,
    1469,  2731,   674,   819,  4684,  4685,  4686,  4687,  1601,  1592,
    1187,  3602,  3603,  3604,  2193,  1595,  2521,  2522,  2518,  1599,
    1600,  3514,  2518,  2762,  2198,  1619,  3540,   825,  2762,  3556,
    2518,  2762,  1606,  3561,  2236,  3562,  1626,  1629,  2219,  2220,
    2221,  2222,  2223,  2224,  1109,  3597,   884,  3598,  1627,   674,
    2518,  1636,  1630,  2886,  2886,  3599,  1102,  3600,  2886,  1651,
    2887,  1933,  3526,  1339,   818,  1656,  2266,  2268,  1652,  2887,
     818,  1339,  1339,   674,  3775,  1658,  3776,  1187, -1549, -1549,
   -1549, -1549,  3779,  1187,  3780, -1549,  2887,  2887,  1201,  4212,
   -1556, -1556, -1556, -1556,  3920,  1662,  3923, -1556,  2886,  2886,
    1187,  1187,  3960,  1663,  3961,    35,  1187,  4323,  4324,  4325,
    4326,  4327,  1666,    41,    42,  4328, -1547, -1547, -1547, -1547,
    4022,  3527,  2762, -1547,  1667,   891,  2520,  1635,  1671,  1637,
    3367,  1187,  1187,  3528,  3529,  3530,  1187,  3531,  3532,  3533,
    3534,  3535,  3536,  4059,  -938,  4060,  1668,  1669,  1187,  1187,
    1187,  1187,  1670,  1672,  3526,   673,   410,  4069,  1678,  4070,
    4305,  1187,   410,  4081,  1187,  2762,  1187,  1679,  4158,  4599,
    4159,  4162,  1681,  4163,  2521,  2522,  1187,  1187,  1710,  4191,
    1187,  2783,  4381,   893,  2783,  4464,  3231,  2813,  4527,   366,
    4528,  1711,  2815,  1187,  2816,  1187,  1719,  2818,  2817,  1187,
    4533,  4306,  2783,  4534,  4389,  2783,  1725,  1677,  2518,  4012,
    4595,  1713,  4596,  3527,  3659,  1187,   408,  4236,  1746,  1773,
    4578,  4579,   408,  4581,  3380,  4307,  1187,  1751,  1187,  1187,
    1187,  4652,  4638,  4653,  1777,  4693,  3232,  4694,  1802,  3557,
    4308,  4695,  1805,  2762,  4309,  3564,  1804,  4703,   674,  2813,
    1810,  4486,  1187,  4489,  2520,   819,  1813,    37,    38,    39,
      40,   819,  1833,  4310,    44,  1187,  4311,  4755,  1845,  4756,
    1187,  1854,  4814,  1721,  2783,  4691,  1187,  1859,  4312,   825,
    1864,  4839,  3368,  4840,  1187,   825,    74,  3233,  3528,  3529,
    3530,  1865,  3531,  3532,  3533,  3534,  3535,  3536,  4369,  4852,
    1866,  2813,  2521,  2522,  2565,  1873,  4859,    35,  3015,  1871,
    2887,    37,    38,    39,    40,    41,    42,  4864,    44,  3940,
     900,  1875,   901,   674,  1877, -1550, -1550, -1550, -1550,  1881,
    1882,   903, -1550,  4866,  1887,  3940,  2518,  1889,   674,   674,
    1892,  4905,   905,  4906,  1187,  1951,  4937,  4942,  2256,  4943,
    4953,  1894,  2813,   818,   818,   818,  4313,  4516,  1897,  4954,
    4667,  3562,  4339,  1733,  4314,   674,  1939,  2632,   674,  1942,
    1954,  1933,  4722,  4955,  4958,  2762,  3015,  4960,  3234,  3940,
    3528,  3529,  3530,  1944,  3531,  3532,  3533,  3534,  3535,  3536,
    1935,  1778, -1548, -1548, -1548, -1548,  1955,  1779,  4315, -1548,
    4977,  4983,  2813,  2813,  4984,  4997,  2813,  4998,  5016,  -181,
    3015,  2862,  1677,  1933,  1933,  1957,  1933,  3369,  5095,  5106,
    5096,  5096,  1959,  1971,  1973,  1979,  1981,   853,  1997,  1989,
    2002,  2679,  2004,  3122,  2006,  2003,  2189,  1780,  2005,  2008,
    1201,  2009,  2016,  2019,  2020,   410,   410,   410,  2021,  2022,
    2933,  1004,  2024,  2029,  2030,  2031,  3370,  2112,  2036,  2050,
    2084,  2114,  2117,  4778,   674,  2121,  2130,  2123,  4785,  3596,
    2124,  1004,  1933,  2131,  1933,   674,  2139,  2863,  2142,  2143,
    2149,  3235,  3607,  2144,   674,  2145,  1781,  2229,   247,  3236,
    2260,  2151,  3237,  1782,   818,  2154,  1783,  2155,  2156,  2157,
    2162,  2164,  2272,  2165,  2166,   408,   408,   408,  2167,  2168,
    2175,  4423,  2176,  2178,    80,  2179,  1421,    80,  4512,  2180,
     362,  2181,  4851,  2256,  2182,  2183,  2184,  2185,  1933,  2292,
    2282,  2301,  1639,  1641,  2330,  2864,  2332,  2340,  2865,  2342,
    3607,  2349,  3981,  1101,   819,   819,   819,   674,   913,  1784,
    1139,  2363,  2365,  1933,  2357,  2367,  2375,  2378,  2376,  2385,
    2383, -2577,  2387,  2394,  2395,  2396,  2398,  2399,   825,   825,
     825,  4854,  4542,  3862,  1933,  2400,  2401,  2402,  2403,  2424,
    2430,  3945,  2436,  2457,  1220,  2461,   410,  1933,  3522,  3523,
    3956,  2463,  4890,  3538,  2464,  2465,  4895,  4896, -1383,  2466,
    4556,   674,  2467,   674,  2492,  2493,  1785,  2500,  1786,  2502,
   -1383,  3980,  1102,  2512, -1383,   674,  4569,   674,  1787,  2513,
    2515,  2518,  2516,  1102,  2517,  2870,  1788,  2524,  2866,  4626,
    2525,  2526,  2527,  3573,  3574,  1789,  4095,  4096,  4097,  4098,
    2531,  2532,  2538,   924,  2540,  4907,   408,  2544,  4367,  4368,
    2548,  1933,  2555,  2545,  1788,  2583, -1383,  4736,  4894,  2556,
    4858,  2584,  4586,  1338,  2588,  2589,   674,  1933,  4775,  2652,
    4858,  4891,  1791,  2562,   664,  2611,  2563,  2624, -1383,  4897,
    1933,  4899,  2572,  2612,  2626,   819,  2627,  2573,  2585,  2594,
    2639,  2597,  2653,  2135,  2637,  2886,   674,  1792,  2886,  2886,
    2886,  2886,  2886,  2886,  2886,  2886,  2886,  2886,  2640,   825,
    1187,  2146,  2152,   674,  2656, -1383,   818,  2657,  2660,  2661,
     886,  2664,  2668, -1383,  4901,  2867,  2683,  2688,  4062,  1830,
     674,  2703,  2704,   674,  2711,  2716,  2717,  2714,  1677,  2999,
    2724,  2735,  2738,  2718,  2737,  2739,  2740,  4963,  2753,  1187,
    2754,  1677,  1933,  2778,  2801,  1793,  2795,  2886,  2886,  1187,
    2810,  2820,  2779,  2825,  2895,  1187,  2200,  1187,  2853,  2852,
    2896,  4778,  1933,  1187,  2858,  2908,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  2914,  2919,  2918,  1187,
    1187,  2926,  2951,  2978,  2995,  3005,  2932,  1933,  2997,  2949,
    2994,  3006,  1187,  3016,  2199,  3025,  1187,  2200,   410,  1107,
    1187,  3000,  4601,  4959,  3002,  3017,  2112,  3027,  3026,  3028,
    1187,  3036,  3056,  1187,  3487,  1187,  3059,  3058,  2246,  3075,
    3490,  3073,  2203,  1933,  1187,  1187,  1187,  3076,  2204, -1383,
    1187,   673,  3077,  1187,  4828,  3088,  3093,  3100,  3096,  3098,
    3101,  3107,  3117,  1187,  1187,  3118,  3112,  1708,  3120,    80,
    3123,    80,  2205,  3127,  1187,  3131,  3139,  3142,   408,  3155,
    1589,  4871,  1187,  1593,  1187,  3160,  3211,  3216,  3224,  3162,
    3227,  3228,  2199,  3281,  3240,  2200,  3278,  3292,  3299,  3300,
    3304,  4064,  3303,  3305,  3307,  3308,  4744,  1607,  3309,  3311,
    1629,  1608,  3317,  1677,   362,  3310,  3319,   819,  3326,  3328,
    2203,  3333,  4256,   362,  3331,  3332,  2204,  1187,  3334,  3359,
    3373,  3339,  3388,  1187,  3375,  3382,  3396,  3398,  3399,  1187,
    3391,   825,   818,  3407,   362,  4762,   818,  3397,   818,  3409,
    2205,  3412,  3424,  5072,  3428,  1588,  3429,  3427,  3430,  3432,
    3433,  3448,  3447,  3457,  1187,  3442,  3458,  1338,  3445,  3459,
    3460,  3015,  1220,  2206,  3469,  2826,  3477,  2207,  3483,  2037,
    3485,  3462,  3489,  3614,  1437,  3488,  3491,  3492,  3493,  3507,
    3511,  3508,  3510,  3622,  3546,   674,  3558,  3512,  2208,  2209,
    3515,  2762,  3659,  3572,  3516,  3518,  3521,  3539,  3577,  3624,
    3545,  1220,  3575,  3547,  3548,  2210,  3555,  3570,  3571,  3585,
    3592,  3595,  -984,  3616,   818,  3621,  3666,  3671,  3675,  3681,
    3685,  3669,  3690,  3696,   410,  3699,  3686,  2043,   410,  1933,
     410,  3614,  3691,  3710,  2212,  3713,  3702,  3715,  3701,  3737,
    3738, -2635,  3748,  3722,  3749,  2207,  3755,  2213,  3756,  3764,
    3766,  3687,  3803,  3810,  3811,  3809,  3804,  3807,  3818,  3819,
    3823,  3820,  3816,  2112,  3826,  3706,  2208,  2209,  2886,   674,
    3817,  3707,   674,  3828,  3830,  3821,  3838,  3836,  3822,  3824,
    3825,  3827,  2581, -2635,   408,  3829,  3831,  3834,   408,  3848,
     408,  3840,  3314,  3833,  3842,  3854,  3855,  3858,  2360,  2189,
    3314,  3886,  3873,  3874,  3887,  3925,   410,  3882,  3918,  4102,
    4104,  3209,  2212,  4233,  3928,  3919,  3930,  3932,  3940,  3939,
    3948,  3946,  3955,   819,  2215,  2213,  3951,   819,  2199,   819,
    3952,  2200,  3958,  2112,  3978,  3987,  4397,  2112,  2112,  3989,
    3997,  4008,  3998,  3999,  4009,  4000,  1187,   825,  2201,  4003,
    4010,   825,  4011,   825,  4020,  4974,  2203,  3383,  4025,  2132,
    3542,  3524,  2204,  4055,  3541,  4056,   408,  4057,  4063,   674,
     674,  2194,  4084,  1933,  4083,  4092,   674,  4125,  3980,  4111,
    4151,  4071,  4134,  4128,  4146,  3411,  2205,  4154,  4145,  4304,
    4144,  1339,  4178,  1677,  4199,  4147,  4150,  4168,  4214,  4201,
    4202,  4213, -2635,  4216,  4218,   819,  4237,  4238,  4239,  1933,
    1187,  1187,  4227,  4240,  2216,  2217,  2218,  4252,  2219,  2220,
    2221,  2222,  2223,  2224,  4250,  4251,  4268,  4284,  1339,   825,
    4033,  4523,  4253,  4038,  4039,  4040,  4041,  4042,  4043,  4044,
    4045,  4046,  4047,  4254,  4255,  4971,  4286,  4222,  2886,  2886,
    4289,    74,  4297,  4298,   674,  4295,  4321,  4358,  4347,  4355,
    3970,  4365,  2783,  4375,  4374,  1338,  4363,  4370,  4378,  4392,
    4377,  1187,  1004,  4394,  1004,  4395,  1004,  2362,  4409,  4405,
    4411,  4521,  1004,  1419,  1420,  4406,  4419,  2206,  4413,  4424,
    4427,  2207,  4087,  4088,  4428,  4429,  2219,  2220,  2221,  2222,
    2223,  2224,  4430,  4436,  4431,  1004,  1004,  4439,  1187,  4444,
    4449,  1220,  2208,  2209,  4443,  4448,  4456,  4452,  1187,  1187,
    4450,  1933,  4451,  4482,  4478,  4480,  1187,  1187,  4483,  2210,
    4490,  1187,  1933,  4554,  4495,  4496,  4522,  1187,  1187,  4514,
    4493,  1187,  4498,  4499,  4513,  4524,  4517,  2199,  4529,  4530,
    2200,  4538,  4559,  4549,  4552,  2211,  4553,  4570,  2212,  1187,
    4577,  4582,  4589,  1187,  4573,  4609,  4612,  2201,  4619,  4627,
    4632,  2213,  4637,  1187,   818,  2203,  4639,  4643,  1187,  4654,
    4656,  2204,  3627,  4664,  4645,  4662,  4665,  4673,  4681,  4689,
    1187,  4690,  4692,  4697,  4699,  4701,  4700,   936,  4702,  4708,
    4715,  4718,  4724,  4728,  4730,  2205,  4738,  4734,  4750,   937,
    4753,  4754,  4759,  4772,  4764,  1677,    81,  4771,  4776,  4783,
    4765,  4789,  4354,  4796,  4798,  1004,  4799,  4801,  4802,  1187,
     938,  4821,  4803,  1202,  4822,  4820,  4826,  4824,  4830,  1224,
    4621,  4831,  4855,   939,  1700,  4847,  4861,  1933,  2215,  1237,
    4870,  1108,  4887,  4878,  4912,  4917,   940,  1201,  4921,   362,
    4922,  4924,  4926,  4927,  4932,  4939,   410,  4940,  4941,  4946,
    4947,  4952,  4957,   941,  1339,  1933,  4956,  1298,  4961,  4962,
    4967,  1305,  4980,  4969,  4892,  4987,   674,  4985,  4988,  1004,
    4991,  1933,  1315,  4993,   942,  4996,  5001,  5002,   674,  5007,
    5008,   362,  5026,  4136,  4989,   943,  2206,  5031,  5029,  5034,
    2207,  5037,  5045,   944,   671,  5044,  5049,  4990,  5063,  5091,
    5075,  5094,  5100,  1120,   945,  5104,   408,  1809,  2595,   946,
    1776,  2208,  2209,  3377,  2279,   947,  3651,  1933,  2216,  2217,
    2218,  3215,  2219,  2220,  2221,  2222,  2223,  2224,  2210,  3761,
     948,  4231,   674,  3291,  3857,  4301,  4903,  4777,  4509,  4986,
    4823,  4825,  4366,  4624,  4811,   819,  3704,  3456,  5032,  4742,
    5071,  4994,  5043,  4992,  2211,  2438,  4935,  2212,  3709,  4362,
      79,  3357,  3358,  4230,  3773,  2680,  3935,  5074,  3340,   825,
    2213,  5105,  1006,  2214,  1339,  1187,   949,  5101,  4800,  3883,
    3614,  3614,  3861,  4350,  5047,  4763,  1187,  4982,  2439,  2886,
    5035,  2663,  1006,  4766,  1023,  3607,  2104,  4873,  4696,  3607,
    4425,  2440,  4401,  3168,  4945,  4402,  3837,   950,  1340,  5056,
    5102,  4930,  3010,  2768,  2441,  2886,  2886,   951,  3011,  3656,
    1603,  4384,  3033,  4515,  3657,  4164,  2298,  3452,  3667,  3680,
    3035,  3665,  3034,  2327,  1933,   853,  2331,  1625,  2051,  4106,
    4477,  3668,   362,  4863,  2326,    74,    74,  2215,    74,  4103,
    4488,  1611,  2442,  4165,  2336,   674,  4075,  3778,  4853,  4065,
    5017,  5025,   952,  2443,  1004,  5018,   953,  1187,   954,  3660,
    3502,  1933,  3590,  3588,   955,  4161,  1187,   956,  1153,  2977,
    3979,  3614,  2444,  3426,  1991,  2720,  3060,  2445,  3806,  5015,
    1123,  3067,  2341,  1187,  1187,  2348,  1677,  1187,  3051,  2111,
    3064,  3646,  1689,   957,  4170,   958,  1690,  3065,  4171,   959,
    1187,  1388,  2245,  4505,  4149,  1187,  2345,   960,  1187,  1718,
     664,   664,   961,  1187,  1187,  3071,  1146,  2780,  3454,  2040,
      83,     0,   818,  4735,   962,     0,  3835,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,   963,     0,  3003,
     674,     0,   674,     0,  2446,  3004,  1187,  1426,  3314,     0,
       0,  3314,  3314,  4460,  4461,  3314,     0,     0,     0,     0,
       0,  3314,     0,     0,     0,     0,     0,     0,     0,     0,
    3871,     0,     0,     0,     0,  2447,  3880,  1933,     0,     0,
       0,     0,     0,  3871,     0,  1187,     0,     0,     0,     0,
    4815,     0,     0,     0,  2829,     0,     0,  1339,     0,  1339,
       0,     0,     0,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   410,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1187,  2886,
       0,     0,     0,     0,     0,  3938,  2448,     0,     0,     0,
       0,  2830,  2449,     0,     0,  2450,  1004,     0,     0,     0,
       0,  1004,  1004,  3417,     0,     0,     0,     0,     0,     0,
       0,  3965,  1339,     0,     0,     0,  2199,     0,  2023,  2200,
    2831,  2451,  1754,     0,   408,   369,     0,  2452,     0,  2038,
       0,   369,   818,  1187,     0,  1933,   667,     0,  4732,     0,
    2453,  2832,     0,     0,  2203,     0,     0,  4304,     0,     0,
    2204,     0,  2833,     0,  1755,     0,     0,  1187,  1933,     0,
    1187,     0,  1187,   819,   369,  2454,     0,     0,     0,     0,
       0,  2834,     0,     0,  2205,  2358,  2835,  1420,     0,  1187,
       0,     0,     0,  1187,     0,     0,     0,   825,  1933,     0,
       0,  1677,     0,     0,     0,  2372,     0,     0,     0,     0,
       0,     0,  2379,  2381,     0,     0,  3607,     0,     0,   369,
    1756,  3607,     0,     0,  3607,     0,     0,     0,     0,     0,
       0,     0,  2836,  4933,   410,     0,     0,     0,  1933,     0,
       0,     0,  1933,  1933,     0,     0,     0,     0,     0,     0,
       0,  1757,     0,  2837,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1044,     0,     0,  1004,
       0,     0,     0,     0,  1044,  4076,  1044,  1004,     0,  1187,
    3418,     0,     0,     0,     0,  2206,     0,  1758,   369,  2207,
       0,     0,     0,     0,   408,     0,     0,     0,  1187,     0,
       0,  5090,     0,     0,     0,     0,     0,     0,     0,     0,
    2208,  2209,   853,     0,  1754,     0,     0,  1759,  1933,     0,
       0,     0,     0,     0,     0,  4951,     0,  2210,  1004,  4141,
       0,  1004,  1004,   819,     0,     0,  3614,     0,     0,  2838,
    3614,     0,     0,     0,     0,  2839,  1755,     0,  1187,     0,
       0,  2840,     0,  2211,     0,     0,  2212,   825,     0,     0,
       0,     0,     0,     0,     0,  1187,     0,     0,     0,  2213,
       0,     0,     0,   362,  4688,     0,     0,     0,     0,     0,
    2841,   209,  2842,     0,   674,  1762,     0,     0,     0,     0,
       0,  1763,     0,     0,     0,  1004,     0,     0,  1764,  2843,
    4704,  4705,  1756,     0,     0,     0,  2476,     0,     0,     0,
    1187,     0,     0,  5048,     0,  1766,     0,   366,     0,     0,
    5058,  1187,  5059,  1767,  2844,  5061,  5060,     0,     0,     0,
       0,     0,     0,  1757,     0,   818,     0,   369,     0,     0,
       0,     0,  1187,  1187,     0,   674,  2215,     0,     0,  3607,
       0,     0,     0,     0,     0,  1187,     0,   366,     0,     0,
    5058,     0,  5059,     0,     0,  5061,  5060,     0,     0,  1758,
       0,     0,   369,     0,  1768,     0,     0,     0,  3420,  3970,
       0,     0,   818,     0,     0,  3871,     0,     0,     0,     0,
     818,     0,     0,     0,     0,     0,   664,  1187,     0,  1759,
       0,   366,     0,  2719,  5058,     0,  5059,  1187,  4257,  5061,
    5060,  4258,     0,  4259,     0,     0,     0,     0,     0,  2199,
       0,     0,  2200,     0,     0,  1778,     0,   410,     0,     0,
       0,  1779,     0,     0,     0,     0,  2216,  2217,  2218,     0,
    2219,  2220,  2221,  2222,  2223,  2224,     0,  2203,     0,     0,
       0,     0,  3314,  2204,    74,     0,   362,    74,  3314,  3314,
       0,  2632,     0,   209,     0,  2475,     0,  1762,     0,  1187,
       0,  1780,     0,  1763,   410,     0,     0,  2205,  1187,     0,
    1764,  3880,   410,  4629,     0,     0,     0,   408,  2476,     0,
       0,     0,  4334,  4336,  4338,  4340,     0,  1766,     0,     0,
       0,     0,     0,     0,     0,  1767,     0,     0,     0,     0,
    5081,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1781,     0,     0,     0,  4850,     0,   819,  1782,     0,     0,
    1783,     0,     0,     0,   408,     0,     0,     0,     0,     0,
       0,     0,   408,  1006,     0,  1006,     0,  1006,     0,     0,
     825,     0,     0,  1006,     0,     0,  1768,  5081,  2859,  2860,
       0,     0,  4400,     0,     0,  5081,  2872,     0,     0,  2593,
    2875,  2876,     0,   819,     0,     0,  1006,  1006,  2206,     0,
       0,   819,  2207,  1784,     0,  2897,     0,  2898,     0,     0,
       0,  5082,     0,     0,     0,     0,     0,   825,     0,     0,
       0,     0,     0,  2208,  2209,   825,     0,  3614,     0,  2920,
       0,  2921,  3614,     0,     0,  3614,     0,     0,     0,     0,
    2210,     0,  2199,     0,  4434,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   362,     0,  5082,     0,
    1785,     0,  1786,     0,     0,     0,  5082,     0,   362,  2212,
    2203,     0,  1787,  3614,     0,     0,  2204,     0,  2726,     0,
    1788,  2372,  2213,     0,     0,     0,     0,  2732,     0,  1789,
    2669,  2736,     0,     0,     0,     0,     0,  2742,  2743,     0,
    2205,     0,     0,     0,     0,     0,  2593,     0,  5089,     0,
       0,     0,  4761,     0,     0,  2755,  1006,     0,     0,     0,
       0,     0,  1790,     0,     0,     0,  1791,     0,     0,  2199,
     671,   671,  2200,     0,     0,  1705,     0,     0,     0,     0,
       0,     0,     0,     0,  2734,  1004,     0,     0,     0,     0,
       0,  1792,   362,     0,     0,  1201,     0,  2203,     0,  2215,
       0,     0,  3586,  2204,     0,     0,     0,  2593,     0,     0,
    4510,  4511,     0,     0,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,     0,     0,     0,  2205,     0,     0,
       0,     0,    80,     0,     0,     0,     0,  1004,     0,     0,
       0, -2635,     0,     0,     0,  2207,     0,   369,     0,  1793,
    3614,   369,     0,     0,     0,     0,     0,  1700,     0,    74,
       0,    74,     0,     0,     0,   667,  2208,  2209,     0,     0,
       0,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   667,     0, -2635,     0,     0,     0,     0,     0,  4089,
   -2635, -2635,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
    3614,     0,     0,     0,     0,     0,     0,     0,     0,   667,
       0,     0,  2212,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   667,  2213,     0,     0, -2635,     0,
       0,     0,  2207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   667,
       0,  4584,  4585,  2208,  2209,     0,     0,     0,     0,     0,
       0,  3314,  3314,     0,   667,     0,     0,     0,  1339,   667,
   -2635,     0,  4603,     0,     0,  1778,     0,     0,     0,   667,
       0,  1779,     0,     0,     0,     0,  4923,  3880,  3880,  3880,
    3880,  3880,     0,   667,  2199,     0,     0,  2200,     0,  2212,
       0,     0, -2635,     0,     0,     0,     0,     0,     0,     0,
       0,  3007,  2213,     0,     0,  1006,     0,     0,     0,     0,
       0,  1780,  2203,  1004,     0,     0,     0,     0,  2204,     0,
       0,  1004,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,     0,  4647,     0,     0,     0,     0,   370,     0,     0,
       0,     0,  2205,   370,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4666,
    1781,     0,     0,     0,     0,     0,     0,  1782,     0,     0,
    1783,     0,     0,  1044,     0,   667,   370,  1044,     0, -2635,
       0,     0,  4434,  4434,  4434,  4434,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,     0,     0,  4090,     0,   666,  5004,     0,  3335,
       0,     0,     0,     0,     0,     0,     0,     0,  3614,     0,
       0,   370,     0,  1784,     0,     0,     0,     0,     0,     0,
       0,     0,   664,     0,   816,     0,     0,     0,     0,     0,
       0,     0,     0, -2635,     0,     0,     0,  2207,     0,     0,
       0,     0,  5033,     0,     0,     0,     0,     0,     0,  3078,
       0,     0,   667,   667,  3082,     0,     0,  3085,  2208,  2209,
       0,     0,     0,  2219,  2220,  2221,  2222,  2223,  2224,   816,
    1785,     0,  1786,     0,     0, -2635,     0,     0,     0,  3108,
     370,     0,  1787,     0,     0,  2199,     0,  1006,  2200,     0,
    1788,     0,  1006,  1006,     0,     0,     0,     0,     0,  1789,
       0,     0,     0,  3871,  2212,     0,     0,     0,     0,     0,
       0,     0,     0,  2203,     0,     0,  1043,  2213,     0,  2204,
    3158,     0,     0,     0,  1043,     0,  1043,     0,     0,     0,
       0,     0,  1834,  3314,     0,     0,  1791,     0,   816,     0,
       0,     0,  1339,  2205,     0,     0,  4781,  3172,  4782,  1004,
       0,  4786,  4787,     0,     0,     0,     0,     0,     0,     0,
       0,  1835,     0,     0,     0,  5103,     0,     0,     0,     0,
       0,  3205,     0,     0,     0,     0,   671,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2635,  3230,     0,     0,     0,  3241,
       0,     0,     0,     0,  1204,  4093,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,  3253,  2199,  1793,
    1239,  2200,     0,     0,     0,     0,     0,  3262,  1249,   370,
       0,     0,     0,  1282,     0,     0,     0,  1778,     0,     0,
    3286,     0,     0,  1779, -2635,     0,  2203,     0,  2207,  3293,
    1006,     0,  2204,     0,     0,     0,     0,     0,  1006,   667,
       0,     0,     0,  3417,   370,     0,     0,     0,     0,  2208,
    2209,     0,     0,     0,   667,     0,  2205,     0,     0,     0,
       0,     0,  1754,  1780,     0,     0, -2635,     0,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,   667,     0,     0,
       0,     0,  3417,     0,     0,  1778,     0,     0,     0,  1006,
       0,  1779,  1006,  1006,  1755,  2212,     0,     0,     0,     0,
    4904,  1754,     0,     0,     0,     0,     0,     0,  2213,     0,
    3434,     0,  1781,   667,     0,     0,     0,     0,  4469,  1782,
       0,     0,  1783,     0,  1930,     0,  3443,  3444,   667,  2372,
    3446,  1780,  3649,  1755,  1004,     0,  3450,     0,     0,     0,
       0,   667,     0,     0,   667,     0,     0,     0,     0,     0,
    1756,     0,     0,     0,     0,     0,  1006, -2635,     0,     0,
       0,  2207,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,  1784,     0,     0,     0,     0,
    1781,  1757,  2208,  2209,     0, -2635,     0,  1782,     0,  1756,
    1783,     0,     0,     0,     0,     0,     0,     0,     0, -2635,
    1581,     0,     0,     0,     0,     0,     0,  3486,     0,     0,
    3418,     0,     0,     0,     0,     0,     0,  1758,  1605,     0,
    1757,     0,     0,     0,     0,     0,     0,     0,  2212,     0,
    1339,     0,  1785,     0,  1786,     0,  3468,     0,     0,     0,
    1631,  2213,     0,  1784,  1787,     0,     0,  1759,     0,  3418,
       0,     0,  1788,     0,     0,     0,  1758,     0,     0,     0,
    3468,  1789,     0,     0,     0,     0,   667,     0,     0,     0,
       0,     0,     0,     0,   667,   667,     0,     0,     0,  2219,
    2220,  2221,  2222,  2223,  2224,   369,  1759,  1930,     0,     0,
       0,     0,     0,     0,  1860,     0,     0,     0,  1791,     0,
    1785,     0,  1786,     0,     0,     0,     0,     0,     0,     0,
       0,   209,  1787,     0,     0,  3419,     0,     0, -2635,     0,
    1788,  1763,     0,  1861,     0,     0,     0,     0,  1764,  1789,
       0,     0,     0,     0,     0,     0,  2476,     0,   369,   369,
     369,  1799,     0,     0,     0,  1766,     0,     0,     0,     0,
     209,     0,     0,  1767,  1762,     0,     0,     0,   667,     0,
    1763,     0,  2458,     0,     0,     0,  1791,  1764,     0,     0,
       0,     0,     0,  5083,     0,  2476,     0,     0,     0,     0,
       0,  1793,     0,     0,  1766,     0,     0,  1778,   369,     0,
       0,  2459,  1767,  1779,     0,   369,     0,     0,     0,     0,
       0,     0,   369,     0,  1768,     0,     0,     0,  3420,  1044,
       0,     0,  2219,  2220,  2221,  2222,  2223,  2224,  1814,     0,
    5083,     0,     0,     0,     0,     0,     0,     0,  5083,     0,
    1946,     0,     0,  1780,     0,     0,     0,     0,     0,     0,
       0,     0,  1044,  1768,     0,     0,     0,  3420,     0,  1793,
       0,     0,  1974,  1977,  1978,     0,     0,     0,     0,   370,
    1004,     0,     0,   370,  1815,  3875,  3878,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,   668,     0,     0,
       0,     0,  1781,   668,     0,     0,  3714,     0,     0,  1782,
       0,     0,  1783,   668,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3924,     0,     0,     0,     0,     0,
    3693,     0,     0,     0,     0,     0,     0,   816,     0,     0,
       0,   668,     0,     0,     0,   668,     0,     0,     0,    35,
       0,   667,     0,  1044,     0,   666,   668,    41,    42,     0,
       0,   666,  1816,  2199,     0,  1784,  2200,     0,     0,     0,
       0,   666,  3716,     0,     0,     0,     0,  1930,     0,     0,
       0,   668,     0,  2201,     0,  3765,  2202,  3767,     0,     0,
    1581,  2203,     0,     0,     0,     0,   668,  2204,  1778,   666,
       0,   668,     0,   666,  1779,     0,  1006,  2116,     0,     0,
    1817,   668,  1818,     0,   666,     0,     0,     0,  1581,     0,
       0,  2205,  1819,     0,  1786,   668,     0,     0,     0,     0,
    1778,  2491,   369,     0,  1787,     0,  1779,     0,     0,   666,
       0,  1778,  1788,     0,  1780,  1004,     0,  1779,     0,     0,
    1820,  1789,   667,     0,   666,     0,     0,     0,  1006,   666,
    1930,     0,   671,     0,     0,     0,     0,     0,   667,   666,
       0,  3783,     0,     0,     0,     0,  1780,     0,  1705,  3832,
       0,     0,  3801,   666,  1821,  3839,     0,  1780,  1791,  1822,
       0,     0,     0,  1781,     0,     0,     0,     0,     0,     0,
    1782,     0,     0,  1783,     0,   667,   667,     0,     0,     0,
       0,     0,     0,  1823,     0,     0,   667,   668,     0,     0,
       0,     0,  2206,     0,  1824,  1781,  2207,     0,   667,   667,
       0,     0,  1782,  1930,     0,  1783,  1781,   370,     0,     0,
       0,     0,     0,  1782,     0,     0,  1783,  2208,  2209,     0,
     667,     0,  1930,     0,  3844,     0,  1784,     0,     0,  2283,
       0,     0,     0,     0,  2210,     0,  2199,     0,     0,  2200,
    1930,  1793,     0,  1043,     0,   666,     0,  1043,     0,     0,
       0,     0,     0,     0,     0,     0,  2201,     0,  1784,     0,
    2211,     0,     0,  2212,  2203,     0,     0,     0,  1930,  1784,
    2204,     0,     0,     0,   668,   668,  2213,  2337,     0,  2214,
       0,     0,     0,  1785,     0,  1786,     0,     0,     0,     0,
       0,     0,     0,     0,  2205,  1787,     0,     0,     0,     0,
       0,  3982,     0,  1788,     0,  3985,  3986,  4167,  3988,     0,
    3990,  3991,  1789,     0,  1006,  1785,     0,  1786,     0,  3996,
       0,     0,  1006,     0,  1006,     0,  1785,  1787,  1786,     0,
       0,  1930,   666,   666,     0,  1788,     0,     0,  1787,     0,
       0,     0,     0,     0,  1789,  2528,  1788,     0,     0,  1791,
       0,     0,     0,  2215,  4014,  1789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   369,
       0,     0,     0,  2593,  2529,     0,     0,  3174,     0,     0,
       0,  1791,     0,     0,     0,     0,     0,     0,  3255,     0,
    4004,     0,  1791,     0,     0,  2206,     0,     0,     0,  2207,
       0,     0,  2494,     0,     0,  1004,  1792,     0,     0,  2511,
    4015,     0,     0,     0,     0,     0,     0,  3256,     0,     0,
    2208,  2209,  1778,     0,     0,     0,     0,  1004,  1779,     0,
       0,     0,  1793,     0,     0,  2543,     0,  2210,  2546,     0,
       0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,     0,     0,     0,   369,
       0,     0,     0,  2211,  1793,     0,  2212,     0,  1780,     0,
    2580,     0,     0,     0,     0,  1793,     0,     0,     0,  2213,
       0,   668,  2214,     0,  2596,     0,     0,     0,  1419,  1420,
       0,     0,     0,     0,     0,     0,   668,  4318,  2608,     0,
       0,  3878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4333,   369,     0,   369,  1778,  1781,     0,   668,
       0,     0,  1779,     0,  1782,     0,     0,  1783,  1930,     0,
       0,     0,     0,     0,   667,     0,     0,     0,     0,   666,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,   666,   668,  2215,     0,     0,     0,
    1006,   667,  1780,  2989,     0,   369,   667,     0,     0,   667,
     668,     0,     0,     0,     0,     0,     0,   666,     0,     0,
    1784,     0,     0,   668,     0,     0,   668,     0,     0,     0,
       0,   667,     0,  1815,     0,     0,     0,     0,  2700,     0,
       0,     0,     0,     0,  2710,     0,     0,     0,     0,     0,
       0,  1781,     0,   666,     0,     0,     0,     0,  1782,     0,
       0,  1783,     0,     0,     0,     0,     0,  1004,   666,     0,
       0,     0,   667,     0,     0,     0,     0,  1785,     0,  1786,
       0,   666,     0,  1044,   666,     0,  2216,  2217,  2218,  1787,
    2219,  2220,  2221,  2222,  2223,  2224,     0,  1788,  4148,   667,
     667,     0,  4208,     0,     0,     0,  1789,     0,     0,     0,
       0,  1816,     0,     0,  1784,  2765,     0,     0,     0,     0,
       0,     0,   369,   667,     0,   369,     0,     0,     0,  1778,
       0,     0,     0,     0,     0,  1779,     0,     0,     0,  3294,
       0,     0,     0,  1791,     0,     0,  1928,   667,   668,     0,
       0,   667,     0,     0,     0,     0,   668,   668,     0,  1817,
       0,  1818,  1581,  1581,     0,     0,     0,   370,  3295,   667,
       0,  1819,     0,  1786,     0,  1780,     0,     0,     0,   667,
       0,     0,     0,  1787,     0,     0,  4273,     0,     0,  4276,
       0,  1788,   667,     0,     0,     0,     0,     0,     0,  1820,
    1789,   667,     0,     0,     0,  1006,   666,     0,     0,     0,
    2372,     0,     0,     0,   666,   666,     0,     0,     0,     0,
     370,   370,   370,     0,  1781,   816,  1793,     0,     0,     0,
       0,  1782,    74,  3243,  1783,     0,  1004,  1791,  1822,     0,
     668,     0,     0,     0,     0,  1778,     0,     0,     0,     0,
    3163,  1779,     0,     0,     0,  2491,  3170,     0,     0,     0,
       0,     0,  3244,   369,     0,     0,     0,  1930,     0,     0,
     370,     0,     0,  1824,     0,     0,     0,   370,   816,     0,
       0,     0,     0,     0,   370,     0,     0,  1784,  1004,     0,
       0,  1780,     0,  4372,  4414,     0,  2976,     0,   666,     0,
       0,     0,  4417,  4418,     0,  4567,  4568,     0,     0,  1928,
    4571,  4572,     0,     0,     0,     0,     0,     0,     0,     0,
    1793,  2996,     0,     0,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1781,     0,   816,     0,  1785,     0,  1786,  1782,     0,  1043,
    1783,     0,     0,     0,     0,     0,  1787,     0,  3009,     0,
    3012,   667,     0,     0,  1788,     0,     0,     0,  1004,     0,
   -2141,  3468,     0,  1789,     0,     0,     0,     0,     0,     0,
       0,     0,  1043,     0,     0,     0,     0,  3878,  3878,  3878,
    3878,  3878,     0,     0,     0,  1004,     0,  1581,     0,     0,
       0,     0,     0,  1784,     0,     0,  3742,  1930,   667,     0,
    1791,     0,     0,   668,     0,     0,     0, -2141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2141,
       0,     0,   667, -2141,     0,  3743,     0,     0, -2141,     0,
       0,     0,     0, -2141,     0,     0, -2141,     0, -2141,     0,
       0,     0,  2265,     0,     0,     0,     0,     0,  2199,     0,
    1785,  2200,  1786,     0,     0,     0,     0,     0,     0,     0,
       0,   666,  1787,  1043,     0, -2141,     0,     0,  2201,     0,
    1788,     0,  2491,     0,     0,     0,  2203,     0,     0,  1789,
       0,     0,  2204,  1793,   370,     0,     0, -2141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4541,     0,     0,
       0,     0,     0,     0,   668,   369,  2205,     0,     0,     0,
       0,   369,  3784,     0,     0,     0,  1791,     0,     0,     0,
     668,  1006,     0,     0, -2141,     0,     0,     0,  4557,  4558,
       0,     0, -2141,     0,  1006,     0,     0,     0,     0,     0,
       0,  3785,   816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   668,   668,     0,
    4731,     0,   666,  1754,     0,     0,     0,  3196,   668,  1928,
       0,  1930,     0,     0,     0,     0,     0,     0,   666, -2141,
     668,   668,  3217,     0,     0,     0,     0,     0,     0,     0,
    4587,  4588,     0,  4564,     0,  1755,     0,   667,     0,  1793,
       0,     0,   668,     0,     0,  4574,     0,  2206,     0,     0,
       0,  2207,     0,  1004,     0,   666,   666,     0,     0,     0,
       0,     0,     0,  1928,  1019,     0,   666,     0,     0,     0,
       0,     0,  2208,  2209,     0,     0,     0,     0,   666,   666,
       0,     0,  2199,     0,     0,  2200,     0,     0, -2141,  2210,
       0,  1756,  1928,     0,     0,     0,     0,     0,     0,     0,
     666,     0,  2201,     0,     0,     0,     0,     0,     0,     0,
    2203, -2141,   667, -2141, -2141,  2211,  2204,     0,  2212,     0,
       0,     0,  1757,     0,     0,     0,  1006,   667,   667,     0,
       0,  2213,     0,     0,  2214,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0, -2141,     0,     0, -2141,
   -2141,     0, -2141,  4677,   667,  4678,  4679,   667,  1758,     0,
       0,  3376,     0,     0,     0,  1928,  4682,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2989,  2989,
    2989,     0,     0,     0,  1928,     0,     0,     0,  1759,     0,
       0,   370,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,  2215,     0,
       0,     0,     0,     0,     0,  1760,     0,     0,     0,     0,
       0,     0,  3468,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,   369,   369,   369,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,  1761,   816,
       0,     0,   209,   667,     0,     0,  1762,     0,     0,     0,
       0,     0,  1763,     0,   667,     0,  2208,  2209,     0,  1764,
       0,     0,     0,   667,     0,     0,     0,  1765,     0,     0,
       0,   370,     0,  2210,     0,     0,  1766,     0,     0,     0,
       0,     0,     0,  1928,  1767,     0,     0,     0,  2216,  2217,
    2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,  2211,
       0,     0,  2212,     0,  3517,     0,     0,  3468,     0,  3468,
       0,  1930,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,     0,     0,     0,   370,   667,   370,     0,     0,
       0,  4949,     0,     0,     0,  1768,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   668,     0,     0,     0,
       0,     0,     0,  2491,  3170,     0,  3170,     0,     0,     0,
       0,     0,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,     0,   668,     0,     0,     0,   370,   668,     0,
     667,   668,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2215,     0,   667,     0,   667,     0,     0,     0,
       0,     0,     0,   668,   666,     0,  1006,     0,     0,     0,
       0,     0,  1930,  4849,  1930,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1006,     0,
       0,   666,     0,     0,     0,   816,   666,     0,     0,   666,
       0,     0,     0,     0,   668,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3601,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,     0,  1930,  4875,
       0,   668,   668,     0,     0,   667,     0,     0,     0,     0,
    1928,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,   667,  1930,   370,   668,     0,   370,  3565,     0,
       0,     0,   666,  4902,     0,     0,     0,     0,     0,   667,
       0,     0,   667,  1043,  3170,     0,     0,     0,     0,   668,
       0,     0,     0,   668,     0,     0,     0,  3170,     0,   666,
     666,     0,     0,  5080,     0,     0,     0,     0,     0,     0,
       0,   668,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   668,   816,   666,     0,   816,     0,     0,     0,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
       0,     0,     0,   668,     0,     0,     0,   666,     0,     0,
    5080,   666,     0,     0,     0,     0,     0,   369,  5080,     0,
       0,  1930,     0,     0,     0,     0,     0,  1188,  1190,   666,
       0,  1193,     0,  1195,     0,     0,     0,  3170,     0,   666,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1930,  1235,   666,     0,     0,     0,     0,     0,  1006,     0,
       0,   666,     0,     0,     0,   370,     0,     0,     0,     0,
       0,  1287,     0,     0,     0,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1313,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2199,  1930,   816,  2200,     0,   668,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2201,  1930,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,     0,     0,     0,  2204,     0,  2199,     0,     0,
    2200,     0,     0,   668,     0,     0,     0,  1930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2201,     0,  2205,
       0,     0,  3468,     0,   666,  2203,     0,  5068,     0,     0,
       0,  2204,  1928,     0,   667,     0,     0,  1928,  1928,     0,
       0,     0,     0,  1930,     0,     0,     0,     0,     0,  1928,
     668,     0,     0,     0,     0,  2205,     0,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,  1006,     0,     0,
       0,     0,     0,   369,   668,     0,     0,   369,     0,   369,
       0,     0,  2199,     0,  2989,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,     0,     0,     0,  3018,     0,   666,     0,
    2203,     0,     0,     0,  3916,  3917,  2204,     0,   667,  1006,
    2206,   667,     0,     0,  2207,     0,     0,     0,     0,     0,
    3926,     0,   666,     0,     0,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,  3934,  2208,  2209,     0,     0,     0,
       0,     0,     0,  3943,     0,   369,  2206,   370,     0,     0,
    2207,     0,  2210,   370,     0,     0,     0,  3959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2208,  2209,     0,     0,  3019,     0,     0,  2211,  1928,
       0,  2212,     0,     0,     0,     0,     0,     0,  2210,  1006,
       0,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,   816,     0,     0,   667,   667,
       0,   816,     0,     0,  2211,   667,  1006,  2212,     0,     0,
       0,     0,     0,     0,     0,     0,  1800,  1801,  1581,  3170,
    2213,  2206,     0,  2214,     0,  2207,     0,     0,     0,   668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,  2208,  2209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2215,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   667,     0,     0,     0,   666,  1890,  2211,
       0,     0,  2212,     0,     0,     0,     0,  2215,     0,     0,
       0,     0,     0,     0,   668,  2213,     0,     0,  2214,  1948,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,   668,
     668,     0,     0,     0,     0,     0,     0,     0,     0,  1980,
       0,     0,     0,     0,     0,     0,     0,  4099,  4100,  4101,
       0,     0,     0,  1928,     0,     0,   668,     0,     0,   668,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,   666,  1930,     0,  2917,  2013,  2015,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   666,   666,     0,
       0,     0,  2215,     0,     0,     0,     0,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,  2491,
       0,  3872,     0,     0,   666,     0,     0,   666,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   370,   370,   370,     0,
       0,     0,     0,  3020,  1006,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   668,     0,     0,     0,
       0,     0,     0,     0,     0,   668,     0,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,   816,   816,   816,     0,     0,     0,
       0,     0,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,   666,   667,     0,     0,     0,     0,
       0,     0,  1930,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2989,     0,     0,     0,   370,  2989,   712,
       0,     0,     0,     0,     0,  2199,     0,     0,  2200,     0,
    2989,   667,   668,     0,   668,     0,   666,     0,     0,     0,
       0,     0,     0,     0,     0,  2201,   668,     0,   668,     0,
       0,     0,     0,  2203,     0,     0,     0,   712,     0,  2204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4330,     0,     0,     0,     0,   816,     0,     0,   712,     0,
       0,     0,     0,  2205,     0,     0,     0,  1930,     0,  4356,
     666,     0,   666,     0,     0,     0,  1015,   668,     0,     0,
       0,     0,     0,  1928,   666,     0,   666,     0,     0,  1016,
       0,     0,     0,     0,     0,  1930,  4373,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   668,     0,     0,
       0,  1930,     0,  1035,     0,  1015,     0,     0,     0,  1056,
       0,     0,     0,     0,   668,  1928,  1928,     0,  1928,  1086,
       0,     0,     0,     0,   667,   666,     0,  1091,     0,     0,
       0,   668,     0,     0,   668,     0,     0,     0,     0,     0,
       0,  2199,  4950,     0,  2200,     0,     0,  1930,     0,     0,
       0,     0,     0,     0,  2206,   666,     0,     0,  2207,     0,
       0,  2201,     0,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,   666,     0,  1928,  2204,  1928,     0,     0,  2208,
    2209,     0,     0,     0,     0,     0,     0,     0,     0,   666,
       0,     0,   666,     0,     0,     0,  2210,     0,     0,  2205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   370,
       0,     0,     0,     0,     0,  2514,     0,     0,     0,   667,
       0,   667,  2211,     0,     0,  2212,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,     0,     0,
    4472,  4473,  4474,  4475,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,  2199,  4670,     0,  2200,   816,     0,  2576,
    2577,  2578,  2579,     0,     0,     0,  1928,     0,     0,  3541,
       0,     0,     0,  2201,  3542,     0,     0,     0,     0,  1928,
       0,  2203,     0,   369,     0,   667,     0,  2204,     0,     0,
    2206,  1930,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,  2615,  2616,     0,     0,  2215,     0,  2625,     0,     0,
       0,  2205,     0,     0,     0,  2208,  2209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,  2649,     0,     0,     0,     0,     0,  2211,  1928,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,  2213,     0,   668,  2214,     0,  2684,
    2685,  2686,  2687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,  3170,     0,  4027,
       0,     0,  2206,     0,     0,   370,  2207,     0,     0,   370,
       0,   370,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   666,     0,     0,  2208,  2209,  2746,
       0,     0,     0,   369,  1928,     0,     0,     0,  2750,     0,
       0,  2215,     0,     0,  2210,  2757,     0,     0,     0,     0,
     668,     0,     0,   668,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,   816,     0,     0,     0,   816,     0,   816,
    2211,     0,     0,  2212,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,  2213,   370,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3170,     0,   712,   666,     0,
       0,   666,     0,   838,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1930,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,     0,  4672,   816,     0,     0,     0,     0,
     668,   668,     0,     0,     0,     0,     0,   668,  1930,   839,
       0,     0,     0,  2215,     0,     0,     0,     0,     0,     0,
       0,     0,   840,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   667,     0,     0,     0,     0,     0,   841,
       0,     0,     0,     0,     0,   842,     0,     0,  1930,     0,
       0,     0,  1930,  1930,     0,     0,     0,     0,   666,   666,
     843,     0,     0,  2930,     0,   666,     0,     0,     0,     0,
       0,   844,     0,     0,     0,     0,     0,     0,     0,   845,
       0,     0,     0,     0,     0,   668,     0,     0,     0,     0,
     846,     0,     0,     0,   667,   847,     0,     0,     0,     0,
       0,   848,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,   849,  4074,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4670,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   850,     0,   666,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,   851,  1183,  1189,  1189,   712,     0,  1189,     0,
    1197,     0,  1183,     0,  1086,     0,   369,  1222,     0,     0,
       0,     0,  1086,     0,  1086,     0,     0,     0,  1189,     0,
    1086,     0,     0,   852,     0,     0, -2143,     0,  1251,     0,
       0,     0,     0,  1086,  4792,  1183,     0,     0,  1189,     0,
     712,     0,  1189,     0,     0,     0,     0,     0,     0,  1222,
       0,   853,  1308,   369,     0,     0,     0,     0,     0,  1189,
       0,   369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0, -2143,     0,     0,     0,     0,   854,     0,
       0,     0,   855,     0,   856, -2143,     0,     0,     0, -2143,
     857,  1183,     0,   858, -2143,     0,   712,     0,     0, -2143,
       0,  1183, -2143,     0, -2143,  1222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   859,
    1189,   860,     0,     0,     0,   861,     0,   370,  3124,  3125,
    3126, -2143,     0,   862,     0,  1928,     0,  3136,   863,  3138,
       0,  3140,  3141,     0,     0,     0,     0,   668,     0,     0,
     864,     0,     0, -2143,     0,     0,     0,     0,    85,   668,
       0,     0,     0,   865,    89,  4882,     0,     0,    93,     0,
      94,  1928,    96,    97,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,   106,     0,   816,     0,     0,  1086,  1456,
   -2143,     0,     0,     0,     0,     0,     0,     0, -2143,     0,
     119,   120,     0,     0,     0,   666,     0,     0,     0,     0,
       0,     0,     0,   668,     0,  1563,     0,   666,     0,   712,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,  1086,  3248,     0, -2143,   128,     0,     0,     0,
    1563,     0,     0,     0,     0,     0,   129,     0,   130,   131,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,  1086,  1119,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,   141,  1928,   142,   143,     0,     0,  3306,
       0,   146,     0,   147,     0,     0,     0,  3315,     0,     0,
       0,     0,  3316,   149, -2143,   150,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   153,
       0,   154,     0,     0,   157,     0,   668, -2143,     0, -2143,
   -2143,     0,     0,     0,     0,     0,   158,     0,   159,     0,
       0,     0,   160,     0,  1086,     0,     0,     0,   161,     0,
       0,  1086,     0,  1189,  1189,     0,   163,     0,   165,     0,
       0,     0, -2143,     0,   167, -2143, -2143,     0, -2143,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,     0,
       0,     0,     0,  3401,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1183,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,  1183,     0,
       0,     0,  1222,     0,     0,  3437,     0,  3439,     0,     0,
       0,   668,     0,   668,     0,  1189,     0,  1928,     0,     0,
       0,     0,     0,   184,   185,     0,     0,     0,     0,   186,
    1086,  2199,     0,  1928,  2200,     0,  1189,  1189,   187,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
       0,  2201,  1086,  1086,  1086,     0,  1189,     0,  1183,  2203,
       0,     0,  1988,     0,     0,  2204,     0,     0,     0,   666,
       0,   666,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,     0,     0,   370,   203,   668,     0,  2205,
       0,  1189,     0,  1189,  1189,     0,     0,     0,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,  3494,     0,   210,     0,     0,   212,
       0,     0,     0,   214,     0,     0,     0,  1563,   215,   216,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,     0,     0,   816,     0,   666,     0,   222,     0, -2156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
       0,     0,     0,     0,     0,  2087,  2087,     0,     0,     0,
    1086,     0,  1015,     0,     0,     0,   229,     0,   230,     0,
       0,     0,     0,     0,     0,     0,   232,  1086,     0,     0,
    2206,     0,   233,     0,  2207,  2122, -2156,   234,  1086,     0,
       0,  2128,     0,     0,     0,     0,     0,     0, -2156,   237,
       0,     0, -2156,  1563,     0,  2208,  2209, -2156,     0,     0,
       0,     0, -2156,     0,     0, -2156,     0, -2156,     0,     0,
       0,     0,  2210,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,  1563,   247,     0,   370,     0,  -136,     0,     0,
       0,     0,     0,     0, -2156,     0,     0,     0,  2211,     0,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
    1563,  1563,     0,  1563,  2213,     0, -2156,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   816,     0,     0,     0,     0,     0,     0,
     712,   712,     0, -2156,     0,     0,     0,     0,     0,     0,
       0, -2156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,  1563,     0,     0,     0,     0,     0,     0,  1928,
       0,  2215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2156,     0,
       0,  1563,     0,     0,     0,  1563,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,  1086,  2339,     0,
       0,     0,     0,     0,     0,   668,     0,  3723,     0,  3724,
    3725,  3726,     0,     0,     0,     0,  2199,     0,     0,  2200,
       0,     0,     0,  1019,   712,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2201,     0,     0,     0,
       0,     0,     0,     0,  2203,     0,     0, -2156,     0,     0,
    2204,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,   666,     0,  4153,   668,  1928,     0,     0,
   -2156,     0, -2156, -2156,  2205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2156,     0,     0, -2156, -2156,
       0, -2156,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,  1086,  2499,   666,     0,     0,     0,     0,  1086,
       0,     0,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   370,  1222,
       0,     0,     0,     0,     0,  1086,     0,     0,  1086,     0,
    1928,     0,     0,     0,  1928,  1928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2206,     0,     0,  1086,  2207,
       0,  1920,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
    1086,     0,     0,     0,     0,   370,     0,     0,     0,     0,
    2208,  2209,     0,   370,  1086,     0,   816,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2607,  2210,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,  1189,
       0,     0,     0,     0,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,  2211,     0,     0,  2212,     0,     0,     0,
       0,     0,     0,   816,     0,     0,     0,     0,     0,  2213,
       0,   816,  2214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2199,     0,     0,
    2200,     0,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
       0,     0,     0,     0,     0,     0,     0,  2201,  1086,     0,
    3992,     0,     0,  3993,  1086,  2203,     0,  2607,     0,     0,
       0,  2204,     0,     0,     0,     0,  2215,     0,     0,     0,
       0,     0,  1183,     0,  1920,     0,     0,     0,     0,   712,
       0,  1183,     0,     0,     0,  2205,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,     0,  1189,     0,     0,     0,
       0,  4019,     0,     0,     0,  1189,     0,     0,     0,     0,
       0,  1189,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2216,  2217,  2218,  2087,
    2219,  2220,  2221,  2222,  2223,  2224,  1189,     0,  1183,     0,
    4180,     0,  1086,  1086,     0,  1189,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,  2206,     0,     0,     0,
    2207,     0,     0,     0,     0,     0,     0,     0,  1015,  1015,
       0,     0,  2828,     0,     0,     0,  1563,  1563,     0,     0,
       0,  2208,  2209,     0,  1563,     0,     0,  1563,     0,     0,
       0,  1563,     0,     0,     0,     0,     0,     0,  2210,  1563,
    1563,     0,     0,     0,     0,     0,     0,  1563,     0,  1222,
    1563,  1563,  1563,  1563,     0,     0,     0,     0,     0,     0,
    1563,  1563,     0,  1563,  2211,  1563,  1563,  2212,     0,  1563,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2213,     0,     0,  2214,     0,     0,  1563,     0,     0,     0,
    1189,  1563,     0,     0,     0,  1563,     0,     0,     0,  1563,
       0,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
       0,  1563,     0,     0,     0,     0,  1086,  1563,     0,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,  4203,  4204,  4205,  4206,
       0,     0,     0,     0,  1920,     0,     0,  2215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
    1086,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2199,
       0,     0,  2200,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,  2201,
       0,     0,     0,  3042,     0,  3049,     0,  2203,     0,     0,
       0,     0,     0,  2204,     0,     0,     0,  1920,     0,     0,
    2199,     0,     0,  2200,     0,     0,     0,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,  2205,     0,     0,
    2201,  4437,     0,     0,     0,     0,     0,     0,  2203,     0,
       0,     0,     0,     0,  2204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,  1015,     0,  1015,     0,     0,  2205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1920,     0,  1563,     0,  4348,     0,     0,     0,     0,     0,
       0,     0,     0,  1183,     0,  1189,  1189,  1189,     0,  1920,
    1183,     0,  1222,     0,  1189,     0,  1189,     0,  1189,  1189,
    2199,     0,  1086,  2200,     0,     0,     0,  1920,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2206,     0,
    2201,     0,  2207,     0,     0,     0,     0,     0,  2203,     0,
       0,     0,     0,     0,  2204,  1920,     0,     0,     0,     0,
    2499,     0,     0,  2208,  2209,     0,  3178,     0,     0,     0,
       0,  3187,     0,     0,     0,     0,     0,  1086,  2205,  2206,
    2210,     0,     0,  2207,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,     0,  3222,  3222,     0,     0,
       0,     0,     0,   712,  2208,  2209,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,  1920,     0,
    1189,  2210,  2213,     0,     0,  2214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4066,     0,  3280,  2211,  3283,  3285,
    2212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2199,  2213,     0,  2200,  2214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,     0,     0,  2206,
       0,     0,  2201,  2207,  1189,     0,     0,     0,     0,  1189,
    2203,     0,     0,     0,     0,     0,  2204,     0,     0,  2215,
       0,     0,  1563,     0,  2208,  2209,     0,     0,     0,     0,
       0,     0,     0,  4067,     0,     0,     0,     0,     0,     0,
    2205,  2210,     0,     0,     0,     0,  2499,     0,     0,  3222,
       0,  1086,     0,  3378,     0,     0,  1015,     0,     0,     0,
    2215,     0,     0,     0,     0,     0,     0,  2211,     0,     0,
    2212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3280,  2213,     0,     0,  2214,     0,     0,     0,
    1189,  3403,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1988,     0,     0,     0,     0,     0,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
    1189,     0,  1189,  3222,  1189,  3222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,  1563,     0,     0,
    2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,
    2215,     0,     0,     0,  4471,     0,  2208,  2209,  2087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2210,     0,     0,     0,     0,  4580,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4583,     0,     0,     0,     0,     0,     0,  2211,
       0,     0,  2212,     0,  1183,     0,     0,     0,     0,     0,
    1183,     0,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,  1189,     0,     0,     0,     0,     0,  1563,  1563,     0,
       0,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
    2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,     0,     0,  4698,     0,     0,     0,  1563,  1563,
       0,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1563,  1563,  1563,  1563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1563,     0,
    4649,  1563,  2215,  1563,  3569,     0,     0,     0,     0,     0,
       0,     0,     0,  1563,  1563,     0,     0,  1563,     0,  2199,
       0,     0,  2200,     0,     0,     0,     0,     0,     0,     0,
    1563,     0,  1563,     0,  1222,     0,  1563,     0,     0,  2201,
       0,     0,     0,     0,     0,     0,     0,  2203,     0,     0,
       0,     0,  1563,  2204,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,  3615,     0,  1563,  1563,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,  1563,     0,     0,     0,  4740,  1563,   824,     0,
       0,     0,     0,  1563,     0,     0,     0,  1920,     0,     0,
       0,  3615,  1920,  1920,  3674,     0,     0,     0,  3049,     0,
       0,     0,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4745,  4747,
    4747,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,  2200,     0,  2206,     0,
       0,  1563,  2207,  3222,     0,     0,     0,     0,  2087,     0,
       0,     0,     0,  2201,     0,     0,     0,     0,     0,     0,
    1047,  2203,     0,  2208,  2209,     0,     0,  2204,  1047,     0,
    1047,     0,     0,     0,  1189,     0,  1189,  1189,  1189,     0,
    2210,     0,   824,     0,     0,     0,     0,     0,     0,     0,
       0,  2205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,  2213,     0,     0,  2214,     0,     0,     0,     0,
       0,     6,     7,     0,  1920,     0,     0,     8,     0,     9,
      10,     0,  4835,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,    36,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2206,     0,     0,     0,  2207,     0,     0,  2215,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,     0,     0,     0,     0,     0,     0,  2208,  2209,     0,
       0,     0,     0,     0,  4879,     0,     0,     0,     0,     0,
      46,     0,     0,     0,  2210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4898,     0,  4900,
       0,     0,     0,     0,  3222,  3222,     0,     0,     0,     0,
    2211,     0,     0,  2212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2213,  3879,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
      47,     0,     0,  4794,  1086,  1086,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2087,  1086,     0,     0,    49,     0,     0,
       0,     0,  2087,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2215,  4747,     0,     0,  1086,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1189,     0,     0,
    1189,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,  5000,     0,  1183,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,     0,
       0,     0,     0,  2216,  2217,  2218,  1563,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,  1563,  5003,     0,     0,
       0,     0,  1563,  5036,  1563,     0,     0,     0,     0,     0,
    1563,     0,     0,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
    1563,  1563,  1563,     0,     0,     0,  1563,  1563,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,     0,     0,  1563,     0,     0,     0,  1563,     0,     0,
       0,     0,  5073,     0,     0,     0,     0,  1563,     0,     0,
    1563,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
      55,  1563,  1563,  1563,     0,     0,     0,  1563,     0,     0,
    1563,     0,  2199,     0,    56,  2200,     0,  1086,  1086,  1086,
    1183,  3615,  4110,     0,     0,     0,  4110,  4124,     0,    57,
       0,  1563,  2201,     0,     0,     0,     0,  4138,     0,  1563,
    2203,  1563,     0,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
    2205,     0,    65,    66,    67,    68,     0,    69,    70,    71,
      72,    73,     0,     0,  1563,     0,     0,     0,  1920,     0,
    1563,     0,     0,     0,  3049,     0,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4186,  2087,  2087,     0,  2607,     0,     0,     0,     0,
    1920,  1920,     0,  1920,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1189,  1189,  1189,  1189,     0,     0,     0,
       0,   824,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,  4229,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,  1920,     0,     0,     0,     0,  2208,  2209,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2211,
       0,     0,  2212,     0,     0,  1920,     0,     0,     0,  2199,
       0,     0,  2200,  4290,     0,  2213,     0,  1185,  2214,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,  2201,
    1920,     0,  3504,     0,     0,     0,     0,  2203,     0,     0,
       0,     0,     0,  2204,     0,     0,     0,     0,     0,     0,
       0,  1920,  3879,     0,     0,     0,     0,     0,     0,     0,
    1086,     0,     0,     0,  1920,     0,     0,  2205,     0,     0,
       0,  1189,     0,  1563,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,  4361,     0,     0,     0,     0,
       0,     0,  2215,     0,  2499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,  3280,     0,     0,     0,     0,
       0,  4390,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,  1563,  1563,     0,
       0,  1185,     0,     0,  1920,     0,     0,  1047,     0,     0,
       0,  1047,     0,     0,     0,     0,     0,  1920,     0,     0,
       0,     0,  3222,     0,  3222,     0,     0,     0,  2206,     0,
       0,     0,  2207,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,  2208,  2209,     0,  5092,     0,  1563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,     0,     0,     0,     0,  1563,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,  1563,  1563,     0,     0,  1920,
       0,     0,  2213,  1563,  1563,  2214,     0,     0,  1563,     0,
       0,     0,     0,     0,  1563,  1563,     0,     0,  1563,     0,
    1086,  1086,  1086,  1086,  1920,     0,     0,  4110,  4124,  4110,
       0,     0,  4479,     0,     0,     0,  3615,     0,     0,     0,
    3615,     0,     0,     0,     0,     0,  4492,     0,     0,     0,
    1563,     0,     0,     0,     0,  1563,     0,     0,     0,     0,
    1920,  4502,     0,     0,     0,     0,     0,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,  1222,     0,     0,  2215,
       0,     0,     0,  1185,  3674,     0,     0,     0,  3049,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  2199,  1015,     0,  2200,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,  2201,     0,     0,     0,  3222,  3222,     0,     0,
    2203,     0,     0,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4555,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,     0,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,  1551,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,     0,     0,     0,  1622,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5066,
       0,     0,     0,     0,     0,     0,     0,     0,  3879,  3879,
    3879,  3879,  3879,     0,     0,     0,  1920,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,  1183,     0,     0,  2208,  2209,  2499,     0,
       0,     0,     0,     0,     0,  2087,     0,     0,     0,     0,
       0,     0,     0,  2210,     0,     0,     0,  1189,  2499,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2199,     0,     0,  2200,     0,     0,     0,  2211,
       0,     0,  2212,     0,  1086,     0,  4676,     0,  1185,     0,
       0,     0,  2201,     0,     0,  2213,     0,     0,  2214,     0,
    2203,     0,     0,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,  1563,  5067,  1185,  1185,     0,  1185,
       0,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
    1563,  1563,     0,     0,  1563,     0,     0,     0,     0,     0,
    1920,     0,     0,  4110,     0,     0,     0,  3615,     0,     0,
       0,     0,  3615,     0,     0,  3615,  3280,     0,  4720,     0,
    1563,  1563,  2215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1920,     0,  1185,   824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4186,  1222,  1189,  1189,  1189,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,  1185,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,  1183,  1222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2208,  2209,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,  2087,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,  1920,  2211,
    1931,     0,  2212,     0,     0,  4361,   824,     0,     0,  1920,
       0,     0,  3222,  1047,  2199,  2213,  2499,  2200,  2214,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4390,     0,
       0,  1086,  3519,     0,  2201,     0,     0,  3549,     0,  1189,
    4186,     0,  2203,     0,     0,     0,  1047,     0,  2204,  2137,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,  1563,     0,  1563,
       0,     0,  2205,     0,     0,     0,     0,     0,  2161,     0,
       0,     0,     0,  1931,     0,     0,  1563,     0,     0,     0,
    3615,     0,  2215,  4720,     0,     0,     0,     0,     0,  4869,
       0,     0,     0,     0,     0,     0,  2186,  2187,     0,  2190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1189,     0,     0,  1920,  1086,  2230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1047,     0,     0,
       0,     0,     0,  1189,  1189,  1189,  1189,     0,     0,     0,
       0,     0,  1920,     0,     0,     0,  1931,     0,  2087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,     0,  2206,     0,  1931,  1183,  2207,  2284,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,  1931,     0,  1563,     0,     0,  2208,  2209,
       0,     0,     0,     0,     0,     0,     0,  2307,     0,     0,
       0,  2319,  2322,     0,  1920,  2210,   824,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2211,     0,     0,  2212,  1563,     0,     0,     0,     0,
       0,  1189,     0,  1222,     0,     0,     0,  2213,     0,     0,
    2214,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,  1931,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1189,     0,     0,     0,     0,  1183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4186,     0,
       0,     0,     0,     0,     0,     0,     0,  4676,     0,     0,
       0,     0,     0,     0,  2215,     0,  4869,     0,     0,  1563,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,     0,     0,
    1189,     0,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,     0,     0,  1189,
       0,     0,  1185,  1185,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,  1185,  2216,  2217,  2218,  1185,  2219,  2220,
    2221,  2222,  2223,  2224,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,  1185,  1185,  1185,  1185,
       0,     0,     0,     0,     0,     0,  1185,  1185,     0,  1185,
       0,  1185,  1185,     0,     0,  1185,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,  1931,  1185,   824,  1920,     0,     0,  1185,     0,     0,
       0,  1185,     0,     0,     0,  1185,     0,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,     0,  1185,     0,     0,
       0,     0,     0,  1185,     0,  2199,  1185,     0,  2200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
       0,     0,     0,  2203,     0,     0,     0,     0,     0,  2204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,  2200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2201,     0,  1920,  3560,     0,     0,     0,
       0,  2203,     0,     0,     0,     0,     0,  2204,  3554,     0,
    2199,     0,     0,  2200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2206,     0,     0,     0,  2207,   824,
    2201,  2205,     0,     0,     0,  1920,     0,     0,  2203,  1920,
    1920,     0,     0,     0,  2204,     0,     0,     0,     0,  2208,
    2209,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    2856,     0,     0,     0,     0,     0,  2210,     0,  2205,  1185,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,  2879,     0,     0,  2881,     0,     0,  2892,
       0,     0,  2211,     0,     0,  2212,  2899,  2904,     0,     0,
       0,     0,  2910,     0,     0,  2915,     0,  1047,  2213,     0,
       0,  2214,     0,  1931,     0,     0,     0,     0,  1931,  1931,
       0,     0,  2924,     0,     0,     0,     0,  2931,     0,     0,
    1931,  2943,  2206,     0,     0,  2950,  2207,  2952,  2953,  2954,
    2955,  2956,  2957,  2958,  2959,  2960,   824,  2961,     0,   824,
       0,     0,     0,  1551,     0,     0,  2986,  2208,  2209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2206,
       0,     0,     0,  2207,  2210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,     0,     0,     0,     0,
       0,     0,     0,     0,  2208,  2209,     0,     0,     0,     0,
    2211,     0,     0,  2212,     0,     0,     0,     0,     0,     0,
       0,  2210,     0,     0,     0,     0,  2213,     0,  1622,  2214,
       0,     0,     0,     0,     0,  1045,     0,     0,     0,     0,
       0,     0,     0,  1045,     0,  1045,     0,  2211,     0,     0,
    2212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2213,     0,     0,  2214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1931,     0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,   824,     0,     0,
       0,     0,     0,  2215,  2199,     0,     0,  2200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2201,     0,     0,  4073,     0,     0,
       0,     0,  2203,     0,     0,     0,     0,     0,  2204,     0,
    2215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2199,     0,     0,  2200,  1931,     0,     0,  3111,     0,
       0,     0,  2205,     0,     0,     0,  4023,     0,     0,     0,
       0,  2201,     0,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,     0,     0,     0,  2204,     0,     0,     0,     0,
       0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,  1185,     0,     0,     0,     0,     0,  2205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,     0,  2207,     0,     0,
    1185,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2208,  2209,
       0,     0,     0,  1185,  1185,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
    2206,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,  1185,     0,     0,     0,  1185,
    1252,  2211,     0,     0,  2212,  2208,  2209,     0,     0,     0,
       0,  1185,  1185,  1185,  1185,     0,     0,  2213,     0,   824,
    2214,     0,  2210,     0,  1185,   824,     0,  1185,     0,  1185,
       0,     0,     0,  1253,     0,     0,     0,     0,  3327,  1185,
    1185,     0,     0,  1185,     0,     0,  1254,  1255,  2211,     0,
       0,  2212,     0,     0,     0,  1256,  1185,     0,  1185,  1257,
       0,     0,  1185,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  1185,  1185,  1185,  2215,     0,     0,  1259,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1260,     0,
       0,     0,     0,     0,     0,  1185,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,  1185,     0,
       0,     0,  1263,  1185,     0,     0,     0,     0,     0,  1185,
       0,  2215,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,  1264,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1265,     0,
       0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,  1266,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1267,  2216,  2217,  2218,  1931,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3500,     0,     0,     0,   853,  3506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1931,  1931,     0,  1931,
       0,     0,     0,     0,     0,  1268,     0,     0,     0,  1269,
       0,  1270,     0,     0,     0,     0,     0,  1271,     0,     0,
    1272,  2904,     0,  2904,  2904,     0,     0,     0,   824,   824,
     824,     0,     0,     0,  3563,     0,     0,  3566,     0,  3568,
       0,     0,     0,     0,     0,     0,  1273,     0,  1274,     0,
       0,     0,  1275,     0,  1181,  1931,     0,  1931,     0,     0,
    1276,     0,     0,  1181,     0,  1277,  3589,     0,  3591,     0,
       0,     0,  3594,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1278,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,  2986,  2986,  2986,     0,     0,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1931,     0,  2307,     0,
       0,     0,     0,  3664,     0,     0,     0,     0,     0,  2322,
       0,     0,  1181,     0,   880,     0,     0,  1931,     0,     0,
       0,     0,  1181,     0,     0,     0,   881,     0,     0,   824,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     883,     0,     0,     0,     0,     0,     0,     0,     0,   884,
       0,     0,     0,  -736,     0,     0,     0,  3703,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     885,     0,     0,     0,  1931,     0,   886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   888,  1931,     0,     0,     0,     0,     0,     0,
     889,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,   890,  1045,     0,     0,     0,  1045,     0,   891,     0,
       0,     0,   892,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -938,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,  1931,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,   893,     0,  1185,     0,
    1185,     0,     0,  -501,     0,  1931,  1185,     0,     0,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,     0,
       0,     0,  1185,  1185,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,   894,  1185,     0,   895,     0,  1185,
       0,   824,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,  1185,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,  1931,  1185,  1185,  1185,
       0,  -398,     0,  1185,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1185,     0,   896,
       0,     0,     0,     0,     0,   897,     0,  1185,     0,     0,
       0,  -398,     0,     0,   898,  1185,     0,  1185,     0,     0,
       0,     0,     0,  1922,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    -398,     0,   899,   900,     0,   901,   902,     0,     0,     0,
       0,     0,     0,     0,   903,     0,     0,     0,     0,   904,
    1185,     0,  1929,     0,     0,   905,  1185,     0,   906,     0,
       0,   907,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -398,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,  1181,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,   824,  1181,     0,
       0,   824,  1931,   824,     0,     0,     0,     0,     0,     0,
       0,     0,  4024,     0,     0,     0,  1922,     0,     0,     0,
       0,     0,  4028,     0,     0,     0,     0,     0,  4029,     0,
    4030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,  4048,  4049,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2910,     0,     0,     0,     0,     0,   824,
       0,     0,     0,  4077,  1181,     0,  4080,     0,  4082,     0,
       0,     0,     0,     0,     0,     0,     0,  4086,     0,     0,
       0,     0,     0,  4091,  1923,     0,  4094,     0,     0,     0,
       0,     0,     0,  1181,    47,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,  4127,     0,     0,
       0,    48,     0,     0,     0,  4139,     0,  2986,     0,     0,
       0,  1181,  1181,     0,  1181,     0,  1931,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
    4156,     0,  1931,  1185,  1185,     0,  1551,     0,     0,     0,
       0,     0,  1622,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,  1185,     0,  1181,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,  1185,  1185,     0,  1931,     0,     0,     0,     0,  1185,
    1185,     0,    54,     0,  1185,  1931,     0,     0,     0,     0,
    1185,  1185,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,  1185,     0,  1045,     0,
    1922,     0,     0,     0,    55,     0,  1185,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,    56,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,  1922,
       0,  1045,     0,    57,  1923,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,  1185,     0,     0,    59,     0,     0,  1929,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1381,     0,
    1931,     0,     0,    71,  1382,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   824,
       0,     0,  1922,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,     0,
       0,  1922,  1045,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,  4403,  4404,     0,     0,     0,     0,  1922,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,     0,     0,     0,  4435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,  1185,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  4453,  4455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4462,  1923,     0,     0,     0,     0,
    4467,  4468,     0,  1181,  4470,     0,     0,     0,     0,  1929,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,  2986,     0,     0,     0,
       0,  2986,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2986,     0,     0,     0,     0,  1923,     0,
    1185,     0,     0,     0,  1931,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1185,     0,     0,
    1185,     0,  4526,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,  1185,     0,     0,     0,     0,  1185,     0,
       0,  1185,     0,     0,     0,     0,  1185,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,  1181,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,  1181,  1185,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
    1181,  1181,     0,     0,     0,     0,     0,  1922,  1181,     0,
       0,  1181,  1181,  1181,  1181,     0,     0,     0,     0,     0,
    1931,  1181,  1181,     0,  1181,     0,  1181,  1181,  1185,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,  1181,     0,     0,
       0,     0,  1181,     0,     0,     0,  1181,   824,     0,     0,
    1181,     0,  1181,  1181,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1185,  1181,     0,     0,     0,     0,     0,  1181,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,     0,  4622,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
    1185,  1931,     0,  1185,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,  1185,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   824,     0,     0,
    4706,  1931,     0,     0,     0,  1931,  1931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4723,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,  1181,     0,     0,     0,     0,  1922,
       0,  1181,     0,     0,  1922,  1922,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,     0,     0,     0,  1929,     0,
       0,  1185,     0,  1929,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,     0,
       0,     0,  1923,  1923,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,  2910,     0,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
    1185,     0,     0,  1181,     0,  1929,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     824,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1922,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,   824,     0,     0,
    1929,  1185,     0,     0,     0,   824,     0,     0,     0,     0,
       0,  4931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4976,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,  1181,
       0,     0,     0,     0,  1181,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,  5022,  5022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,  1181,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,  1181,   923,  1181,     0,     0,     0,     0,     0,
    5022,     0,   923,     0,  1181,  1181,     0,     0,  1181,     0,
    5070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,  1181,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,  1181,  1181,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5022,     0,     0,     0,  1100,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,  1929,
       0,     0,  1922,  1922,     0,  1922,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1929,  1929,     0,  1929,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,  1922,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,  1923,     0,  1923,     0,  1925,     0,     0,     0,     0,
    1929,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,  1923,
       0,  1923,     0,     0,     0,     0,  1929,     0,     0,     0,
    1925,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
    1923,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,   923,   923,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,  1922,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,     0,
       0,  1922,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
    1929,     0,     0,     0,     0,     0,  1922,  1181,     0,     0,
       0,     0,     0,  1181,     0,  1181,     0,     0,     0,     0,
    1929,  1181,     0,     0,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,     0,     0,     0,  1181,  1181,     0,
    1925,     0,  1922,     0,     0,  1929,     0,     0,     0,  1923,
    1181,     0,     0,     0,  1181,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,  1923,
       0,  1181,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1929,  1181,  1181,  1181,     0,     0,     0,  1181,     0,
       0,  1181,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,  1181,  1181,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,  1225,  1226,     0,  1229,     0,  1232,
    1181,  1234,  1181,     0,     0,     0,     0,     0,     0,     0,
    1923,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1285,     0,     0,     0,     0,     0,     0,     0,  1293,     0,
       0,     0,     0,     0,     0,     0,     0,  1309,  1310,     0,
       0,     0,  1312,     0,     0,  1181,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1181,     0,  1149,
       0,   923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1366,     0,     0,  1368,     0,  1370,     0,  1373,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   923,     0,     0,     0,     0,  1922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,  1925,     0,     0,     0,  1923,  1925,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1922,     0,
       0,  1929,     0,     0,     0,     0,     0,  1712,     0,  1714,
       0,     0,     0,  1716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1745,     0,     0,     0,  1929,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1863,
       0,     0,     0,     0,     0,     0,  1923,     0,     0,     0,
       0,     0,     0,     0,     0,  1876,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
    1922,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,  1922,     0,     0,     0,     0,     0,  1937,     0,     0,
    1941,     0,     0,     0,  1925,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,  1181,     0,  1929,
       0,     0,     0,     0,  1181,  1181,     0,     0,     0,  1181,
    1929,     0,     0,  1984,     0,  1181,  1181,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,  1181,     0,     0,     0,     0,  1181,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,  1925,     0,   716,  1922,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,  1922,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,  1929,     0,     0,     0,     0,
    1922,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,   716,     0,     0,   716,     0,
       0,     0,     0,  1929,   716,     0,     0,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,  1923,     0,  1922,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,  1923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1100,  2300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1922,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,  1929,
       0,     0,     0,  2370,  1181,     0,  2370,     0,     0,     0,
       0,     0,     0,     0,  2377,     0,     0,     0,     0,     0,
       0,  1181,  1181,  1925,     0,  1181,     0,     0,     0,     0,
       0,     0,  2386,     0,     0,     0,     0,   716,  1181,     0,
       0,     0,     0,  1181,     0,     0,  1181,     0,  1923,     0,
       0,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,  1925,     0,  1925,     0,
    2456,     0,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,  1181,  1925,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1926,
    1925,     0,     0,     0,  1922,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,  1922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,  1929,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,  1925,
       0,     0,     0,     0,     0,  1181,  1929,     0,  1181,     0,
    1181,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2659,     0,     0,     0,  1181,     0,     0,
       0,  1181,  1923,     0,     0,     0,  1929,  1922,  2682,     0,
       0,  1922,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,   716,   716,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,  1925,
    1929,  1929,     0,     0,  2730,  1923,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,  2745,
       0,  2747,  1926,  2748,     0,   716,     0,     0,  2749,     0,
       0,     0,     0,     0,     0,  1927,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,     0,     0,  1923,
    1923,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,  2777,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,  2300,
       0,     0,     0,  2300,     0,  2300,     0,     0,  2300,     0,
       0,     0,     0,     0,  1925,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
    1181,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
    1331,   716,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2990,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,   716,     0,     0,   716,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,  1007,  1926,  1007,     0,     0,     0,     0,     0,   672,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1007,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,   716,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3079,  3080,     0,     0,     0,  3083,
    3084,     0,     0,  3087,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3097,     0,     0,     0,     0,     0,     0,
    3106,     0,     0,     0,  3109,  3110,     0,     0,  3113,  3114,
       0,     0,     0,     0,     0,  3119,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,  3135,  1926,  3137,
       0,     0,     0,     0,     0,     0,   672,   672,     0,     0,
    1694,     0,     0,     0,     0,  3159,     0,  1926,  1927,     0,
    3161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3179,  3180,  3183,  3185,  1925,   672,     0,  3192,  3195,
       0,     0,     0,  1926,     0,     0,  3206,     0,     0,  3210,
       0,     0,  1927,  3214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,  3242,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,  3249,     0,  3251,     0,     0,
       0,     0,  3254,     0,     0,     0,     0,  3258,  3259,  3260,
    3261,     0,  3263,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,  3287,  3288,  3289,     0,     0,
       0,     0,     0,     0,     0,     0,  3297,  3298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,  3352,     0,     0,     0,
       0,  1927,     0,     0,  1925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,   716,     0,   716,     0,
       0,   716,     0,   716,     0,     0,   716,   716,   716,     0,
       0,     0,  2082,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,   716,     0,     0,     0,     0,   716,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,     0,  1149,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3479,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2240,     0,  1925,
       0,     0,     0,     0,     0,     0,   716,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,   672,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3655,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,   672,     0,     0,     0,
    1926,  1926,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,  3694,  3695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,  3717,   672,   672,
       0,     0,     0,     0,     0,     0,  3721,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,  3732,  3734,     0,     0,     0,  3734,     0,     0,     0,
       0,  3745,  3746,  3747,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,  3768,  3769,  3770,
    3771,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,  3787,  3788,  3789,
       0,  1186,     0,     0,     0,     0,     0,  3802,     0,     0,
    1186,  1927,     0,     0,     0,     0,  1927,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,  3841,     0,     0,     0,     0,     0,     0,     0,  3845,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,  1925,  1925,     0,     0,     0,     0,
       0,     0,     0,  3913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,   716,     0,     0,     0,   716,
       0,   716,     0,     0,   716,     0,     0,     0,   716,     0,
       0,     0,     0,  2240,     0,     0,  1926,     0,  1927,     0,
       0,     0,     0,     0,     0,  3941,     0,     0,  3944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   923,
       0,     0,  3984,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  3994,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2300,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2082,     0,     0,     0,     0,     0,     0,  2991,
       0,     0,     0,     4,     0,     0,     0,     0,  2374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,   672,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,   672,  1932,
       0,     0,    46,     0,  3063,     0,  1694,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,  4197,     0,  4198,     0,     0,     0,     0,     0,
       0,  4200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4209,  1926,  1926,
       0,  1926,    47,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4217,     0,     0,     0,     0,    48,
       0,     0,     0,  4228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,  1926,
       0,    50,     0,     0,     0,     0,     0,     0,     0,  4260,
    4261,  4262,  4263,  4264,  4265,  4266,  4267,     0,     0,     0,
       0,  4274,  4275,     0,  4277,  4278,  4279,  4280,  4281,  4282,
    4283,     0,  1932,     0,     0,     0,     0,    51,     0,  4291,
      52,  4293,  4294,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,  1926,     0,    53,     0,     0,   672,     0,
     672,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  4342,  4344,  4346,     0,     0,  4349,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,  1927,  1927,     0,  1927,  1186,  1186,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,  1927,     0,  1927,  1926,  3734,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
    1186,     0,  1926,     0,     0,     0,     0,  2300,  2300,  2300,
       0,    57,     0,     0,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,  1186,  1186,     0,     0,    58,     0,  1927,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1381,  2039,     0,     0,
       0,    71,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,  1926,     0,   716,
    2082,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,   672,  1926,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,  1932,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4545,
    4546,  4547,  4548,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4560,  4561,  4562,  4563,     0,  4565,  4566,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4575,  4576,     0,  1927,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,  2300,  2300,     0,
    2300,     0,     0,  1927,     0,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,  2374,     0,  1927,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1926,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4636,     0,     0,     0,     0,     0,
       0,     0,     0,  4642,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,  1932,     0,     0,  1186,
       0,     0,     0,     0,  4661,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,  4680,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,  1186,     0,    45,  2300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2300,     0,     0,     0,     0,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,  1186,    46,     0,     0,  1186,
    1927,     0,     0,     0,  1926,     0,     0,  1186,  1186,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,  1186,  1186,
    1186,  1186,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,  1186,     0,  1186,  1186,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,  4767,     0,     0,     0,
       0,     0,     0,  1932,  1186,     0,     0,     0,     0,  1186,
       0,     0,     0,  1186,     0,     0,    47,  1186,     0,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,     0,  1186,
       0,     0,     0,    48,     0,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3734,     0,  1927,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2300,     0,    53,
    1927,     0,     0,     0,     0,     0,     0,  2300,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4885,     0,     0,     0,     0,  4889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2300,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,  1186,  1927,     0,     0,     0,    55,     0,  1186,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
      56,     0,     0,  3734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
    2300,     0,  1926,     0,     0,  1932,     0,     0,     0,     0,
    1932,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,  1932,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1381,  2758,     0,     0,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4995,     0,     0,     0,     0,  4999,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3063,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
    1186,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1186,     0,     0,     0,
    1926,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,  1186,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,  1186,  1186,  1186,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,  1186,     0,     0,  1186,
       0,  1186,     0,     0,   672,     0,     0,     0,  1927,     0,
       0,  1186,  1186,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
    1186,     0,     0,  1926,  1186,     0,     0,  1926,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1186,  1186,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  2226,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,  1927,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,  2374,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,  2226,   672,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1932,     0,     0,  1927,
       0,     0,     0,  1927,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,  1932,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,  1932,     0,  1932,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,  1932,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,  1932,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,  1186,  2226,     0,     0,     0,     0,
    1186,     0,  1186,     0,     0,     0,    47,  1932,  1186,     0,
       0,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,     0,     0,    48,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,  1186,     0,     0,
       0,  1186,     0,    49,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,  1186,     0,
    1186,     0,     0,     0,     0,    50,     0,     0,  1932,  1186,
    1186,  1186,     0,     0,     0,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,  1186,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,    51,     0,     0,    52,     0,     0,  1186,     0,  1186,
       0,  2226,     0,     0,     0,     0,  2888,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,  2226,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
      56,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,  1932,    57,     0,     0,     0,  2226,
       0,     0,  2226,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1381,     0,     0,     0,     0,    71,     0,     0,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,  1186,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,  1932,  1186,  1186,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,  1186,     0,     0,     0,     0,   172,     0,
       0,     0,     0,  1186,  1186,     0,  1932,   173,     0,     0,
       0,  1186,  1186,     0,     0,     0,  1186,  1932,     0,     0,
     174,   175,  1186,  1186,     0,     0,  1186,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,   181,   182,  1186,   183,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,  1186,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,     0,     0,     0,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3053,  2226,
    1186,  2226,     0,  2888,  2888,  3537,     0,     0,  2888,     0,
       0,  1186,  2226,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,     0,     0,     0,  2888,  2888,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,  1932,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,     0,
    2226,     0,  2226,  2226,  2226,  2226,  2226,  2226,  2226,  2226,
    2226,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,  1932,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
    1186,     0,     0,  1186,     0,     0,     0,     0,  1186,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,  1932,     0,  1186,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,  1186,     0,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1932,     0,     0,     0,  1932,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,  1186,     0,
    2226,     0,     0,     0,     0,     0,  2226,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3537,  3537,     0,  2888,     0,     0,  2888,  2888,
    2888,  2888,  2888,  2888,  2888,  2888,  2888,  2888,  3537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,  2226,     0,     0,  2226,     0,  2226,     0,
       0,     0,     0,  3537,  3537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2888,  2888,  2226,
       0,  2226,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2226,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,   121,
     122,     0,     0,     0,     0,   123,     0,     0,     0,     0,
       0,     0,     0,     0,   124,     0,   125,     0,   126,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  2226,     0,     0,     0,  2226,  2226,
    2226,     0,     0,  3537,     0,     0,     0,     0,  3537,  3537,
    3537,  3537,  3537,  3537,  3537,  3537,  3537,  3537,  2226,  2226,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,  2226,  2888,  2888,
    2226,   144,  2226,   145,     0,     0,  2226,  3537,  3537,   148,
       0,  2226,     0,     0,  2226,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,  2226,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   221,     0,     0,     0,
    3537,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,   227,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,   231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,  2226,  2226,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,  2226,     0,     0,     0,  2888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2226,  3055,  2226,     0,     0,     0,     0,
    3537,  3537,  2226,     0,     0,  2888,  2888,  2226,  2226,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115, -2389,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,  2226,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,   412,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,  2226,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,  3537,  2888,
     166,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,  3537,  3537,  2226,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3537,     0,     0,     0,     0,     0,   211,     0,     0,   213,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,   227,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,     0,     0,     0,   235,     0,     0,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,  2226,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     733,   426,   427,   428,   734,   735,   736,   737,   738,   739,
     740,   429,   430,   741,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,   742,   436,   437,   438,   439,
     440,   743,   744,   441,   442,   745,   140,   443,   746,   444,
     445,   446,   447,   144,   747,   145,   748,   448,   449,   450,
     451,   148,   452,   749,   750,   453,   454,   455,   456,   457,
     458,   751,   151,   459,   752,   753,   754,   755,   152,   756,
     757,   758,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   759,   466,   760,   467,   468,   469,   470,   471,   761,
     472,   473,   474,   762,   763,   475,   476,   477,   478,   479,
     764,   480,   481,   482,   765,   483,   484,   485,   766,   486,
     487,   488,   489,   164,   490,   491,   492,   166,   767,   493,
     768,   494,   168,   495,   769,   496,   770,   497,   169,   771,
     170,   498,   499,   500,   772,   501,   172,   773,   502,   774,
     503,   504,   697,   505,   506,   173,   507,   508,   509,   775,
     510,   511,   512,   513,   514,   515,   776,   516,   174,   175,
     777,   517,   518,   519,   778,   176,   779,   177,   780,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,   781,
     527,   528,   782,   529,   181,   182,   530,   183,   783,   531,
     532,   533,   784,   785,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,   189,   190,
     545,   546,   191,   786,   547,   548,   193,   549,   787,   194,
     550,   195,   551,   552,   553,   788,   554,   789,   790,   555,
     556,   557,   791,   792,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,   793,   565,   201,   566,
     202,   567,   568,   569,   794,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,   795,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     796,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,   797,   604,   605,   606,   607,
     608,   798,   609,   218,   610,   611,   220,   612,   221,   613,
     799,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,   800,   624,   625,   801,   626,   627,   628,   629,
     630,   631,   802,   225,   226,   803,   804,   633,   227,   634,
     228,   805,   635,   636,   637,   638,   639,   640,   641,   806,
     807,   642,   643,   644,   645,   646,   808,   809,   647,   648,
     649,   650,   651,   810,   235,   811,   652,   236,   653,   654,
     655,   812,   813,   656,   814,   815,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    85,     0,     0,    86,    87,    88,    89,
      90,    91,    92,    93,     0,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   967,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,   119,   120,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   128,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   129,     0,   130,   131,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,   133,     0,     0,   134,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,   141,     0,
     142,   143,   144,     0,   145,     0,   146,     0,   147,     0,
     148,     0,     0,     0,     0,     0,     0,     0,   149,     0,
     150,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,   153,     0,   154,   155,   156,   157,
       0,     0,     0,     0,     0, -1396,     0,     0,     0,     0,
       0,   158,     0,   159,     0,     0,     0,   160,     0,     0,
       0,     0,     0,   161,   162,     0,     0,     0,     0,     0,
       0,   163,   164,   165,     0,     0,   166,     0,     0,   167,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0, -1396,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,   184,   185,
       0,     0,     0,     0,   186,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,   192,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,     0,
       0,   210,   211,     0,   212,   213,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,   217,   218,     0,   219,   220,     0,   221,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,   224,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,   229,     0,   230,     0,     0,     0,     0,   231,     0,
       0,   232,     0,     0, -1396,     0,     0,   233,     0,     0,
       0,     0,   234,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,   237,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   726,
      86,    87,    88,   678,    90,    91,    92,   679,   247,   680,
      95,     0,  -136,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1470,  1471,  1472,
      45,  1473,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  2980,   426,   427,   428,     0,     0,     0,
       0,  1474,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1475,   137,  1476,  1477,     0,   436,
     437,   438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,
     443,     0,   444,   445,   446,   447,  1482,     0,  1483,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,
     464,  1491,  1492,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,  2981,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1494,   490,   491,   492,
    1495,  1496,   493,     0,   494,  1497,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1498,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1499,  1500,     0,
    1501,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1502,   182,   530,
     183,     0,   531,   532,   533,  1503,  1504,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1505,   189,  1506,   545,   546,   191,  1507,   547,   548,   193,
     549,  1508,  1509,   550,  1510,   551,   552,   553,     0,   554,
       0,     0,  1511,   556,   557,     0,     0,   196,   197,   198,
     199,  1512,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1513,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1514,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1515,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1516,   609,   218,   610,   611,   220,
     612,  1517,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1518,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1519,  1520,     0,     0,
     633,  1521,   634,  1522,  1523,   635,   636,   637,   638,   639,
     640,   641,     0,  1524,   642,   643,   644,   645,   646,  1525,
       0,   647,   648,   649,   650,   651,   701,  1526,  2982,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1535,  1536,  2983,     0,     0,     0,     0,
       0,     0,  1538,  2984,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,   546,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
       0,     0,     0,     0,     0,     0,     0,  1538,  2890,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1898,   137,  1899,  1900,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1901,  1902,
     443,     0,   444,   445,   446,   447,     0,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,  1903,  1904,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,     0,   490,   491,   492,
       0,     0,   493,     0,   494,  1905,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,     0,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,  2479,   510,   511,   512,   513,   514,   515,     0,
     516,   174,  2480,     0,   517,   518,   519,  1499,  1906,     0,
    1907,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,     0,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1908,   189,  1909,   545,   546,     0,     0,   547,   548,   193,
     549,     0,     0,   550,  1910,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,  2481,   197,   198,
     199,     0,   558,   559,   560,   561,   562,   563,   564,     0,
     565,     0,   566,     0,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1911,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,     0,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,  2482,   610,   611,   220,
     612,  1913,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,     0,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1914,  1915,     0,     0,
     633,     0,   634,     0,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,  1916,  2483,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   662,   663,     0,     0,     0,     0,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,  2484,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1898,   137,  1899,  1900,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1901,
    1902,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1903,  1904,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1905,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,  2479,   510,   511,   512,   513,   514,   515,
       0,   516,   174,  2480,     0,   517,   518,   519,  1499,  1906,
       0,  1907,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1908,   189,  1909,   545,   546,     0,     0,   547,   548,
     193,   549,     0,     0,   550,  1910,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,  2481,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1911,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2482,   610,   611,
     220,   612,  1913,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1914,  1915,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1916,  2483,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,     0,     0,     0,
       0,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,  3413,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1470,
    1471,  1472,    45,  1473,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1474,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1475,   137,  1476,  1477,
    2900,   436,   437,   438,   439,   440,  1478,  1479,   441,   442,
    1480,  1481,   443,     0,   444,   445,   446,   447,  1482,     0,
    1483,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,
     463,   695,   464,  1491,  1492,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1494,   490,
     491,   492,  1495,  1496,   493,     0,   494,  1497,   495,     0,
     496,     0,   497,   169,  2901,   170,   498,   499,   500,     0,
     501,  1498,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1499,
    1500,     0,  1501,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,  2902,   529,  1502,
     182,   530,   183,     0,   531,   532,   533,  1503,  1504,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1505,   189,  1506,   545,   546,   191,  1507,   547,
     548,   193,   549,  1508,  1509,   550,  1510,   551,   552,   553,
       0,   554,     0,     0,  1511,   556,   557,     0,     0,   196,
     197,   198,   199,  1512,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1513,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1514,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1515,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1516,   609,   218,   610,
     611,   220,   612,  1517,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1518,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1519,  1520,
       0,  2903,   633,  1521,   634,  1522,  1523,   635,   636,   637,
     638,   639,   640,   641,     0,  1524,   642,   643,   644,   645,
     646,  1525,     0,   647,   648,   649,   650,   651,   701,  1526,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1527,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1535,  1536,     0,     0,     0,
       0,     0,     0,     0,  1538,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,  1507,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,  2188,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1470,  1471,  1472,
      45,  1473,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1474,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1475,   137,  1476,  1477,     0,   436,
     437,   438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,
     443,     0,   444,   445,   446,   447,  1482,     0,  1483,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,
     464,  1491,  1492,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1494,   490,   491,   492,
    1495,  1496,   493,     0,   494,  1497,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1498,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1499,  1500,     0,
    1501,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1502,   182,   530,
     183,     0,   531,   532,   533,  1503,  1504,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1505,   189,  1506,   545,   546,   191,  1507,   547,   548,   193,
     549,  1508,  1509,   550,  1510,   551,   552,   553,     0,   554,
       0,     0,  1511,   556,   557,     0,     0,   196,   197,   198,
     199,  1512,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1513,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1514,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1515,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1516,   609,   218,   610,   611,   220,
     612,  1517,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1518,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1519,  1520,     0,     0,
     633,  1521,   634,  1522,  1523,   635,   636,   637,   638,   639,
     640,   641,     0,  1524,   642,   643,   644,   645,   646,  1525,
       0,   647,   648,   649,   650,   651,   701,  1526,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1535,  1536,     0,     0,     0,     0,     0,
    2132,  2848,  1538,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1474,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1475,   137,
    1476,  1477,     0,   436,   437,   438,   439,   440,  1478,  1479,
     441,   442,  1480,  1481,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,  1491,  1492,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1493,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1494,   490,   491,   492,  1495,  1496,   493,     0,   494,  1497,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1499,  1500,     0,  1501,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1505,   189,  1506,   545,   546,   191,
    1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,   551,
     552,   553,     0,   554,     0,     0,  1511,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1514,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1515,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,  1517,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,
     636,   637,   638,   639,   640,   641,     0,  1524,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,  1526,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1535,  1536,  1537,
       0,     0,     0,     0,     0,     0,  1538,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1474,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1475,   137,  1476,  1477,     0,   436,   437,   438,
     439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,
     444,   445,   446,   447,  1482,     0,  1483,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,   460,   461,   462,   463,   695,   464,  1491,
    1492,   465,  1621,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1493,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1494,   490,   491,   492,  1495,  1496,
     493,     0,   494,  1497,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1498,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1499,  1500,     0,  1501,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1502,   182,   530,   183,     0,
     531,   532,   533,  1503,  1504,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1505,   189,
    1506,   545,   546,   191,  1507,   547,   548,   193,   549,  1508,
    1509,   550,  1510,   551,   552,   553,     0,   554,     0,     0,
    1511,   556,   557,     0,     0,   196,   197,   198,   199,  1512,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1513,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1514,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1515,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1516,   609,   218,   610,   611,   220,   612,  1517,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1518,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1519,  1520,     0,     0,   633,  1521,
     634,  1522,  1523,   635,   636,   637,   638,   639,   640,   641,
       0,  1524,   642,   643,   644,   645,   646,  1525,     0,   647,
     648,   649,   650,   651,   701,  1526,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1535,  1536,     0,     0,     0,     0,     0,     0,     0,
    1538,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1470,
    1471,  1472,    45,  1473,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  2317,   426,   427,   428,     0,
       0,     0,     0,  1474,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1475,   137,  1476,  1477,
       0,   436,   437,   438,   439,   440,  1478,  1479,   441,   442,
    1480,  1481,   443,     0,   444,   445,   446,   447,  1482,     0,
    1483,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,
     463,   695,   464,  1491,  1492,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1494,   490,
     491,   492,  1495,  1496,   493,     0,   494,  1497,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1498,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1499,
    1500,     0,  1501,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1502,
     182,   530,   183,     0,   531,   532,   533,  1503,  1504,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1505,   189,  1506,   545,   546,   191,  1507,   547,
     548,   193,   549,  1508,  1509,   550,  1510,   551,   552,   553,
       0,   554,     0,     0,  1511,   556,   557,     0,     0,   196,
     197,   198,   199,  1512,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1513,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1514,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1515,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1516,   609,   218,   610,
     611,   220,   612,  1517,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1518,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1519,  1520,
       0,     0,   633,  1521,   634,  1522,  1523,   635,   636,   637,
     638,   639,   640,   641,     0,  1524,   642,   643,   644,   645,
     646,  1525,     0,   647,   648,   649,   650,   651,   701,  1526,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1527,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1535,  1536,     0,     0,     0,
       0,     0,     0,     0,  1538,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,  2901,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,  1507,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1470,  1471,  1472,
      45,  1473,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1474,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1475,   137,  1476,  1477,     0,   436,
     437,   438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,
     443,     0,   444,   445,   446,   447,  1482,     0,  1483,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,
     464,  1491,  1492,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1494,   490,   491,   492,
    1495,  1496,   493,     0,   494,  1497,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1498,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1499,  1500,     0,
    1501,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1502,   182,   530,
     183,     0,   531,   532,   533,  1503,  1504,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1505,   189,  1506,   545,   546,   191,  1507,   547,   548,   193,
     549,  1508,  1509,   550,  1510,   551,   552,   553,     0,   554,
       0,     0,  1511,   556,   557,     0,     0,   196,   197,   198,
     199,  1512,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1513,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1514,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1515,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1516,   609,   218,   610,   611,   220,
     612,  1517,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1518,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1519,  1520,     0,     0,
     633,  1521,   634,  1522,  1523,   635,   636,   637,   638,   639,
     640,   641,     0,  1524,   642,   643,   644,   645,   646,  1525,
       0,   647,   648,   649,   650,   651,   701,  1526,  4142,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1535,  1536,     0,     0,     0,     0,     0,
       0,     0,  1538,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1474,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1475,   137,
    1476,  1477,     0,   436,   437,   438,   439,   440,  1478,  1479,
     441,   442,  1480,  1481,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,  4155,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,  1491,  1492,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1493,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1494,   490,   491,   492,  1495,  1496,   493,     0,   494,  1497,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1499,  1500,     0,  1501,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1505,   189,  1506,   545,   546,   191,
    1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,   551,
     552,   553,     0,   554,     0,     0,  1511,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1514,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1515,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,  1517,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,
     636,   637,   638,   639,   640,   641,     0,  1524,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,  1526,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1535,  1536,     0,
       0,     0,     0,     0,     0,     0,  1538,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1474,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,  5019,  1475,   137,  1476,  1477,     0,   436,   437,   438,
     439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,
     444,   445,   446,   447,  1482,     0,  1483,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,  5020,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,   460,   461,   462,   463,   695,   464,  1491,
    1492,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1493,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1494,   490,   491,   492,  1495,  1496,
     493,     0,   494,  1497,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1498,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1499,  1500,     0,  1501,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1502,   182,   530,   183,     0,
     531,   532,   533,  1503,  1504,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1505,   189,
    1506,   545,   546,   191,  1507,   547,   548,   193,   549,  1508,
    1509,   550,  1510,   551,   552,   553,     0,   554,     0,     0,
    1511,   556,   557,     0,     0,   196,   197,   198,   199,  1512,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1513,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1514,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1515,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1516,   609,   218,   610,   611,   220,   612,  1517,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1518,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1519,  1520,     0,     0,   633,  1521,
     634,  1522,  1523,   635,   636,   637,   638,  5021,   640,   641,
       0,  1524,   642,   643,   644,   645,   646,  1525,     0,   647,
     648,   649,   650,   651,   701,  1526,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1535,  1536,     0,     0,     0,     0,     0,     0,     0,
    1538,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1470,
    1471,  1472,    45,  1473,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1474,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1475,   137,  1476,  1477,
       0,   436,   437,   438,   439,   440,  1478,  1479,   441,   442,
    1480,  1481,   443,     0,   444,   445,   446,   447,  1482,     0,
    1483,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,  5020,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,
     463,   695,   464,  1491,  1492,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1494,   490,
     491,   492,  1495,  1496,   493,     0,   494,  1497,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1498,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1499,
    1500,     0,  1501,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1502,
     182,   530,   183,     0,   531,   532,   533,  1503,  1504,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1505,   189,  1506,   545,   546,   191,  1507,   547,
     548,   193,   549,  1508,  1509,   550,  1510,   551,   552,   553,
       0,   554,     0,     0,  1511,   556,   557,     0,     0,   196,
     197,   198,   199,  1512,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1513,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1514,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1515,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1516,   609,   218,   610,
     611,   220,   612,  1517,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1518,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1519,  1520,
       0,     0,   633,  1521,   634,  1522,  1523,   635,   636,   637,
     638,  5021,   640,   641,     0,  1524,   642,   643,   644,   645,
     646,  1525,     0,   647,   648,   649,   650,   651,   701,  1526,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1527,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1535,  1536,     0,     0,     0,
       0,     0,     0,     0,  1538,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,  1507,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1470,  1471,  1472,
      45,  1473,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1474,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1475,   137,  1476,  1477,     0,   436,
     437,   438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,
     443,     0,   444,   445,   446,   447,  1482,     0,  1483,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,
     464,  1491,  1492,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1494,   490,   491,   492,
    1495,  1496,   493,     0,   494,  1497,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1498,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1499,  1500,     0,
    1501,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1502,   182,   530,
     183,     0,   531,   532,   533,  1503,  1504,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1505,   189,  1506,   545,   546,   191,  1507,   547,   548,   193,
     549,  1508,  1509,   550,  1510,   551,   552,   553,     0,   554,
       0,     0,  1511,   556,   557,     0,     0,   196,   197,   198,
     199,  1512,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1513,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1514,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1515,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1516,   609,   218,   610,   611,   220,
     612,  1517,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1518,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1519,  1520,     0,     0,
     633,  1521,   634,  1522,  1523,   635,   636,   637,   638,   639,
     640,   641,     0,  1524,   642,   643,   644,   645,   646,  1525,
       0,   647,   648,   649,   650,   651,   701,  1526,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,  4445,  1527,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1535,  1536,     0,     0,     0,     0,     0,
       0,     0,  1538,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1474,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1475,   137,
    1476,  1477,     0,   436,   437,   438,   439,   440,  1478,  1479,
     441,   442,  1480,  1481,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,  1491,  1492,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1493,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1494,   490,   491,   492,  1495,  1496,   493,     0,   494,  1497,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1499,  1500,     0,  1501,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1505,   189,  1506,   545,  4454,   191,
    1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,   551,
     552,   553,     0,   554,     0,     0,  1511,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1514,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1515,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,  1517,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,
     636,   637,   638,   639,   640,   641,     0,  1524,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,  1526,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1535,  1536,     0,
       0,     0,     0,     0,     0,     0,  1538,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1474,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1475,   137,  1476,  1477,     0,   436,   437,   438,
     439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,
     444,   445,   446,   447,  1482,     0,  1483,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,   460,   461,   462,   463,   695,   464,  1491,
    1492,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1493,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1494,   490,   491,   492,  1495,  1496,
     493,     0,   494,  1497,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1498,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1499,  1500,     0,  1501,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1502,   182,   530,   183,     0,
     531,   532,   533,  1503,  1504,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1505,   189,
    1506,   545,   546,   191,     0,   547,   548,   193,   549,  1508,
    1509,   550,  1510,   551,   552,   553,     0,   554,     0,     0,
    1511,   556,   557,     0,     0,   196,   197,   198,   199,  1512,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1513,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1514,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1515,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1516,   609,   218,   610,   611,   220,   612,  1517,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1518,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1519,  1520,     0,     0,   633,  1521,
     634,  1522,  1523,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,  1525,     0,   647,
     648,   649,   650,   651,   701,  1526,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  2883,  2884,     0,     0,     0,     0,     0,     0,     0,
    1538,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1470,
    1471,  1472,    45,  1473,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1474,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435, -2635,  1475,   137,  1476,  1477,
       0,   436,   437,   438,   439,   440,  1478,  1479,   441,   442,
    1480,  1481,   443,     0,   444,   445,   446,   447,  1482,     0,
    1483,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,  5020,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,
     463,   695,   464,  1491,  1492,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1494,   490,
     491,   492,  1495,  1496,   493,     0,   494,  1497,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1498,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1499,
    1500,     0,  1501,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1502,
     182,   530,     0,     0,   531,   532,   533,  1503,  1504,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1505,   189,  1506,   545,   546,   191,     0,   547,
     548,   193,   549,  1508,  1509,   550,  1510,   551,   552,   553,
       0,   554,     0,     0,  1511,   556,   557,     0,     0,   196,
     197,   198,   199,  1512,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1513,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1514,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1515,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1516,   609,   218,   610,
     611,     0,   612,  1517,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1518,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1519,  1520,
       0,     0,   633,  1521,   634,  1522,  1523,   635,   636,   637,
     638,  5021,   640,   641,     0,  1524,   642,   643,   644,   645,
     646,  1525,     0,   647,   648,   649,   650,   651,   701,  1526,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1527,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1535,  1536,     0,     0,     0,
       0,     0,     0,     0,  1538,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,     0,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,     0,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1538,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,     0,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,  4061,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,     0,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1538,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,     0,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,     0,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,     0,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,     0,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1470,  1471,  1472,
      45,  1473,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1474,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1475,   137,  1476,  1477,     0,   436,
     437,   438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,
     443,     0,   444,   445,   446,   447,  1482,     0,  1483,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,
     464,  1491,  1492,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,     0,
     485,     0,   486,   487,   488,   489,  1494,   490,   491,   492,
    1495,  1496,   493,     0,   494,  1497,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1498,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1499,  1500,     0,
    1501,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1502,   182,   530,
       0,     0,   531,   532,   533,  1503,  1504,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1505,   189,  1506,   545,   546,   191,     0,   547,   548,   193,
     549,  1508,  1509,   550,  1510,   551,   552,   553,     0,   554,
       0,     0,  1511,   556,   557,     0,     0,   196,   197,   198,
     199,  1512,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1513,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1514,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1515,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1516,   609,   218,   610,   611,     0,
     612,  1517,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1518,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1519,  1520,     0,     0,
     633,  1521,   634,  1522,  1523,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,  1525,
       0,   647,   648,   649,   650,   651,   701,  1526,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  2883,  2884,     0,     0,     0,     0,     0,
       0,     0,  1538,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,  1479,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,  1495,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,  3605,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,  1509,   550,   195,   551,
     552,   553,     0,   554,     0,  1083,   555,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   216,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,   224,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,  1521,   634,  1522,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
    2188,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,   237,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  3606,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,  1479,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,  1495,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,  3605,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,  1509,   550,   195,   551,
     552,   553,     0,   554,     0,  1083,   555,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,  1521,   634,  1522,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  3606,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,  1479,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,  1495,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,  1509,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,  1521,   634,  1522,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,   247,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,  1479,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
    1482,     0,  1483,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,  1495,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1498,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1502,   182,   530,   183,     0,   531,   532,   533,  1503,
    1504,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,  1509,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,  1512,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1513,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1516,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1518,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,  1521,   634,  1522,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,  1525,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1527,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  4181,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  4760,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,  4107,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0, -1488,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0, -1488,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516, -1488,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
   -1488,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181, -1488,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188, -1488,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
   -1488,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  1629,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,  3876,  3877,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3877,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,   216,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,   224,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  2188,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,   237,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,   247,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,   216,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,   224,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  2188,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,   237,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,   247,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  1604,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3043,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4136,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4491,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1207,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   733,   426,
     427,   428,   734,   735,   736,   737,   738,   739,   740,   429,
     430,   741,   431,   432,   133,   433,   434,   435,     0,  1898,
     137,  1899,  1900,   742,   436,   437,   438,   439,   440,   743,
     744,   441,   442,  1901,  1902,   443,   746,   444,   445,   446,
     447,     0,   747,   145,   748,   448,   449,   450,   451,   148,
     452,   693,   750,   453,   454,   455,   456,   457,   458,   751,
     151,   459,     0,   753,   754,   755,   152,   756,   757,   758,
     460,   461,   462,   463,   695,   464,  1903,  1904,   465,   759,
     466,   760,   467,   468,   469,   470,   471,   761,   472,   473,
     474,   762,   763,   475,   476,  1493,   478,   479,   764,   480,
     481,   482,   765,   483,   484,   485,   766,   486,   487,   488,
     489,     0,   490,   491,   492,     0,   767,   493,   768,   494,
    1905,   495,   769,   496,   770,   497,   169,   771,   170,   498,
     499,   500,   772,   501,     0,   773,   502,   774,   503,   504,
     697,   505,   506,   173,   507,   508,   509,   775,   510,   511,
     512,   513,   514,   515,   776,   516,   174,     0,     0,   517,
     518,   519,  1499,  1906,   779,  1907,   780,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,   781,   527,   528,
     782,   529,     0,   182,   530,   183,   783,   531,   532,   533,
     784,   785,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1908,   189,  1909,   545,   546,
       0,   786,   547,   548,   193,   549,   787,     0,   550,  1910,
     551,   552,   553,   788,   554,   789,   790,  3863,   556,   557,
     791,   792,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,   793,   565,     0,   566,     0,   567,
     568,   569,   794,   570,   571,   572,   573,   574,   575,   576,
     577,  1911,   578,   579,   580,   581,   795,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   796,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,   797,   604,   605,   606,   607,   608,   798,
     609,  2482,   610,   611,   220,   612,  1913,   613,   799,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     800,   624,   625,   801,   626,   627,   628,   629,   630,   631,
     802,  1914,  1915,     0,   804,   633,     0,   634,     0,   805,
     635,   636,   637,   638,   639,   640,   641,     0,   807,   642,
     643,   644,   645,   646,   808,   809,   647,   648,   649,   650,
     651,     0,  1916,   811,   652,   236,   653,   654,   655,   812,
     813,   656,   814,   815,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,     0,     0,     0,  1210,  1211,  1212,     0,  3864,  3865,
    1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1207,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,  1208,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,  1209,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,
    1216,  1217,  1218,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1207,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,  1301,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,  1302,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,
    1217,  1218,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1207,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,  1358,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,  1359,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1360,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,
    1218,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,  1883,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,  1884,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
    1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1207,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,  1210,
    1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1207,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,  3132,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,  3133,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,     0,     0,     0,  1210,  1211,
    1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1207,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
    4743,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,     0,     0,  1210,  1211,  1212,
       0,  1213,  1214,  1215,  1216,  1217,  1218,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   733,   426,   427,   428,   734,   735,   736,   737,   738,
     739,   740,   429,   430,   741,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,   742,   436,   437,   438,
     439,   440,   743,   744,   441,   442,   745,   140,   443,   746,
     444,   445,   446,   447,   144,   747,   145,   748,   448,   449,
     450,   451,   148,   452,   749,   750,   453,   454,   455,   456,
     457,   458,   751,   151,   459,   752,   753,   754,   755,   152,
     756,   757,   758,   460,   461,   462,   463,   695,   464,   155,
     156,   465,   759,   466,   760,   467,   468,   469,   470,   471,
     761,   472,   473,   474,   762,   763,   475,   476,   477,   478,
     479,   764,   480,   481,   482,   765,   483,   484,   485,   766,
     486,   487,   488,   489,   164,   490,   491,   492,   166,   767,
     493,   768,   494,   168,   495,   769,   496,   770,   497,   169,
     771,   170,   498,   499,   500,   772,   501,   172,   773,   502,
     774,   503,   504,   697,   505,   506,   173,   507,   508,   509,
     775,   510,   511,   512,   513,   514,   515,   776,   516,   174,
     175,   777,   517,   518,   519,   778,   176,   779,   177,   780,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
     781,   527,   528,   782,   529,   181,   182,   530,   183,   783,
     531,   532,   533,   784,   785,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,   189,
     190,   545,   546,   191,   786,   547,   548,   193,   549,   787,
     194,   550,   195,   551,   552,   553,   788,   554,   789,   790,
     555,   556,   557,   791,   792,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,   793,   565,   201,
     566,   202,   567,   568,   569,   794,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,   795,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   796,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,   797,   604,   605,   606,
     607,   608,   798,   609,   218,   610,   611,   220,   612,   221,
     613,   799,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,   800,   624,   625,   801,   626,   627,   628,
     629,   630,   631,   802,   225,   226,   803,   804,   633,   227,
     634,   228,   805,   635,   636,   637,   638,   639,   640,   641,
     806,   807,   642,   643,   644,   645,   646,   808,   809,   647,
     648,   649,   650,   651,   810,   235,   811,   652,   236,   653,
     654,   655,   812,   813,   656,   814,   815,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,  2285,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,  1898,
     137,  1899,  1900,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,  1901,  1902,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,  1903,  1904,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
    1905,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,     0,     0,   517,
     518,   519,  1499,  1906,     0,  1907,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1908,   189,  1909,   545,   546,
       0,     0,   547,   548,   193,   549,     0,     0,   550,  1910,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1911,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,  1912,   610,   611,   220,   612,  1913,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1914,  1915,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,  1916,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,     0,    86,    87,    88,   678,    90,    91,    92,   679,
    2389,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,    86,
      87,    88,   678,    90,    91,    92,   679,  1090,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,     0,    86,    87,    88,   678,
      90,    91,    92,   679,  4784,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   988,   420,   421,   422,   423,   424,   425,   989,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   990,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     991,   168,   495,     0,   496,     0,   992,     0,   993,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,   994,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   995,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   996,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   997,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     998,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,   999,
    1000,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   988,   420,   421,
     422,   423,   424,   425,   989,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,  1021,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   991,   168,   495,     0,   496,
       0,  1022,     0,   993,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,   994,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   995,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   996,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   997,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   998,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,   999,  1000,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,  1406,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,   993,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,   994,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,   999,
    1000,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1411,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,   993,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,   994,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,   999,  1000,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
     696,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,  1575,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,  1061,  1576,    86,    87,    88,   678,
      90,    91,    92,   679,  1062,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,  1063,   442,  1037,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,  1064,     0,  1065,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
    1066,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,  1067,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,  1068,   596,   213,   597,   598,   599,  1069,
     601,   602,   700,   603,     0,   604,   605,   606,   607,  1070,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1071,   226,     0,     0,  1072,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  1041,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,  1073,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   733,   426,   427,   428,
     734,   735,   736,   737,   738,   739,   740,   429,   430,   741,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,   742,   436,   437,   438,   439,   440,   743,   744,   441,
     442,   745,   140,   443,   746,   444,   445,   446,   447,   144,
     747,   145,   748,   448,   449,   450,   451,   148,   452,   749,
     750,   453,   454,   455,   456,   457,   458,   751,   151,   459,
     752,   753,   754,   755,   152,   756,   757,   758,   460,   461,
     462,   463,   695,   464,   155,   156,   465,   759,   466,   760,
     467,   468,   469,   470,   471,   761,   472,   473,   474,   762,
     763,   475,   476,   477,   478,   479,   764,   480,   481,   482,
     765,   483,   484,   485,   766,   486,   487,   488,   489,   164,
     490,   491,   492,   166,   767,   493,   768,   494,   168,   495,
     769,   496,   770,   497,   169,   771,   170,   498,   499,   500,
     772,   501,   172,   773,   502,   774,   503,   504,   697,   505,
     506,   173,   507,   508,   509,   775,   510,   511,   512,   513,
     514,   515,   776,   516,   174,   175,   777,   517,   518,   519,
     778,   176,   779,   177,   780,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,   781,   527,   528,   782,   529,
     181,   182,   530,   183,   783,   531,   532,   533,   784,   785,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,   786,
     547,   548,   193,   549,   787,   194,   550,   195,   551,   552,
     553,   788,   554,   789,   790,   555,   556,   557,   791,   792,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,   793,   565,   201,   566,   202,   567,   568,   569,
     794,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,   795,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   796,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,   797,   604,   605,   606,   607,   608,   798,   609,   218,
     610,   611,   220,   612,   221,   613,   799,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,   800,   624,
     625,   801,   626,   627,   628,   629,   630,   631,   802,   225,
     226,   803,   804,   633,   227,   634,   228,   805,   635,   636,
     637,   638,   639,   640,   641,   806,   807,   642,   643,   644,
     645,   646,   808,   809,   647,   648,   649,   650,   651,   810,
     235,   811,   652,   236,   653,   654,   655,   812,   813,   656,
     814,   815,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   733,   426,   427,   428,   734,   735,   736,
     737,   738,   739,   740,   429,   430,   741,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,   742,   436,
     437,   438,   439,   440,   743,   744,   441,   442,   745,   140,
     443,   746,   444,   445,   446,   447,   144,   747,   145,   748,
     448,   449,   450,   451,   148,   452,   749,   750,   453,   454,
     455,   456,   457,   458,   751,   151,   459,   752,   753,   754,
     755,   152,   756,   757,   758,   460,   461,   462,   463,   695,
     464,   155,   156,   465,   759,   466,   760,   467,   468,   469,
     470,   471,   761,   472,   473,   474,   762,   763,   475,   476,
     477,   478,   479,   764,   480,   481,   482,   765,   483,   484,
     485,   766,   486,   487,   488,   489,   164,   490,   491,   492,
     166,   767,   493,   768,   494,   168,   495,   769,   496,   770,
     497,   169,   771,   170,   498,   499,   500,   772,   501,   172,
     773,   502,   774,   503,   504,   697,   505,   506,   173,   507,
     508,   509,   775,   510,   511,   512,   513,   514,   515,   776,
     516,   174,   175,   777,   517,   518,   519,   778,   176,   779,
     177,   780,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,   781,   527,   528,   782,   529,   181,   182,   530,
     183,   783,   531,   532,   533,   784,   785,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,   189,   190,   545,   546,   191,   786,   547,   548,   193,
     549,   787,   194,   550,   195,   551,   552,   553,   788,   554,
     789,   790,   555,   556,   557,   791,   792,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,   793,
     565,   201,   566,   202,   567,   568,   569,   794,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,   795,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   796,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,   797,   604,
     605,   606,   607,   608,   798,   609,   218,   610,   611,   220,
     612,   221,   613,   799,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,   800,   624,   625,   801,   626,
     627,   628,   629,   630,   631,   802,   225,   226,   803,   804,
     633,   227,   634,   228,   805,   635,   636,   637,   638,   639,
     640,   641,   806,   807,   642,   643,   644,   645,   646,   808,
     809,   647,   648,   649,   650,   651,   810,   235,   811,   652,
     236,   653,   654,   655,   812,   813,   656,   814,   815,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,  3197,   423,   424,   425,
     733,   426,   427,   428,   734,   735,   736,   737,   738,   739,
     740,   429,   430,   741,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,   742,   436,   437,   438,   439,
     440,   743,   744,   441,   442,   745,   140,   443,   746,   444,
     445,   446,   447,   144,   747,   145,   748,   448,   449,   450,
     451,   148,   452,   749,   750,   453,   454,   455,   456,   457,
     458,   751,   151,   459,   752,   753,   754,   755,   152,   756,
     757,   758,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   759,   466,   760,   467,   468,   469,   470,   471,   761,
     472,   473,   474,   762,   763,   475,   476,   477,  3198,   479,
     764,   480,   481,   482,   765,   483,   484,   485,   766,   486,
     487,   488,   489,   164,   490,   491,   492,   166,   767,   493,
     768,   494,   168,   495,   769,   496,   770,   497,   169,   771,
     170,   498,   499,   500,   772,   501,   172,   773,   502,   774,
     503,   504,   697,   505,   506,   173,   507,   508,   509,   775,
     510,   511,   512,   513,   514,   515,   776,   516,   174,   175,
     777,   517,   518,   519,   778,   176,   779,   177,   780,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,   781,
     527,   528,   782,   529,   181,   182,   530,   183,   783,   531,
     532,   533,   784,   785,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,   189,   190,
     545,   546,   191,   786,   547,   548,   193,   549,   787,   194,
     550,   195,   551,   552,   553,   788,   554,   789,   790,   555,
     556,   557,   791,   792,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,   793,   565,   201,   566,
     202,   567,   568,   569,   794,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,   795,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     796,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,   797,   604,   605,   606,   607,
     608,   798,  3199,   218,   610,   611,   220,   612,   221,   613,
     799,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,   800,   624,   625,   801,   626,   627,   628,   629,
     630,   631,   802,   225,   226,   803,   804,   633,   227,   634,
     228,   805,   635,   636,   637,   638,   639,   640,   641,   806,
     807,   642,   643,   644,   645,   646,   808,   809,   647,   648,
     649,   650,   651,   810,   235,   811,   652,   236,   653,   654,
     655,   812,   813,   656,   814,   815,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1341,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1351,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,  1898,
     137,  1899,  1900,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,  1901,  1902,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,  1903,  1904,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
    1905,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,  2479,   510,   511,
     512,   513,   514,   515,     0,   516,   174,  2480,     0,   517,
     518,   519,  1499,  1906,     0,  1907,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1908,   189,  1909,   545,   546,
       0,     0,   547,   548,   193,   549,     0,     0,   550,  1910,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,  2481,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1911,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,  2482,   610,   611,   220,   612,  1913,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1914,  1915,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,  1916,  2483,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1898,   137,  1899,  1900,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1901,  1902,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1903,  1904,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1905,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,     0,     0,   517,   518,   519,  1499,
    1906,     0,  1907,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1908,   189,  1909,   545,   546,     0,     0,   547,
     548,   193,   549,  2467,     0,   550,  1910,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,     0,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1911,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  2482,   610,
     611,   220,   612,  1913,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
    3967,   626,   627,   628,   629,   630,   631,     0,  1914,  1915,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1916,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,     0,  1898,   137,  1899,  1900,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,  1901,  1902,   443,
       0,   444,   445,   446,   447,     0,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
    1903,  1904,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,     0,   490,   491,   492,     0,
       0,   493,     0,   494,  1905,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,     0,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,     0,     0,   517,   518,   519,  1499,  1906,     0,  1907,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,     0,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1908,
     189,  1909,   545,   546,  2533,     0,   547,   548,   193,   549,
       0,     0,   550,  1910,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,     0,   197,   198,   199,
       0,   558,   559,   560,   561,   562,   563,   564,     0,   565,
       0,   566,     0,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1911,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,     0,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,  1912,   610,   611,   220,   612,
    1913,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,     0,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1914,  1915,     0,     0,   633,
       0,   634,     0,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,  1916,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1901,  1902,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1905,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,     0,     0,
     517,   518,   519,  1499,  1906,     0,  1907,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,  3799,     0,   547,   548,   193,   549,     0,     0,   550,
    1910,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,  1912,   610,   611,   220,   612,  1913,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1914,  1915,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1916,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,     0,  1898,   137,  1899,
    1900,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,  1901,  1902,   443,     0,   444,   445,   446,   447,     0,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,  1903,  1904,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,     0,
     490,   491,   492,     0,     0,   493,     0,   494,  1905,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,     0,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,     0,     0,   517,   518,   519,
    1499,  1906,     0,  1907,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
       0,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1908,   189,  1909,   545,   546,     0,     0,
     547,   548,   193,   549,     0,     0,   550,  1910,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
       0,   197,   198,   199,     0,   558,   559,   560,   561,   562,
     563,   564,     0,   565,     0,   566,     0,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1911,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,     0,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,  1912,
     610,   611,   220,   612,  1913,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,     0,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1914,
    1915,     0,     0,   633,     0,   634,     0,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
    1916,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1898,   137,  1899,  1900,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1901,  1902,
     443,     0,   444,   445,   446,   447,     0,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,  1903,  1904,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,     0,   490,   491,   492,
       0,     0,   493,     0,   494,  1905,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,     0,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,     0,     0,   517,   518,   519,  1499,  1906,     0,
    1907,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,     0,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1908,   189,  1909,   545,   546,     0,     0,   547,   548,   193,
     549,     0,     0,   550,  1910,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,     0,   197,   198,
     199,     0,   558,   559,   560,   561,   562,   563,   564,     0,
     565,     0,   566,     0,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1911,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,     0,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,  2482,   610,   611,   220,
     612,  1913,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,     0,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1914,  1915,     0,     0,
     633,     0,   634,     0,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,  1916,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1898,   137,  1899,  1900,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1901,  1902,   443,     0,   444,
     445,   446,   447,     0,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,  1903,  1904,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,     0,   490,   491,   492,     0,     0,   493,
       0,   494,  1905,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,     0,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,     0,
       0,   517,   518,   519,  1499,  1906,     0,  1907,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,     0,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1908,   189,  1909,
     545,   546,     0,     0,   547,   548,   193,   549,     0,     0,
     550,  1910,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,     0,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,     0,   565,     0,   566,
       0,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1911,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,     0,   610,   611,   220,   612,  1913,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1914,  1915,     0,     0,   633,     0,   634,
       0,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,  1916,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,     0,   137,
       0,     0,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,     0,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,     0,     0,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,     0,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,     0,     0,   517,   518,
     519,     0,     0,     0,     0,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,     0,   189,     0,   545,   546,     0,
       0,   547,   548,   193,   549,     0,     0,   550,     0,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
       0,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
       0,   610,   611,   220,   612,     0,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
       0,     0,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,     0,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   733,   426,   427,   428,   734,   735,   736,
     737,   738,   739,   740,   429,   430,   741,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,   742,   436,
     437,   438,   439,   440,   743,   744,   441,   442,     0,   140,
     443,   746,   444,   445,   446,   447,   144,   747,   145,   748,
     448,   449,   450,   451,   148,   452,   749,   750,   453,   454,
     455,   456,   457,   458,   751,   151,   459,     0,   753,   754,
     755,   152,   756,   757,   758,   460,   461,   462,   463,     0,
     464,   155,   156,   465,   759,   466,   760,   467,   468,   469,
     470,   471,   761,   472,   473,   474,   762,   763,   475,   476,
     477,   478,   479,   764,   480,   481,   482,   765,   483,   484,
     485,   766,   486,   487,   488,   489,   164,   490,   491,   492,
     166,   767,   493,   768,   494,   168,   495,   769,   496,   770,
     497,   169,   771,   170,   498,   499,   500,   772,   501,   172,
     773,   502,   774,   503,   504,     0,   505,   506,   173,   507,
     508,   509,   775,   510,   511,   512,   513,   514,   515,   776,
     516,   174,   175,     0,   517,   518,   519,     0,   176,   779,
     177,   780,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,   781,   527,   528,   782,   529,   181,   182,   530,
     183,   783,   531,   532,   533,   784,   785,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,   786,   547,   548,   193,
     549,   787,   194,   550,   195,   551,   552,   553,   788,   554,
     789,   790,   555,   556,   557,   791,   792,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,   793,
     565,   201,   566,   202,   567,   568,   569,   794,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,   795,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   796,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,   797,   604,
     605,   606,   607,   608,   798,   609,   218,   610,   611,   220,
     612,   221,   613,   799,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,   800,   624,   625,   801,   626,
     627,   628,   629,   630,   631,   802,   225,   226,     0,   804,
     633,   227,   634,   228,   805,   635,   636,   637,   638,   639,
     640,   641,     0,   807,   642,   643,   644,   645,   646,   808,
     809,   647,   648,   649,   650,   651,     0,   235,   811,   652,
     236,   653,   654,   655,   812,   813,   656,   814,   815,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
    1152,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,  2413,
     444,   445,   446,   447,   144,     0,     0,  2495,   448,   449,
     450,   451,     0,   452,   693,  2414,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
    2496,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,  2416,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,  2417,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,  2418,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,  2413,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,  2414,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,  2496,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,  2416,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,  3360,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,  2417,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,  2418,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
    1050,   424,   425,  1008,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,  1009,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,  1051,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,  1010,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,  1011,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,  1008,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
    1009,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,  3094,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,  1010,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,  1011,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,  2413,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,  2414,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
    2496,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,  2416,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,  2417,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,  2418,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   691,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   694,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,   696,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  1008,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,  1009,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,  1010,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,  1011,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,   920,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   921,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   922,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  2089,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
    2090,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,  2091,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,  2092,   497,     0,     0,     0,  2093,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,  2094,  2095,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,  2096,   601,   602,   700,   603,
       0,  2097,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
    2098,   626,  2099,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,  2100,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,  1009,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,  1010,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,  1011,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,  2078,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,  2371,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
    2969,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,  2970,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,  2971,   626,   627,  2972,   629,  2973,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
    2974,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   718,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
     696,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   870,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1333,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,   130,   131,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  3181,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,  3182,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,  3193,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  3194,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   926,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   970,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
    1025,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,  1083,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1230,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,  1083,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1578,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1752,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,  1083,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,  1986,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,  2078,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,  2371,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,  4107,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
    4121,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,  4341,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,  4343,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
    4345,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,  4746,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,  1034,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  1036,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1037,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,  1038,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1039,   226,     0,     0,
    1040,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,  1041,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,  1077,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1037,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,  1078,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1079,   226,     0,     0,  1080,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  1041,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,  1097,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1203,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1227,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1238,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1292,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1306,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1346,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1365,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1367,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1369,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1372,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1378,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,  1589,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
    1063,   442,  1037,   140,  1590,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,  1067,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,  1068,   596,   213,   597,   598,   599,  1069,   601,   602,
     700,   603,     0,   604,   605,   606,   607,  1582,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1071,   226,     0,     0,  1072,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
    1041,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,  1073,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
    1715,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1798,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1945,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1975,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  2010,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  2012,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  2014,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,  2127,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
    2338,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,     0,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  2729,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  3105,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  3184,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  3186,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  3284,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
    1063,   442,  1037,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,  1067,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,  1068,   596,   213,   597,   598,   599,  1069,   601,   602,
     700,   603,     0,   604,   605,   606,   607,  1582,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1071,   226,     0,     0,  1072,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
    1041,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,  1073,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,  1063,   442,  1037,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,  1067,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,  1068,   596,   213,
     597,   598,   599,  1069,   601,   602,   700,   603,     0,   604,
     605,   606,   607,  1582,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
    2404,   628,   629,   630,   631,     0,  1071,   226,     0,     0,
    1072,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,  1041,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,  1073,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,  1063,   442,  1037,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,  1067,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,  1068,   596,   213,   597,   598,   599,  2471,
     601,   602,   700,   603,     0,   604,   605,   606,   607,  2472,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1071,   226,     0,     0,  2473,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  1041,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,  1073,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,  1063,   442,
    1037,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,  1067,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,  1068,
     596,   213,   597,   598,   599,  1069,   601,   602,   700,   603,
       0,   604,   605,   606,   607,  2472,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1071,   226,
       0,     0,  2473,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,  1041,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,  1073,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,     0,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,     0,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,     0,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115, -2390,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,   127,    35,
       0,  1147,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,   198,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,     0,     0,     0,   227,     0,   228,     0,     0,
       0,     0,     0,     0,     0,     0,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,   145,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,     0,     0,     0,   227,     0,
     228,     0,     0,     0,     0,     0,     0,     0,     0,   231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,   236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,   227,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,  2054,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,  2055,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,  2056,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,   999,  1673,  4597,     0,     0,     0,
       0,     0,     0,  4598,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,   130,   131,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,   216,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,   224,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   234,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,   237,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,   247,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,  2273,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,  2054,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
    2055,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,  2056,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,   662,   663,     0,     0,     0,     0,
       0,    35,   417,   999,  1673,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,     0,   464,   155,   156,   465,
    2278,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,  2054,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,     0,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,     0,
     540,   541,     0,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,  2055,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
    2056,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
     662,   663,     0,     0,     0,     0,     0,    35,   417,   999,
    1673,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
       0,   140,   443,     0,   444,   445,   446,   447,   144,     0,
     145,     0,   448,   449,   450,   451,   148,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,     0,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,  2054,   493,     0,   494,   168,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,     0,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,     0,   540,   541,     0,   542,
     543,   544,   188,   189,   190,   545,   546,   191,     0,   547,
     548,   193,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,  2055,     0,   555,   556,   557,     0,     0,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,   220,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,  2056,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,   235,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,   662,   663,     0,     0,
       0,     0,     0,    35,     0,   999,  1673,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,  2054,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,  2055,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,  2056,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,   632,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,  2258,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    35,   662,   663,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,     0,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,     0,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,     0,
     540,   541,     0,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    35,
     662,   663,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,     0,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,     0,
     505,  2034,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,     0,   540,   541,
       0,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    35,   662,   663,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
       0,   140,   443,     0,   444,   445,   446,   447,   144,     0,
     145,     0,   448,   449,   450,   451,   148,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,  2590,   460,   461,   462,
     463,     0,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,     0,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,     0,   540,   541,     0,   542,
     543,   544,   188,   189,   190,   545,   546,   191,     0,   547,
     548,   193,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,   220,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,  2591,     0,   647,   648,   649,   650,   651,     0,   235,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    35,   662,   663,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,   130,   131,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1223,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    35,   662,   663,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,     0,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,  3465,   502,     0,   503,
     504,     0,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,     0,
     540,   541,     0,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    35,
     662,   663,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,     0,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,     0,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,     0,   540,   541,
       0,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    35,   662,   663,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
       0,   140,   443,     0,   444,   445,   446,   447,   144,     0,
     145,     0,   448,   449,   450,   451,   148,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,     0,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,     0,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,  1236,   537,   538,   539,     0,   540,   541,     0,   542,
     543,   544,   188,   189,   190,   545,   546,   191,     0,   547,
     548,   193,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,   220,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,   235,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    35,   662,   663,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,  1314,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,  1353,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    35,   662,   663,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,     0,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,     0,   505,  1363,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,     0,
     540,   541,     0,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    35,
     662,   663,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,     0,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,     0,
     505,  1374,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,  1375,   537,   538,   539,     0,   540,   541,
       0,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,   662,   663
};

static const yytype_int16 yycheck[] =
{
       2,    78,   364,  1065,    78,  1113,    78,  1361,  1118,    78,
      78,   894,  1352,   210,   247,  1400,   154,  1356,   229,  1392,
    1183,  2043,  1229,   117,   153,  1072,   167,  1081,  1247,  1912,
    1610,  1449,  1009,  1010,  1011,   852,  1928,   150,  1015,  1738,
    2626,   932,  1430,  1773,  2093,  1284,   187,   932,  1520,  1224,
    2825,  1463,  1491,  1492,  2487,  2488,  2532,    94,   160,  1303,
     724,   171,  1237,  2247,  1826,   203,   165,   950,   162,  1313,
     380,  1510,   380,  1871,  2669,   224,    78,   894,  3147,  1778,
    1791,  3358,    84,  2984,  3410,   976,    96,    89,   165,  2661,
    1773,  1930,    78,  2297,  3421,   132,   106,   132,  1228,  2978,
     210,  1231,  1782,  1342,  1667,  1668,  1669,  1971,  2132,  1239,
    3197,  1631,  3199,  3709,  1289,   117,   153,   154,  1293,  3660,
     725,  2581,  3326,  1298,  3339,  2803,   163,  1160,  1839,  1840,
    1305,  1160,   142,   950,   975,  3339,    78,   231,  2980,  2981,
    1315,  1721,    84,  3043,  3757,  3702,  2982,   157,  3968,   352,
    3612,   153,   366,   167,  1834,  2917,  3947,  3036,   366,  1778,
     162,   217,  3606,  1765,     2,  1538,   203,  1725,  2032,  1393,
    3957,  3905,  1413,   187,  4391,   117,  1237,  1068,  1974,  1662,
    1663,  1384,  1200,  1068,  1982,  4186,  3670,  3611,  2664,  1110,
    1110,  2345,  3543,  1155,  1156,  3945,    21,    78,   117,    30,
    4672,    72,    88,    84,    10,    14,  3956,   209,    88,    75,
      76,    77,    78,   967,   117,   217,    82,   219,   135,   108,
     162,   121,    95,   156,  1480,  1481,    88,   113,    37,   231,
    2384,   143,   114,   102,  2388,   173,  3877,   228,   117,   114,
     103,   104,   180,   162,  3343,  3344,  3345,  3346,  3347,  3348,
    1506,   113,  4532,   149,    99,    78,   920,   143,   180,   162,
      78,   106,  2738,    72,  2740,    72,    75,    76,    77,    78,
     179,   128,    81,    82,    83,    84,  3872,    86,   223,    86,
     128,   143,   228,   162,   112,   128,   145,  3049,    72,   231,
      75,    76,    77,    78,   153,   372,  4665,    82,   372,   267,
     372,    84,    86,   372,   372,  1282,  2198,  4612,    75,    76,
      77,    78,   231,   237,   180,    82,    78,   832,   310,    75,
      76,    77,    78,    90,   197,   236,    82,   267,   231,  1627,
     209,     8,    78,   182,    11,    12,  3149,   322,   217,  1393,
     219,    75,    76,    77,    78,    22,    23,    24,    82,    26,
      27,     0,   231,   267,    31,    32,    33,   112,    75,    76,
      77,    78,   228,   228,   227,    82,   229,   153,   327,   185,
      75,    76,    77,    78,   312,  1594,  1539,    82,   380,   416,
      78,   223,    78,   269,  1267,   204,   372,    75,    76,    77,
      78,   352,   102,    95,    82,    99,  2445,   184,  1062,  1141,
    1563,   135,   106,   149,   312,    75,    76,    77,    78,  1286,
     187,   228,    82,   415,    78,    78,   105,    78,   230,   165,
      90,   229,    88,   228,    99,    75,    76,    77,    78,   952,
     135,   106,    82,    72,    75,    76,    77,    78,   380,   962,
    4657,    82,    81,  1915,   377,   261,    78,    86,    78,    90,
    1267,   359,    78,    75,    76,    77,    78,  4191,   145,    78,
      82,   234,   173,  1205,  1903,  1904,   199,    75,    76,    77,
      78,  1910,   383,   415,    82,   436,   414,   143,   145,   417,
      14,   268,    90,  4788,  2638,   211,  1377,    75,    76,    77,
      78,    72,  1377,   185,    82,   197,   173,   145,   490,   380,
      81,   247,    90,   632,  1558,    86,   375,   248,   145,  1400,
      75,    76,    77,    78,   173,   476,   328,    82,   387,   478,
     511,   378,   211,   508,   834,   145,   834,   436,   267,   173,
     378,  1885,   374,    29,   415,   378,   460,  2166,   676,   677,
    1880,   360,   456,   511,  3357,  1599,  1600,    25,   173,   372,
     446,  2180,  1157,  1158,   372,    75,    76,    77,    78,   434,
     128,  1402,    82,   508,   409,   511,  3781,   476,   434,   438,
     508,   511,  1449,   495,  4943,   434,  1467,  3781,   511,   461,
    5052,   454,  1467,   160,  4180,    75,    76,    77,    78,    88,
     461,   508,    82,   421,   506,   632,  4876,  3696,   510,  2482,
    2229,  3927,  4393,   466,    75,    76,    77,    78,   508,   458,
     372,    82,  2192,   499,   500,   501,   502,   503,   504,   508,
     366,  4355,  3098,  1753,   504,  1832,   372,   304,  1382,   495,
     632,   456,   415,   173,  4384,  1874,   210,   339,   454,   676,
     677,  4103,   504,   508,   510,  1901,  1902,  1822,   434,  1824,
    1869,  1895,  2491,  1909,   511,   461,   233,  2237,  1400,   415,
     416,  2241,  1177,   511,  3941,   375,   421,  4111,   511,  1799,
     372,  4115,   349,  4407,   372,   506,   372,   502,  4102,   456,
    4031,  4165,  4323,  4324,  4325,  4326,  4327,   724,    25,   508,
     499,   500,   499,   500,   511,   160,  2084,  2036,  1589,   401,
     508,   508,    95,   508,  1589,   409,  1597,  1598,   372,   372,
     859,   372,   841,   424,    95,   499,   500,  4934,  3304,  1681,
    3621,  3307,  3308,   508,    99,  3311,  3605,  3606,  1649,  1649,
     228,  3317,   326,  3166,   409,  3168,   830,   470,   511,  4740,
     372,   508,   372,   976,   470,  1806,   372,   434,  1809,    93,
    2546,  1113,  2091,   372,  1772,   175,   885,  2487,  2131,  2132,
     465,  2100,   454,   259,   173,   424,   443,   434,   233,  2142,
     511,   510,   874,  2146,   508,   228,   979,    38,  2458,    40,
     424,  2154,  2155,  3378,   922,   263,   434,  3886,  1393,  5006,
    3626,   508,  2090,  4527,  2167,  2168,  2094,   434,  2096,   424,
    4534,  2099,   379,   508,   197,  2178,    75,    76,    77,    78,
     378,  2995,   941,    82,   434,   465,   197,   267,   506,   219,
     508,   241,   510,    22,  2065,  2049,   111,  3706,   830,   403,
    2071,    14,   834,  3309,  3310,   474,   838,  2040,   508,  1362,
    2398,   267,  1719,   107,   222,   847,   848,   988,  2528,   990,
    1592,   992,   854,   475,  3008,  1597,  1598,   998,   508,   972,
     499,   500,   864,  2346,    88,  2348,   210,   508,  4655,  4748,
    4749,  1020,   494,    72,  2476,   228,  2495,   976,   880,   299,
    1021,  1022,   302,   920,   424,   922,   508,   287,   830,  1103,
     892,   389,   834,  3326,   896,  1103,   185,   474,   975,   185,
     508,   151,  2158,  2159,    88,   907,  3339,   175,   197,  3978,
     475,   830,  3674,  1436,   379,   267,   180,   210,   499,   500,
     508,  1804,    88,   145,   926,  1802,   263,   830,  1451,   494,
     932,   153,   509,   970,   936,   512,   322,   974,  1087,   189,
    2702,  1464,   207,   508,   946,   947,    95,   113,   230,   325,
     952,   830,   101,   834,    85,   322,   326,    88,   339,  4491,
     962,  4493,   247,   973,   182,   967,   237,    99,  1117,   467,
     348,   346,   392,   241,   976,   261,   990,   143,   992,   372,
     990,   434,   992,   231,  2714,   180,  3419,  1804,   508,   398,
     151,   372,  1002,  2047,  1093,   151,   119,   185,  1875,   137,
     265,  1978,   501,   502,   503,   504,   456,  1021,  1022,   474,
    1066,  1021,  1022,  1755,  1070,   147,  4478,  1894,   508,  4839,
     401,  1763,   154,   231,  4620,  1062,  2189,  1064,   189,  1064,
     456,   299,  4823,   189,   302,  2097,  2098,   508,  4482,   310,
     137,   385,  4829,  4487,   509,   269,  4490,   512,   197,   181,
    1199,   312,   427,   271,   429,  4381,   153,   182,  1060,   403,
     267,   350,   512,  1940,  1066,    99,  1068,   332,  1070,   489,
     208,   175,  1814,   261,   237,  1817,  1818,   365,   459,   237,
    4407,   434,   466,   173,   180,   269,  1088,   225,   508,  4968,
     340,    71,    72,  1095,   312,    75,    76,    77,    78,    79,
      80,    81,    82,   100,   456,   387,    86,  2999,   394,    72,
     403,   208,    75,    76,    77,    78,   162,   312,    81,    82,
     252,   244,   508,    86,   392,   248,  2003,   220,   225,   967,
     182,  4218,   508,  2016,   385,  4535,   506,   241,   269,  1881,
     510,   508,   495,   361,  4935,   991,  1088,   310,   396,   995,
     996,   997,   310,  1155,  1156,   160,  4752,   510,   192,  1005,
     442,    72,  2053,   286,    75,    76,    77,    78,   454,   141,
      81,    82,    83,    84,   179,    86,   339,   425,   428,   340,
     468,  4738,   456,   448,   340,   231,  4718,  1066,   396,   460,
     339,  1070,   317,   310,   389,   299,   444,   328,   302,  2016,
     180,   474,   192,   454,   194,  1191,   211,  1088,  2647,   372,
    4944,  2052,   376,  4826,   332,   353,   309,   425,  5005,   271,
     310,   489,  5009,   372,  1326,  4625,     2,   217,  2282,   975,
     976,   495,  4111,  4134,   508,   151,  4115,   401,   511,   508,
     508,   512,   506,  4144,   508,   509,   510,   511,   128,   456,
    1252,  1237,   401,   441,  2883,  2884,   353,   180,   273,  2888,
     312,  1263,  3848,  4163,  5051,   262,   454,   428,  3854,  3855,
    2332,  4715,   428,   189,   151,   499,   500,   501,   502,   503,
     504,  2164,   405,  4125,  1286,   417,   266,  4883,   392,    75,
      76,    77,    78,   511,  4130,   310,    82,   460,   394,  2928,
    2929,   338,   460,  1141,   180,  1538,  4142,   109,    95,   361,
     290,   449,   189,    89,   101,   499,   500,   501,   502,   503,
     504,  1323,  1160,  2200,  3163,  1402,    85,   317,   424,    88,
     248,  3170,   322,  2577,  4012,   501,   502,   503,   504,  4880,
    4881,  4741,   228,   460,  4559,   434,   105,  2164,  3781,   175,
    2383,  4751,   449,   325,  2383,  4559,   408,  1103,   121,  4636,
    1362,   230,   248,   368,  2494,  4642,   462,  1205,   499,   500,
     501,   502,   503,   504,  4970,  1377,   197,   153,   474,  1381,
    1382,   267,  1384,   159,   424,   489,   188,  2741,   403,   394,
    1392,  2731,   385,   511,   317,  1405,  2735,  1407,  1400,   332,
    1410,  1711,  1412,  1711,   387,  1415,  1416,  1417,   171,   185,
     197,  1448,   508,  3462,   155,   241,  2546,  1620,  1428,   424,
    1634,  1635,   511,  1637,   340,   360,  1634,  1635,   182,  1637,
     310,  1441,   383,  1443,  1436,  3165,   312,  2567,   137,   454,
    2684,  2685,  2686,  2687,  2049,   174,   184,  1449,   387,  1451,
     440,   386,  2696,   194,   372,   438,  2631,   462,   376,   328,
     450,   299,  1464,   340,   302,  1467,  2596,   232,    25,   474,
     401,    97,    14,   299,  3498,  5071,  1478,  3681,    35,  2852,
    3940,   180,  3165,   401,  3246,  2008,  2725,  5028,  4814,  3009,
     229,   117,    71,  2791,   355,    37,  2019,   260,   378,   438,
      79,    80,  1651,   508,   455,  1507,   228,   172,  2031,   330,
     269,  3987,   428,  3989,  1608,   508,   192,   271,   194,   499,
     500,   401,   251,   332,   121,   290,   248,   129,  2901,   269,
     268,   317,   161,  1535,  1536,   137,  1538,   500,  1575,  1576,
    1575,  1576,   297,  1381,  1382,   267,  1384,   310,   417,  1551,
     274,   428,   339,  1555,   392,   376,   474,  1403,   312,  2932,
    1406,  1641,  1400,  1409,  2447,  1411,   392,  1661,  1414,   328,
     456,   228,  1418,   152,   171,  3255,   509,   134,   511,   510,
     401,   228,   365,   838,  3448,   372,   326,  1589,   499,   500,
    1592,   248,   847,    99,  2967,  1597,  1598,  4498,  4499,   223,
     229,   248,   341,  4482,  4673,  1607,  1608,   361,  4487,   233,
     267,  4490,   395,   312,   401,   352,  4942,  4944,   317,   190,
     267,  2363,  2499,   202,   248,   880,   512,   390,   257,   200,
    2447,  1725,   436,   298,  1636,   300,   262,   434,  1640,  1641,
     456,   424,  1679,   272,  1679,   183,   322,   508,  1750,  4528,
     161,   374,  4427,   153,   353,   284,  1402,   508,   160,  1661,
    1662,  1663,   427,   260,   429,   299,  1608,   406,   367,  4756,
      75,    76,    77,    78,   253,   152,   387,    82,   307,  1681,
     180,   936,   115,  5019,  1833,   468,   192,   452,   290,  1608,
     434,   946,   508,  3404,   423,   424,  3407,   326,   495,   436,
     509,    85,   511,   136,    88,  1608,   263,   245,   241,  1711,
     126,  4297,  4298,   310,  2378,  3103,  1718,  1719,   229,  1661,
    1662,  1663,  4999,  1725,   201,  4201,  4202,   438,  1474,  1608,
    1732,   233,  3171,  2710,   456,   339,   495,   496,   497,   476,
     499,   500,   501,   502,   503,   504,   257,  4522,  1494,  4524,
     449,   474,   339,   382,  1592,  5091,   172,   381,   392,  1597,
    1598,   272,  2639,  1765,     5,   344,   299,   511,   339,  1711,
    3333,  1773,   506,   284,   332,  4844,  1718,  4372,  1524,   513,
    3134,  1662,  1663,  1725,    25,   372,  4665,   512,   511,   330,
     512,  4363,  1538,   390,    35,  3093,   307,   401,   339,   456,
    1802,   372,   279,   280,   182,   456,  1725,  2549,   183,   456,
     273,  4383,   312,   495,   401,  2557,   293,  2559,   511,   219,
    1806,   475,  1725,  1809,  2541,   512,  2717,   456,   510,  4730,
    1711,   372,  2717,   391,   250,  1673,  4715,  1718,   172,   128,
     494,  1935,    75,    76,    77,    78,  1725,   310,   192,    82,
     194,    14,  1854,  1732,  1856,   512,   632,   508,   147,   392,
    1698,  1699,   339,  2754,   248,   512,   183,   394,   447,  2754,
     245,   382,   161,  1875,    37,  2004,   455,   255,  2595,   458,
     103,   104,   298,  3122,   300,   269,  1765,   287,  1634,  1635,
     182,  1637,  1894,   134,   310,  3734,  3525,   424,   361,  3528,
    3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,  3537,    72,
    1912,  4556,  3710,    75,    76,    77,    78,  1755,   514,   253,
      82,   508,   338,   212,   324,  1763,   467,  2124,   245,  3558,
     335,   223,   310,  1935,   312,   462,  2813,   160,  1940,   456,
     403,  4586,    85,  3150,   328,    75,    76,    77,    78,   426,
    2997,   428,    82,  1955,  2053,   196,   179,  2106,  3587,  3588,
     372,   377,  4146,   255,   298,   474,   300,   137,   312,  1971,
    2493,  3178,   228,   143,   436,  2052,  1814,  1856,   322,  1817,
    1818,   508,  2292,   153,  2292,   365,   339,  3567,   211,   401,
    3882,   454,   248,  1935,   209,  1997,   412,  1252,   474,    41,
    3388,  2003,   511,  4589,  2006,    95,  2008,  2009,  1263,  3397,
     180,   101,   182,  2123,   476,   395,  1935,  2019,   310,   372,
     312,  3151,   263,    85,   426,    88,    88,   229,  2130,  2031,
    2032,   263,  1935,   230,   249,   511,   339,  2114,  2040,    16,
    2114,  2043,  2114,  1881,   424,  2114,  2114,   361,  3759,  3760,
     113,  2053,  2062,  2795,  2064,   257,  1935,   339,  2068,   373,
    2070,   258,  3742,  2073,  4943,   385,  2949,  2077,  1323,   372,
     272,  3483,   474,   475,   503,  3547,  3548,   313,   314,   508,
     143,   510,   284,   397,   317,   255,  2166,  3217,   468,    85,
     372,  2093,    88,   413,    75,    76,    77,    78,   401,   875,
    2180,    82,  3682,   475,  3784,   475,   508,   197,  2202,  3000,
     232,   495,   496,   497,  2778,   499,   500,   501,   502,   503,
     504,   223,   494,   223,   494,   372,  4559,  3520,    97,  2131,
    2132,   232,  2949,   506,    71,    72,   508,  2139,   508,   512,
    2142,   243,   312,   243,  2146,   368,  4168,   317,   117,  2151,
    3490,  3544,  2154,  2155,   401,   317,   932,   933,   394,   355,
    2162,  4637,  3460,  2165,  2166,  2167,  2168,  3585,   290,   389,
    2311,   394,    72,  2175,  2176,   297,  2178,  3352,  2180,  2181,
     382,  3554,  2184,   353,  4076,   328,    86,   317,   424,   290,
    4073,   967,  4967,   509,   339,  2294,   512,   367,  2200,  2201,
    2202,   424,  2040,  3020,  2206,  2043,   426,   269,  2210,  1953,
     321,  2408,  2214,  2410,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,   427,  2226,   429,   462,   372,  1972,  3120,
    2232,  3961,    51,  2235,  4667,  3120,    71,    81,   474,   462,
     438,   394,    86,   466,    79,    80,  3123,  3946,  3487,  1025,
      69,   474,   389,   314,   474,   475,   401,   209,  3000,   323,
    2202,   219,   326,   339,   365,   223,   328,   219,  2337,  3898,
     391,   424,   508,   269,  2403,   503,   468,   219,  1054,   449,
     508,   223,   510,  2202,   509,   508,   511,  1063,   508,   426,
    2292,  1067,  1068,  1069,   275,  2297,   372,   326,   326,  2202,
     376,   275,   331,   331,  2398,   427,  2052,   429,  2457,   462,
      34,  3750,   499,   500,   501,   502,   503,    88,   508,  3707,
    3708,   474,   509,  2202,   434,   401,   427,   506,   429,   287,
     452,   510,   328,   394,   438,   511,   511,   474,   475,   515,
     515,  2378,   113,   438,  2346,   287,  2348,  3224,   339,  3226,
    2292,   452,   495,   496,   497,   508,   499,   500,   501,   502,
     503,   504,   192,   424,   194,  2367,   324,   468,  2114,   507,
     374,   508,   143,   511,    85,   509,   297,    88,   512,  1155,
    1156,   372,   324,  2385,  1160,  2387,   372,   217,   134,   135,
     376,   507,  2394,   339,   391,   511,  2398,  2399,   474,  3376,
    2402,   462,   113,  3280,  2346,   427,  2348,   429,   119,  2538,
     401,  2292,   506,   474,   508,   401,    75,    76,    77,    78,
     297,  2515,  2424,    82,  2518,  2427,   372,    86,  3305,  3648,
     376,   251,   143,   495,   496,   497,  2438,   499,   500,   501,
     502,   503,   504,  2445,   511,   512,     7,   508,   509,  4078,
    4079,   512,  3615,   157,  2182,   401,  2398,  2185,    19,    20,
      85,  2207,  3353,  2465,  3355,  2346,   513,  2348,  3353,   339,
    3355,   474,   475,    85,  2476,   509,    88,   511,    39,  2398,
    2482,    42,   312,   492,   493,  2487,  2488,   317,   474,    72,
    2492,  2493,   322,   105,   509,  2398,   511,  2499,   269,   270,
     496,   497,   372,   499,   500,   501,   502,   503,   504,  3326,
    3618,  3619,   243,  2515,  2516,  2900,  2518,  2902,  2903,  2398,
     438,   180,  3339,   385,   386,  2363,  3403,  3418,  4307,   150,
    4309,   401,   468,  3418,  4313,   125,  4315,   248,  2540,  2541,
     391,   508,  2544,   510,   315,  2383,  4126,  2385,   275,  2387,
     506,   514,   508,   207,   510,  3432,    86,  2670,   269,   270,
    2562,  4610,  2656,    71,    72,   219,   389,  3090,  3091,   223,
    2572,    79,    80,  2515,   385,   386,  2518,   389,    86,   509,
    4160,   511,   508,  2585,   501,   502,   503,    75,    76,    77,
      78,  2337,  2594,  2595,    82,   156,   509,  2476,   511,  2518,
     509,  1377,   511,   426,   315,  1381,  1382,   509,  1384,   511,
     440,   265,  2515,   508,   426,  2518,   509,   328,   511,  4511,
     450,   509,   511,   511,  1400,  2987,   326,  3504,    85,   511,
     512,    88,   193,   287,  3841,  2637,  2515,  2639,   509,  2518,
     511,  1454,  1455,    75,    76,    77,    78,  3524,   105,   389,
      82,   474,   475,   389,  2656,   125,   509,   269,   511,   468,
    2662,   389,   474,   475,   115,  2667,  4084,   474,   475,  1445,
     324,   509,  3549,   511,   491,   508,  4406,   510,   332,   271,
     509,   389,   511,   474,   475,   508,   426,  4060,   510,   329,
     426,  1467,   180,   509,   329,   511,   508,  2699,   426,  2932,
    3998,  3999,  4000,    75,    76,    77,    78,   509,  3585,   511,
      82,  2549,  2714,  3236,  2656,  2717,   328,   326,   426,  2557,
      85,  2559,   509,    88,   511,   509,  3970,   511,   499,   500,
     501,   502,   503,   504,   474,   475,   434,  2656,   474,   475,
     105,  2778,  1997,   509,   223,   511,   474,   475,   180,  3491,
     326,  2006,  2754,  2656,  4428,  4429,  4430,  4431,   271,   491,
    2762,  2972,  2973,  2974,  1540,   329,   474,   475,   508,   115,
     491,   509,   508,   511,  1550,   227,   509,  2656,   511,   509,
     508,   511,   501,   509,  1560,   511,   511,   509,   499,   500,
     501,   502,   503,   504,   448,   427,   153,   429,   508,  2801,
     508,   125,   509,  2883,  2884,   427,  3039,   429,  2888,   228,
    4439,  2813,   269,  1589,  2908,   512,  1592,  1593,   267,  4448,
    2914,  1597,  1598,  2825,   509,   501,   511,  2829,    75,    76,
      77,    78,   509,  2835,   511,    82,  4465,  4466,  2093,   389,
      75,    76,    77,    78,  3367,   514,  3369,    82,  2928,  2929,
    2852,  2853,   509,   514,   511,    71,  2858,   499,   500,   501,
     502,   503,   263,    79,    80,   507,    75,    76,    77,    78,
     509,   328,   511,    82,   434,   232,   426,  1107,   508,  1109,
      96,  2883,  2884,   495,   496,   497,  2888,   499,   500,   501,
     502,   503,   504,   509,   251,   511,   434,   434,  2900,  2901,
    2902,  2903,   434,   434,   269,  1681,  2908,   509,   203,   511,
     121,  2913,  2914,   509,  2916,   511,  2918,   108,   509,  4304,
     511,   509,   125,   511,   474,   475,  2928,  2929,   263,   509,
    2932,   511,   509,   290,   511,   509,   152,   511,   509,  3016,
     511,   269,  3016,  2945,  3016,  2947,   508,  3016,  3016,  2951,
     509,   162,   511,   509,  4653,   511,   510,  2795,   508,  3482,
     509,   434,   511,   328,  3781,  2967,  2908,   389,   401,   508,
    4268,  4269,  2914,  4271,   331,   186,  2978,   477,  2980,  2981,
    2982,   509,  4370,   511,   212,   509,   202,   511,   508,  2908,
     201,   509,   248,   511,   205,  2914,   510,   509,  3000,   511,
     326,  4116,  3004,  4118,   426,  2908,   212,    75,    76,    77,
      78,  2914,   212,   224,    82,  3017,   227,   509,   326,   511,
    3022,   223,   509,  4186,   511,  4443,  3028,   212,   239,  2908,
     512,   509,   248,   511,  3036,  2914,     2,   253,   495,   496,
     497,   285,   499,   500,   501,   502,   503,   504,  3925,   509,
     182,   511,   474,   475,  1830,   326,   509,    71,   511,   456,
    4689,    75,    76,    77,    78,    79,    80,   509,    82,   511,
     427,   508,   429,  3075,   438,    75,    76,    77,    78,   321,
     468,   438,    82,   509,   391,   511,   508,   275,  3090,  3091,
     358,   509,   449,   511,  3096,   452,   509,   509,   511,   511,
     509,   508,   511,  3197,  3198,  3199,   317,  4161,   137,   509,
    4840,   511,   180,   474,   325,  3117,   108,  1893,  3120,   312,
     312,  3123,  4495,   509,   509,   511,   511,   509,   344,   511,
     495,   496,   497,   477,   499,   500,   501,   502,   503,   504,
     508,    95,    75,    76,    77,    78,   115,   101,   359,    82,
     509,   509,   511,   511,   509,   509,   511,   511,   509,   115,
     511,   175,  3000,  3165,  3166,   443,  3168,   383,   509,   509,
     511,   511,   339,   223,   468,   468,   150,   356,   212,   513,
     212,  1957,   212,  2438,   212,   508,  2932,   141,   477,   212,
    2445,   511,   212,   212,   212,  3197,  3198,  3199,   326,   212,
    2946,   167,   212,   212,   326,   212,   422,  4084,   212,   424,
     508,   108,   224,  4598,  3216,   285,   326,   223,  4606,  2965,
     223,   187,  3224,   508,  3226,  3227,   508,   241,   508,   223,
     349,   447,  2978,   508,  3236,   508,   190,   336,   508,   455,
     108,   508,   458,   197,  3338,   508,   200,   508,   508,   508,
     508,   508,   163,   508,   508,  3197,  3198,  3199,   508,   508,
     508,  4003,   508,   508,  2040,   508,   267,  2043,  4151,   508,
    3016,   508,  4690,   511,   508,   508,   508,   508,  3280,   269,
     285,   108,   223,   324,   223,   299,   322,   401,   302,   501,
    3036,   263,  3430,  3039,  3197,  3198,  3199,  3299,  3427,   253,
     392,   511,   179,  3305,   302,   455,   511,    14,   495,   508,
     511,   508,   508,   434,   434,   389,   510,   434,  3197,  3198,
    3199,  4694,  4199,  3325,  3326,   434,   389,   434,   434,   434,
     153,  3400,   389,   212,  4151,   326,  3338,  3339,  2883,  2884,
    3409,   393,  4760,  2888,   282,   434,  4764,  4765,   207,   434,
    4227,  3353,   317,  3355,   434,   455,   310,   145,   312,   326,
     219,  3430,  3595,   253,   223,  3367,  4243,  3369,   322,   322,
     508,   508,   434,  3606,   434,  2151,   330,   153,   392,  4356,
     511,   339,   212,  2928,  2929,   339,  3597,  3598,  3599,  3600,
     456,   456,   174,  3430,   434,  4783,  3338,   434,  3921,  3922,
     125,  3403,   125,   434,   330,   114,   265,  4517,  4762,   434,
    4708,   114,  4289,  4304,   389,   511,  3418,  3419,  4593,  3338,
    4718,  4761,   376,   434,    89,   326,   434,   326,   287,  4768,
    3432,  4770,   434,   477,   269,  3338,   474,   434,   434,   434,
     108,   434,    97,   465,   508,  3525,  3448,   401,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,  3536,  3537,   107,  3338,
    3462,   508,   508,  3465,   326,   324,  3560,   212,   312,   508,
     180,   456,   212,   332,  4772,   489,   293,   322,  3558,   467,
    3482,   312,   108,  3485,   223,   108,   275,   508,  3326,  2265,
     390,   212,   456,   510,   212,   212,   456,  4870,   212,  3501,
     212,  3339,  3504,    14,   434,   459,   321,  3587,  3588,  3511,
     316,   474,   511,   228,   432,  3517,    88,  3519,   470,   508,
     491,  4906,  3524,  3525,   508,   304,  3528,  3529,  3530,  3531,
    3532,  3533,  3534,  3535,  3536,  3537,   304,   401,   511,  3541,
    3542,   432,   434,   228,   495,   242,   508,  3549,   436,   508,
     511,   242,  3554,   508,    85,   403,  3558,    88,  3560,   265,
    3562,   511,  4304,  4861,   509,   511,  4443,   327,   273,   511,
    3572,   456,   509,  3575,  2829,  3577,    34,   509,    10,   434,
    2835,   509,   113,  3585,  3586,  3587,  3588,   434,   119,   448,
    3592,  2367,   389,  3595,  4656,   152,   389,   273,   508,   456,
     273,   317,   434,  3605,  3606,   434,   317,  2383,   434,  2385,
     508,  2387,   143,   438,  3616,   468,   391,   275,  3560,   317,
     115,  4729,  3624,   408,  3626,   326,   325,   434,   511,   333,
     434,   389,    85,   243,   372,    88,   372,   398,   434,   434,
     269,  3560,   361,   108,   269,   269,  4529,   506,   456,   269,
     509,   510,   269,  3491,  3400,   456,   325,  3560,   495,   107,
     113,   434,  3803,  3409,   506,   506,   119,  3669,   434,   212,
     223,   495,   322,  3675,   468,   225,   398,   212,   211,  3681,
     508,  3560,  3776,   474,  3430,  4568,  3780,   508,  3782,   108,
     143,   326,   326,  5033,   240,  2471,   240,   502,   223,   108,
     212,   223,   398,   248,  3706,   326,   248,  4598,   326,   248,
     477,   511,  4529,   244,    96,   234,   301,   248,   326,   511,
     125,   511,   424,  2978,   511,   438,   321,   468,   275,   509,
     228,   509,   509,   335,   491,  3737,   343,   509,   269,   270,
     509,   511,  4559,   491,   509,   509,   509,   509,   228,    90,
     509,  4568,   205,   509,   509,   286,   509,   509,   509,   508,
     434,   508,    90,   471,  3858,   509,   454,   462,   379,   495,
     512,   471,   509,   287,  3776,   326,   511,   511,  3780,  3781,
    3782,  3036,   509,   251,   315,   212,   326,   434,   329,   434,
     434,   244,   259,   477,   317,   248,   434,   328,   330,   212,
     212,   495,   287,   434,   434,   453,   344,   344,   295,   295,
     389,   295,   434,  4690,   389,   508,   269,   270,  3898,  3821,
     434,   508,  3824,   389,   389,   434,   212,   401,   434,   434,
     434,   434,   114,   286,  3776,   434,   434,   312,  3780,   269,
    3782,   434,  2618,  4720,   434,   269,   269,   508,   302,  3595,
    2626,   287,   506,   509,   495,   443,  3858,   509,   509,  3605,
    3606,  3780,   315,  3782,   115,   511,   374,   173,   511,   509,
     509,   508,   108,  3776,   405,   328,   325,  3780,    85,  3782,
     326,    88,   434,  4760,   237,   456,  3955,  4764,  4765,   456,
     223,   329,   389,   389,   210,   389,  3898,  3776,   105,   511,
     210,  3780,   173,  3782,   269,  4882,   113,  2683,   203,   506,
     228,    88,   119,   509,   223,   509,  3858,   509,   509,  3921,
    3922,   135,   508,  3925,   228,   509,  3928,   508,  3997,   511,
     508,   467,   509,   236,   495,  2711,   143,   327,   511,  3858,
     509,  2717,   223,  3781,   108,   509,   509,   495,   259,   456,
     456,   434,   405,   443,   508,  3858,   434,   434,   434,  3961,
    3962,  3963,   443,   389,   495,   496,   497,   389,   499,   500,
     501,   502,   503,   504,   434,   434,   223,   143,  2754,  3858,
    3525,  4178,   509,  3528,  3529,  3530,  3531,  3532,  3533,  3534,
    3535,  3536,  3537,   509,   509,  4878,   212,   173,  4078,  4079,
     443,   967,   269,   269,  4006,   509,   507,   357,   508,   273,
     474,   398,   511,   223,   477,  4906,   508,   508,   511,   254,
     509,  4023,   988,   148,   990,   426,   992,  3865,   434,   511,
      85,  4172,   998,   999,  1000,   508,   398,   244,   509,   233,
     228,   248,  3587,  3588,   269,   269,   499,   500,   501,   502,
     503,   504,   269,   509,   269,  1021,  1022,   228,  4060,   509,
     125,  4878,   269,   270,   508,   366,   511,   509,  4070,  4071,
     472,  4073,   472,   272,   509,   508,  4078,  4079,   334,   286,
     272,  4083,  4084,  4224,   125,   238,   434,  4089,  4090,  4158,
     508,  4093,   509,   509,   322,   228,   495,    85,   474,   143,
      88,   253,   495,   443,   317,   312,   317,   511,   315,  4111,
     434,   212,   269,  4115,   511,   507,   230,   105,   228,   456,
     248,   328,   456,  4125,  4218,   113,   108,   198,  4130,   474,
     508,   119,  4494,   228,   470,   474,   508,   256,   329,   228,
    4142,   508,   508,   366,   461,   509,   411,    98,   509,   508,
     272,   508,   473,   342,   509,   143,   326,   509,   367,   110,
     509,   434,   434,   223,   508,  4003,  4168,   474,   187,   317,
     508,   108,   317,   296,   251,  1141,   508,   357,   508,  4181,
     131,   211,   509,   848,   108,   508,   330,   509,   386,   854,
    4331,   386,   125,   144,  1160,   495,   508,  4199,   405,   864,
     125,   332,   456,   508,   310,   326,   157,  3462,   426,  3955,
     509,    82,   398,   218,   357,   137,  4218,   329,   137,   193,
     460,    85,   461,   174,  3000,  4227,   366,   892,   511,   108,
     228,   896,   364,   471,   223,   198,  4238,   474,   253,  1205,
     326,  4243,   907,   326,   195,   508,   108,   108,  4250,   329,
     329,  3997,   509,   508,   185,   206,   244,   509,   508,   125,
     248,   385,    82,   214,    89,   509,   508,   454,   385,   105,
      94,   211,   357,   372,   225,   508,  4218,  1224,  1857,   230,
    1202,   269,   270,  2668,  1598,   236,  3000,  4289,   495,   496,
     497,  2525,   499,   500,   501,   502,   503,   504,   286,  3178,
     251,  3780,  4304,  2589,  3322,  3857,  4775,  4596,  4146,  4906,
    4649,  4653,  3919,  4349,  4635,  4218,  3097,  2783,  4974,  4528,
    5032,  4920,  4990,  4919,   312,    98,  4824,   315,  3101,  3911,
    4168,  2659,  2659,  3776,  3198,  1958,  3390,  5037,  2653,  4218,
     328,  5104,   167,   331,  3120,  4347,   297,  5096,  4630,  3338,
    3605,  3606,  3325,  3898,  5001,  4570,  4358,  4894,   131,  4439,
    4982,  1948,   187,  4573,   187,  4111,  1437,  4737,  4448,  4115,
    4006,   144,  3959,  2488,  4840,  3961,  3283,   328,   933,  5014,
    5098,  4815,  2294,  2053,   157,  4465,  4466,   338,  2295,  3016,
    1082,  3944,  2333,  4159,  3017,  3679,  1626,  2766,  3028,  3044,
    2335,  3023,  2334,  1644,  4406,   356,  1646,  1097,  1395,  3606,
    4103,  3036,  4158,  4716,  1643,  1381,  1382,   405,  1384,  3605,
    4117,  1087,   195,  3680,  1651,  4427,  3570,  3203,  4692,  3562,
    4961,  4965,   383,   206,  1400,  4962,   387,  4439,   389,  3020,
    2854,  4443,  2946,  2944,   395,  3675,  4448,   398,   632,  2232,
    3427,  3706,   225,  2718,  1330,  1991,  2367,   230,  3234,  4952,
     381,  2383,  1657,  4465,  4466,  1663,  4304,  4469,  2343,  1448,
    2375,  2994,  1158,   424,  3686,   426,  1158,  2376,  3687,   430,
    4482,   969,  1572,  4145,  3653,  4487,  1661,   438,  4490,  1178,
    1155,  1156,   443,  4495,  4496,  2387,   414,  2082,  2779,  1381,
       2,    -1,  4596,  4513,   455,    -1,  3282,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,   468,    -1,   507,
    4522,    -1,  4524,    -1,   297,   513,  4528,  1001,  3304,    -1,
      -1,  3307,  3308,  4078,  4079,  3311,    -1,    -1,    -1,    -1,
      -1,  3317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3326,    -1,    -1,    -1,    -1,   328,  3332,  4559,    -1,    -1,
      -1,    -1,    -1,  3339,    -1,  4567,    -1,    -1,    -1,    -1,
    4639,    -1,    -1,    -1,    98,    -1,    -1,  3353,    -1,  3355,
      -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4596,    -1,  4598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4610,  4689,
      -1,    -1,    -1,    -1,    -1,  3391,   389,    -1,    -1,    -1,
      -1,   145,   395,    -1,    -1,   398,  1592,    -1,    -1,    -1,
      -1,  1597,  1598,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,  3418,    -1,    -1,    -1,    85,    -1,  1368,    88,
     174,   424,   127,    -1,  4596,    78,    -1,   430,    -1,  1379,
      -1,    84,  4756,  4665,    -1,  4667,    89,    -1,  4506,    -1,
     443,   195,    -1,    -1,   113,    -1,    -1,  4596,    -1,    -1,
     119,    -1,   206,    -1,   159,    -1,    -1,  4689,  4690,    -1,
    4692,    -1,  4694,  4596,   117,   468,    -1,    -1,    -1,    -1,
      -1,   225,    -1,    -1,   143,  1671,   230,  1673,    -1,  4711,
      -1,    -1,    -1,  4715,    -1,    -1,    -1,  4596,  4720,    -1,
      -1,  4559,    -1,    -1,    -1,  1691,    -1,    -1,    -1,    -1,
      -1,    -1,  1698,  1699,    -1,    -1,  4482,    -1,    -1,   162,
     215,  4487,    -1,    -1,  4490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   276,  4822,  4756,    -1,    -1,    -1,  4760,    -1,
      -1,    -1,  4764,  4765,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,  1755,
      -1,    -1,    -1,    -1,   217,  3571,   219,  1763,    -1,  4801,
     275,    -1,    -1,    -1,    -1,   244,    -1,   282,   231,   248,
      -1,    -1,    -1,    -1,  4756,    -1,    -1,    -1,  4820,    -1,
      -1,  5054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     269,   270,   356,    -1,   127,    -1,    -1,   312,  4840,    -1,
      -1,    -1,    -1,    -1,    -1,  4847,    -1,   286,  1814,  3625,
      -1,  1817,  1818,  4756,    -1,    -1,  4111,    -1,    -1,   383,
    4115,    -1,    -1,    -1,    -1,   389,   159,    -1,  4870,    -1,
      -1,   395,    -1,   312,    -1,    -1,   315,  4756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4887,    -1,    -1,    -1,   328,
      -1,    -1,    -1,  4639,  4439,    -1,    -1,    -1,    -1,    -1,
     424,   376,   426,    -1,  4906,   380,    -1,    -1,    -1,    -1,
      -1,   386,    -1,    -1,    -1,  1881,    -1,    -1,   393,   443,
    4465,  4466,   215,    -1,    -1,    -1,   401,    -1,    -1,    -1,
    4932,    -1,    -1,  5002,    -1,   410,    -1,  5014,    -1,    -1,
    5014,  4943,  5014,   418,   468,  5014,  5014,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,  5049,    -1,   380,    -1,    -1,
      -1,    -1,  4964,  4965,    -1,  4967,   405,    -1,    -1,  4715,
      -1,    -1,    -1,    -1,    -1,  4977,    -1,  5054,    -1,    -1,
    5054,    -1,  5054,    -1,    -1,  5054,  5054,    -1,    -1,   282,
      -1,    -1,   415,    -1,   469,    -1,    -1,    -1,   473,   474,
      -1,    -1,  5096,    -1,    -1,  3781,    -1,    -1,    -1,    -1,
    5104,    -1,    -1,    -1,    -1,    -1,  1681,  5019,    -1,   312,
      -1,  5098,    -1,  1989,  5098,    -1,  5098,  5029,  3804,  5098,
    5098,  3807,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    95,    -1,  5049,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,   113,    -1,    -1,
      -1,    -1,  3848,   119,  2040,    -1,  4822,  2043,  3854,  3855,
      -1,  3857,    -1,   376,    -1,   378,    -1,   380,    -1,  5091,
      -1,   141,    -1,   386,  5096,    -1,    -1,   143,  5100,    -1,
     393,  3877,  5104,  4358,    -1,    -1,    -1,  5049,   401,    -1,
      -1,    -1,  3888,  3889,  3890,  3891,    -1,   410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,
    5049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     190,    -1,    -1,    -1,  4689,    -1,  5049,   197,    -1,    -1,
     200,    -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5104,   988,    -1,   990,    -1,   992,    -1,    -1,
    5049,    -1,    -1,   998,    -1,    -1,   469,  5096,  2144,  2145,
      -1,    -1,  3958,    -1,    -1,  5104,  2152,    -1,    -1,  1854,
    2156,  2157,    -1,  5096,    -1,    -1,  1021,  1022,   244,    -1,
      -1,  5104,   248,   253,    -1,  2171,    -1,  2173,    -1,    -1,
      -1,  5049,    -1,    -1,    -1,    -1,    -1,  5096,    -1,    -1,
      -1,    -1,    -1,   269,   270,  5104,    -1,  4482,    -1,  2195,
      -1,  2197,  4487,    -1,    -1,  4490,    -1,    -1,    -1,    -1,
     286,    -1,    85,    -1,  4020,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5002,    -1,  5096,    -1,
     310,    -1,   312,    -1,    -1,    -1,  5104,    -1,  5014,   315,
     113,    -1,   322,  4528,    -1,    -1,   119,    -1,  1998,    -1,
     330,  2247,   328,    -1,    -1,    -1,    -1,  2007,    -1,   339,
    1955,  2011,    -1,    -1,    -1,    -1,    -1,  2017,  2018,    -1,
     143,    -1,    -1,    -1,    -1,    -1,  1971,    -1,  5054,    -1,
      -1,    -1,  4567,    -1,    -1,  2035,  1141,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,   376,    -1,    -1,    85,
    1155,  1156,    88,    -1,    -1,  1160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2009,  2311,    -1,    -1,    -1,    -1,
      -1,   401,  5098,    -1,    -1,  4610,    -1,   113,    -1,   405,
      -1,    -1,   205,   119,    -1,    -1,    -1,  2032,    -1,    -1,
    4146,  4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1205,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,  4168,    -1,    -1,    -1,    -1,  2363,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,   830,    -1,   459,
    4665,   834,    -1,    -1,    -1,    -1,    -1,  2383,    -1,  2385,
      -1,  2387,    -1,    -1,    -1,   848,   269,   270,    -1,    -1,
      -1,   854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   864,    -1,   286,    -1,    -1,    -1,    -1,    -1,   205,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
    4715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   892,
      -1,    -1,   315,   896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   907,   328,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   932,
      -1,  4287,  4288,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,  4297,  4298,    -1,   947,    -1,    -1,    -1,  4304,   952,
     286,    -1,  4308,    -1,    -1,    95,    -1,    -1,    -1,   962,
      -1,   101,    -1,    -1,    -1,    -1,  4801,  4323,  4324,  4325,
    4326,  4327,    -1,   976,    85,    -1,    -1,    88,    -1,   315,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2291,   328,    -1,    -1,  1400,    -1,    -1,    -1,    -1,
      -1,   141,   113,  2549,    -1,    -1,    -1,    -1,   119,    -1,
      -1,  2557,    -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4378,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,   143,    84,    -1,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4405,
     190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,
     200,    -1,    -1,  1066,    -1,  1068,   117,  1070,    -1,   405,
      -1,    -1,  4428,  4429,  4430,  4431,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,  1088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    89,  4932,    -1,  2645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,    -1,
      -1,   162,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2367,    -1,   117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,  4977,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,  1155,  1156,  2399,    -1,    -1,  2402,   269,   270,
      -1,    -1,    -1,   499,   500,   501,   502,   503,   504,   162,
     310,    -1,   312,    -1,    -1,   286,    -1,    -1,    -1,  2424,
     231,    -1,   322,    -1,    -1,    85,    -1,  1592,    88,    -1,
     330,    -1,  1597,  1598,    -1,    -1,    -1,    -1,    -1,   339,
      -1,    -1,    -1,  4559,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,   209,   328,    -1,   119,
    2465,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,    -1,
      -1,    -1,   372,  4589,    -1,    -1,   376,    -1,   231,    -1,
      -1,    -1,  4598,   143,    -1,    -1,  4602,  2492,  4604,  2795,
      -1,  4607,  4608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,  5100,    -1,    -1,    -1,    -1,
      -1,  2516,    -1,    -1,    -1,    -1,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   405,  2540,    -1,    -1,    -1,  2544,
      -1,    -1,    -1,    -1,   849,   205,    -1,    -1,    -1,    -1,
      -1,    -1,   857,    -1,    -1,    -1,    -1,  2562,    85,   459,
     865,    88,    -1,    -1,    -1,    -1,    -1,  2572,   873,   380,
      -1,    -1,    -1,   878,    -1,    -1,    -1,    95,    -1,    -1,
    2585,    -1,    -1,   101,   244,    -1,   113,    -1,   248,  2594,
    1755,    -1,   119,    -1,    -1,    -1,    -1,    -1,  1763,  1362,
      -1,    -1,    -1,   108,   415,    -1,    -1,    -1,    -1,   269,
     270,    -1,    -1,    -1,  1377,    -1,   143,    -1,    -1,    -1,
      -1,    -1,   127,   141,    -1,    -1,   286,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,  1400,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    95,    -1,    -1,    -1,  1814,
      -1,   101,  1817,  1818,   159,   315,    -1,    -1,    -1,    -1,
    4776,   127,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
    2730,    -1,   190,  1436,    -1,    -1,    -1,    -1,   205,   197,
      -1,    -1,   200,    -1,  1286,    -1,  2746,  2747,  1451,  2995,
    2750,   141,  2998,   159,  3000,    -1,  2756,    -1,    -1,    -1,
      -1,  1464,    -1,    -1,  1467,    -1,    -1,    -1,    -1,    -1,
     215,    -1,    -1,    -1,    -1,    -1,  1881,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,  1033,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
     190,   246,   269,   270,    -1,   405,    -1,   197,    -1,   215,
     200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
    1065,    -1,    -1,    -1,    -1,    -1,    -1,  2827,    -1,    -1,
     275,    -1,    -1,    -1,    -1,    -1,    -1,   282,  1083,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,
    4906,    -1,   310,    -1,   312,    -1,  2801,    -1,    -1,    -1,
    1105,   328,    -1,   253,   322,    -1,    -1,   312,    -1,   275,
      -1,    -1,   330,    -1,    -1,    -1,   282,    -1,    -1,    -1,
    2825,   339,    -1,    -1,    -1,    -1,  1589,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1597,  1598,    -1,    -1,    -1,   499,
     500,   501,   502,   503,   504,  1608,   312,  1449,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,    -1,
     310,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   376,   322,    -1,    -1,   380,    -1,    -1,   405,    -1,
     330,   386,    -1,   401,    -1,    -1,    -1,    -1,   393,   339,
      -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,  1661,  1662,
    1663,  1206,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
     376,    -1,    -1,   418,   380,    -1,    -1,    -1,  1681,    -1,
     386,    -1,   372,    -1,    -1,    -1,   376,   393,    -1,    -1,
      -1,    -1,    -1,  5049,    -1,   401,    -1,    -1,    -1,    -1,
      -1,   459,    -1,    -1,   410,    -1,    -1,    95,  1711,    -1,
      -1,   401,   418,   101,    -1,  1718,    -1,    -1,    -1,    -1,
      -1,    -1,  1725,    -1,   469,    -1,    -1,    -1,   473,  1732,
      -1,    -1,   499,   500,   501,   502,   503,   504,   126,    -1,
    5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5104,    -1,
    1295,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1765,   469,    -1,    -1,    -1,   473,    -1,   459,
      -1,    -1,  1317,  1318,  1319,    -1,    -1,    -1,    -1,   830,
    3326,    -1,    -1,   834,   172,  3331,  3332,    -1,    -1,    -1,
      -1,    -1,    -1,  3339,    -1,    -1,    -1,   848,    -1,    -1,
      -1,    -1,   190,   854,    -1,    -1,  3106,    -1,    -1,   197,
      -1,    -1,   200,   864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3370,    -1,    -1,    -1,    -1,    -1,
    3075,    -1,    -1,    -1,    -1,    -1,    -1,   830,    -1,    -1,
      -1,   892,    -1,    -1,    -1,   896,    -1,    -1,    -1,    71,
      -1,  1854,    -1,  1856,    -1,   848,   907,    79,    80,    -1,
      -1,   854,   250,    85,    -1,   253,    88,    -1,    -1,    -1,
      -1,   864,  3117,    -1,    -1,    -1,    -1,  1719,    -1,    -1,
      -1,   932,    -1,   105,    -1,  3185,   108,  3187,    -1,    -1,
    1435,   113,    -1,    -1,    -1,    -1,   947,   119,    95,   892,
      -1,   952,    -1,   896,   101,    -1,  2311,  1452,    -1,    -1,
     298,   962,   300,    -1,   907,    -1,    -1,    -1,  1463,    -1,
      -1,   143,   310,    -1,   312,   976,    -1,    -1,    -1,    -1,
      95,  1773,  1935,    -1,   322,    -1,   101,    -1,    -1,   932,
      -1,    95,   330,    -1,   141,  3491,    -1,   101,    -1,    -1,
     338,   339,  1955,    -1,   947,    -1,    -1,    -1,  2363,   952,
    1802,    -1,  2367,    -1,    -1,    -1,    -1,    -1,  1971,   962,
      -1,  3216,    -1,    -1,    -1,    -1,   141,    -1,  2383,  3279,
      -1,    -1,  3227,   976,   372,  3285,    -1,   141,   376,   377,
      -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,  2008,  2009,    -1,    -1,    -1,
      -1,    -1,    -1,   401,    -1,    -1,  2019,  1068,    -1,    -1,
      -1,    -1,   244,    -1,   412,   190,   248,    -1,  2031,  2032,
      -1,    -1,   197,  1875,    -1,   200,   190,  1088,    -1,    -1,
      -1,    -1,    -1,   197,    -1,    -1,   200,   269,   270,    -1,
    2053,    -1,  1894,    -1,  3299,    -1,   253,    -1,    -1,  1604,
      -1,    -1,    -1,    -1,   286,    -1,    85,    -1,    -1,    88,
    1912,   459,    -1,  1066,    -1,  1068,    -1,  1070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,   253,    -1,
     312,    -1,    -1,   315,   113,    -1,    -1,    -1,  1940,   253,
     119,    -1,    -1,    -1,  1155,  1156,   328,  1652,    -1,   331,
      -1,    -1,    -1,   310,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,   322,    -1,    -1,    -1,    -1,
      -1,  3431,    -1,   330,    -1,  3435,  3436,  3683,  3438,    -1,
    3440,  3441,   339,    -1,  2549,   310,    -1,   312,    -1,  3449,
      -1,    -1,  2557,    -1,  2559,    -1,   310,   322,   312,    -1,
      -1,  2003,  1155,  1156,    -1,   330,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,   339,   372,   330,    -1,    -1,   376,
      -1,    -1,    -1,   405,  3484,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2202,
      -1,    -1,    -1,  3448,   401,    -1,    -1,   372,    -1,    -1,
      -1,   376,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
    3465,    -1,   376,    -1,    -1,   244,    -1,    -1,    -1,   248,
      -1,    -1,  1777,    -1,    -1,  3781,   401,    -1,    -1,  1784,
    3485,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
     269,   270,    95,    -1,    -1,    -1,    -1,  3803,   101,    -1,
      -1,    -1,   459,    -1,    -1,  1810,    -1,   286,  1813,    -1,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,  2292,
      -1,    -1,    -1,   312,   459,    -1,   315,    -1,   141,    -1,
    1845,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,   328,
      -1,  1362,   331,    -1,  1859,    -1,    -1,    -1,  3864,  3865,
      -1,    -1,    -1,    -1,    -1,    -1,  1377,  3873,  1873,    -1,
      -1,  3877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3888,  2346,    -1,  2348,    95,   190,    -1,  1400,
      -1,    -1,   101,    -1,   197,    -1,    -1,   200,  2200,    -1,
      -1,    -1,    -1,    -1,  2367,    -1,    -1,    -1,    -1,  1362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,
      -1,    -1,    -1,    -1,  1377,  1436,   405,    -1,    -1,    -1,
    2795,  2394,   141,  2235,    -1,  2398,  2399,    -1,    -1,  2402,
    1451,    -1,    -1,    -1,    -1,    -1,    -1,  1400,    -1,    -1,
     253,    -1,    -1,  1464,    -1,    -1,  1467,    -1,    -1,    -1,
      -1,  2424,    -1,   172,    -1,    -1,    -1,    -1,  1973,    -1,
      -1,    -1,    -1,    -1,  1979,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,  1436,    -1,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,  4003,  1451,    -1,
      -1,    -1,  2465,    -1,    -1,    -1,    -1,   310,    -1,   312,
      -1,  1464,    -1,  2476,  1467,    -1,   495,   496,   497,   322,
     499,   500,   501,   502,   503,   504,    -1,   330,   507,  2492,
    2493,    -1,  3737,    -1,    -1,    -1,   339,    -1,    -1,    -1,
      -1,   250,    -1,    -1,   253,  2050,    -1,    -1,    -1,    -1,
      -1,    -1,  2515,  2516,    -1,  2518,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,   372,
      -1,    -1,    -1,   376,    -1,    -1,  1286,  2540,  1589,    -1,
      -1,  2544,    -1,    -1,    -1,    -1,  1597,  1598,    -1,   298,
      -1,   300,  2097,  2098,    -1,    -1,    -1,  1608,   401,  2562,
      -1,   310,    -1,   312,    -1,   141,    -1,    -1,    -1,  2572,
      -1,    -1,    -1,   322,    -1,    -1,  3821,    -1,    -1,  3824,
      -1,   330,  2585,    -1,    -1,    -1,    -1,    -1,    -1,   338,
     339,  2594,    -1,    -1,    -1,  3000,  1589,    -1,    -1,    -1,
    4146,    -1,    -1,    -1,  1597,  1598,    -1,    -1,    -1,    -1,
    1661,  1662,  1663,    -1,   190,  1608,   459,    -1,    -1,    -1,
      -1,   197,  4168,   372,   200,    -1,  4172,   376,   377,    -1,
    1681,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
    2482,   101,    -1,    -1,    -1,  2487,  2488,    -1,    -1,    -1,
      -1,    -1,   401,  2656,    -1,    -1,    -1,  2499,    -1,    -1,
    1711,    -1,    -1,   412,    -1,    -1,    -1,  1718,  1661,    -1,
      -1,    -1,    -1,    -1,  1725,    -1,    -1,   253,  4224,    -1,
      -1,   141,    -1,  3928,  3984,    -1,  2231,    -1,  1681,    -1,
      -1,    -1,  3992,  3993,    -1,  4241,  4242,    -1,    -1,  1449,
    4246,  4247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     459,  2256,    -1,    -1,  2717,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     190,    -1,  1725,    -1,   310,    -1,   312,   197,    -1,  1732,
     200,    -1,    -1,    -1,    -1,    -1,   322,    -1,  2293,    -1,
    2295,  2754,    -1,    -1,   330,    -1,    -1,    -1,  4304,    -1,
     160,  4006,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1765,    -1,    -1,    -1,    -1,  4323,  4324,  4325,
    4326,  4327,    -1,    -1,    -1,  4331,    -1,  2332,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,   372,  2639,  2801,    -1,
     376,    -1,    -1,  1854,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,    -1,  2825,   223,    -1,   401,    -1,    -1,   228,    -1,
      -1,    -1,    -1,   233,    -1,    -1,   236,    -1,   238,    -1,
      -1,    -1,  1592,    -1,    -1,    -1,    -1,    -1,    85,    -1,
     310,    88,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1854,   322,  1856,    -1,   265,    -1,    -1,   105,    -1,
     330,    -1,  2714,    -1,    -1,    -1,   113,    -1,    -1,   339,
      -1,    -1,   119,   459,  1935,    -1,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4197,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,  2908,   143,    -1,    -1,    -1,
      -1,  2914,   372,    -1,    -1,    -1,   376,    -1,    -1,    -1,
    1971,  3326,    -1,    -1,   324,    -1,    -1,    -1,  4228,  4229,
      -1,    -1,   332,    -1,  3339,    -1,    -1,    -1,    -1,    -1,
      -1,   401,  1935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,  2009,    -1,
    4506,    -1,  1955,   127,    -1,    -1,    -1,  2512,  2019,  1719,
      -1,  2813,    -1,    -1,    -1,    -1,    -1,    -1,  1971,   379,
    2031,  2032,  2527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4290,  4291,    -1,  4238,    -1,   159,    -1,  3000,    -1,   459,
      -1,    -1,  2053,    -1,    -1,  4250,    -1,   244,    -1,    -1,
      -1,   248,    -1,  4559,    -1,  2008,  2009,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,   424,    -1,  2019,    -1,    -1,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,    -1,  2031,  2032,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   448,   286,
      -1,   215,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2053,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   471,  3075,   473,   474,   312,   119,    -1,   315,    -1,
      -1,    -1,   246,    -1,    -1,    -1,  3491,  3090,  3091,    -1,
      -1,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,   509,
     510,    -1,   512,  4413,  3117,  4415,  4416,  3120,   282,    -1,
      -1,  2666,    -1,    -1,    -1,  1875,  4426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2980,  2981,
    2982,    -1,    -1,    -1,  1894,    -1,    -1,    -1,   312,    -1,
      -1,  2202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,  4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1940,    -1,    -1,    -1,  3197,  3198,  3199,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,   372,  2202,
      -1,    -1,   376,  3216,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,   386,    -1,  3227,    -1,   269,   270,    -1,   393,
      -1,    -1,    -1,  3236,    -1,    -1,    -1,   401,    -1,    -1,
      -1,  2292,    -1,   286,    -1,    -1,   410,    -1,    -1,    -1,
      -1,    -1,    -1,  2003,   418,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,   312,
      -1,    -1,   315,    -1,   511,    -1,    -1,  4522,    -1,  4524,
      -1,  3123,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,    -1,    -1,  2346,  3299,  2348,    -1,    -1,
      -1,  4847,    -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2367,    -1,    -1,    -1,
      -1,    -1,    -1,  3165,  3166,    -1,  3168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2394,    -1,    -1,    -1,  2398,  2399,    -1,
    3353,  2402,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,  3367,    -1,  3369,    -1,    -1,    -1,
      -1,    -1,    -1,  2424,  2367,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,  3224,  4683,  3226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,
      -1,  2394,    -1,    -1,    -1,  2398,  2399,    -1,    -1,  2402,
      -1,    -1,    -1,    -1,  2465,  3418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2971,    -1,    -1,    -1,
      -1,  2424,    -1,    -1,    -1,    -1,    -1,    -1,  3280,  4739,
      -1,  2492,  2493,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
    2200,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,  3465,  3305,  2515,  2516,    -1,  2518,   511,    -1,
      -1,    -1,  2465,  4773,    -1,    -1,    -1,    -1,    -1,  3482,
      -1,    -1,  3485,  2476,  3326,    -1,    -1,    -1,    -1,  2540,
      -1,    -1,    -1,  2544,    -1,    -1,    -1,  3339,    -1,  2492,
    2493,    -1,    -1,  5049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2572,  2515,  2516,    -1,  2518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2585,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2594,    -1,    -1,    -1,  2540,    -1,    -1,
    5096,  2544,    -1,    -1,    -1,    -1,    -1,  3560,  5104,    -1,
      -1,  3403,    -1,    -1,    -1,    -1,    -1,   839,   840,  2562,
      -1,   843,    -1,   845,    -1,    -1,    -1,  3419,    -1,  2572,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3432,   863,  2585,    -1,    -1,    -1,    -1,    -1,  4003,    -1,
      -1,  2594,    -1,    -1,    -1,  2656,    -1,    -1,    -1,    -1,
      -1,   883,    -1,    -1,    -1,   887,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,  3504,  2656,    88,    -1,  2717,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,  3524,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    85,    -1,    -1,
      88,    -1,    -1,  2754,    -1,    -1,    -1,  3549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,   143,
      -1,    -1,  4967,    -1,  2717,   113,    -1,  5027,    -1,    -1,
      -1,   119,  2482,    -1,  3737,    -1,    -1,  2487,  2488,    -1,
      -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,  2499,
    2801,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  2754,    -1,    -1,    -1,    -1,    -1,  4172,    -1,    -1,
      -1,    -1,    -1,  3776,  2825,    -1,    -1,  3780,    -1,  3782,
      -1,    -1,    85,    -1,  3626,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,    -1,  2801,    -1,
     113,    -1,    -1,    -1,  3359,  3360,   119,    -1,  3821,  4224,
     244,  3824,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
    3375,    -1,  2825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,  3389,   269,   270,    -1,    -1,    -1,
      -1,    -1,    -1,  3398,    -1,  3858,   244,  2908,    -1,    -1,
     248,    -1,   286,  2914,    -1,    -1,    -1,  3412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,    -1,   188,    -1,    -1,   312,  2639,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,   286,  4304,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2908,    -1,    -1,  3921,  3922,
      -1,  2914,    -1,    -1,   312,  3928,  4331,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1208,  1209,  3483,  3781,
     328,   244,    -1,   331,    -1,   248,    -1,    -1,    -1,  3000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2714,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,  3000,  1280,   312,
      -1,    -1,   315,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,  3075,   328,    -1,    -1,   331,  1301,
    1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,
    3091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3602,  3603,  3604,
      -1,    -1,    -1,  2813,    -1,    -1,  3117,    -1,    -1,  3120,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,  3075,  3925,    -1,   509,  1358,  1359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,  3091,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,  3961,
      -1,   509,    -1,    -1,  3117,    -1,    -1,  3120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3197,  3198,  3199,    -1,
      -1,    -1,    -1,   456,  4559,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,  3197,  3198,  3199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4073,    -1,    -1,  3227,  4238,    -1,    -1,    -1,    -1,
      -1,    -1,  4084,  3236,    -1,    -1,    -1,  4250,  3299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4125,    -1,    -1,    -1,  3338,  4130,    94,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
    4142,  4304,  3353,    -1,  3355,    -1,  3299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,  3367,    -1,  3369,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,   132,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3885,    -1,    -1,    -1,    -1,  3338,    -1,    -1,   153,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,  4199,    -1,  3904,
    3353,    -1,  3355,    -1,    -1,    -1,   171,  3418,    -1,    -1,
      -1,    -1,    -1,  3123,  3367,    -1,  3369,    -1,    -1,   184,
      -1,    -1,    -1,    -1,    -1,  4227,  3931,   192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,
      -1,  4243,    -1,   208,    -1,   210,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,  3465,  3165,  3166,    -1,  3168,   224,
      -1,    -1,    -1,    -1,  4427,  3418,    -1,   232,    -1,    -1,
      -1,  3482,    -1,    -1,  3485,    -1,    -1,    -1,    -1,    -1,
      -1,    85,  4847,    -1,    88,    -1,    -1,  4289,    -1,    -1,
      -1,    -1,    -1,    -1,   244,  3448,    -1,    -1,   248,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,  3465,    -1,  3224,   119,  3226,    -1,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3482,
      -1,    -1,  3485,    -1,    -1,    -1,   286,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3560,
      -1,    -1,    -1,    -1,    -1,  1787,    -1,    -1,    -1,  4522,
      -1,  4524,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
    3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4095,  4096,  4097,  4098,    -1,  3305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,  4406,    -1,    88,  3560,    -1,  1841,
    1842,  1843,  1844,    -1,    -1,    -1,  3326,    -1,    -1,   223,
      -1,    -1,    -1,   105,   228,    -1,    -1,    -1,    -1,  3339,
      -1,   113,    -1,  4596,    -1,  4598,    -1,   119,    -1,    -1,
     244,  4443,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,  1883,  1884,    -1,    -1,   405,    -1,  1889,    -1,    -1,
      -1,   143,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1934,    -1,    -1,    -1,    -1,    -1,   312,  3419,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3432,    -1,   328,    -1,  3737,   331,    -1,  1961,
    1962,  1963,  1964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,  4559,    -1,   509,
      -1,    -1,   244,    -1,    -1,  3776,   248,    -1,    -1,  3780,
      -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3737,    -1,    -1,   269,   270,  2021,
      -1,    -1,    -1,  4756,  3504,    -1,    -1,    -1,  2030,    -1,
      -1,   405,    -1,    -1,   286,  2037,    -1,    -1,    -1,    -1,
    3821,    -1,    -1,  3824,  3524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3776,    -1,    -1,    -1,  3780,    -1,  3782,
     312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,   328,  3858,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4667,    -1,   632,  3821,    -1,
      -1,  3824,    -1,    98,    -1,  3585,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,  4409,  3858,    -1,    -1,    -1,    -1,
    3921,  3922,    -1,    -1,    -1,    -1,    -1,  3928,  4720,   144,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,  4760,    -1,
      -1,    -1,  4764,  4765,    -1,    -1,    -1,    -1,  3921,  3922,
     195,    -1,    -1,  2205,    -1,  3928,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,
     225,    -1,    -1,    -1,  4967,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,   251,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3781,   297,   838,   839,   840,   841,    -1,   843,    -1,
     845,    -1,   847,    -1,   849,    -1,  5049,   852,    -1,    -1,
      -1,    -1,   857,    -1,   859,    -1,    -1,    -1,   863,    -1,
     865,    -1,    -1,   328,    -1,    -1,   160,    -1,   873,    -1,
      -1,    -1,    -1,   878,  4619,   880,    -1,    -1,   883,    -1,
     885,    -1,   887,    -1,    -1,    -1,    -1,    -1,    -1,   894,
      -1,   356,   897,  5096,    -1,    -1,    -1,    -1,    -1,   904,
      -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4656,    -1,   207,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,   387,    -1,   389,   219,    -1,    -1,    -1,   223,
     395,   936,    -1,   398,   228,    -1,   941,    -1,    -1,   233,
      -1,   946,   236,    -1,   238,   950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,
     965,   426,    -1,    -1,    -1,   430,    -1,  4218,  2440,  2441,
    2442,   265,    -1,   438,    -1,  3925,    -1,  2449,   443,  2451,
      -1,  2453,  2454,    -1,    -1,    -1,    -1,  4238,    -1,    -1,
     455,    -1,    -1,   287,    -1,    -1,    -1,    -1,     3,  4250,
      -1,    -1,    -1,   468,     9,  4750,    -1,    -1,    13,    -1,
      15,  3961,    17,    18,    -1,  1020,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,  4218,    -1,    -1,  1033,  1034,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      45,    46,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4304,    -1,  1060,    -1,  4250,    -1,  1064,
    1065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1083,    -1,
      -1,    -1,  1087,  2555,    -1,   379,    91,    -1,    -1,    -1,
    1095,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
    1105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4304,  1117,   118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,   138,  4084,   140,   141,    -1,    -1,  2611,
      -1,   146,    -1,   148,    -1,    -1,    -1,  2619,    -1,    -1,
      -1,    -1,  2624,   158,   448,   160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,    -1,    -1,   179,    -1,  4427,   471,    -1,   473,
     474,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,  1199,    -1,    -1,    -1,   203,    -1,
      -1,  1206,    -1,  1208,  1209,    -1,   211,    -1,   213,    -1,
      -1,    -1,   506,    -1,   219,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,
      -1,    -1,    -1,  2705,  4427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,    -1,  4199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1263,    -1,
      -1,    -1,  1267,    -1,    -1,  2737,    -1,  2739,    -1,    -1,
      -1,  4522,    -1,  4524,    -1,  1280,    -1,  4227,    -1,    -1,
      -1,    -1,    -1,   288,   289,    -1,    -1,    -1,    -1,   294,
    1295,    85,    -1,  4243,    88,    -1,  1301,  1302,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
      -1,   105,  1317,  1318,  1319,    -1,  1321,    -1,  1323,   113,
      -1,    -1,  1327,    -1,    -1,   119,    -1,    -1,    -1,  4522,
      -1,  4524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,
      -1,    -1,    -1,    -1,    -1,  4596,   351,  4598,    -1,   143,
      -1,  1356,    -1,  1358,  1359,    -1,    -1,    -1,   363,    -1,
      -1,    -1,    -1,   368,   369,    -1,   371,    -1,    -1,    -1,
      -1,   376,    -1,    -1,  2846,    -1,   381,    -1,    -1,   384,
      -1,    -1,    -1,   388,    -1,    -1,    -1,  1392,   393,   394,
      -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,   404,
      -1,    -1,    -1,  4596,    -1,  4598,    -1,   412,    -1,   160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,    -1,  1430,  1431,    -1,    -1,    -1,
    1435,    -1,  1437,    -1,    -1,    -1,   441,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   451,  1452,    -1,    -1,
     244,    -1,   457,    -1,   248,  1460,   207,   462,  1463,    -1,
      -1,  1466,    -1,    -1,    -1,    -1,    -1,    -1,   219,   474,
      -1,    -1,   223,  1478,    -1,   269,   270,   228,    -1,    -1,
      -1,    -1,   233,    -1,    -1,   236,    -1,   238,    -1,    -1,
      -1,    -1,   286,  4443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1507,   508,    -1,  4756,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,   265,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1535,  1536,    -1,  1538,   328,    -1,   287,   331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,
    1575,  1576,    -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1604,
      -1,    -1,  1607,    -1,    -1,    -1,    -1,    -1,    -1,  4559,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,    -1,
      -1,  1636,    -1,    -1,    -1,  1640,  1641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1651,  1652,  1653,    -1,
      -1,    -1,    -1,    -1,    -1,  4906,    -1,  3129,    -1,  3131,
    3132,  3133,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,   424,  1679,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,   448,    -1,    -1,
     119,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,  4906,    -1,   509,  4967,  4667,    -1,    -1,
     471,    -1,   473,   474,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4720,    -1,  1777,  1778,  4967,    -1,    -1,    -1,    -1,  1784,
      -1,    -1,  1787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5049,  1804,
      -1,    -1,    -1,    -1,    -1,  1810,    -1,    -1,  1813,    -1,
    4760,    -1,    -1,    -1,  4764,  4765,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,  1833,   248,
      -1,  1286,    -1,    -1,    -1,    -1,  1841,  1842,  1843,  1844,
    1845,    -1,    -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,
     269,   270,    -1,  5104,  1859,    -1,  5049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1871,   286,  1873,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,  1884,
      -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,   328,
      -1,  5104,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1934,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,  1961,  1962,  1963,  1964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,  1973,    -1,
    3442,    -1,    -1,  3445,  1979,   113,    -1,  1982,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,
      -1,    -1,  1997,    -1,  1449,    -1,    -1,    -1,    -1,  2004,
      -1,  2006,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,  2021,    -1,    -1,    -1,
      -1,  3493,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,
      -1,  2036,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,  2084,
     499,   500,   501,   502,   503,   504,  2091,    -1,  2093,    -1,
     509,    -1,  2097,  2098,    -1,  2100,    -1,    -1,    -1,    -1,
      -1,  2106,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2123,  2124,
      -1,    -1,  2127,    -1,    -1,    -1,  2131,  2132,    -1,    -1,
      -1,   269,   270,    -1,  2139,    -1,    -1,  2142,    -1,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,   286,  2154,
    2155,    -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,  2164,
    2165,  2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,
    2175,  2176,    -1,  2178,   312,  2180,  2181,   315,    -1,  2184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   331,    -1,    -1,  2201,    -1,    -1,    -1,
    2205,  2206,    -1,    -1,    -1,  2210,    -1,    -1,    -1,  2214,
      -1,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
      -1,  2226,    -1,    -1,    -1,    -1,  2231,  2232,    -1,    -1,
    2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,  3728,  3729,  3730,  3731,
      -1,    -1,    -1,    -1,  1719,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
    2295,    -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,  1773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2332,    -1,   105,
      -1,    -1,    -1,  2338,    -1,  2340,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,  1802,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,   143,    -1,    -1,
     105,   509,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,    -1,
      -1,    -1,    -1,  2408,    -1,  2410,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1875,    -1,  2427,    -1,  3896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2438,    -1,  2440,  2441,  2442,    -1,  1894,
    2445,    -1,  2447,    -1,  2449,    -1,  2451,    -1,  2453,  2454,
      85,    -1,  2457,    88,    -1,    -1,    -1,  1912,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
     105,    -1,   248,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,  1940,    -1,    -1,    -1,    -1,
    2495,    -1,    -1,   269,   270,    -1,  2501,    -1,    -1,    -1,
      -1,  2506,    -1,    -1,    -1,    -1,    -1,  2512,   143,   244,
     286,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2527,    -1,    -1,    -1,  2531,  2532,    -1,    -1,
      -1,    -1,    -1,  2538,   269,   270,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2003,    -1,
    2555,   286,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,  2581,   312,  2583,  2584,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,   328,    -1,    88,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2611,    -1,    -1,   244,
      -1,    -1,   105,   248,  2619,    -1,    -1,    -1,    -1,  2624,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,   405,
      -1,    -1,  2637,    -1,   269,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,
     143,   286,    -1,    -1,    -1,    -1,  2661,    -1,    -1,  2664,
      -1,  2666,    -1,  2668,    -1,    -1,  2671,    -1,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2697,   328,    -1,    -1,   331,    -1,    -1,    -1,
    2705,  2706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2718,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
    2735,    -1,  2737,  2738,  2739,  2740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2200,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,  2762,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
     405,    -1,    -1,    -1,   509,    -1,   269,   270,  2783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,  4270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4284,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,  2829,    -1,    -1,    -1,    -1,    -1,
    2835,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,  2846,    -1,    -1,    -1,    -1,    -1,  2852,  2853,    -1,
      -1,    -1,    -1,  2858,    -1,    -1,    -1,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,   509,    -1,    -1,    -1,  2883,  2884,
      -1,    -1,    -1,  2888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2900,  2901,  2902,  2903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,
    4382,  2916,   405,  2918,  2919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2928,  2929,    -1,    -1,  2932,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2945,    -1,  2947,    -1,  2949,    -1,  2951,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,  2967,   119,    -1,    -1,  2971,    -1,    -1,    -1,
      -1,    -1,    -1,  2978,    -1,  2980,  2981,  2982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3004,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,  3017,    -1,    -1,    -1,   509,  3022,   117,    -1,
      -1,    -1,    -1,  3028,    -1,    -1,    -1,  2482,    -1,    -1,
      -1,  3036,  2487,  2488,  3039,    -1,    -1,    -1,  3043,    -1,
      -1,    -1,    -1,    -1,  2499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,  4531,
    4532,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,   244,    -1,
      -1,  3096,   248,  3098,    -1,    -1,    -1,    -1,  3103,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   113,    -1,   269,   270,    -1,    -1,   119,   217,    -1,
     219,    -1,    -1,    -1,  3129,    -1,  3131,  3132,  3133,    -1,
     286,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,  2639,    -1,    -1,    41,    -1,    43,
      44,    -1,  4664,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,
      -1,    -1,    -1,    -1,  4746,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4769,    -1,  4771,
      -1,    -1,    -1,    -1,  3309,  3310,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,  3332,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
     204,    -1,    -1,   509,  3359,  3360,    -1,    -1,  2813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
    3375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3388,  3389,    -1,    -1,   241,    -1,    -1,
      -1,    -1,  3397,  3398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,  4876,    -1,    -1,  3412,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,    -1,
    3445,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,
      -1,    -1,    -1,    -1,    -1,  4927,    -1,  3462,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,
      -1,    -1,    -1,   495,   496,   497,  3501,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,  3511,   509,    -1,    -1,
      -1,    -1,  3517,  4985,  3519,    -1,    -1,    -1,    -1,    -1,
    3525,    -1,    -1,  3528,  3529,  3530,  3531,  3532,  3533,  3534,
    3535,  3536,  3537,    -1,    -1,    -1,  3541,  3542,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3554,
      -1,    -1,    -1,  3558,    -1,    -1,    -1,  3562,    -1,    -1,
      -1,    -1,  5034,    -1,    -1,    -1,    -1,  3572,    -1,    -1,
    3575,    -1,  3577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,  3586,  3587,  3588,    -1,    -1,    -1,  3592,    -1,    -1,
    3595,    -1,    85,    -1,   448,    88,    -1,  3602,  3603,  3604,
    3605,  3606,  3607,    -1,    -1,    -1,  3611,  3612,    -1,   463,
      -1,  3616,   105,    -1,    -1,    -1,    -1,  3622,    -1,  3624,
     113,  3626,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,
      -1,   495,    -1,    -1,    -1,   499,   500,   501,   502,   503,
     143,    -1,   506,   507,   508,   509,    -1,   511,   512,   513,
     514,   515,    -1,    -1,  3669,    -1,    -1,    -1,  3123,    -1,
    3675,    -1,    -1,    -1,  3679,    -1,  3681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3706,  3707,  3708,    -1,  3710,    -1,    -1,    -1,    -1,
    3165,  3166,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3728,  3729,  3730,  3731,    -1,    -1,    -1,
      -1,   830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   838,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   847,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,  3766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3224,
      -1,  3226,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,   880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,    -1,  3280,    -1,    -1,    -1,    85,
      -1,    -1,    88,  3838,    -1,   328,    -1,   936,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   946,    -1,   105,
    3305,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3326,  3877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3885,    -1,    -1,    -1,  3339,    -1,    -1,   143,    -1,    -1,
      -1,  3896,    -1,  3898,    -1,    -1,    -1,    -1,    -1,  3904,
      -1,    -1,    -1,    -1,    -1,  3910,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,  3919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3940,    -1,    -1,    -1,    -1,
      -1,  3946,    -1,    -1,    -1,    -1,    -1,    -1,  3403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,  3963,    -1,
      -1,  1060,    -1,    -1,  3419,    -1,    -1,  1066,    -1,    -1,
      -1,  1070,    -1,    -1,    -1,    -1,    -1,  3432,    -1,    -1,
      -1,    -1,  3987,    -1,  3989,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,    -1,    -1,  1095,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,   269,   270,    -1,   509,    -1,  4023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3504,
      -1,    -1,    -1,    -1,    -1,  4060,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,  4070,  4071,    -1,    -1,  3524,
      -1,    -1,   328,  4078,  4079,   331,    -1,    -1,  4083,    -1,
      -1,    -1,    -1,    -1,  4089,  4090,    -1,    -1,  4093,    -1,
    4095,  4096,  4097,  4098,  3549,    -1,    -1,  4102,  4103,  4104,
      -1,    -1,  4107,    -1,    -1,    -1,  4111,    -1,    -1,    -1,
    4115,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,
    4125,    -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,
    3585,  4136,    -1,    -1,    -1,    -1,    -1,  4142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4151,    -1,    -1,   405,
      -1,    -1,    -1,  1252,  4159,    -1,    -1,    -1,  4163,    -1,
      -1,    -1,    -1,    -1,  1263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  4178,    -1,    88,  4181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1286,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,  4201,  4202,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4225,    -1,    -1,    -1,  1323,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,  1060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4284,
      -1,    -1,    -1,    -1,    -1,    -1,  1095,    -1,    -1,    -1,
      -1,    -1,    -1,  1392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,  4324,
    4325,  4326,  4327,    -1,    -1,    -1,  3781,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,  4347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1449,    -1,    -1,  4358,    -1,    -1,   269,   270,  4363,    -1,
      -1,    -1,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,  4382,  4383,  1478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,  4409,    -1,  4411,    -1,  1507,    -1,
      -1,    -1,   105,    -1,    -1,   328,    -1,    -1,   331,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4439,   348,  1535,  1536,    -1,  1538,
      -1,    -1,    -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,
    4465,  4466,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
    3925,    -1,    -1,  4478,    -1,    -1,    -1,  4482,    -1,    -1,
      -1,    -1,  4487,    -1,    -1,  4490,  4491,    -1,  4493,    -1,
    4495,  4496,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3961,    -1,  1607,  1608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4528,  4529,  4530,  4531,  4532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1636,    -1,    -1,
      -1,  1640,  1641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,  4567,  4568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4606,    -1,    -1,    -1,  4610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4619,    -1,    -1,    -1,  4073,   312,
    1719,    -1,   315,    -1,    -1,  4630,  1725,    -1,    -1,  4084,
      -1,    -1,  4637,  1732,    85,   328,  4641,    88,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4653,    -1,
      -1,  4656,   345,    -1,   105,    -1,    -1,   108,    -1,  4664,
    4665,    -1,   113,    -1,    -1,    -1,  1765,    -1,   119,  1478,
      -1,    -1,    -1,    -1,  1773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4689,    -1,    -1,  4692,    -1,  4694,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  1507,    -1,
      -1,    -1,    -1,  1802,    -1,    -1,  4711,    -1,    -1,    -1,
    4715,    -1,   405,  4718,    -1,    -1,    -1,    -1,    -1,  4724,
      -1,    -1,    -1,    -1,    -1,    -1,  1535,  1536,    -1,  1538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4746,    -1,    -1,  4199,  4750,  1555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1856,    -1,    -1,
      -1,    -1,    -1,  4768,  4769,  4770,  4771,    -1,    -1,    -1,
      -1,    -1,  4227,    -1,    -1,    -1,  1875,    -1,  4783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,    -1,
      -1,    -1,    -1,   244,    -1,  1894,  4801,   248,  1607,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,  1912,    -1,  4820,    -1,    -1,   269,   270,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1636,    -1,    -1,
      -1,  1640,  1641,    -1,  4289,   286,  1935,    -1,    -1,    -1,
      -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,  4870,    -1,    -1,    -1,    -1,
      -1,  4876,    -1,  4878,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,  4887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1997,    -1,
      -1,    -1,    -1,    -1,  2003,    -1,    -1,  2006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4927,    -1,    -1,    -1,    -1,  4932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4952,    -1,    -1,
      -1,    -1,    -1,    -1,   405,    -1,  4961,    -1,    -1,  4964,
    4965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4443,    -1,
      -1,    -1,    -1,    -1,  2093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5019,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5029,    -1,    -1,    -1,    -1,  5034,
      -1,    -1,  2131,  2132,    -1,    -1,    -1,    -1,    -1,    -1,
    2139,    -1,    -1,  2142,   495,   496,   497,  2146,   499,   500,
     501,   502,   503,   504,    -1,  2154,  2155,    -1,    -1,    -1,
      -1,    -1,    -1,  2162,    -1,    -1,  2165,  2166,  2167,  2168,
      -1,    -1,    -1,    -1,    -1,    -1,  2175,  2176,    -1,  2178,
      -1,  2180,  2181,    -1,    -1,  2184,  5091,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5100,    -1,    -1,    -1,    -1,
      -1,  2200,  2201,  2202,  4559,    -1,    -1,  2206,    -1,    -1,
      -1,  2210,    -1,    -1,    -1,  2214,    -1,  2216,  2217,  2218,
    2219,  2220,  2221,  2222,  2223,  2224,    -1,  2226,    -1,    -1,
      -1,    -1,    -1,  2232,    -1,    85,  2235,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,  2297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  4720,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,   228,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,   248,  2398,
     105,   143,    -1,    -1,    -1,  4760,    -1,    -1,   113,  4764,
    4765,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2427,    -1,
    2139,    -1,    -1,    -1,    -1,    -1,   286,    -1,   143,  2438,
      -1,    -1,    -1,    -1,    -1,    -1,  2445,    -1,    -1,    -1,
      -1,    -1,    -1,  2162,    -1,    -1,  2165,    -1,    -1,  2168,
      -1,    -1,   312,    -1,    -1,   315,  2175,  2176,    -1,    -1,
      -1,    -1,  2181,    -1,    -1,  2184,    -1,  2476,   328,    -1,
      -1,   331,    -1,  2482,    -1,    -1,    -1,    -1,  2487,  2488,
      -1,    -1,  2201,    -1,    -1,    -1,    -1,  2206,    -1,    -1,
    2499,  2210,   244,    -1,    -1,  2214,   248,  2216,  2217,  2218,
    2219,  2220,  2221,  2222,  2223,  2224,  2515,  2226,    -1,  2518,
      -1,    -1,    -1,  2232,    -1,    -1,  2235,   269,   270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,   248,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,    -1,    -1,   328,    -1,  2297,   331,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,   219,    -1,   312,    -1,    -1,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2637,    -1,
    2639,    -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,  2656,    -1,    -1,
      -1,    -1,    -1,   405,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,  2714,    -1,    -1,  2427,    -1,
      -1,    -1,   143,    -1,    -1,    -1,   431,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,  2762,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,
    2829,    -1,    -1,    -1,    -1,    -1,  2835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,  2852,  2853,    -1,    -1,    -1,    -1,  2858,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2883,  2884,    -1,    -1,    -1,  2888,
      98,   312,    -1,    -1,   315,   269,   270,    -1,    -1,    -1,
      -1,  2900,  2901,  2902,  2903,    -1,    -1,   328,    -1,  2908,
     331,    -1,   286,    -1,  2913,  2914,    -1,  2916,    -1,  2918,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,  2637,  2928,
    2929,    -1,    -1,  2932,    -1,    -1,   144,   145,   312,    -1,
      -1,   315,    -1,    -1,    -1,   153,  2945,    -1,  2947,   157,
      -1,    -1,  2951,    -1,   328,    -1,    -1,   331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,  2967,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2978,
      -1,  2980,  2981,  2982,   405,    -1,    -1,   195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,    -1,  3004,   214,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,  3017,    -1,
      -1,    -1,   230,  3022,    -1,    -1,    -1,    -1,    -1,  3028,
      -1,   405,    -1,    -1,    -1,    -1,    -1,  3036,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   495,   496,   497,  3123,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2853,    -1,    -1,    -1,   356,  2858,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3165,  3166,    -1,  3168,
      -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,   387,
      -1,   389,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
     398,  2900,    -1,  2902,  2903,    -1,    -1,    -1,  3197,  3198,
    3199,    -1,    -1,    -1,  2913,    -1,    -1,  2916,    -1,  2918,
      -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,   426,    -1,
      -1,    -1,   430,    -1,   838,  3224,    -1,  3226,    -1,    -1,
     438,    -1,    -1,   847,    -1,   443,  2945,    -1,  2947,    -1,
      -1,    -1,  2951,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,    -1,
      -1,  2980,  2981,  2982,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3004,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3305,    -1,  3017,    -1,
      -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,  3028,
      -1,    -1,   936,    -1,    98,    -1,    -1,  3326,    -1,    -1,
      -1,    -1,   946,    -1,    -1,    -1,   110,    -1,    -1,  3338,
    3339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,   157,    -1,    -1,    -1,  3096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,  3403,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3419,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,  3432,    -1,    -1,    -1,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
      -1,   225,  1066,    -1,    -1,    -1,  1070,    -1,   232,    -1,
      -1,    -1,   236,  3462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3501,    -1,    -1,  3504,    -1,    -1,    -1,    -1,
      -1,    -1,  3511,    -1,    -1,    -1,   290,    -1,  3517,    -1,
    3519,    -1,    -1,   297,    -1,  3524,  3525,    -1,    -1,  3528,
    3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,  3537,    -1,
      -1,    -1,  3541,  3542,    -1,    -1,    -1,    -1,    -1,    -1,
    3549,    -1,    -1,    -1,   328,  3554,    -1,   331,    -1,  3558,
      -1,  3560,    -1,  3562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3572,    -1,    -1,  3575,    -1,  3577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3585,  3586,  3587,  3588,
      -1,   365,    -1,  3592,    -1,    -1,  3595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3605,  3606,    -1,   383,
      -1,    -1,    -1,    -1,    -1,   389,    -1,  3616,    -1,    -1,
      -1,   395,    -1,    -1,   398,  3624,    -1,  3626,    -1,    -1,
      -1,    -1,    -1,  1286,    -1,    -1,    -1,    -1,  1252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1263,
     424,    -1,   426,   427,    -1,   429,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,    -1,   443,
    3669,    -1,  1286,    -1,    -1,   449,  3675,    -1,   452,    -1,
      -1,   455,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,  1323,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,  1286,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,  3776,  1392,    -1,
      -1,  3780,  3781,  3782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3501,    -1,    -1,    -1,  1449,    -1,    -1,    -1,
      -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,  3517,    -1,
    3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3541,  3542,    -1,  1449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,  3858,
      -1,    -1,    -1,  3572,  1478,    -1,  3575,    -1,  3577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,    -1,
      -1,    -1,    -1,  3592,  1449,    -1,  3595,    -1,    -1,    -1,
      -1,    -1,    -1,  1507,   204,    -1,    -1,    -1,    -1,  3898,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,    -1,    -1,
      -1,   221,    -1,    -1,    -1,  3624,    -1,  3626,    -1,    -1,
      -1,  1535,  1536,    -1,  1538,    -1,  3925,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,
    3669,    -1,  3961,  3962,  3963,    -1,  3675,    -1,    -1,    -1,
      -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,   302,  1607,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1636,    -1,  4023,    -1,  1640,  1641,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4060,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,
      -1,  4070,  4071,    -1,  4073,    -1,    -1,    -1,    -1,  4078,
    4079,    -1,   392,    -1,  4083,  4084,    -1,    -1,    -1,    -1,
    4089,  4090,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,    -1,  4111,    -1,    -1,    -1,  4115,    -1,  1732,    -1,
    1773,    -1,    -1,    -1,   434,    -1,  4125,    -1,    -1,    -1,
      -1,  4130,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,    -1,  1802,
      -1,  1765,    -1,   463,  1719,    -1,    -1,    -1,    -1,  1773,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,  4181,    -1,    -1,   495,    -1,    -1,  1802,   499,
     500,   501,   502,   503,    -1,    -1,   506,   507,   508,    -1,
    4199,    -1,    -1,   513,   514,    -1,    -1,    -1,  1773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4218,
      -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,
      -1,  1894,  1856,    -1,  4243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3962,  3963,    -1,    -1,    -1,    -1,  1912,
      -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,
    4289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1875,    -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,  4347,    -1,
    2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4358,
      -1,  4070,  4071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4083,  1940,    -1,    -1,    -1,    -1,
    4089,  4090,    -1,  1997,  4093,    -1,    -1,    -1,    -1,  2003,
      -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4125,    -1,    -1,    -1,
      -1,  4130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,  2003,    -1,
    4439,    -1,    -1,    -1,  4443,    -1,    -1,    -1,    -1,  4448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4465,  4466,    -1,    -1,
    4469,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,  2093,
      -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,  4490,    -1,    -1,    -1,    -1,  4495,  4496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2131,  2132,    -1,
      -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,  2142,  4528,
      -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2154,  2155,    -1,    -1,    -1,    -1,    -1,  2200,  2162,    -1,
      -1,  2165,  2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,
    4559,  2175,  2176,    -1,  2178,    -1,  2180,  2181,  4567,    -1,
    2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2200,  2201,    -1,    -1,
      -1,    -1,  2206,    -1,    -1,    -1,  2210,  4596,    -1,    -1,
    2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  4610,  2226,    -1,    -1,    -1,    -1,    -1,  2232,    -1,
      -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2200,    -1,    -1,  4347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4665,    -1,  4667,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,
    4689,  4690,    -1,  4692,    -1,  4694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4711,    -1,    -1,    -1,  4715,    -1,    -1,    -1,
      -1,  4720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,    -1,
    4469,  4760,    -1,    -1,    -1,  4764,  4765,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4820,    -1,    -1,  2438,    -1,    -1,    -1,    -1,  2482,
      -1,  2445,    -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,
      -1,  4840,    -1,    -1,    -1,    -1,  2499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2476,    -1,    -1,    -1,    -1,    -1,  2482,    -1,
      -1,  4870,    -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2499,    -1,    -1,  4887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2482,    -1,    -1,
      -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4932,  2499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4964,  4965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4977,    -1,
      -1,    -1,    -1,  4692,    -1,    -1,  2639,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1286,    -1,    -1,    -1,
    5019,    -1,    -1,  2637,    -1,  2639,    -1,    -1,    -1,    -1,
    5029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5091,    -1,    -1,    -1,    -1,  5096,    -1,    -1,
    2714,  5100,    -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,
      -1,  4820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2762,  2714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4887,  1449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2829,    -1,    -1,    -1,    -1,
      -1,  2835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,  2853,
      -1,    -1,    -1,    -1,  2858,    -1,    -1,    -1,  2813,    -1,
      -1,    -1,    -1,    -1,    -1,  4964,  4965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2883,
    2884,    -1,    -1,    -1,  2888,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2900,  2901,  2902,  2903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,
      -1,    -1,  2916,   154,  2918,    -1,    -1,    -1,    -1,    -1,
    5019,    -1,   163,    -1,  2928,  2929,    -1,    -1,  2932,    -1,
    5029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2945,    -1,  2947,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   203,  2967,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2978,    -1,  2980,  2981,  2982,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5091,    -1,    -1,    -1,   237,    -1,    -1,    -1,
    3004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,  3022,    -1,
      -1,    -1,    -1,    -1,  3028,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,    -1,    -1,    -1,    -1,    -1,  3123,
      -1,    -1,  3165,  3166,    -1,  3168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3165,  3166,    -1,  3168,    -1,    -1,    -1,  3123,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,
      -1,  3224,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3165,  3166,    -1,  3168,    -1,  1875,    -1,    -1,    -1,    -1,
    3224,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1894,    -1,    -1,  3280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,  3224,
      -1,  3226,    -1,    -1,    -1,    -1,  3280,    -1,    -1,    -1,
    1940,    -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,
      -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3326,    -1,    -1,  3280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,
    3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3326,    -1,    -1,    -1,    -1,  3419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,  3432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,
      -1,    -1,    -1,    -1,    -1,   676,   677,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3462,    -1,
      -1,  3504,    -1,    -1,  3419,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,    -1,
      -1,  3524,    -1,   724,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,
    3504,    -1,    -1,    -1,    -1,    -1,  3549,  3511,    -1,    -1,
      -1,    -1,    -1,  3517,    -1,  3519,    -1,    -1,    -1,    -1,
    3524,  3525,    -1,    -1,  3528,  3529,  3530,  3531,  3532,  3533,
    3534,  3535,  3536,  3537,    -1,    -1,    -1,  3541,  3542,    -1,
    2200,    -1,  3585,    -1,    -1,  3549,    -1,    -1,    -1,  3504,
    3554,    -1,    -1,    -1,  3558,    -1,    -1,    -1,  3562,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3572,  3524,
      -1,  3575,    -1,  3577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3585,  3586,  3587,  3588,    -1,    -1,    -1,  3592,    -1,
      -1,  3595,    -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,
      -1,  3605,  3606,    -1,   845,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3616,    -1,   855,   856,    -1,   858,    -1,   860,
    3624,   862,  3626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   898,   899,    -1,
      -1,    -1,   903,    -1,    -1,  3669,    -1,    -1,    -1,    -1,
      -1,  3675,    -1,    -1,    -1,    -1,    -1,  3681,    -1,   920,
      -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,
      -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   953,    -1,    -1,   956,    -1,   958,    -1,   960,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   974,    -1,    -1,    -1,    -1,  3781,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1029,    -1,
    1031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1062,  2482,    -1,    -1,    -1,  3781,  2487,  2488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1097,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3961,    -1,
      -1,  3925,    -1,    -1,    -1,    -1,    -1,  1168,    -1,  1170,
      -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1194,    -1,    -1,    -1,  3961,  3962,  3963,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1240,
      -1,    -1,    -1,    -1,    -1,    -1,  3961,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,  4023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1269,    -1,
    4073,    -1,    -1,    -1,    -1,  1276,    -1,    -1,    -1,    -1,
      -1,  4084,    -1,    -1,    -1,    -1,    -1,  1288,    -1,    -1,
    1291,    -1,    -1,    -1,  2714,    -1,  4060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4070,  4071,    -1,  4073,
      -1,    -1,    -1,    -1,  4078,  4079,    -1,    -1,    -1,  4083,
    4084,    -1,    -1,  1324,    -1,  4089,  4090,    -1,    -1,  4093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,
      -1,  4115,    -1,    -1,    -1,    -1,    -1,    -1,  4073,    -1,
      -1,  4125,    -1,    -1,    -1,    -1,  4130,    -1,    -1,  4084,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      89,    -1,    -1,  2813,    -1,    94,  4199,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,
      -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,    -1,  4199,    -1,    -1,    -1,    -1,
    4243,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   153,   154,    -1,    -1,   157,    -1,
      -1,    -1,    -1,  4227,   163,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,
      -1,    -1,    -1,    -1,  4199,    -1,  4289,    -1,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4289,    -1,    -1,  4243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1626,  1627,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4443,    -1,  4406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4439,    -1,    -1,    -1,  4443,
      -1,    -1,    -1,  1684,  4448,    -1,  1687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1695,    -1,    -1,    -1,    -1,    -1,
      -1,  4465,  4466,  3123,    -1,  4469,    -1,    -1,    -1,    -1,
      -1,    -1,  1713,    -1,    -1,    -1,    -1,   416,  4482,    -1,
      -1,    -1,    -1,  4487,    -1,    -1,  4490,    -1,  4443,    -1,
      -1,  4495,  4496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3165,  3166,    -1,  3168,    -1,
    1751,    -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4567,  3224,    -1,  3226,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4559,    -1,  4610,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1286,
    3280,    -1,    -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3305,    -1,  4690,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4665,    -1,  4667,    -1,    -1,  3326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4720,    -1,  3339,
      -1,    -1,    -1,    -1,    -1,  4689,  4690,    -1,  4692,    -1,
    4694,    -1,    -1,   632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1944,    -1,    -1,    -1,  4711,    -1,    -1,
      -1,  4715,  4667,    -1,    -1,    -1,  4720,  4760,  1959,    -1,
      -1,  4764,  4765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4690,    -1,   676,   677,    -1,
      -1,    -1,    -1,  3403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4760,    -1,    -1,  3419,
    4764,  4765,    -1,    -1,  2005,  4720,    -1,    -1,    -1,    -1,
      -1,    -1,  3432,    -1,    -1,    -1,    -1,    -1,    -1,  2020,
      -1,  2022,  1449,  2024,    -1,   724,    -1,    -1,  2029,    -1,
      -1,    -1,    -1,    -1,    -1,  1286,    -1,  4801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4760,    -1,    -1,    -1,  4764,
    4765,    -1,    -1,    -1,    -1,    -1,  4820,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4840,  2078,    -1,    -1,
      -1,    -1,    -1,    -1,  3504,    -1,    -1,    -1,    -1,  2090,
      -1,    -1,    -1,  2094,    -1,  2096,    -1,    -1,  2099,    -1,
      -1,    -1,    -1,    -1,  3524,    -1,  4870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4887,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3585,    -1,    -1,  4932,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,    -1,
    4964,  4965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4977,    -1,    -1,    -1,    -1,    -1,    -1,
     919,   920,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5029,    -1,    -1,    -1,    -1,
      -1,   970,    -1,    -1,   973,   974,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   988,
      -1,   990,  1719,   992,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1021,  1022,    -1,    -1,    -1,  5091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1773,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3781,    -1,  1062,    -1,  1064,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1802,    -1,  2378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2395,  2396,    -1,    -1,    -1,  2400,
    2401,    -1,    -1,  2404,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2414,    -1,    -1,    -1,    -1,    -1,    -1,
    2421,    -1,    -1,    -1,  2425,  2426,    -1,    -1,  2429,  2430,
      -1,    -1,    -1,    -1,    -1,  2436,    -1,    -1,    -1,    -1,
      -1,    -1,  1141,    -1,    -1,    -1,    -1,  2448,  1875,  2450,
      -1,    -1,    -1,    -1,    -1,    -1,  1155,  1156,    -1,    -1,
    1159,    -1,    -1,    -1,    -1,  2466,    -1,  1894,  1719,    -1,
    2471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2502,  2503,  2504,  2505,  3925,  1205,    -1,  2509,  2510,
      -1,    -1,    -1,  1940,    -1,    -1,  2517,    -1,    -1,  2520,
      -1,    -1,  1773,  2524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3961,    -1,    -1,  2545,    -1,    -1,    -1,    -1,    -1,
      -1,  1802,    -1,    -1,    -1,  2556,    -1,  2558,    -1,    -1,
      -1,    -1,  2563,    -1,    -1,    -1,    -1,  2568,  2569,  2570,
    2571,    -1,  2573,    -1,    -1,    -1,  2003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2586,  2587,  2588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2597,  2598,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4073,    -1,    -1,  2657,    -1,    -1,    -1,
      -1,  1912,    -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1400,    -1,    -1,    -1,    -1,  1405,    -1,  1407,    -1,
      -1,  1410,    -1,  1412,    -1,    -1,  1415,  1416,  1417,    -1,
      -1,    -1,  1421,    -1,    -1,    -1,    -1,    -1,    -1,  1428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1441,    -1,  1443,    -1,    -1,    -1,    -1,  1448,
      -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2200,    -1,    -1,    -1,  2778,    -1,  4199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2819,    -1,
      -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1566,    -1,  4289,
      -1,    -1,    -1,    -1,    -1,    -1,  1575,  1576,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1592,    -1,    -1,    -1,    -1,  1597,  1598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1679,    -1,  1681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2482,  1755,    -1,    -1,    -1,
    2487,  2488,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2499,    -1,    -1,  3076,  3077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1814,    -1,  3118,  1817,  1818,
      -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4559,
      -1,  3142,  3143,    -1,    -1,    -1,  3147,    -1,    -1,    -1,
      -1,  3152,  3153,  3154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1881,    -1,    -1,    -1,    -1,  3188,  3189,  3190,
    3191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2639,    -1,    -1,    -1,    -1,  3218,  3219,  3220,
      -1,   838,    -1,    -1,    -1,    -1,    -1,  3228,    -1,    -1,
     847,  2482,    -1,    -1,    -1,    -1,  2487,  2488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4667,  2499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   880,    -1,    -1,    -1,    -1,    -1,    -1,
    4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2714,    -1,    -1,
      -1,  3292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3300,
    4720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   946,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4760,    -1,    -1,    -1,  4764,  4765,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2062,    -1,  2064,    -1,    -1,    -1,  2068,
      -1,  2070,    -1,    -1,  2073,    -1,    -1,    -1,  2077,    -1,
      -1,    -1,    -1,  2082,    -1,    -1,  2813,    -1,  2639,    -1,
      -1,    -1,    -1,    -1,    -1,  3396,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,
      -1,    -1,  3433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1060,    -1,    -1,  3447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3460,
      -1,    -1,    -1,  2714,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1095,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2231,    -1,    -1,    -1,    -1,    -1,    -1,  2238,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,  2247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,  2311,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2363,    -1,    -1,    -1,  2367,  1286,
      -1,    -1,   134,    -1,  2373,    -1,  2375,    -1,    -1,  2378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,
      -1,    -1,  3713,    -1,  3715,    -1,    -1,    -1,    -1,    -1,
      -1,  3722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3738,  3165,  3166,
      -1,  3168,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3755,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1392,    -1,    -1,    -1,   241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,  3226,
      -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3810,
    3811,  3812,  3813,  3814,  3815,  3816,  3817,    -1,    -1,    -1,
      -1,  3822,  3823,    -1,  3825,  3826,  3827,  3828,  3829,  3830,
    3831,    -1,  1449,    -1,    -1,    -1,    -1,   299,    -1,  3840,
     302,  3842,  3843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2549,    -1,    -1,  3280,    -1,   317,    -1,    -1,  2557,    -1,
    2559,  1478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1507,  3892,  3893,  3894,    -1,    -1,  3897,    -1,    -1,  3326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3339,    -1,  3165,  3166,    -1,  3168,  1535,  1536,
      -1,  1538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,  3224,    -1,  3226,  3403,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
    1607,    -1,  3419,    -1,    -1,    -1,    -1,  3998,  3999,  4000,
      -1,   463,    -1,    -1,    -1,  3432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1636,
      -1,    -1,    -1,  1640,  1641,    -1,    -1,   489,    -1,  3280,
      -1,    -1,    -1,   495,    -1,    -1,    -1,   499,   500,   501,
     502,   503,    -1,    -1,   506,   507,   508,   509,    -1,    -1,
      -1,   513,    -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,  3504,    -1,  2778,
    2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2795,  3524,    -1,    -1,
      -1,    -1,  1719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3403,    -1,    -1,    -1,  1773,    -1,  3585,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3432,    -1,    -1,    -1,  1802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4210,
    4211,  4212,  4213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4234,  4235,  4236,  4237,    -1,  4239,  4240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4251,  4252,    -1,  3504,    -1,    -1,    -1,    -1,  1875,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4268,  4269,    -1,
    4271,    -1,    -1,  3524,    -1,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1912,  2995,    -1,  3549,    -1,
      -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4374,    -1,    -1,    -1,    -1,    -1,    -1,
    1997,    -1,    -1,    -1,    -1,    -1,  2003,    -1,    -1,  2006,
      -1,    -1,    -1,    -1,  4395,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,  4419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,  2093,    -1,    86,  4480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4493,    -1,    -1,    -1,    -1,    -1,  3925,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2131,  2132,    -1,    -1,    -1,    -1,
      -1,    -1,  2139,    -1,    -1,  2142,   134,    -1,    -1,  2146,
    3781,    -1,    -1,    -1,  3961,    -1,    -1,  2154,  2155,    -1,
      -1,    -1,    -1,    -1,    -1,  2162,    -1,    -1,  2165,  2166,
    2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,  2175,  2176,
      -1,  2178,    -1,  2180,  2181,    -1,    -1,  2184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4577,    -1,    -1,    -1,
      -1,    -1,    -1,  2200,  2201,    -1,    -1,    -1,    -1,  2206,
      -1,    -1,    -1,  2210,    -1,    -1,   204,  2214,    -1,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,    -1,  2226,
      -1,    -1,    -1,   221,    -1,  2232,    -1,    -1,  2235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,
      -1,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,
    3339,    -1,    -1,    -1,    -1,    -1,  4073,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,    -1,  4084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4673,    -1,  3925,    -1,    -1,    -1,    -1,    -1,
    2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4708,    -1,   317,
    3961,    -1,    -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4754,    -1,    -1,    -1,    -1,  4759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4772,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2427,    -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,
      -1,  2438,  4073,    -1,    -1,    -1,   434,    -1,  2445,    -1,
      -1,    -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,  4844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,
    4861,    -1,  4289,    -1,    -1,  2482,    -1,    -1,    -1,    -1,
    2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,  2499,    -1,    -1,    -1,    -1,   495,    -1,    -1,
      -1,   499,   500,   501,   502,   503,    -1,    -1,   506,   507,
     508,   509,    -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4921,    -1,    -1,    -1,    -1,  4926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3686,    -1,    -1,
      -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4443,    -1,    -1,    -1,
    2637,    -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2714,    -1,    -1,
      -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4443,    -1,    -1,    -1,  2813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2829,    -1,    -1,    -1,    -1,    -1,  2835,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2852,  2853,    -1,    -1,    -1,
    4667,  2858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4690,    -1,    -1,  2883,  2884,    -1,    -1,
      -1,  2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2900,  2901,  2902,  2903,    -1,    -1,    -1,
      -1,    -1,    -1,  4720,    -1,    -1,  2913,    -1,    -1,  2916,
      -1,  2918,    -1,    -1,  4003,    -1,    -1,    -1,  4559,    -1,
      -1,  2928,  2929,    -1,    -1,  2932,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2945,    -1,
    2947,    -1,    -1,  4760,  2951,    -1,    -1,  4764,  4765,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2978,    -1,  2980,  2981,  2982,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3004,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3017,  1551,    -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,
      -1,  3028,    -1,    -1,    -1,    -1,  4667,    -1,    -1,  3036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4720,
      -1,    -1,  1622,  4172,    -1,    -1,    -1,    -1,    -1,  3096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,  4760,
      -1,    -1,    -1,  4764,  4765,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3165,  3166,
      -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4304,    -1,  3224,    -1,  3226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,  3326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3339,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,  3403,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4513,  3432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3501,    -1,    -1,  3504,    -1,    -1,
      -1,    -1,    -1,    -1,  3511,  2045,    -1,    -1,    -1,    -1,
    3517,    -1,  3519,    -1,    -1,    -1,   204,  3524,  3525,    -1,
      -1,  3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,
    3537,    -1,    -1,   221,  3541,  3542,    -1,    -1,    -1,    -1,
      -1,    -1,  3549,    -1,    -1,    -1,    -1,  3554,    -1,    -1,
      -1,  3558,    -1,   241,    -1,  3562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3572,    -1,    -1,  3575,    -1,
    3577,    -1,    -1,    -1,    -1,   263,    -1,    -1,  3585,  3586,
    3587,  3588,    -1,    -1,    -1,  3592,    -1,    -1,  3595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2137,  3605,  3606,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,
      -1,   299,    -1,    -1,   302,    -1,    -1,  3624,    -1,  3626,
      -1,  2161,    -1,    -1,    -1,    -1,  2166,    -1,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2186,  2187,    -1,    -1,
    2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,  3675,    -1,
      -1,    -1,    -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2284,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,
     448,    -1,    -1,    -1,    -1,    -1,    -1,  2307,    -1,    -1,
      -1,    -1,    -1,    -1,  3781,   463,    -1,    -1,    -1,  2319,
      -1,    -1,  2322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,    -1,    -1,    -1,    -1,    -1,   495,    -1,    -1,
      -1,   499,   500,   501,   502,   503,    -1,    -1,   506,   507,
     508,    -1,    -1,    -1,    -1,   513,    -1,    -1,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,  3898,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3961,  3962,  3963,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,  4060,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,  4070,  4071,    -1,  4073,   244,    -1,    -1,
      -1,  4078,  4079,    -1,    -1,    -1,  4083,  4084,    -1,    -1,
     257,   258,  4089,  4090,    -1,    -1,  4093,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4111,    -1,   283,   284,  4115,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4125,    -1,
      -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,  4142,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,  4181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4227,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4289,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,    -1,    -1,    -1,  2856,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,  2879,
    4347,  2881,    -1,  2883,  2884,  2885,    -1,    -1,  2888,    -1,
      -1,  4358,  2892,    -1,    -1,    -1,    -1,    -1,    -1,  2899,
      -1,    -1,    -1,    -1,  2904,    -1,    -1,    -1,    -1,    -1,
    2910,    -1,    -1,    -1,    -1,  2915,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2924,    -1,    -1,    -1,  2928,  2929,
      -1,  2931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,
      -1,    -1,    -1,  2943,    -1,    -1,    -1,    -1,    -1,    -1,
    2950,    -1,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,
    2960,  2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4439,    -1,    -1,    -1,  4443,    -1,    -1,    -1,
      -1,  4448,    -1,    -1,    -1,    -1,  2986,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4465,  4466,
      -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,
    4487,    -1,    -1,  4490,    -1,    -1,    -1,    -1,  4495,  4496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4610,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4665,    -1,
    4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4689,  4690,    -1,  4692,    -1,  4694,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,  4715,    -1,
      -1,    -1,    -1,  4720,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4760,    -1,    -1,    -1,  4764,  4765,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3327,    -1,    -1,
      -1,    -1,    -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4932,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4943,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4964,  4965,    -1,
    3500,    -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,
    4977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3522,  3523,    -1,  3525,    -1,    -1,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,  3536,  3537,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5029,  3563,    -1,    -1,  3566,    -1,  3568,    -1,
      -1,    -1,    -1,  3573,  3574,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,  3588,  3589,
      -1,  3591,    -1,    -1,  3594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5100,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3664,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3898,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,  4028,  4029,
    4030,    -1,    -1,  4033,    -1,    -1,    -1,    -1,  4038,  4039,
    4040,  4041,  4042,  4043,  4044,  4045,  4046,  4047,  4048,  4049,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,  4077,  4078,  4079,
    4080,   142,  4082,   144,    -1,    -1,  4086,  4087,  4088,   150,
      -1,  4091,    -1,    -1,  4094,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   216,  4156,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,
      -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,
     311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,
    4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,  4403,  4404,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,  4439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4453,   515,  4455,    -1,    -1,    -1,    -1,
    4460,  4461,  4462,    -1,    -1,  4465,  4466,  4467,  4468,    -1,
    4470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,  4526,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,  4622,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,  4688,  4689,
     216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,   229,  4704,  4705,  4706,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,  4723,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,
     266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     306,   307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4850,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
    4860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,
      -1,   437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4931,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,  5022,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5070,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,   514,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,    -1,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,   115,    -1,    -1,   118,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,   138,    -1,
     140,   141,   142,    -1,   144,    -1,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,
     160,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,   176,   177,   178,   179,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,    -1,
      -1,    -1,    -1,   203,   204,    -1,    -1,    -1,    -1,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,    -1,    -1,   219,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,   261,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,   288,   289,
      -1,    -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,   314,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,   363,    -1,    -1,    -1,    -1,   368,   369,
      -1,   371,    -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,
      -1,   381,   382,    -1,   384,   385,    -1,    -1,   388,    -1,
      -1,    -1,    -1,   393,   394,    -1,    -1,    -1,    -1,    -1,
      -1,   401,   402,    -1,   404,   405,    -1,   407,    -1,    -1,
      -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,   441,    -1,   443,    -1,    -1,    -1,    -1,   448,    -1,
      -1,   451,    -1,    -1,   454,    -1,    -1,   457,    -1,    -1,
      -1,    -1,   462,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   508,    15,
      16,    -1,   512,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,   501,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   509,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   509,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
     506,   507,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,   501,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,   327,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,   327,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   509,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,   507,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,   435,   436,    -1,   438,    -1,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,   501,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     501,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,   501,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   501,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,   228,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,   228,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,     4,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,    -1,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
      -1,   348,    -1,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,    -1,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
      -1,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,    -1,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,   121,
      -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,    -1,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,    -1,    -1,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,    -1,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,    -1,    -1,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,    -1,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,    -1,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
      -1,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
      -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,    -1,    -1,   145,   146,   147,
     148,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,   225,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,   233,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,   233,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,   225,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,   225,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,   327,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,   327,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
     108,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
     108,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,    -1,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,
      -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,
      -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,
     482,   483,   484,   485,   486,   487,   488,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
     229,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,
      -1,    -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,
     269,   270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,
      -1,    -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,
     349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,
     266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     306,   307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,
      -1,   437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,   485,
     486,   487,   488,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,   326,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,   499,   500,   501,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,   508,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
     326,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,   490,   491,    -1,    -1,    -1,    -1,
      -1,    71,    72,   499,   500,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,    -1,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,   326,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    -1,
     490,   491,    -1,    -1,    -1,    -1,    -1,    71,    72,   499,
     500,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,    -1,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,   326,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    -1,   490,   491,    -1,    -1,
      -1,    -1,    -1,    71,    -1,   499,   500,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,   326,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    71,   490,   491,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,    -1,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    71,
     490,   491,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    71,   490,   491,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,    -1,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    71,   490,   491,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,    -1,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,    -1,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    71,
     490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    71,   490,   491,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,    -1,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    71,   490,   491,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,    -1,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    71,
     490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,   490,   491
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1067,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1068,  1096,  1098,  1189,  1199,
    1200,  1202,  1208,  1209,  1097,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1064,
    1065,  1069,  1071,  1072,  1089,  1090,  1091,  1092,  1103,  1105,
    1109,  1110,  1111,  1112,  1113,  1115,  1117,  1119,  1120,  1121,
    1122,  1124,  1129,  1130,  1134,  1135,  1144,  1146,  1147,  1148,
    1151,  1156,  1159,  1164,  1166,  1167,  1170,  1172,  1175,  1184,
    1202,  1210,    73,  1092,  1100,  1101,    14,    72,    91,    92,
      93,    94,    95,    96,    97,    98,   100,   101,   102,   110,
     111,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   132,   133,   136,   138,   139,   140,   141,   146,   147,
     148,   149,   151,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   206,   208,   209,   210,   211,
     213,   214,   215,   218,   220,   222,   224,   226,   230,   231,
     232,   234,   237,   239,   240,   242,   243,   245,   246,   247,
     249,   250,   251,   252,   253,   254,   256,   260,   261,   262,
     268,   271,   273,   274,   275,   276,   277,   279,   280,   282,
     285,   288,   289,   290,   293,   294,   295,   296,   297,   298,
     300,   301,   303,   304,   305,   309,   310,   313,   314,   316,
     319,   321,   322,   323,   325,   328,   329,   330,   338,   339,
     340,   341,   342,   343,   344,   346,   348,   350,   351,   352,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   380,   381,   383,   384,   386,   387,   388,
     389,   390,   391,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   465,   467,   468,   469,   472,   475,   476,   477,
     478,   479,   490,   491,  1059,  1062,  1063,  1064,  1065,  1082,
    1083,  1194,  1196,  1200,  1202,    29,   259,  1145,     9,    13,
      15,    28,    45,    46,    50,    51,    56,    65,    67,    69,
      70,    99,   134,   152,   163,   175,   180,   241,   299,   302,
     392,   462,   489,  1051,  1063,  1064,  1084,  1131,  1132,  1174,
    1175,  1176,  1180,  1185,  1186,  1187,  1196,  1202,    99,   904,
    1050,  1084,  1180,  1193,    14,   904,     5,    25,    29,    35,
      36,    43,    44,    99,   103,   104,   105,   106,   107,   108,
     109,   112,   124,   130,   131,   134,   137,   143,   145,   152,
     153,   160,   163,   164,   165,   166,   168,   169,   170,   180,
     182,   188,   192,   193,   199,   203,   207,   217,   219,   223,
     225,   228,   233,   236,   238,   248,   255,   259,   263,   265,
     267,   278,   281,   287,   291,   292,   312,   317,   324,   326,
     327,   331,   332,   345,   353,   367,   379,   394,   400,   409,
     421,   424,   431,   434,   435,   440,   448,   449,   455,   456,
     462,   464,   470,   471,   473,   474,  1063,  1066,  1176,  1177,
    1178,  1182,  1183,  1184,  1185,  1187,    25,    35,   134,   263,
    1171,    38,    40,   312,  1104,   436,   476,   841,    98,   144,
     157,   174,   180,   195,   206,   214,   225,   230,   236,   251,
     276,   297,   328,   356,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   455,   468,   650,  1132,   179,   841,
      99,   904,   466,   870,   326,   352,   841,   121,   583,   908,
      98,   110,   131,   144,   153,   174,   180,   195,   206,   214,
     225,   232,   236,   290,   328,   331,   383,   389,   398,   426,
     427,   429,   430,   438,   443,   449,   452,   455,   593,   633,
     725,   776,   787,  1051,  1073,  1074,  1075,  1084,  1200,  1202,
      14,    99,   351,  1050,  1084,  1088,   413,   904,    99,   346,
     427,   429,   275,   814,   815,  1200,    98,   110,   131,   144,
     157,   174,   195,   206,   214,   225,   230,   236,   251,   297,
     328,   338,   383,   387,   389,   395,   398,   424,   426,   430,
     438,   443,   455,   468,   650,   738,   841,   514,  1114,  1178,
     245,  1088,   160,   179,   211,   466,   508,   631,   634,   869,
     875,   883,   885,   890,   896,   903,   907,  1069,    92,    99,
     116,   220,   226,   228,   248,   277,   309,   354,   370,   499,
     500,   752,   753,   904,  1058,  1061,  1194,  1196,    99,   160,
     367,   394,   757,   758,   759,  1180,  1180,  1055,  1200,   424,
     918,   116,   226,   752,  1180,   436,  1088,   338,   297,   174,
     251,   423,   424,   821,   388,  1180,    99,   134,   399,   432,
     436,   462,   544,  1063,  1064,  1174,  1179,  1185,  1187,  1202,
      96,   233,   757,   758,   352,   841,  1180,   274,    99,   192,
     920,     4,    14,   132,   152,   154,   290,   305,   383,   389,
     399,   432,   436,   479,   542,   543,   544,    99,   399,   432,
     436,   544,   436,   327,   954,  1048,  1180,   918,  1168,  1178,
     501,  1180,   229,   508,   871,   508,  1044,   365,   913,   914,
    1050,   908,   909,   912,   512,   870,   207,   265,   332,   448,
     921,   922,   908,   910,   911,   185,   261,   454,   511,   118,
     518,  1112,  1115,  1111,  1107,   512,  1116,  1118,     5,    25,
      35,   134,   196,   263,  1123,   175,   241,   299,   302,   392,
     489,   508,   985,   986,  1095,  1099,  1189,    73,  1092,  1050,
    1084,  1203,   180,  1073,    21,   456,   502,  1088,  1088,  1203,
     456,  1136,  1137,  1138,    25,   263,   263,  1182,     7,    19,
      20,    39,    42,   156,   193,  1173,  1173,    16,  1112,  1056,
    1065,  1174,  1177,  1180,  1181,  1185,  1186,  1202,   740,  1180,
     740,  1051,   355,   740,   438,   740,  1050,  1180,   173,   424,
     765,  1056,  1059,   243,  1048,   321,   468,    85,   139,   218,
     495,   496,   497,   499,   500,   501,   502,   503,   504,   812,
    1011,  1012,  1180,    99,  1059,  1050,  1050,   243,  1048,  1050,
     243,   954,  1050,   391,  1050,   740,   295,  1059,   243,  1048,
     275,    34,   182,   271,   312,   361,   842,   843,   844,  1048,
    1054,  1180,    98,   131,   144,   145,   153,   157,   174,   195,
     206,   214,   225,   230,   251,   276,   297,   328,   383,   387,
     389,   395,   398,   424,   426,   430,   438,   443,   468,   650,
     745,  1200,  1048,   434,  1056,  1050,   508,   740,   438,  1051,
     740,   438,   243,  1050,   173,   424,   427,   429,  1059,   427,
     429,   139,   218,   812,   374,  1059,   243,   538,  1180,  1050,
    1050,   391,  1050,   740,   295,  1059,   365,   395,   424,   468,
     297,   157,   251,   230,   387,   442,   644,    85,  1076,  1077,
     513,  1196,  1203,    99,  1088,  1202,   905,   551,  1062,  1200,
     815,   243,  1056,  1050,   243,   819,   243,  1051,   438,   173,
     424,   243,  1056,   243,  1059,  1060,   150,   468,   139,   218,
     243,   812,   125,   243,  1060,   243,  1050,   243,  1050,   243,
    1050,   391,   243,  1050,   243,   295,  1060,   275,   243,   739,
     740,   508,   514,  1204,  1205,  1206,  1207,  1209,  1114,    71,
    1084,  1133,   508,   884,   593,   904,   875,   869,   876,   877,
     878,  1062,   870,  1061,   753,   754,    99,   753,   904,  1061,
     754,    99,   753,   904,  1061,   754,   754,   754,  1061,  1058,
    1058,   267,   456,  1138,  1139,  1213,  1214,   904,   754,   355,
     508,   508,   612,   612,   612,   326,   434,   511,   612,   954,
     955,   753,   904,   753,   904,   511,   837,  1200,   228,   508,
     881,   125,   468,  1050,  1050,  1048,  1180,   115,   491,   271,
     510,   329,   329,   326,   228,  1200,   434,   223,   748,   326,
      83,    84,    85,    87,   107,   120,   122,   123,   130,   131,
     134,   135,   142,   144,   164,   165,   166,   167,   168,   169,
     170,   177,   178,   196,   212,   216,   217,   221,   235,   263,
     264,   266,   283,   291,   292,   306,   308,   312,   317,   318,
     320,   328,   337,   347,   362,   385,   400,   407,   420,   432,
     433,   437,   439,   440,   449,   455,   463,   481,   482,   483,
     484,   485,   486,   487,   488,   499,   500,   501,   508,   908,
     966,   969,   972,   973,   974,   976,   977,   978,   979,   982,
     983,   987,   989,   990,  1009,  1013,  1032,  1037,  1045,  1046,
    1056,  1057,  1058,  1180,  1192,  1194,  1196,  1197,  1198,  1199,
    1200,   434,   495,  1203,  1200,   434,   495,  1132,    99,   557,
    1047,  1048,   399,   542,   180,   550,  1200,   551,  1200,   115,
     136,   542,   491,   408,   843,   329,   228,   434,   495,   115,
     491,   271,  1213,   844,   508,  1048,   501,   506,   510,  1038,
    1039,   955,  1184,   227,   229,   466,   866,   867,   869,   227,
     872,   180,   987,  1042,  1043,   913,   511,   508,   873,   509,
     509,  1048,    99,   192,   919,   919,   125,   919,   219,   223,
     287,   324,   925,   927,   928,   937,   939,   940,   941,   921,
     922,   228,   267,   954,   956,  1044,   512,  1106,   501,  1125,
    1126,  1128,   514,   514,    25,   263,   263,   434,   434,   434,
     434,   508,   434,   500,   641,  1061,  1093,  1199,   203,   108,
    1080,   125,  1083,  1083,   267,  1138,  1140,   267,  1138,  1139,
    1140,   461,  1149,  1150,  1196,    14,    37,    84,   499,   500,
    1058,  1141,  1142,  1143,  1192,  1194,  1198,  1199,  1200,  1201,
     263,   269,  1050,   434,  1050,     6,  1050,  1173,  1128,   508,
     714,  1039,   339,   372,   401,   510,   741,   339,   372,   401,
     339,   372,   401,   474,   520,   552,   553,   771,    95,   197,
     339,   372,   401,   459,   564,  1050,   401,    95,   197,   454,
     535,   477,   243,   954,   127,   159,   215,   246,   282,   312,
     339,   372,   380,   386,   393,   401,   410,   418,   469,   552,
     554,   799,   806,   508,   788,   372,   535,   212,    95,   101,
     141,   190,   197,   200,   253,   310,   312,   322,   330,   339,
     372,   376,   401,   459,   562,   563,   669,   641,   243,  1048,
     740,   740,   508,   811,   510,   248,   527,   372,   520,   527,
     326,   339,   372,   212,   126,   172,   250,   298,   300,   310,
     338,   372,   377,   401,   412,   562,   638,   639,   339,   372,
     467,   669,   677,   212,   372,   401,   562,   339,   372,   376,
     401,   151,   189,   340,   428,   326,    95,   101,   197,   339,
     372,   401,   573,   574,   223,   372,   401,   520,   553,   212,
     372,   401,   562,  1050,   512,   285,   182,   327,   478,   511,
     842,   456,   864,   326,  1056,   508,  1050,   438,   173,   424,
    1056,   321,   468,   139,   218,   812,  1050,   391,  1050,   275,
     740,   612,   358,   578,   508,   714,   715,   137,   120,   122,
     123,   134,   135,   177,   178,   221,   264,   266,   306,   308,
     320,   362,   402,   407,   432,   433,   463,   963,   965,   967,
     969,   971,   973,   974,   975,   977,   978,   982,   983,  1174,
    1181,  1185,  1186,  1202,   228,   508,   710,  1050,   520,   108,
     859,  1050,   312,   520,   477,   243,  1048,   520,   740,   740,
     710,   452,   593,   520,   312,   115,   539,   443,   676,   339,
     652,   151,   189,   340,   428,    97,   117,   262,   688,   108,
     710,   223,   520,   468,  1048,   243,   629,  1048,  1048,   468,
     740,   150,   777,  1056,  1050,   650,    74,  1078,  1180,   513,
    1079,  1076,   121,   171,   260,   310,   390,   212,   714,   128,
     378,   565,   212,   508,   212,   477,   212,   788,   212,   511,
     243,   739,   243,   740,   243,   740,   212,   811,  1060,   212,
     212,   326,   212,   565,   212,   151,   189,   340,   428,   212,
     326,   212,   223,   243,   243,   551,   212,   511,   565,   509,
    1205,  1206,  1204,   511,   515,   987,  1016,  1137,  1212,  1213,
     424,   905,   509,   511,   217,   326,   440,   548,   551,   641,
     879,   875,   754,   904,   754,   904,  1214,  1215,   754,   904,
     754,   904,  1215,   754,   904,   904,   904,   754,    14,    37,
    1188,  1191,  1196,   904,   508,   613,   614,  1180,   613,    99,
     174,   195,   225,   230,   275,   276,   389,   395,   424,   426,
     443,   760,  1047,  1060,   759,   248,   511,   893,   904,   904,
    1200,  1133,   963,  1019,   108,  1060,  1048,   224,   822,   822,
     822,   285,  1180,   223,   223,   760,  1060,   388,  1180,   551,
     326,   508,   506,   908,  1020,   465,   980,   987,  1036,   508,
     980,   980,   508,   223,   508,   508,   508,   968,   968,   349,
     908,   508,   508,   970,   508,   508,   508,   508,   134,   135,
     980,   987,   508,   968,   508,   508,   508,   508,   508,   475,
     494,   508,   984,   508,   984,   508,   508,   908,   508,   508,
     508,   508,   508,   508,   508,   508,   987,   987,   462,   908,
     987,  1016,  1039,  1200,   135,   508,   981,   508,  1200,    85,
      88,   105,   108,   113,   119,   143,   244,   248,   269,   270,
     286,   312,   315,   328,   331,   405,   495,   496,   497,   499,
     500,   501,   502,   503,   504,  1011,  1013,  1015,  1202,   336,
     987,   267,   511,   916,  1213,   508,  1200,  1039,    22,  1195,
    1196,  1040,   323,   326,  1165,  1165,    10,   461,  1152,  1153,
    1155,  1132,  1132,   183,   245,   558,   511,   136,   180,   551,
     108,   180,   290,   549,   641,   983,  1200,  1202,  1200,   155,
     194,   996,   163,   180,   545,   546,   548,   641,   180,   545,
    1213,  1213,   285,  1048,   987,   501,  1053,  1182,  1038,   156,
     377,   743,   269,   509,   511,   870,   509,   511,   914,  1049,
    1050,   108,   873,   910,   910,   923,   924,   987,   910,   220,
     309,   934,   273,   310,   361,   403,   454,    99,   929,   987,
     930,   932,   987,   989,   937,   938,   928,   927,   925,   926,
     223,   940,   322,   942,   925,   937,   956,  1048,   108,  1180,
     401,  1125,   501,   511,   512,  1183,  1102,  1105,  1102,   263,
     175,   241,   299,   986,   299,   986,   986,   302,  1058,   299,
     302,   392,  1199,   511,  1094,   179,  1132,   455,  1081,  1083,
    1050,    37,  1058,  1154,  1196,   511,   495,  1050,    14,  1058,
    1199,  1058,  1199,   511,  1112,   508,  1050,   508,  1184,   501,
    1019,   339,   372,   401,   434,   434,   389,  1053,   510,   434,
     434,   389,   434,   434,   426,   542,   854,   223,   233,   248,
     381,   772,   773,   137,   153,   208,   225,   353,   449,   609,
     610,   153,   180,   312,   434,   153,   434,   180,   312,   389,
     153,   190,   200,   339,   372,   706,   389,   658,    98,   131,
     144,   157,   195,   206,   225,   230,   297,   328,   389,   395,
     398,   424,   430,   443,   468,   650,  1050,   212,   372,   401,
     562,   326,   641,   393,   282,   434,   434,   317,   641,   184,
     268,   389,   399,   436,   543,   378,   401,   799,   807,   248,
     258,   333,   402,   464,   509,   789,   792,   793,   794,   796,
     963,  1181,   434,   455,  1048,   145,   208,   600,   609,  1180,
     145,   824,   326,   387,   438,   153,   824,   102,   375,   387,
     438,  1048,   253,   322,   740,   508,   434,   434,   508,   568,
     426,   474,   475,   568,   153,   511,   339,   212,   372,   401,
     562,   456,   456,   311,   963,   339,   401,   812,   174,   553,
     434,   522,   553,  1048,   434,   434,  1048,   641,   125,   640,
     641,   641,   172,   298,   300,   125,   434,   520,   389,   520,
     310,   639,   434,   434,   317,  1200,   669,   954,   153,   434,
     824,   389,   434,   434,   568,   568,   740,   740,   740,   740,
    1048,   114,   461,   114,   114,   434,   114,   434,   389,   511,
     170,   455,   684,  1059,   434,   522,  1048,   434,   389,   339,
     372,   361,   373,   397,   547,   842,  1054,  1180,  1048,   714,
     963,   326,   477,   788,   641,   740,   740,   811,   269,   326,
     151,   189,   340,   428,   326,   740,   269,   474,   584,   415,
     416,   579,  1200,   716,   717,  1202,   710,   508,   965,   108,
     107,   964,   175,   302,   489,   508,   985,   741,   968,   740,
     711,   712,  1182,    97,   849,   963,   326,   212,   655,  1050,
     312,   508,   521,   725,   456,   365,   468,   521,   212,  1059,
     160,   233,   540,   592,   635,   687,   755,   775,   845,  1200,
     677,   678,  1050,   293,   740,   740,   740,   740,   322,   185,
     261,   441,   454,   689,   690,   204,   360,   508,   684,   521,
    1048,   637,   638,   312,   108,   322,   508,   612,   612,   632,
    1048,   223,   778,  1054,   508,   790,   108,   275,   510,  1058,
    1079,   474,   475,   906,   390,  1056,   565,   963,  1051,   243,
    1050,  1056,   565,  1060,  1059,   212,   565,   212,   456,   212,
     456,   812,   565,   565,  1060,  1050,   740,  1050,  1050,  1050,
     740,  1060,   684,   212,   212,   565,   739,   740,   509,   515,
    1207,   509,   511,  1213,  1137,  1048,   171,   875,   877,   904,
     904,  1215,   904,   904,  1215,   904,   904,  1050,    14,   511,
    1195,   613,   509,   511,   509,   231,   396,   425,  1049,   739,
     173,   398,   764,   765,  1049,   321,  1049,  1047,  1047,  1049,
     739,   434,   474,   768,    93,   210,   385,   403,   894,   954,
     316,   895,   509,   511,   882,   885,   890,   896,   907,   434,
     474,   630,   758,   757,   758,   228,   234,   769,  1180,    98,
     145,   174,   195,   206,   225,   230,   276,   297,   383,   389,
     395,   424,   426,   443,   468,   650,   749,  1016,   507,  1016,
    1020,  1021,   508,   470,  1033,  1034,   987,  1016,   508,  1058,
    1058,  1016,   175,   241,   299,   302,   392,   489,  1022,  1023,
    1200,  1202,  1058,  1016,  1016,  1058,  1058,   980,   980,   987,
     812,   987,  1024,   499,   500,   988,   989,  1009,  1013,  1026,
     509,  1016,   987,  1016,  1027,   432,   491,  1058,  1058,   987,
     124,   228,   281,   435,   987,  1016,  1030,  1016,   304,   989,
     987,   994,   995,   996,   304,   987,   996,   509,   511,   401,
    1058,  1058,   985,   963,   987,  1182,   432,   112,   421,  1041,
     740,   987,   508,   908,  1031,   192,   194,   217,   312,   317,
     322,   440,   450,   987,   119,   244,   248,   286,   405,   508,
     987,   434,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,    99,   106,   409,  1010,   385,   508,  1009,   232,
     290,   424,   427,   429,   452,   917,  1048,  1046,   228,   944,
      99,   192,   464,   501,   509,   794,   987,  1017,  1018,  1181,
    1050,  1196,  1038,  1154,   511,   495,  1048,   436,   508,  1200,
     511,  1213,   509,   507,   513,   242,   242,   565,  1112,  1048,
     867,   868,  1048,  1042,   509,   511,   508,   511,   109,   188,
     456,   784,   508,   931,  1061,   403,   273,   327,   511,   385,
     386,   933,  1047,   895,   938,   926,   456,   891,   180,   508,
     886,   907,  1180,   508,   897,   898,   899,   900,   901,  1180,
     512,  1126,   964,   515,  1105,   515,   509,   641,   509,    34,
    1082,  1157,  1158,  1196,  1150,  1155,  1203,  1141,   964,  1190,
    1206,  1190,   964,   509,   509,   434,   434,   389,  1059,  1050,
    1050,  1053,  1059,  1050,  1050,  1059,  1051,  1050,   152,   855,
     383,   455,   757,   389,   233,   757,   508,  1050,   456,   779,
     273,   273,   456,   508,   628,   243,  1050,   317,  1059,  1050,
    1050,   987,   317,  1050,  1050,   102,   375,   434,   434,  1050,
     434,   659,  1056,   508,   740,   740,   740,   438,   173,   424,
     765,   468,   139,   218,   812,  1050,   740,  1050,   740,   391,
     740,   740,   275,   237,   310,   339,   372,   460,   662,   663,
     664,   954,   434,   824,   389,   317,   184,   268,  1059,  1050,
     326,  1050,   333,  1181,   509,   511,   794,   796,   793,   796,
    1181,   741,  1059,  1060,   372,   562,   600,   963,  1180,  1050,
    1050,    99,   455,  1050,   243,  1050,   243,  1180,   387,   438,
     387,   438,  1050,    99,   455,  1050,  1048,    95,   197,   401,
     670,   671,   672,   673,  1182,  1059,  1050,   570,   571,  1182,
    1050,   325,   141,   325,  1050,   563,   434,  1048,   434,   824,
     389,  1052,  1180,  1052,   511,   509,   511,   434,   389,  1051,
    1059,   152,   202,   253,   344,   447,   455,   458,   523,  1202,
     372,  1059,  1050,   372,   401,   562,   638,   641,   740,  1050,
     641,  1050,   641,  1059,  1050,   372,   401,   562,  1050,  1050,
    1050,  1050,  1059,  1050,    95,   101,   197,   339,   372,   401,
     339,   372,   401,   710,   372,   401,   372,   401,   372,   962,
    1180,   243,   721,  1180,   243,  1180,  1059,  1050,  1050,  1050,
      95,   574,   398,  1059,   372,   401,   562,  1050,  1050,   434,
     434,   149,   446,   361,   269,   108,   740,   269,   269,   456,
     456,   269,   317,   746,  1200,   740,   740,   269,   746,   325,
     228,   434,   577,   520,   509,   511,   495,   987,   107,   964,
     963,   506,   506,   434,   434,  1058,   968,   509,   511,   495,
     689,   152,   201,   279,   280,   293,   339,   426,   428,   850,
     602,  1182,  1050,   228,   389,   467,   656,   663,   664,   212,
     286,   594,   596,   598,   600,   606,   609,    96,   248,   383,
     422,   523,   524,   223,  1052,   468,  1048,   538,  1180,   539,
     331,   593,   225,  1200,   710,   710,   710,   710,   322,   326,
     331,   508,   710,   960,   961,   962,   398,   508,   212,   211,
    1070,   740,   594,  1180,   474,   475,   624,   474,   569,   108,
     612,  1200,   326,   509,   791,   792,   797,   108,   275,   380,
     473,   798,   799,   800,   326,   551,  1078,   502,   240,   240,
     223,   714,   108,   212,   565,   788,   739,   740,  1052,   740,
    1052,   811,   326,   565,   565,   326,   565,   398,   223,   551,
     565,   987,   906,  1203,  1191,   509,   614,   248,   248,   248,
     477,  1049,   511,   641,   642,   236,   761,   762,  1059,    96,
     769,   210,   403,   210,   403,   385,   454,   301,   963,  1050,
     173,   310,   228,   326,   761,   125,   565,  1056,   438,   424,
    1056,   321,   468,   275,   740,   509,   507,   507,   511,  1016,
     987,   199,  1034,  1035,   108,   509,   987,   509,   509,   509,
     509,   228,   509,   509,   509,   509,   509,   511,   509,   345,
    1025,   509,   988,   988,    88,   248,   269,   328,   495,   496,
     497,   499,   500,   501,   502,   503,   504,  1013,   988,   509,
     509,   223,   228,  1028,  1029,   509,   491,   509,   509,   108,
    1030,  1016,  1030,  1030,   228,   509,   509,  1182,   343,   998,
     108,   509,   511,   987,  1182,   511,   987,  1040,   987,  1180,
     509,   509,   491,   988,   988,   205,  1016,   228,   192,   194,
     217,   317,   322,   440,   450,   508,   205,   421,  1041,   987,
    1031,   987,   434,   812,   987,   508,   908,   427,   429,   427,
     429,  1048,   918,   918,   918,   278,   508,   908,   945,   946,
     947,   954,   957,   990,  1056,  1180,   471,   958,  1017,  1017,
    1018,   509,   335,  1002,    90,   509,   511,   922,     8,    11,
      12,    22,    23,    24,    26,    27,    31,    32,    33,   173,
     304,   349,   443,  1160,  1161,  1163,  1153,  1154,   843,  1058,
     985,   546,   987,   964,   873,  1050,   882,   924,   328,  1011,
    1014,   492,   493,   785,   987,   933,   454,   930,   945,   471,
     959,   462,   887,   888,  1180,   379,   889,   901,   902,   511,
     944,   495,  1040,   513,  1108,   512,   511,   495,    30,  1169,
     509,   509,   512,  1059,  1050,  1050,   287,  1060,  1060,   326,
    1049,   329,   326,   987,   610,  1052,   508,   508,   508,   628,
     251,   613,   698,   212,   565,   434,  1059,  1050,   551,   714,
     963,  1050,   477,   740,   740,   740,   740,   811,   151,   189,
     340,   428,  1050,   645,  1050,   237,   460,   434,   434,   645,
     662,   669,   372,   401,   562,  1050,  1050,  1050,   259,   317,
     741,   792,   796,   796,   503,   434,   330,   667,   197,   376,
     401,   564,   669,   825,   212,   565,   212,   565,  1050,  1050,
    1050,  1050,   672,   673,   672,   509,   511,   674,  1200,   509,
     511,   495,   510,  1059,   372,   401,   562,  1050,  1050,  1050,
     339,   372,   401,    95,   197,   339,   372,   401,   963,   311,
     963,  1059,  1050,   287,   344,   317,  1200,   344,  1060,   453,
     434,   434,   389,   434,   824,   389,   434,   434,   295,   295,
     295,   434,   434,   389,   434,   434,   389,   434,   389,   434,
     389,   434,   565,   963,   312,  1200,   401,   825,   212,   565,
     434,  1050,   434,   389,  1059,  1050,   746,   963,   269,   746,
     746,  1052,  1052,   746,   269,   269,   746,   578,   508,   580,
     581,   717,  1202,   328,   499,   500,   641,   713,   796,  1014,
    1066,  1200,   509,   506,   509,  1058,   507,   508,  1058,  1180,
    1200,  1211,   509,   712,   713,   326,   287,   495,   851,   851,
     851,   851,   851,   851,   851,   137,   143,   153,   180,   182,
     255,   312,   317,   353,   367,   449,   603,   604,   605,   211,
     470,   520,   551,  1050,   551,   667,  1048,  1048,   509,   511,
    1060,   236,   383,  1060,  1058,   443,  1048,   612,   115,   539,
     374,   424,   173,   613,  1048,   690,   718,   719,  1200,   509,
     511,  1050,   613,  1048,  1050,   907,   508,   595,   509,   325,
     568,   325,   326,   625,   568,   108,   907,   569,   434,  1048,
     509,   511,   180,   495,   801,  1200,   551,   424,   795,   796,
     474,   800,   802,   185,   261,   394,   454,   833,   237,  1074,
     907,  1088,   565,   963,  1050,   565,   565,   456,   565,   456,
     565,   565,   740,   740,  1050,   684,   565,   223,   389,   389,
     389,  1049,   765,   511,  1059,   474,   511,   763,   329,   210,
     210,   173,  1060,   760,   565,  1059,   714,   788,   641,   740,
     269,  1020,   509,   431,   987,   203,   963,   509,   987,   987,
     987,  1028,   963,   988,   192,   194,   312,   322,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   987,   987,
    1029,  1028,   984,   984,   963,   509,   509,   509,  1016,   509,
     511,   125,   989,   509,  1182,   995,   350,   419,   997,   509,
     511,   467,   991,   108,   509,   981,  1200,   987,   105,   105,
     987,   509,   987,   228,   508,  1019,   987,   988,   988,   205,
     205,   987,   509,   205,   987,   918,   918,   918,   918,  1048,
    1048,  1048,   908,   957,   908,   946,   947,   108,   948,   949,
    1180,   511,   161,   229,   257,   272,   284,   307,   382,   951,
     949,   108,   948,   950,  1180,   508,  1039,   987,   236,   935,
     511,   921,   922,   921,   509,  1002,   508,  1003,  1180,   987,
    1002,  1200,   464,  1018,   509,   511,   495,   509,   507,  1169,
     509,   508,   785,   509,   327,   163,   987,   889,   509,   511,
    1040,  1045,   509,   511,   898,   959,  1042,  1058,   495,  1127,
    1158,  1163,   851,   231,   396,   425,   444,   774,   223,   774,
     509,   508,   616,   617,   781,   990,  1180,   613,   613,   698,
    1054,   509,   182,   255,   310,   312,   699,  1050,  1050,   108,
    1050,   456,   456,   740,   740,   740,   740,   741,  1059,  1050,
     434,   824,   389,   434,   259,   503,   443,  1050,   508,   602,
     312,   568,   173,   312,   414,   417,   568,   443,  1050,  1180,
     671,   571,   713,  1182,   434,   824,   389,   434,   434,   434,
     389,   230,   328,   417,   723,   724,   230,   328,   731,   732,
     434,   434,   389,   509,   509,   509,  1061,  1200,  1200,  1200,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,   223,   223,
     374,   223,   243,  1059,  1050,  1050,  1059,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,   143,   566,   212,    97,   117,   443,
    1180,  1050,   669,  1050,  1050,   509,   746,   269,   269,   746,
     746,   579,   587,   588,  1182,   121,   162,   186,   201,   205,
     224,   227,   239,   317,   325,   359,   582,   698,  1058,   474,
     475,   507,  1211,   499,   500,   501,   502,   503,   507,   985,
    1048,   851,   180,  1058,  1200,   180,  1200,   180,  1200,   180,
    1200,   180,  1050,   180,  1050,   180,  1050,   508,   740,  1050,
     988,   183,   245,   182,   317,   273,  1048,   802,   357,   702,
     703,  1180,   655,   508,   607,   398,   598,  1060,  1060,   963,
     508,   569,  1059,  1048,   477,   223,   691,   509,   511,   962,
     667,   509,   322,   508,   884,   630,   597,   599,   601,   609,
    1180,   624,   254,   623,   148,   426,   626,   907,   630,   626,
    1200,   779,   797,   987,   987,   511,   508,   798,   710,   434,
     645,    85,  1085,   509,   565,  1052,  1052,   565,   565,   398,
    1049,  1049,  1049,   641,   233,   762,   769,   228,   269,   269,
     269,   269,   317,   750,  1200,   987,   509,   509,  1029,   228,
     192,   194,   322,   508,   509,   480,   993,  1016,   366,   125,
     472,   472,   509,   987,   310,   987,   511,   992,   965,   985,
     988,   988,   987,  1019,   509,   105,   105,   987,   987,   205,
     987,   509,  1048,  1048,  1048,  1048,   949,   950,   509,  1180,
     508,   946,   272,   334,   952,   946,   952,   272,   951,   952,
     272,   508,  1180,   508,  1017,   125,   238,   936,   509,   509,
    1002,  1004,  1180,  1018,  1002,  1161,   500,  1154,  1162,  1199,
    1200,  1200,   812,   322,   907,   888,  1213,   495,   901,   889,
    1207,  1061,   434,   757,   228,   698,   987,   509,   511,   474,
     143,   782,   782,   509,   509,   802,   183,   245,   253,   182,
     458,   565,   963,  1052,  1052,  1050,  1050,  1050,  1050,   443,
     668,   672,   317,   317,  1061,  1180,   963,   565,   565,   495,
    1050,  1050,  1050,  1050,  1059,  1050,  1050,  1058,  1058,   963,
     511,  1058,  1058,   511,  1059,  1050,  1050,   434,  1049,  1049,
     740,  1049,   212,   740,  1200,  1200,   963,   565,   565,   269,
     746,   746,   456,   585,   586,   509,   511,   501,   508,   548,
     589,   641,   859,  1200,   859,   312,   359,   859,   859,   507,
     230,   258,   230,   509,  1211,  1211,  1211,  1211,  1211,   228,
     697,  1061,   987,   312,   604,   802,   612,   456,   627,  1056,
     105,   211,   248,   594,   209,   249,  1050,   456,   613,   108,
     539,   508,  1050,   198,   692,   470,   694,  1200,   569,   740,
     594,   630,   509,   511,   474,   625,   508,   624,   185,   197,
     350,  1050,   474,   846,   228,   508,  1200,   794,   803,   804,
    1181,   802,  1048,   256,   646,  1086,  1180,   565,   565,   565,
    1050,   329,   565,   761,   750,   750,   750,   750,   988,   228,
     508,  1019,   508,   509,   511,   509,   989,   366,   509,   461,
     411,   509,   509,   509,   988,   988,   987,   948,   508,  1049,
     946,   326,   456,   953,   946,   272,   946,   961,   508,   961,
    1180,   509,  1016,   987,   473,   999,  1002,  1002,   342,  1005,
     509,  1058,  1199,   985,   509,   904,  1044,   761,   326,   761,
     509,   802,   617,   328,   812,   740,   456,   740,   783,   783,
     367,   802,   627,   509,   434,   509,   511,   566,   713,   434,
     508,  1056,   812,   724,   508,   508,   732,  1050,   474,   374,
     474,   474,   223,   566,   746,   520,   187,   588,   548,   590,
     591,  1200,  1200,   317,   501,   613,  1200,  1200,   765,   108,
     817,   817,  1048,   698,   509,   627,   296,   615,   251,   508,
     703,   357,   508,   509,    99,   147,   154,   181,   252,   417,
     608,   608,   667,  1052,   509,   907,   667,   385,   413,   693,
     508,   211,   108,   595,   509,   599,   330,   626,  1047,   625,
     386,   386,   129,   137,   290,   740,   780,   781,   796,   509,
     511,   958,   645,   310,   460,   647,   648,   495,  1087,   565,
     988,  1019,   509,   994,  1016,   125,   310,   490,  1049,   509,
     987,   508,   946,   953,   509,   961,   509,  1000,  1001,  1180,
     125,   921,  1002,   763,   774,   565,   782,   627,   508,   740,
     784,   784,  1048,   627,   698,  1050,   672,   456,   567,  1050,
    1019,   788,   223,   727,   811,  1019,  1019,   739,   740,   739,
     740,  1049,   565,   580,  1200,   509,   511,   613,   817,   111,
     247,   223,   310,   611,   229,   341,   406,   326,   619,   620,
     621,   426,   509,  1056,    82,   704,   398,   218,   726,   569,
     846,   987,   357,   907,   624,   623,   602,   509,   626,   137,
     329,   137,   509,   511,   798,   803,   193,   460,   645,  1058,
    1194,  1202,    85,   509,   509,   509,   366,   461,   509,  1049,
     509,   511,   108,  1016,   360,   386,  1006,   228,   783,   471,
     618,   812,   785,   785,   612,   698,   987,   509,   332,   391,
     364,   728,   727,   509,   509,   474,   591,   198,   253,   185,
     454,   326,   621,   326,   620,  1050,   508,   509,   511,  1050,
     740,   108,   108,   509,  1056,   625,   624,   329,   329,   569,
     781,   802,   100,   262,   834,  1086,   509,  1001,  1003,   119,
     163,   445,   987,  1007,  1008,  1007,   509,   761,   784,   508,
     698,   509,   615,  1056,   125,   728,   740,   385,   128,   310,
     378,   401,   622,   622,   509,    82,   667,   723,   907,   508,
     626,   625,   626,   313,   508,   829,   831,   836,   885,   890,
     896,   907,  1008,   385,   222,   348,   222,   348,   565,   785,
     987,   619,   788,   740,   694,    94,   180,   317,   695,   696,
    1058,  1182,  1199,  1200,   626,   958,   830,   831,   832,   908,
     909,   105,   509,   698,   211,   509,   511,   509,   512,  1008,
     357,   696,   832,  1056,   508,   695,   509
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   531,   531,   532,
     532,   533,   534,   535,   535,   536,   536,   537,   537,   537,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   540,
     540,   541,   541,   541,   542,   542,   542,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   544,   544,   545,   545,   546,   546,   547,   547,   547,
     547,   548,   548,   548,   548,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     555,   556,   557,   557,   558,   558,   559,   560,   560,   560,
     560,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   562,   562,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   564,   564,   565,   565,   565,
     566,   566,   567,   567,   568,   569,   569,   570,   570,   571,
     571,   571,   571,   572,   573,   573,   574,   574,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   580,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   589,   589,   590,   590,   591,   592,   592,   592,
     592,   593,   593,   593,   593,   593,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   598,
     599,   599,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   604,   604,   604,   604,   604,   604,   605,   605,   605,
     605,   606,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   609,   609,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   612,   612,   613,   613,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   619,   619,
     619,   619,   620,   621,   622,   622,   622,   622,   622,   623,
     623,   624,   624,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   629,   630,   630,   630,   631,   632,
     633,   633,   634,   635,   636,   636,   637,   637,   638,   638,
     639,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   640,   640,   641,   641,   641,   642,   642,   643,
     643,   644,   644,   645,   645,   646,   646,   647,   647,   648,
     648,   649,   649,   650,   650,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   656,   657,   658,   658,
     659,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   661,   662,   662,   662,   662,
     663,   663,   664,   664,   665,   665,   666,   666,   667,   667,
     668,   668,   669,   670,   670,   671,   671,   671,   671,   672,
     673,   674,   675,   676,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   682,   683,   684,
     684,   684,   685,   685,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   696,   697,   697,   698,   698,   699,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   704,
     704,   705,   706,   706,   706,   706,   707,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   710,   711,   711,   712,   712,   713,   713,   713,
     713,   713,   714,   714,   715,   716,   716,   717,   718,   718,
     719,   719,   720,   720,   720,   721,   721,   722,   723,   723,
     724,   724,   724,   724,   724,   725,   725,   726,   726,   727,
     727,   727,   728,   728,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   736,   737,   737,   737,
     737,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     740,   740,   741,   741,   742,   743,   743,   743,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   748,   748,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   750,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   754,   754,   755,   756,   756,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   761,   761,   762,
     762,   763,   763,   764,   764,   765,   766,   767,   767,   768,
     768,   769,   769,   770,   771,   771,   772,   772,   772,   773,
     773,   773,   774,   774,   774,   774,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   781,   781,   781,
     782,   782,   783,   783,   783,   784,   784,   784,   785,   785,
     785,   786,   786,   786,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   792,   792,   793,
     793,   793,   793,   793,   794,   795,   796,   796,   796,   797,
     797,   797,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   800,
     800,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   816,   816,   816,   817,   817,   817,   818,   819,
     819,   820,   820,   820,   821,   821,   822,   822,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   828,   829,   829,   829,   830,   830,   831,   831,
     831,   831,   831,   832,   832,   833,   833,   833,   833,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   839,   839,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   841,   841,   841,   842,   842,   842,
     842,   842,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   846,   846,   847,   848,   849,   849,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   851,   851,   852,   852,   853,
     854,   854,   855,   856,   856,   857,   858,   858,   858,   858,
     858,   858,   858,   859,   859,   860,   861,   861,   861,   861,
     861,   861,   862,   863,   863,   863,   864,   864,   865,   865,
     865,   865,   865,   866,   866,   867,   867,   867,   867,   868,
     868,   869,   869,   870,   870,   871,   871,   872,   872,   873,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   878,   878,   879,
     879,   879,   880,   880,   881,   881,   882,   882,   882,   882,
     883,   883,   884,   884,   885,   886,   886,   886,   887,   887,
     888,   889,   889,   890,   891,   891,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   894,   894,   895,   895,   896,
     897,   897,   898,   898,   899,   900,   901,   902,   902,   903,
     904,   904,   905,   905,   905,   905,   905,   906,   906,   906,
     907,   907,   908,   908,   909,   909,   909,   909,   909,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   911,   911,
     912,   912,   913,   913,   914,   915,   915,   916,   916,   916,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   918,
     918,   919,   919,   919,   920,   920,   920,   920,   921,   921,
     922,   923,   923,   924,   924,   925,   925,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   931,
     931,   931,   932,   933,   933,   934,   934,   935,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   940,   941,   941,
     941,   941,   942,   942,   943,   943,   944,   944,   945,   945,
     946,   946,   946,   946,   946,   946,   946,   947,   947,   947,
     947,   947,   947,   948,   948,   948,   948,   949,   949,   950,
     950,   950,   950,   950,   951,   951,   951,   951,   952,   952,
     953,   953,   954,   954,   954,   954,   955,   955,   956,   956,
     956,   957,   958,   958,   959,   959,   959,   960,   960,   961,
     961,   962,   963,   963,   963,   963,   963,   963,   964,   964,
     964,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     966,   966,   967,   967,   968,   968,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   971,
     971,   972,   972,   973,   974,   975,   975,   976,   976,   977,
     978,   979,   979,   979,   979,   979,   979,   980,   980,   981,
     981,   982,   982,   982,   982,   983,   984,   984,   984,   985,
     985,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   986,   986,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   991,   991,
     992,   992,   992,   992,   993,   994,   994,   995,   995,   996,
     996,   997,   997,   997,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,  1013,
    1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,
    1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1020,  1021,
    1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1027,  1027,
    1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,  1031,  1032,
    1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1037,  1038,
    1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,  1046,  1046,
    1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,  1052,  1053,
    1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1058,
    1059,  1060,  1060,  1061,  1061,  1061,  1061,  1062,  1062,  1062,
    1062,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1067,  1067,
    1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1070,  1069,
    1071,  1072,  1072,  1072,  1072,  1073,  1073,  1073,  1073,  1074,
    1074,  1075,  1076,  1077,  1077,  1078,  1078,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,  1083,  1083,
    1083,  1084,  1085,  1085,  1086,  1086,  1087,  1087,  1087,  1087,
    1088,  1088,  1089,  1090,  1091,  1092,  1092,  1093,  1094,  1094,
    1095,  1095,  1095,  1095,  1095,  1097,  1096,  1098,  1099,  1100,
    1100,  1101,  1101,  1101,  1101,  1102,  1102,  1104,  1103,  1106,
    1105,  1107,  1105,  1105,  1108,  1108,  1109,  1109,  1109,  1110,
    1110,  1110,  1110,  1111,  1111,  1112,  1112,  1112,  1112,  1112,
    1112,  1113,  1113,  1113,  1114,  1116,  1115,  1117,  1118,  1117,
    1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,  1125,  1126,
    1127,  1127,  1128,  1128,  1128,  1129,  1130,  1131,  1131,  1131,
    1131,  1132,  1132,  1132,  1133,  1133,  1134,  1134,  1135,  1136,
    1136,  1137,  1137,  1138,  1138,  1139,  1139,  1140,  1141,  1141,
    1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,
    1147,  1148,  1149,  1149,  1150,  1151,  1152,  1152,  1153,  1154,
    1154,  1155,  1156,  1157,  1157,  1158,  1159,  1160,  1160,  1161,
    1162,  1162,  1162,  1162,  1162,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1164,  1164,  1165,  1165,  1166,  1166,  1166,  1168,  1167,  1169,
    1169,  1171,  1170,  1172,  1172,  1172,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1174,  1174,  1175,  1175,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1176,  1176,  1176,  1176,  1176,  1176,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1178,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1181,  1181,  1181,  1181,  1181,  1181,  1182,  1182,  1182,  1182,
    1182,  1182,  1182,  1182,  1182,  1182,  1182,  1183,  1183,  1183,
    1183,  1183,  1184,  1184,  1184,  1184,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1186,  1186,  1186,  1187,  1187,  1187,  1187,
    1187,  1187,  1188,  1188,  1189,  1190,  1190,  1191,  1191,  1192,
    1193,  1194,  1195,  1195,  1195,  1196,  1197,  1198,  1199,  1200,
    1200,  1200,  1200,  1200,  1201,  1202,  1202,  1202,  1203,  1203,
    1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,  1207,  1208,
    1208,  1208,  1208,  1208,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1210,  1210,  1210,  1210,  1211,  1211,  1211,  1211,  1211,  1211,
    1211,  1211,  1211,  1212,  1212,  1212,  1212,  1212,  1213,  1213,
    1214,  1214,  1215,  1215
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     2,     1,     3,     4,     5,     4,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     4,     6,     4,     6,     4,     6,     4,     6,     5,
       7,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     3,     6,     4,
       3,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     1,     3,     2,     1,     1,     0,
       2,     0,     2,     0,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     7,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     5,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     6,     8,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,     2,     0,     2,     2,     1,     0,     4,
       6,     5,     4,     4,    10,    13,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     3,     0,    13,     1,     3,
       5,     6,     4,     7,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     3,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     5,     7,     5,     7,     5,
       7,     3,     5,     5,     5,     1,     3,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,     4,     4,     4,     1,     1,     1,     0,     7,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,     9,
      11,     8,     8,     7,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    11,
      13,     3,     4,     4,     0,     2,     5,     2,     0,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     1,     0,     5,     6,     4,
       2,     0,     4,     3,     5,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     4,     3,     0,     1,     1,     1,     1,
       4,     9,     3,     0,     6,     1,     4,     2,     1,     3,
       2,     3,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     8,
       1,     3,     1,     1,     3,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     1,     2,     4,     4,     4,
       2,     3,     1,     3,     6,     1,     0,     2,     1,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     7,     7,     5,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     1,     2,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     2,     3,     1,     3,     3,     3,     3,     3,
       3,     1,     1,     0,     2,     2,     1,     1,     2,     1,
       1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1482 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26846 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1484 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26852 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1486 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26858 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1488 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26864 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1490 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26870 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1492 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26876 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1494 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26882 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1496 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26888 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1498 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26894 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1500 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26900 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1502 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26906 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1504 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26912 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1506 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26918 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1508 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26924 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1510 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26930 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1512 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26936 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1514 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26942 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1516 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26948 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1518 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26954 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1520 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26960 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1522 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26966 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1524 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26972 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1526 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26978 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1528 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26984 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1530 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26990 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1532 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26996 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1534 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27002 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1536 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27024 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1554 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27030 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1556 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27036 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27042 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27048 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27054 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27060 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27066 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27072 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27078 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27084 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27090 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27096 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27102 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27108 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27114 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27120 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27126 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27132 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27138 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27144 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27150 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27156 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27162 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27168 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27174 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27180 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27186 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27192 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27198 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27204 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1614 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 27212 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 27218 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27224 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27230 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27236 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27242 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27248 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27254 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27260 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27266 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27272 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27278 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27284 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27290 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27296 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27302 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27308 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27314 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27320 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27326 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27332 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27338 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27344 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 27350 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27356 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27362 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27368 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27374 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27380 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27386 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27392 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27398 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27404 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27410 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27416 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1686 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 27427 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27433 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27439 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27445 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27451 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27457 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27463 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27469 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27475 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27481 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27487 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27493 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1715 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27503 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27509 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27515 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27521 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27527 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27533 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27539 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27545 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27551 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1737 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27561 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1743 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27575 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1753 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27583 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1757 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27593 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1763 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27601 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1767 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 27615 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1777 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27629 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 27635 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1788 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27653 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1802 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27664 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1809 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27674 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1815 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 27689 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1826 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27699 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1832 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27712 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1841 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27723 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1848 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27733 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1854 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 27746 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1863 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27757 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27768 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27774 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27782 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 27790 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27797 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27805 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27812 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27820 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27827 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 27835 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 27843 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 27851 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 27859 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 27867 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 27875 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 27883 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 27891 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27899 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27907 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 27915 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 27923 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 27931 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 27939 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 27947 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27955 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27963 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27970 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 27978 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27986 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27994 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28002 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28010 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28018 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 28026 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 28034 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28042 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28050 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28058 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28066 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28074 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 28082 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 28090 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28098 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28106 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28115 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2124 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28124 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28132 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28139 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28147 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28154 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28162 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28170 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28178 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28186 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28194 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28202 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28210 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 28218 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 28226 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 28234 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 28242 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28250 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 28258 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28266 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 28274 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 28282 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 28290 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 28298 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2239 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 28307 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 28315 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 28323 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28331 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 28339 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 28347 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 28355 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 28363 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28371 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 28379 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28387 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28395 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28403 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 28417 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 28425 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 28433 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 28441 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 28449 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 28457 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 28465 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 28473 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28481 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28489 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28497 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28505 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28513 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28521 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28529 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 28537 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28545 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28553 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28560 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28568 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28576 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28584 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 28592 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 28600 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 28608 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 28616 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28624 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28632 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28640 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28648 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 28656 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 28664 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 28672 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 28680 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2481 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 28689 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28697 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28705 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28713 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 28721 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 28729 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 28737 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 28745 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 28753 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 28761 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 28769 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28777 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28785 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28793 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28801 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28809 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28817 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28825 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28833 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28841 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28849 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28857 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28865 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28873 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 28881 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28889 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 28897 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 28905 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 28913 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 28921 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 28929 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 28937 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28945 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28953 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28961 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28969 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28977 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 28985 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28993 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29001 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 29009 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 29017 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 29025 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 29033 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 29041 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 29049 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 29057 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 29065 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 29073 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 29081 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 29089 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 29097 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 29105 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 29113 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 29121 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 29129 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 29137 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 29145 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 29153 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 29161 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 29169 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 29177 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29185 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29193 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29201 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 29209 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 29217 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 29225 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 29233 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29240 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29248 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29255 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 29263 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29270 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29278 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 29286 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29293 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29301 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29309 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29317 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29325 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29333 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29341 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29349 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29357 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29365 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29373 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29381 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29389 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29397 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2918 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 29406 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 29414 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2931 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29426 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29434 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 29442 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 29450 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 29458 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29465 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29473 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 29481 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 29489 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29497 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29505 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29513 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29520 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29528 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 29536 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 29544 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29552 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29560 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 29568 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 29576 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29584 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29592 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 29600 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 29608 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 29616 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 29624 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29632 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29639 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 29647 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29654 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 29662 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29669 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 29677 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29684 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29692 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29700 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29708 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29716 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29724 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 29732 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29740 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29747 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29755 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29763 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29771 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29779 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29787 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29795 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29803 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 29811 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 29819 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 29827 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 29835 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 29843 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 29851 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 29859 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29866 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29874 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29881 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29889 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29896 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29904 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29912 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29920 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29928 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29936 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29944 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29952 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29960 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29968 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29976 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 29984 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29992 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29999 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30007 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30015 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30023 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30031 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 30039 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 30047 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30055 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30063 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30071 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 30079 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30087 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 30095 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 30103 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 30111 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 30119 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30127 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 30135 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 30143 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30150 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 30158 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 30166 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 30174 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 30182 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 30190 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 30198 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30206 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30214 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30222 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30230 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30238 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30246 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30254 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30262 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30270 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 30278 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30285 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30293 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30300 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30308 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30316 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30324 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 30332 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3541 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 30341 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 30349 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30356 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30364 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30372 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 30380 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30388 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30396 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30403 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30411 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30419 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30427 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30435 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30442 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 30450 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 30458 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 30466 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30474 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30482 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 30490 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 30498 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30506 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30513 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30521 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30529 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 30537 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30544 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 30552 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 30560 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 30568 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30575 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 30583 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30590 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 30598 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30605 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30613 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30621 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 30629 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 30637 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30644 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30652 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30660 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30668 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30675 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30683 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30691 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30699 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30707 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30715 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30722 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30730 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30738 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 30746 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 30754 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 30762 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30770 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 30778 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 30786 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 30794 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 30802 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 30810 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30818 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 30826 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30834 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 30842 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30849 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30857 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 30865 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30873 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30881 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30889 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 30897 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30905 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 30913 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30920 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30928 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30936 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 30944 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30951 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 30959 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 30967 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30975 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30982 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30990 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30998 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 31006 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31013 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 31021 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 31029 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31036 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 31044 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 31052 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31060 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31068 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31076 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31083 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31091 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31099 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31107 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 31115 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31123 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31130 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 31138 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31146 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31154 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 31162 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 31170 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 31178 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 31186 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31194 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31202 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31210 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31218 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 31226 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 31234 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 31242 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 31250 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 31258 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 31266 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 31274 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 31282 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 31290 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 31298 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 31314 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31322 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 31330 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31338 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 31346 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 31354 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31362 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31370 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31378 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31386 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31394 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31401 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31409 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31417 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31425 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31433 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31441 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31448 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31456 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31464 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31472 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31480 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31488 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31496 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31504 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 31512 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 31520 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31528 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31536 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31544 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31552 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 31560 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31567 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31575 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 31583 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31591 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31598 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31606 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31614 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31622 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31630 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31638 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31646 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31654 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31662 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31670 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31678 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 31686 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 31694 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31702 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31710 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31718 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31726 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31734 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31742 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 31750 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 31758 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 31766 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31774 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 31782 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 31790 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 31798 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 31806 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 31814 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 31822 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31830 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31837 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 31845 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31852 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 31860 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 31868 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31876 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31883 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31891 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31899 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31906 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31914 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31922 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31930 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31938 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31946 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31953 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31960 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31968 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31976 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31984 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31992 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 32000 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 32008 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 32016 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32024 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32032 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32040 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32048 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32056 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 32064 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32072 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 32080 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 32088 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32096 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 32104 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 32112 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 32120 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 32128 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4793 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32137 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4802 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32146 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32154 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32162 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32170 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32178 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 32186 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32194 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32202 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 32210 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32218 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32226 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32234 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32242 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32250 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 32258 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32266 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32274 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32282 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32290 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32298 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32306 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32314 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32322 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32330 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32338 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32346 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 32354 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32362 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32370 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32378 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32386 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32394 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32409 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32417 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 32433 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 32441 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32456 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 32464 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32472 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32480 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32488 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32496 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32504 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32512 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 32520 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32528 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32535 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 32543 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32550 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 32558 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 32566 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32573 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5098 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 32582 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32589 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32597 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 32605 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 32613 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32621 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32629 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32637 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32645 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32653 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32661 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32669 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32677 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32685 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32693 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32701 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32709 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32717 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32725 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32733 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32741 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32749 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 32757 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 32765 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 32773 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 32781 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 32789 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 32805 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 32813 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 32821 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 32829 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 32837 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 32845 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 32853 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 32861 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32869 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32877 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32885 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 32901 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32909 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 32925 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 32933 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32940 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32948 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32956 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32964 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32972 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32980 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32996 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33004 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33012 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33020 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33028 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 33036 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33044 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33052 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33060 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33068 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33084 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33092 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33100 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33108 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33116 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33124 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33132 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33140 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33148 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33156 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33164 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33172 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 33180 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 33188 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33196 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33204 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33212 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33220 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33228 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33236 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33244 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33252 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33260 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33268 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33276 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33284 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 33292 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33299 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33307 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33315 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33323 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33331 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33339 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33347 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33355 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33363 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33371 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33379 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33387 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33395 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33403 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33411 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33419 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 33427 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 33435 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5620 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 33443 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5624 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 33453 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5630 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 33463 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5636 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 33473 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5642 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 33483 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5648 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 33493 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5654 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 33503 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5660 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5666 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 33523 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33538 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33568 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5709 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33583 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5720 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33598 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5731 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33613 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33653 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33673 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33708 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5817 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33723 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5828 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33743 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33758 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33766 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 33774 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33782 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33789 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33797 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33805 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33813 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33821 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 33837 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33861 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33869 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 33877 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 33885 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33901 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33909 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 33917 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 33925 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 33933 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 33941 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 33949 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 33957 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 33965 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 33973 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 33981 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 33997 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 34005 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 34021 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 34029 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34045 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34053 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 34061 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 34069 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34076 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34084 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34092 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34100 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34108 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34116 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34124 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 34132 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34139 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 34147 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34154 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34162 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34170 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34177 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 34185 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 34193 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 34201 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34209 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34217 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34225 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 34233 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 34241 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 34249 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 34257 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34280 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 34288 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34295 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34303 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34310 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34318 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34325 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34333 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34341 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34349 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34357 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34365 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34373 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34380 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34388 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34396 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34403 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 34411 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 34419 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 34434 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34449 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34457 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34465 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34473 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 34481 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34488 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34496 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34504 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34512 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34520 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34528 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34536 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34544 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34560 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 34616 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 34624 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 34632 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34640 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34648 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34656 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34664 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34680 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34704 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34712 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 34720 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 34728 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 34736 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 34752 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 34760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 34768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 34776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 34784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 34792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 34800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 34808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 34816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 34824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 34840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 34856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 35038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 35062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 35110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 35118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 35126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 35134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 35196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 35204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 35212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 36009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 36112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 36120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 36159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 36254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 36262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 36270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 36286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 36294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 36302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 36310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 36318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 36333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 36341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 36349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7557 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 36445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 36463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 36637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 36699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 36707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 36731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 36739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 36779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 36834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 36842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 36866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 36874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 36961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 37001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 37009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 37017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 37077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 37093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8089 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 37246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8095 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 37256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 37309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 37364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 37396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 37457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 37465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 37473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 37481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 37497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 37505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8365 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 37661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8422 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 37681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 37704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 37712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 37720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8457 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 37731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 37883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 37915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 37923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8619 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 37971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 37977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 38148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 38235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8795 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 38244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 38252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 38260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 38339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 38347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 38355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 38363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 38378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 38401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 38448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 38456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 38464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 38472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 38480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 38495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9037 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 38612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 38636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 38738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 38746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 38754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 38762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 38770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 38793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 38809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 38817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9252 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9295 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9297 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 38987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 38995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9319 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 39009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9329 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 39023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9339 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 39033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 39160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 39168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 39176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 39184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 39192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 39200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 39208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 39216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 39224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 39232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 39303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 39359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 39367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 39375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 39391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 39399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 39445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 39461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 39469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 39477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 39485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 39500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 39508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 39524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 39611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 39635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 39643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 39651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 39675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 39683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 39691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 39707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 39715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 39731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 39795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 39811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 39827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 39843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 39859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 39875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 39891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 39899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 39907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 39923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 39931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 39939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 39947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 39955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 39963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 39971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 39979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 39987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 40043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 40051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9951 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 40076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 40340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 40372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 40428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 40444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 40452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 40468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 40484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 40500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 40788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 40796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 40804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 40859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 40867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 40875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 40883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 40898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 40930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 41015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10502 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 41031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 41070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 41078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 41086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 41102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 41118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 41134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 41142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 41174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 41182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 41198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 41206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 41214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 41222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 41230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 41294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 41302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 41310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 41318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 41366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 41406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 41453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 41461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 41469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 41477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 41485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 41493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 41525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 41651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 41675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 41683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 41792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 42039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 42087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 42121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 42167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 42175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 42215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 42223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 42231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 42239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 42247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 42255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 42263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 42271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 42303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 42311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 42319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 42327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 42335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 42343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 42351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 42359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 42367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 42375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 42383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 42391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 42399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 42407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 42415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 42431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 42439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 42447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 42455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 42463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 42471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 42479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 42487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 42495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 42551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 42567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 42591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 42599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 42607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 42615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 42623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 42631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 42639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 42647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 42655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 42663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 42679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 42687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 42695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 42703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 42711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 42719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 42727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 42735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 42743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 42751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 42759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 42767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 42783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 42791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 42799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 42807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 42815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 42823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 42831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 42839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 42847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 42855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 42871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 42879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 42887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 42903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 42911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 42919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 42927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 42935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 42943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 42951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 42959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 42975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 42999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 43031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 43239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 43255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 43271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 43279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 43287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 43295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 43311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 43319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 43327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 43335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 43391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 43399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 43407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 43415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 43423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 43431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 43439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 43447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 43455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 43463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 43471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 43479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 43487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 43495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 43503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 43511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 43519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 43527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 43535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 43543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 43551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 43559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 43567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 43575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 43583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 43591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 43615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 43623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 43631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 43639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 43655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 43663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 43679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 43687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 43695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 43703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 43711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 43719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 43727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 43735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 43743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 43751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 43759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 43767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 43775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 43783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 43791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 43799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 43807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 43815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 43823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 43831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 43839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 43847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 43855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 43863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 43871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 43879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 43895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 43911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 43919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 43935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 43943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 43951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 43967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 43975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 43983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 43991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 43999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 44007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 44015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 44023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 44031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 44039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 44047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 44055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 44063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 44071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 44087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 44095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 44103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 44111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 44119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 44127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 44135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 44143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 44151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 44159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 44167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 44175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 44191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 44207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 44215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 44223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 44231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 44239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 44247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 44255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 44263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 44271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 44295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 44303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 44311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 44319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 44327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 44335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 44343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 44351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 44359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 44367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 44383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 44391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 44407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 44415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 44423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 44431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 44439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 44455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 44463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 44471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 44479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 44487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 44495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 44503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 44511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 44519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 44527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 44535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 44543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 44551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 44559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 44567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 44591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 44599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 44607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 44615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 44623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 44631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 44639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 44647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 44655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 44663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 44679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 44687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 44695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 44735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 44743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 44751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 44759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 44767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 44775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 44783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 44791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 44799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 44807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 44815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 44823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 44831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 44839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 44847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 44855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 44863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 44871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 44879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 44887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 44895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 44903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 44911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 44919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 44927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 44935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 44943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 44951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 44959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 44967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 44975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 44983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 44991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 44999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 45007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 45015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 45023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 45031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 45039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 45047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 45055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 45063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 45095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 45103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 45111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 45119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 45127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 45135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 45143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 45151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 45159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 45167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 45175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 45207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 45223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 45231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 45239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 45247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 45263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 45271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 45279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 45287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 45295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 45309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12884 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 45319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12891 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12892 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 45337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12894 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 45352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 12906 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 45358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 12907 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 45369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 12916 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 45383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 12931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 45395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 45401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 45407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 12942 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 45423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 12954 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 45443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 12970 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 45451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 12974 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 45464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 12984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 12985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 12989 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13001 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 45555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 45567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13033 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13041 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13048 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13055 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 45631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13071 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 45667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13105 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 45681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13118 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13122 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13144 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 45751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13165 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 45820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13226 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 45830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 45872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 45884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 45890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 45896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13259 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 45906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13266 "preproc.y" /* yacc.c:1646  */
    {}
#line 45912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13268 "preproc.y" /* yacc.c:1646  */
    {}
#line 45918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13285 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 45976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13291 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 45988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13301 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13311 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13315 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13325 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13329 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 46040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13339 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13340 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13341 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 46076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 46082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 46088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 46094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 46100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 46106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13355 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13363 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 46139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13380 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13388 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13411 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 46288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13517 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 46324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13553 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 46348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13562 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 46359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13569 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13614 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13620 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13629 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 46442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13635 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 46451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13642 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 46460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13647 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 46468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46486 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13659 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13663 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13671 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 46546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13681 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13683 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13685 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13687 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13695 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 46606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13703 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13704 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 46618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13714 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 46635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13723 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 46724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13812 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 46739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 46751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13827 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 46766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 46784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 46796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 46808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 46826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 46838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13867 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 46848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13875 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13879 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13883 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13888 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13895 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13900 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13907 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13916 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 46928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13941 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13948 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13960 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13966 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13973 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13994 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14005 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14016 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 47088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14024 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 47100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14037 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14043 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14051 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14056 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 47134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14064 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14075 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14083 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14089 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14098 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14103 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14113 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14123 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 47226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14135 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 47232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14136 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 47238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14137 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 47250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14139 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 47256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 47268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 47274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 47280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 47286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 47298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 47304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 47310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 47328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 47334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14176 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14182 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 47375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14200 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14206 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14270 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14276 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14282 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14290 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 47499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14296 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14302 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 47519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14308 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14314 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14320 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14326 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 47559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14332 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14338 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14348 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14349 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 47603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 47609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 47615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 47627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 47633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 47639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 47657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 47663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 47675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 47681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 47687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 47693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 47699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 47705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 47711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 47723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 47729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 47735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 47747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 47753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 47759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 47765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 47771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 47777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 47783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 47795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 47801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 47807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 47813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 47969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 47975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 47987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 47993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 48131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14507 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 48170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14520 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 48194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14525 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 48206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14535 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14546 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 48228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14552 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14553 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14558 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 48281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14598 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 48313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14608 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14618 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14633 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 48401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 48419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 48431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 48443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 48455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 48467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 48473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 48515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 48521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 48527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 48539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 48545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 48569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 48575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 48587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 48599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 48611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 48617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 48623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 48629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 48635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 48641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 48653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 48665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 48689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 48731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 48737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 48749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 48767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 48779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 48785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 48791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 48797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 48803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 48809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 48851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 48857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 48863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 48869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 48875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14762 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 48948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48960 "preproc.c" /* yacc.c:1646  */
    break;


#line 48964 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14776 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
